<?php

if (! isset($_REQUEST["number"]))
	die("No Crash Report's number found.");

define("DISABLE_CUSTOM_ERR_HANDLERS", true);

require_once(dirname(__FILE__)."/path.php");
require_once(mb_path("/lib-tk/include/prepender.php"));

if (! getCurrentSession()->checkAuth()) {
	die("No session found.");
}

if (! getCurrentSession()->isAdmin()) {
	die("Permission denied");
}

try
{
    require_once("object_managers/CrashReportManager.php");
    CrashReportManager::showCrashReportHTML(Factory()->CrashReport(bgpc("number"), "number"));
}
catch (ProductException $e)
{
	echo "<PRE>" . billing_safetyhtml($e->getMessage()) . "</PRE>";
}
