<?php

$filename = "twocheckout.php";

if (@substr($_SERVER['PHP_SELF'], -strlen($filename))!=$filename){
 	die("File meant to be called directly and not included!");
}

require_once dirname(__FILE__)."/ipnsetup.php";
require_once ("lib-mbapi/include/modules/gateway/twocheckout.php");
require_once("FactoryClass.php");
require_once("BillingLocale.php");
require_once("UI/Page/UIGatewayCallBackDetailsPage.php");

try {
	if(isset($_POST["mbr_return_cid"])) {
		BillingLocale::setLocale(Factory()->Client($_POST["mbr_return_cid"])->PrimaryContact->Language->language_iso2);
	}
	
	$payment = new TwoCheckout();
	$transactionID = $payment->processReturn($_POST);

	$transaction = Factory()->Transaction($transactionID);
	$page = new UIGatewayCallBackDetailsPage($transaction);
} catch (Exception $e) {
	$page = new UIGatewayCallBackDetailsPage();
	$page->setErrorMessage($e->getMessage());
}

echo $page->getHTML(true);