<?php
require_once("lib-tk/shield.php");
require_once("action-api/include/lib-action/api/UpdateClientContact.php");

class CreateClientContact extends UpdateClientContact
{
	public function execute()
	{
		MB_AdminAPIAction::execute();

		if ( !is_null($clientID = bgpc("clientID")) )
			$customer = Factory()->Client($clientID);
		else if ( !is_null($clientGUID = bgpc("clientGUID")) )
			$customer = Factory()->Client($clientGUID, "guid");
		else
			throw new Exception("Missing parameter 'clientID' or 'clientGUID'");

		$contact = Factory()->ClientContact();
		$contact->client_id = $customer->id;
		$this->updateContact($contact);

		return $this->output(array("clientContactGUID" => $contact->guid));
	}
}
