<?php
require_once("lib-tk/shield.php");
require_once("lib-api-action/apiaction.php");

class DeleteClientContact extends MB_AdminAPIAction
{
	public function execute()
	{
		parent::execute();

		if ( !is_null($clientContactID = bgpc("clientContactID")) )
			$contact = Factory()->ClientContact($clientContactID);
		else if ( !is_null($clientContactGUID = bgpc("clientContactGUID")) )
			$contact = Factory()->ClientContact($clientContactGUID, "guid");
		else
			throw new Exception("Missing parameter 'clientContactID' or 'clientContactGUID'");

		require_once("object_managers/ClientContactManager.php");
		ClientContactManager::delete($contact);

		return $this->output();
	}
}
