<?php
require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-tk/include/sso/SSOBillingFactory.php");

class RemoveClientResponse extends RemoveResponseAction
{
	public function __construct()
	{
		parent::__construct();
		$this->d = new DataSource("clientsGeneric");
		$this->d->limitByID(bgpc("id"));
		$_REQUEST["numRecords"] = "all";
	}

	function RemoveResponseParamHandler() {
		// If set, all of this client's data will be purged from the system.
		if ( "purge" == $_REQUEST["client_remove_type"]) {
			$this->deactivatable = false;
		}
		return true;
	}

	function setReferral() {
		$this->setReferralActionID(getActionID("RemoveClient"));
		$this->setReferralActionFile($this->d->getEntry("names", "file") . ".php");
	}

	function redirect() {
		if(!$this->goBack()) {
			redirect("clients.php", getActionID("ShowClients"), array());
		}
	}

	public function execute()
	{
		global $CONF;

		$clientIDs = bgpc("id");
		require_once("object_managers/ClientManager.php");
		ClientManager::panelDelete($clientIDs);

		parent::execute();
	}
}
