<?php

require_once("lib-action/action.php");

class ShowAttributeGroups extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_CLIENT_GROUPS");
		$page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$descPanel = UIFactory()->InputPanel(NULL, true);
		$groupDesc = UIFactory()->InputLabel();
		$groupDesc->value = blmsg("TRANS_CUSTOMER_GROUPS_DESC");
		$descPanel->addInputControl($groupDesc);
		$page->addInputPanel($descPanel);
		require_once("UI/List/UICustomerGroupList.php");
		$page->addListPanel(new UICustomerGroupList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}

}
