<?php

class IndexController extends Billing_Zend_Controller_Action_LegacyAdminController
{
    public function indexAction()
    {
    	$controller = $this->getRequest()->getParam('ctr');
		$action = $this->getRequest()->getParam('act');
    	if ($this->getRequest()->getParam('ajax')) {
    		$this->_helper->layout->setLayout('ajax');
    	} else if ($controller == 'login') {
    		$this->_helper->layout->setLayout('auth');
    	} else if ($controller == 'graphs') {
    		$this->_helper->layout->setLayout('image');
    	} else if (getActionID('CheckRunPaymentQueue') == $action) {
    		$this->_helper->layout->setLayout('ajax');
		}

    	if (!preg_match('/^\w+$/', $controller) || $controller == 'index') {
    		$controller = false;
    	}
    	if ($controller) {
	    	ob_start();
	    	require Config()->system_baseDirectory . '/htdocs/admin/' . $controller . '.php';
	    	$this->view->content = ob_get_clean();
    	}

    	$response = $this->getResponse();
    	$response->insert('_controller', $controller);
    }
}