<?php
if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

class EditFraudGuardianConfig extends MB_Action
{
	function execute()
	{
		parent::execute();

		$configGroup = Factory()->ConfigGroup(0)->getChild("securitySettings")->getChild("fraudguardian")->getChild("0");
		$this->smartyVars["configParams"] = array(
		    "configGroup" => $configGroup->config_group_id,
		    "enableFraudGuardian" => $configGroup->ConfigParams["enableFraudGuardian"]->value,
		    "usernameFraudGuardian" => $configGroup->ConfigParams["usernameFraudGuardian"]->value,
		    "passwordFraudGuardian" => $configGroup->ConfigParams["passwordFraudGuardian"]->value
		);
		$this->addTemplate("modules/EditFraudGuardianConfig", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
?>