<?php

require_once dirname(__FILE__)."/".str_repeat("../",5)."lib-tk/shield.php";

class ShowSSLPlugins extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));

		// Tools Area Buttons
		$tools_panel->addButton(UIFactory()->ToolButton(
			"cert-add",
			TRANS_ADD_NEW_SSL_PLUGIN,
			action_url("modules", "AddSSLPlugin")
		));

		$page = UIFactory()->Page();
		$page->title = blmsg("TRANS_SSL_PLUGINS");
		$page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$page->parent_url = admin_action_url("configs", "system", "show");

		$page->addToolsPanel($tools_panel);

		require_once("UI/List/UISSLPluginList.php");
		$page->addListPanel(new UISSLPluginList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
