<?php
require_once("lib-action/genericactions.php");

class EditAttributeResponse extends EditResponseAction
{
	public function __construct()
	{
		parent::EditResponseAction();
		$this->setDataSource(new DataSource("attributes"));
	}

	public function editResponseParamHandler()
	{
        $attribute = Factory()->Attribute(bgpc("attributeID"));
        if (!is_null(bgpc("orderFormID"))) {
            $attribute->product_id = null;
        } elseif(!is_null(bgpc("productID"))) {
            $attribute->order_form_id = null;
        }
        require_once("object_managers/AttributeManager.php");
        AttributeManager::update($attribute);
		return true;
	}


}
