<?php
require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once("lib-action/action.php");

class EditOrderFormTermsTextResponse extends MB_Action
{
	public function execute()
	{
		parent::execute();
		if (is_null($terms_text = bgpc("terms_text"))){
			throw new Exception("Missing parameter 'terms_text'");
		}
		$order_form = Factory()->OrderForm(bgpc("orderFormID"));
		$order_form->terms_text = $terms_text;
		$use_terms_url = bgpc("use_terms_url");
		if (0 == $use_terms_url && 1 == $use_terms_url){
			$order_form->use_terms_url = $use_terms_url;
		}
		try {
			require_once("object_managers/OrderFormManager.php");
			OrderFormManager::update($order_form);
			if ( "" != ($redirectURL = bgpc("redirectURL")) && "" != ($redirectAction = bgpc("redirectAction")) ) {
				redirect($redirectURL."?action=".getActionID($redirectAction)."&".bgpc("redirectArgs"));
			}
			redirect("orderforms.php?sid=".$_REQUEST["sid"]."&action=".getActionID("EditOrderForm")."&orderFormID=".$order_form->id);
		} catch ( ProductException $e ) {
			$this->addOperationErrors($e);
			$this->addErrorTemplates();
        }
		return $this->hasExecutedSuccessfully();
	}
}
