<?php

require_once("lib-action/action.php");

class ImportPanelSubscriptions extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$backUrl = bgpc("backUrl", action_url("packages", "ShowPackages"));
		$controller  = UIFactory()->WizardController($backUrl);

		require_once("UI/Page/UIImportPanelSubscriptionsPage.php");
		$importPage = $controller->addPage(new UIImportPanelSubscriptionsPage($controller));
		$importPage->title = blmsg("TRANS_PANEL_IMPORT_SUBSCRIPTIONS_CONFIRM_TITLE");
		$importPage->parent_title = blmsg("TRANS_PACKAGES");
		$importPage->parent_url = $backUrl;

		require_once("UI/Page/UIImportPanelResultPage.php");
		$resultPage = $controller->addPage(new UIImportPanelResultPage($controller));
		$resultPage->title = blmsg("TRANS_PANEL_IMPORT_SUBSCRIPTIONS_RESULT_TITLE");
		$resultPage->parent_title = blmsg("TRANS_PACKAGES");
		$resultPage->parent_url = $backUrl;

		$controller->setValue("panelGUID", bgpc("panelGUID"));
		$controller->setValue("panelSubscriptionIDs", bgpc("panelSubscriptionIDs"));
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
