<?php
require_once("lib-action/action.php");

class EditPaymentGateway extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$back_url = action_url("paymentgateways", "ShowPaymentGateways");
		$controller  = UIFactory()->PageController($back_url);
        require_once("UI/Page/UIPaymentGatewayEditPage.php");
		$controller->addPage($edit_page = new UIPaymentGatewayEditPage($controller));
		$edit_page->title = blmsg("TRANS_EDIT_PAYMENT_GATEWAY");
		$edit_page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$edit_page->parent_url = $back_url;
		$controller->setValue("payment_gateway_id", bgpc("payment_gateway_id"));
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}