<?php

require_once("lib-action/action.php");

class ShowTransactionLog extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_SHOW_TRANSACTIONS");
		$page->parent_title = blmsg("TRANS_MENU_BUSINESS_MONITORING_PAYMENTS");
		require_once("UI/List/UITransactionLogList.php");
		$page->addListPanel(new UITransactionLogList());

		require_once("UI/Tabs/UIPaymentsScreenTabs.php");
		$screenTabs = new UIPaymentsScreenTabs();
		$screenTabs->setCurrent("transactions");
		$page->setScreenTabs($screenTabs);

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
