<?php
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class AddProduct extends MB_Action
{
	public function execute()
	{
		parent::execute();
		$product_list_url = action_url("products", "ShowProducts");

		$controller  = UIFactory()->WizardController($product_list_url);
		
		require_once 'UI/Page/UISelectProductTypePage.php';
		switch (bgpc('mode', UISelectProductTypePage::MODE_PRODUCT)) {
			case UISelectProductTypePage::MODE_ADDON:
				$page1 = new UISelectProductTypePage($controller, UISelectProductTypePage::MODE_ADDON);
				$page1->title = blmsg("TRANS_ADDON_SETTINGS_CREATE_TITLE");
				$page1->description = blmsg("TRANS_ADDON_SETTINGS_CREATE_DESCRIPTION");
				break;
			default:
				$page1 = new UISelectProductTypePage($controller, UISelectProductTypePage::MODE_PRODUCT);
				$page1->title = blmsg("TRANS_PLAN_SETTINGS_CREATE_TITLE");
				$page1->description = blmsg("TRANS_PLAN_SETTINGS_CREATE_DESCRIPTION");
		}
		$page1->parent_title = blmsg("TRANS_SHOW_PRODUCTS");
		$page1->parent_url = $product_list_url;

		$controller->addPage($page1);
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}