<?php

require_once(dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php");
require_once("lib-action/action.php");

class EditProductAddonGroupResponse extends MB_Action
{
	public function execute()
	{
		parent::execute();
		
		if (!(int)$_REQUEST["productID"] || !(int)$_REQUEST["productAddonGroupID"]){
			$this->addError(TRANS_ACCIONERROR, "Invalid product or addon group ID passed.");
		} else {

			$relData = arrayFor(":productAddonGroupRels", array(
				"productAddonGroupID" => $_REQUEST["productAddonGroupID"],
				"productID" => $_REQUEST["productID"],
			));
			
			if ($relData){
				foreach ($relData as $relation){
					deleteForKey(":productAddonGroupRels", $relation["productAddonGroupRelID"]);
				}
			}
			insertFor(":productAddonGroupRels", array(
				"productAddonGroupID" => $_REQUEST["productAddonGroupID"],
				"productID" => $_REQUEST["productID"],
				"defaultSelectedProductID" => $_REQUEST["defaultSelectedProductID"],
			));
			
			updateForKey(":productAddonGroups", (int)$_REQUEST["productAddonGroupID"], array(
				"productAddonGroupActive" => (int)$_REQUEST["productAddonGroupActive"],
				"productAddonGroupName" => bgpc("productAddonGroupName"),
				"productAddonGroupInputType" => bgpc("productAddonGroupInputType"),
				"productAddonGroupNoneChoice" => (int)$_REQUEST["productAddonGroupNoneChoice"],
			));

			if ($_REQUEST["redirectURL"]!="" && $_REQUEST["redirectAction"]!="") {
				redirect($_REQUEST["redirectURL"]."?action=".getActionID($_REQUEST["redirectAction"])."&".$_REQUEST["redirectArgs"]);
			} else {
				redirect(
					"products.php", getActionID("ShowProductAddons"),
					array(
						"productID" => $productID,
					)
				);
			}

		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
