<?php
require_once("lib-action/action.php");

class ShowCycles extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));

		// Tools Area Buttons
		$tools_panel->addButton(UIFactory()->ToolButton( "new-tld",	blmsg("TRANS_ADD_CYCLE"),	action_url("products", "AddCycle")));
		$page  = UIFactory()->Page();
		$page->addToolsPanel($tools_panel);
		$page->title = blmsg("TRANS_SHOW_CYCLES");
		$page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");

		require_once("UI/List/UICycleList.php");
		$page->addListPanel(new UICycleList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
