<?php

require_once("lib-action/action.php");

class AddIPLog extends MB_Action
{
	public function execute()
	{
		parent::execute();

		//Get the Panel names for the select list
		$query = new MBQuery("GetServerGroups", "", array("getPanels" => 1));
		$result = $query->getResult();

		if(!$result->getErrorCount()) {
			$serverGroups = grabSimpleMBAPIResults( $result->getStructure() );

			foreach($serverGroups as $key => $value) {
				if (!is_array($value["panels"][0]["panel"])) {
					continue;
				}
				foreach($value["panels"][0]["panel"] as $panelItems) {
					if(notNull($panelItems["configParamValue"])) {
						$panels[ $panelItems["configGroupID"] ] = $panelItems["configParamValue"];
					} else {
						$panels[ $panelItems["configGroupID"] ] = $panelItems["configGroupID"];
					}
				}
			}

			$this->smartyVars["panels"] = $panels;

			$this->mergeSystemNavData();
		}

		$this->addTemplate("servers/AddIPLog");
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}