<?php
require_once("lib-action/action.php");

class EditIPLogResponse extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if(!isset($_REQUEST["ipLogID"])) {
			$this->addError(blmsg(TRANS_ACTIONERROR), "No IP log id is given.");
		}

		$ipLog = Factory()->IPLog(bgpc("ipLogID"));
		$ipLog->config_group_id = bgpc("configGroupID");
		$ipLog->update();

		redirect("servers.php", "ShowIPLog", array("configGroupID" => $ipLog->_OLD_config_group_id));

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}