<?php
require_once("lib-action/action.php");

class RemoveIPLog extends MB_Action
{
	function execute()
	{
		parent::execute();

		if(!isset($_REQUEST["ipLogID"])) {
			$this->addError(TRANS_ACTIONERROR, "No IP log id is given.");
		}

		$ipLog = Factory()->IPLog(bgpc("ipLogID"));

		$this->smartyVars["ipLog"]["ipLogID"] = bgpc("ipLogID");
		$this->smartyVars["ipLog"]["ip"] = $ipLog->ip;
		$this->smartyVars["ipLog"]["configGroupID"] = $ipLog->config_group_id;
		
		$this->addTemplate("servers/RemoveIPLog");
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
?>