<?php
require_once("lib-action/action.php");

class RemoveIPLogResponse extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if(!isset($_REQUEST["ipLogID"])) {
			$this->addError(blmsg("TRANS_ACTIONERROR"), "No IP log id is given.");
		}

		$ipLog = Factory()->IPLog(bgpc("ipLogID"));
		$configGroupID = $ipLog->config_group_id;
		$ipLog->delete();

		redirect("servers.php", "ShowIPLog", array("configGroupID" => $configGroupID));

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}