<?php

require_once("lib-action/action.php");

class ShowTaxZoneGroups extends MB_Action
{
	public function execute()
	{
        parent::execute();
        $page  = UIFactory()->Page();
        $page->title = blmsg("TRANS_MANAGE_TAX_ZONE_GROUPS");
        $page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
        require_once("UI/List/UITaxZoneGroupList.php");
        $descPanel = UIFactory()->InputPanel(NULL, true);
        $taxDesc = UIFactory()->InputLabel();
        $taxDesc->value = blmsg("TRANS_TAX_ZONE_GROUPS_DESC");
        $descPanel->addInputControl($taxDesc);
        $page->addInputPanel($descPanel);
        $page->addListPanel(new UITaxZoneGroupList());
        $this->smartyVars["page"] = $page;
        $this->addTemplate("page");
        return $this->hasExecutedSuccessfully();
	}
}