<?php
require_once mb_path("/lib-action/action.php");

class RemoveWebsiteWidgetResponse extends MB_Action
{
	function execute()
	{
		global $CONF;
		parent::execute();

		if(!isset($_REQUEST["websiteWidgetID"]) || !is_array($_REQUEST["websiteWidgetID"])) {
			$this->addError(TRANS_ACTIONERROR, "No Widget ID given.");
		} else {
			$websiteWidgetIDs = bgpc("websiteWidgetID");
			foreach($websiteWidgetIDs as $widgetID) {
				$widget = Factory()->WebsiteWidget($widgetID);
				$widget->delete();
			}
			if(isset($_REQUEST['backURL'])) {
				redirect_url(bgpc("backURL"));
			} else {
				redirect("websitewidgets.php",getActionID("ShowWebsiteWidgets"),array());
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
?>
