<?php

require_once(dirname(__FILE__)."/../../../../lib-tk/shield.php");
require_once("lib-action/action.php");

class ShowLogin extends MB_Action
{
	public function execute()
	{
		global $CONF;
		parent::execute();

		$msg = bgpc("msg");
		$infoMsg = bgpc("info_msg");
		$this->smartyVars["msg"] = ($lmsg = blmsg($msg)) == $msg ? billing_safetyhtml($msg) : $lmsg;
		$this->smartyVars["info_msg"] = ($lmsg = blmsg($infoMsg)) == $infoMsg ? billing_safetyhtml($infoMsg) : $lmsg;

		// force usage of the user login template since we are not logged in yet
		$CONF["theme"]["type"] = "client";

		// We allow for action redirects here, so if someone's session expired, they can at least
		// get to the same page immediately.
		if (!is_null($redirectActionID = bgpc("redirectActionID")) && !is_null($redirectActionFile = bgpc("redirectActionFile"))) {
			$this->smartyVars = array(
				"redirectActionID" => $redirectActionID,
				"redirectActionFile" => $redirectActionFile,
				"redirectActionArgs" => bgpc("redirectActionArgs"),
			);
		}
		$this->addTemplate("login/ShowLogin");
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
