<?php

require_once("lib-tk/mbapimap.php");

$CONF["sources"]["bans"] = baseMap("bans", "orderforms", "bans", "ban") + array(
	"columns" => array(
		'banID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'banType' => COLUMN_INT,
		'banString' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'banMessage' => COLUMN_TEXT,
		'banCount' => COLUMN_INT|COLUMN_LISTABLE,
		'banActive' => COLUMN_BOOL|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'banDateLastUsed' => COLUMN_DATE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
		'banID' => TRANS_BAN_ID,
		'banType' => TRANS_BAN_TYPE,
		'banString' => TRANS_BAN_STRING,
		'banMessage' => TRANS_BAN_MESSAGE,
		'banCount' => TRANS_BAN_COUNT,
		'banActive' => TRANS_ACTIVE,
		'banDateLastUsed' => TRANS_DATE_LAST_USED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SYSTEM",
		"sideNavMajor" => "system",
		"sideNavMinor" => "system",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_BAN",
			"show" => "TRANS_SHOW_BANS",
			"add" => "TRANS_ADD_BAN",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"addTemplate" => "1",
		"suppressActions" => array(
			"edit",
			"showdetails",
		),
        "showAddButton" => '1',
	),
);