<?php

require_once(dirname(__FILE__)."/../../../../../lib-tk/shield.php");
require_once("lib-tk/mbapimap.php");

$CONF['sources']['clientContacts'] = array(
	"names" => array(
		"singular" => "clientContact",
		"plural" => "clientContacts",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetClients",
		'subCommand' => "",
		'params' => array("getContactData" => 1),
	),
	"response" => array(
		'path' => array("clients", "client", "contacts", "contact"),
	),
	"table" => "client_contacts",
	"columns" => array(
		"clientContactID" => COLUMN_PRIMARY_KEY,
		"clientID" => COLUMN_ID,
		"contactUsername" => COLUMN_PRIMARY_NAME,
		"contactPassword" => COLUMN_TEXT|COLUMN_PASSWORD,
		"contactFirstName" => COLUMN_TEXT,
		"contactLastName" => COLUMN_TEXT,
		"contactEmail" => COLUMN_TEXT,
		"contactEmailFormat" => COLUMN_BOOL,
		"contactCompany" => COLUMN_TEXT,
		"contactAddress1" => COLUMN_TEXT,
		"contactAddress2" => COLUMN_TEXT,
		"contactCity" => COLUMN_TEXT,
		"contactState" => COLUMN_TEXT,
		"contactZip" => COLUMN_TEXT,
		"languageID" => COLUMN_ID,
		"countriesID" => COLUMN_ID,
		"contactPhone1" => COLUMN_TEXT,
		"contactPhone2" => COLUMN_TEXT,
		"contactFax" => COLUMN_TEXT,
		"contactDateCreated" => COLUMN_DATE,
		"contactPrimary" => COLUMN_BOOL,
		"contactActive" => COLUMN_ACTIVE,
		"contactMobilePhone" => COLUMN_TEXT,
		"contactCounty" => COLUMN_TEXT,
		"contactExternalID1" => COLUMN_TEXT,
		"contactExternalID2" => COLUMN_TEXT,
		"contactExternalID3" => COLUMN_TEXT,
		"contactUseSpecifiedEmailRulesOnly" => COLUMN_BOOL,
		"guid" => COLUMN_TEXT,
		"syncStatus" => COLUMN_TEXT|COLUMN_RESTRICT_MODIFY,
		"syncTasks" => COLUMN_INT|COLUMN_RESTRICT_MODIFY,
		"syncError" => COLUMN_TEXT|COLUMN_RESTRICT_MODIFY,
		"syncLastTime" => COLUMN_TEXT|COLUMN_RESTRICT_MODIFY,
	),
);
