<?php
require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['configGroups'] = array(
	"names" => array(
		"singular" => "configGroup",
		"plural" => "configGroups",
		"file" => "system",
	),
	"request" => array(
		'command' => "GetConfigGroups",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("configGroups", "configGroup"),
	),
	"insert" => array(
		"command" => "SetConfigGroups",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetConfigGroups",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetConfigGroups",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "config_groups",
	"columns" => array(
		"configGroupID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_RESTRICT_EDIT|COLUMN_RESTRICT_REMOVE,
		"parentConfigGroupID" => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_LISTABLE|COLUMN_RESTRICT_EDIT,
		"configGroupName" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupIcon" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupTransKey" => COLUMN_TEXT|COLUMN_TRANSLATION_MESSAGE|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupOrder" => COLUMN_INT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupLocked" => COLUMN_BOOL|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupActionFile" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupActionName" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupDescription" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
	),
	"types" => array(
	),
	"relations" => array(
	),
	"display" => array(
		"options" => array("cycles"),
		"context" => array(
			"parentConfigGroupID" => "configGroups",
		),
		"revContext" => array(
			"configParams" => "configGroupID",
			"configGroups" => "configGroupID",
			"transactionLog" => "configGroupID",
			"packageAttributes" => "configGroupID",
			"serverGroupRels" => "serverID",
		),
		'showTemplate' => "packages/ShowPackageAddons",
		'showParams' => array(
			'packageAddonActive' => 1,
		),
		'suppressActions' => array('showdetails', 'remove'),
		'showDetailsTemplate' => "1",
		'removeTemplate' => "1",
		'editTemplate' => "1",
		'addTemplate' => "1",
	),
);