<?php
require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["callbackLogs"] = baseMap("callback_log", null, "callbackLogs", "callbackLog") + array(
	"columns" => array(
		'callbackLogID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'callbackLogType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogTransactionID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogParentTransactionID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogAction' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogActionStatus' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'transactionID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'paymentGatewayID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'callbackLogDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'callbackLogID' => TRANS_CALLBACK_LOG_ID,
		'callbackLogType' => TRANS_CALLBACK_LOG_TYPE,
		'callbackLogTransactionID' => TRANS_CALLBACK_LOG_TRANSACTION_ID,
		'callbackLogParentTransactionID' => TRANS_CALLBACK_LOG_PARENT_TRANSACTION_ID,
		'callbackLogAction' => TRANS_CALLBACK_LOG_ACTION,
		'callbackLogActionStatus' => TRANS_CALLBACK_LOG_ACTION_STATUS,
		'clientID' => TRANS_CLIENT_ID,
		'billingAccountID' => TRANS_BILLING_ACCOUNT_ID,
		'transactionID' => TRANS_TRANSACTION_ID,
		'subscriptionID' => TRANS_SUBSCRIPTION_ID,
		'paymentGatewayID' => TRANS_PAYMENT_GATEWAY_ID,
		'callbackLogDateCreated' => TRANS_CALLBACK_LOG_DATE_CREATED,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CALLBACKLOGS",
		"childName" => "TRANS_CALLBACKLOGS",
		"sideNavMajor" => "callbackLogs",
		"sideNavMinor" => "callbackLogs",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CALLBACKLOG",
			"show" => "TRANS_SHOW_CALLBACKLOGS",
			"add" => "TRANS_ADD_CALLBACKLOG",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'billingAccountID' => 'clientBillingAccounts',
			'transactionID' => 'transactionLogs',
			'subscriptionID' => 'subscriptions',
		),
		"revContext" => array(
			'callbackLogAttributes' => 'callbackLogID',
		),
	),
);