<?php
require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["configGroups"] = baseMap("config_groups", null, "configGroups", "configGroup") + array(
	"columns" => array(
		'configGroupID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'parentConfigGroupID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupIcon' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupTransKey' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupOrder' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupLocked' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupActionFile' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupActionName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupDescription' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'configGroupID' => TRANS_CONFIG_GROUP_ID,
		'parentConfigGroupID' => TRANS_PARENT_CONFIG_GROUP_ID,
		'configGroupName' => TRANS_CONFIG_GROUP_NAME,
		'configGroupIcon' => TRANS_CONFIG_GROUP_ICON,
		'configGroupTransKey' => TRANS_CONFIG_GROUP_TRANS_KEY,
		'configGroupOrder' => TRANS_CONFIG_GROUP_ORDER,
		'configGroupLocked' => TRANS_CONFIG_GROUP_LOCKED,
		'configGroupActionFile' => TRANS_CONFIG_GROUP_ACTION_FILE,
		'configGroupActionName' => TRANS_CONFIG_GROUP_ACTION_NAME,
		'configGroupDescription' => TRANS_CONFIG_GROUP_DESCRIPTION,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_CONFIGGROUPS",
		"childName" => "TRANS_CONFIGGROUPS",
		"sideNavMajor" => "configGroups",
		"sideNavMinor" => "configGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_CONFIGGROUP",
			"show" => "TRANS_SHOW_CONFIGGROUPS",
			"add" => "TRANS_ADD_CONFIGGROUP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'attributes' => 'configGroupID',
			'configParams' => 'configGroupID',
			'fraudSets' => 'configGroupID',
			'ipLogs' => 'configGroupID',
			'packageAddonAttributes' => 'configGroupID',
			'packageAttributes' => 'configGroupID',
			'packageConfigGroupRels' => 'configGroupID',
			'packageUsageLogs' => 'configGroupID',
			'systemQueues' => 'configGroupID',
		),
	),
);