<?php

require_once(dirname(__FILE__)."/../../../../../../lib-tk/shield.php");
require_once("lib-tk/mbapimap.php");

$CONF["sources"]["emailAttachments"] = baseMap("email_attachments", null, "emailAttachments", "emailAttachment") + array(
	"columns" => array(
		'emailAttachmentID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'emailID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailAttachmentPath' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailAttachmentName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'emailAttachmentMimeType' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'emailAttachmentID' => "TRANS_EMAIL_ATTACHMENT_ID_HEADER",
		'emailID' => "TRANS_EMAIL_ID",
		'emailAttachmentPath' => "TRANS_EMAIL_ATTACHMENT_PATH_HEADER",
		'emailAttachmentName' => "TRANS_EMAIL_ATTACHMENT_NAME_HEADER",
		'emailAttachmentMimeType' => "TRANS_EMAIL_ATTACHMENT_MIME_TYPE_HEADER",
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_EMAILATTACHMENTS",
		"childName" => "TRANS_EMAILATTACHMENTS",
		"sideNavMajor" => "emailAttachments",
		"sideNavMinor" => "emailAttachments",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_EMAILATTACHMENT",
			"show" => "TRANS_SHOW_EMAILATTACHMENTS",
			"add" => "TRANS_ADD_EMAILATTACHMENT",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'emailID' => 'emailQueues',
		),
		"revContext" => array(
		),
	),
);