<?php

require_once("lib-tk/mbapimap.php");

$CONF["sources"]["serverGroups"] = baseMap("server_groups", null, "serverGroups", "serverGroup") + array(
	"columns" => array(
		'serverGroupID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'serverGroupName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'serverGroupFillType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'serverGroupID' => TRANS_SERVER_GROUP_ID,
		'serverGroupName' => TRANS_SERVER_GROUP_NAME,
		'serverGroupFillType' => TRANS_SERVER_GROUP_FILL_TYPE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SYSTEM",
		"childName" => "TRANS_SERVER_GROUPS",
		"sideNavMajor" => "serverGroups",
		"sideNavMinor" => "serverGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SERVERGROUP",
			"show" => "TRANS_SHOW_SERVERGROUPS",
			"add" => "TRANS_ADD_SERVERGROUP",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
		),
		"revContext" => array(
			'packageAddonAttributes' => 'serverGroupID',
			'packageAttributes' => 'serverGroupID',
			'productAttributes' => 'serverGroupID',
			'productServerGroupGhostRels' => 'serverGroupID',
			'serverGroupRels' => 'serverGroupID',
			'systemQueues' => 'serverGroupID',
		),
	),
);