<?php
require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["subscriptions"] = baseMap("subscriptions", null, "subscriptions", "subscription") + array(
	"columns" => array(
		'subscriptionID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'clientID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionExternalID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionStatus' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionDateModified' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'paymentGatewayID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'subscriptionAccountIDENTIFIER' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'subscriptionID' => TRANS_SUBSCRIPTION_ID,
		'clientID' => TRANS_CLIENT_ID,
		'subscriptionExternalID' => TRANS_SUBSCRIPTION_EXTERNAL_ID,
		'billingAccountID' => TRANS_BILLING_ACCOUNT_ID,
		'subscriptionStatus' => TRANS_SUBSCRIPTION_STATUS,
		'subscriptionDateCreated' => TRANS_SUBSCRIPTION_DATE_CREATED,
		'subscriptionDateModified' => TRANS_SUBSCRIPTION_DATE_MODIFIED,
		'paymentGatewayID' => TRANS_PAYMENT_GATEWAY_ID,
		'subscriptionAccountIDENTIFIER' => TRANS_SUBSCRIPTION_ACCOUNT_IDENTIFIER,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SUBSCRIPTIONS",
		"childName" => "TRANS_SUBSCRIPTIONS",
		"sideNavMajor" => "subscriptions",
		"sideNavMinor" => "subscriptions",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SUBSCRIPTION",
			"show" => "TRANS_SHOW_SUBSCRIPTIONS",
			"add" => "TRANS_ADD_SUBSCRIPTION",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'clientID' => 'clients',
			'billingAccountID' => 'clientBillingAccounts',
		),
		"revContext" => array(
			'callbackLogs' => 'subscriptionID',
			'subscriptionPackageAddonRels' => 'subscriptionID',
			'subscriptionPackageRels' => 'subscriptionID',
		),
	),
);