<?php
require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['invoices'] = array(
	"names" => array(
		"singular" => "invoice",
		"plural" => "invoices",
		"file" => "invoices",
	),
	"request" => array(
		'command' => "GetInvoices",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("invoices", "invoice"),
	),
	"insert" => array(
		"command" => "SetInvoices",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetInvoices",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetInvoices",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "invoices",
	"columns" => array(
		"invoiceID" => COLUMN_PRIMARY_KEY,
		"clientID" => COLUMN_ID,
		"invoiceNumber" => COLUMN_PRIMARY_NAME,
		"currencyID" => COLUMN_TEXT,
		"invoiceAmount" => COLUMN_AMOUNT,
		"invoiceAmountPaid" => COLUMN_AMOUNT,
		"invoiceDateEntered" => COLUMN_DATE,
		"invoiceDateDue" => COLUMN_DATE,
		"invoiceDatePaid" => COLUMN_DATE,
		"invoiceDatePushed" => COLUMN_DATE,
		"invoicePaymentMethod" => COLUMN_TEXT,
		"invoiceSnapshot" => COLUMN_TEXT,
		"invoiceComments" => COLUMN_TEXT,
		"invoiceBatchTimestamp" => COLUMN_DATE,
		"invoiceSubTotal" => COLUMN_AMOUNT,
		"invoiceDiscount" => COLUMN_AMOUNT,
		"invoiceStatus" => COLUMN_STATUS,
		"orderFormID" => COLUMN_ID,
		"invoiceProcessID" => COLUMN_TEXT,
		"invoiceProcessDate" => COLUMN_DATE,
	),
	"statuses" => array(
		"invoiceStatus" => "invoice",
	),
	"display" => array(
		"context" => array(
			"clientID" => "clients",
		),
		"revContext" => array(
			"lineItems" => "invoiceID",
			"accountingReceiptsJournal" => "invoiceID",
			"accountingPurchasesJournal" => "invoiceID",
			"accountingGeneralLedger" => "invoiceID",
		),
	),
);

