<?php
require_once("lib-tk/mbapimap.php");

$CONF['sources']['productGroups'] = array(
	"names" => array(
		"singular" => "productGroup",
		"plural" => "productGroups",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetProductGroups",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("productGroups", "productGroup"),
	),
	"insert" => array(
		"command" => "SetProductGroups",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetProductGroups",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetProductGroups",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("cycleID")),
	),
	"table" => "product_groups",
	"columns" => array(
		"productGroupID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		"productGroupApiName" => COLUMN_TEXT|COLUMN_LISTABLE|COLUMN_EDITABLE|COLUMN_IS_QUICK_EDITABLE,
		"productGroupName" => COLUMN_PRIMARY_NAME|COLUMN_LISTABLE|COLUMN_EDITABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		"productGroupID" => "TRANS_PRODUCT_GROUP_ID",
		"productGroupApiName" => "TRANS_PRODUCT_GROUP_API_NAME",
		"productGroupName" => "TRANS_PRODUCT_GROUP_NAME",
	),
	"relations" => array(
		"products" => array("product_group_rel", "productIDs", "productID"),
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SYSTEM",
		"sideNavMajor" => "products",
		"sideNavMinor" => "productgroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_PRODUCT_GROUP",
			"show" => "TRANS_SHOW_PRODUCT_GROUPS",
			"add" => "TRANS_ADD_PRODUCT_GROUP",
			//"showdetails" => "TRANS_CYCLE_GROUP_DETAILS",
		)
	),
	"display" => array(
		'showTemplate' => "1",
		'editTemplate' => "1",
		'addTemplate' => "1",
		"suppressActions" => array("showdetails"),
	),
);