<?php

require_once("lib-tk/mbapimap.php");

$CONF['sources']['systemQueue'] = array(
	"names" => array(
		"singular" => "systemQueueEvent",
		"plural" => "systemQueue",
		"file" => "events",
	),
	"request" => array(
		'command' => "GetSystemQueue",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("systemQueue", "systemQueueEvent"),
	),
	"insert" => array(
		"command" => "SetSystemQueue",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetSystemQueue",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetSystemQueue",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "system_queue",
	"columns" => array(
		"systemQueueID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE,
		"packageID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"configGroupID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"serverGroupID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueParentID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueStatus" => COLUMN_STATUS|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueStatusReason" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueCommand" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueCommandInput" => COLUMN_TEXT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueMinute" => COLUMN_INT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueHour" => COLUMN_INT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueDay" => COLUMN_INT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueMonth" => COLUMN_INT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueYear" => COLUMN_INT|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueIsRecurring" => COLUMN_BOOL|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueDateCreated" => COLUMN_DATE|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueDateToRun" => COLUMN_DATE|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueDateStarted" => COLUMN_DATE|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"systemQueueDateFinished" => COLUMN_DATE|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
	),
	"statuses" => array(
		"systemQueueStatus" => "queue",
	),
	"relations" => array(
	),
	"display" => array(
		"context" => array(
			"packageID" => "packages",
			"configGroupID" => "configGroups",
			"serverGroupID" => "serverGroups",
			"systemQueueParentID" => "systemQueue",
		),
		"revContext" => array(
			"systemQueue" => "systemQueueID",
		),
	),
);
