<?php

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once dirname(__FILE__)."/Adapter.php";

class HSPC_PM_BT_Clieop03 extends HSPC_PM_Adapter
{
	protected $secureFields = array("account_number");

	protected $fieldsDescriptor = array(
		"billing_bank_name"
			=> array("holder_name"		=> array("TRANS_BT_ACCOUNT_CLIEOP03__HOLDER_NAME", "TRANS_BT_ACCOUNT_CLIEOP03__HOLDER_NAME_DESC")),
		"billing_bank_account_num"
			=> array("account_number"	=> array("TRANS_BT_ACCOUNT_CLIEOP03__ACCOUNT_NUMBER", "TRANS_BT_ACCOUNT_CLIEOP03__ACCOUNT_NUMBER_DESC")),
	);

	public function getHSPCData()
	{
		$data = parent::getHSPCData();
		$data["public_data"]["agree"] = "no_agreement";
		return $data;
	}
}