{* $Id: AddGeneralJournalEntry.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}










{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_ACCOUNTING', 'TRANS_CREATE_GENERAL_JOURNAL_ENTRY');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_CREATE_GENERAL_JOURNAL_ENTRY"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

<form name="generalform" method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="sid" value="{$sid}">
    <input type="hidden" name="act" value="{getActionID action="AddGeneralJournalEntryResponse"}">
{section name=i loop=$failreason}
{include
    file="$tplDirectory/widgets/showInvalidCustom.tpl"
    message=$failreason[i]
    identifier=$smarty.section.i.index
    class="highlight"}

{/section}
<fieldset>
<legend>{"TRANS_CREATE_GENERAL_JOURNAL_ENTRY"|lmsg}</legend>

    <table border="0" width="100%" class="list">
        <tr>
            <td class="title">{"TRANS_DATE"|lmsg}</td>
            <td>{html_select_locale_date time="`$generalDateCreatedYear`-`$generalDateCreatedMonth`-`$generalDateCreatedDay`" start_year=1993 end_year=2029 prefix="general" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="general" />
                    <script type="text/javascript">
                    {literal}
                        function updateGeneralSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("generalMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("generalDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("generalYear");
                            selectYear.selectedIndex = (date.getFullYear() - 1993);
                        }
                        Zapatec.Calendar.setup({
                            button         :    "general",
                            onUpdate       :     updateGeneralSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script></td>
        </tr>
        <tr>
            <td class="title">{"TRANS_GENERAL_JOURNAL_DESCRIPTION"|lmsg}</td>
            <td><input type="text" size="50" name="generalDescription" value="{$generalDescription}"></td>
        </tr>
        <tr>
            <td class="title">{"TRANS_CURRENCY_ID"|lmsg}</td>
            <td><input type="text" size="3" maxlength="3" name="currencyID" value="{$currencyID}" onkeyup="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ');"></td>
        </tr>
   </table>
   </fieldset>
	<fieldset>
   <legend>{"TRANS_LEDGER_ENTRY"|lmsg}</legend>

{include file="$tplDirectory/widgets/ledgerForm.tpl"
      containerClass="box01"
      containerName="leDiv"
      fieldPrefix="addGeneral"
      printScript=1
      currency=""
      formname="generalform"
      existingEntries=$existingEntries
      ledgerAccounts=$ledgerAccounts
      ledgerTypes=$ledgerTypes}

      </fieldset>
	<table border="0" width="100%" class="list">
	<tr class="listButtons">
	<td><div><input class="submit" type="submit" name="save" value="{"TRANS_CREATE"|lmsg}"></div></td>
	</tr>
	</table>

</form>


{include file="$tplDirectory/footer.tpl"}
