{* $Id: RemoveLedgerAccount.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$ledgerAccounts (array of ledger account data)
 *		ledgerAccountID
 *		ledgerAccountNumber
 *		ledgerAccountType
 * 		ledgerAccountName
 *		ledgerAccountTransKey
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}










{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_ACCOUNTING', 'TRANS_REMOVE_LEDGER_ACCOUNT');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_REMOVE_LEDGER_ACCOUNT"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

{assign var="ledgerAccountID" value=$account.ledgerAccountID}
{assign var="tkey" value=$account.ledgerAccountTransKey}

<fieldset>
<legend>{"TRANS_REMOVE_LEDGER_ACCOUNT"|lmsg}</legend>

<table border="0" cellpadding="3" width="100%" class="list">
    <tr>
        <td>{if $canRemove}
<strong>{"TRANS_CONFIRM_REMOVE_ACCOUNT"|lmsg}</strong><br />
<strong>{"TRANS_GL_NUMBER"|lmsg}</strong> {$account.ledgerAccountNumber}<br />
<strong>{"TRANS_LEDGER_ACCOUNT_LABEL"|lmsg}</strong> {translate key=$tkey}<br />
        {else}
<strong>{"TRANS_CANNOT_REMOVE_NOT_EMPTY"|lmsg}</strong>
        {/if}</td>
    </tr>
    <tr class="listButtons">
        <td><div>{if $canRemove}
<div class="rm"><a href="{getHREF page="accounting.php" actionName="RemoveLedgerAccount" args="ledgerAccountID=`$account.ledgerAccountID`&removeLedgerAccount=1"}">{"TRANS_YES_I_DO"|lmsg}</a></div>
<div class="rm"><a href="{getHREF page="accounting.php" actionName="ShowLedgerAccounts" args=""}">{"TRANS_NO_I_DONT"|lmsg}</a></div>
        {else}
<div class="rm"><a href="{getHREF page="accounting.php" actionName="ShowLedgerAccounts" args=""}">{"TRANS_CHART_OF_ACCOUNTS"|lmsg}</a></div>
        {/if}</div></td>
    </tr>
</table>

</fieldset>
{include file="$tplDirectory/footer.tpl"}
