{* $Id: ShowAccountingStats.tpl 7658 2006-06-20 17:40:09Z kbailey $
 * --------------------------------------------------------------
 * This template displays a mini accounting stats report.
 *
 * Smarty Variables:
 *	$invoiceStats (array of invoice status and their count)
 *		invoiceStatus
 *		numInovices
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}






{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_ACCOUNTING', 'TRANS_QUICK_STATS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_QUICK_STATS"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<fieldset>
        <legend>{"TRANS_TODAYS_FINANCIAL_STATEMENTS"|lmsg}</legend>
	      <table width="100%" cellpadding="4" class="ledger">
            <tr>
                <th class="green">{"TRANS_CURRENCY"|lmsg}</th>
                <th class="green">{"TRANS_REVENUE"|lmsg}</th>
                <th class="green">{"TRANS_OTHER_REVENUE"|lmsg}</th>
                <th class="green">{"TRANS_COGS"|lmsg}</th>
                <th class="green">{"TRANS_EXPENSE"|lmsg}</th>
                <th class="green">{"TRANS_OTHER_EXPENSE"|lmsg}</th>
                <th>{"TRANS_NET_INCOME"|lmsg}</th>
            </tr>

{foreach key="currencyID" item="totals" from=$ledgerTypeTotals}
    {if $didFirst}
        {assign var="class" value=""}
    {else}
        {assign var="didFirst" value=1}
        {assign var="class" value="first"}
    {/if}

            <tr class="{$class}">
                <td align="right">{$currencyID}</th>
                <td align="right">{$totals.revenue|getAmount:$currencyID}</td>
                <td align="right">{$totals.otherRev|getAmount:$currencyID}</td>
                <td align="right">{$totals.cogs|getAmount:$currencyID}</td>
                <td align="right">{$totals.expense|getAmount:$currencyID}</td>
                <td align="right">{$totals.otherExp|getAmount:$currencyID}</td>
                <td align="right">{$totals.total|getAmount:$currencyID}</td>
            </tr>

{/foreach}

        </table>
        </fieldset>

        <br />
        <fieldset>
        <legend>{"TRANS_BALANCE_SHEET_SUMMARY"|lmsg}</legend>

        <table width="100%" cellpadding="4" class="ledger">
            <tr>
                <th class="green">{"TRANS_CURRENCY"|lmsg}</th>
                <th class="green">{"TRANS_ASSETS"|lmsg}</th>
                <th class="green">{"TRANS_LIABILITIES"|lmsg}</th>
                <th class="green">{"TRANS_EQUITY"|lmsg}</th>
                <th class="green">{"TRANS_EQUITY_RETAINED"|lmsg}</th>
                <th>{"TRANS_LIABILITIES_AND_EQUITY"|lmsg}</th>
            </tr>

{assign var="didFirst" value=0}
{foreach key="currencyID" item="totals" from=$ledgerTypeTotals}
    {if $didFirst}
        {assign var="class" value=""}
    {else}
        {assign var="didFirst" value=1}
        {assign var="class" value="first"}
    {/if}

            <tr class="{$class}">
                <td align="right">{$currencyID}</th>
                <td align="right">{$totals.asset|getAmount:$currencyID}</td>
                <td align="right">{$totals.liability|getAmount:$currencyID}</td>
                <td align="right">{$totals.equity|getAmount:$currencyID}</td>
                <td align="right">{$totals.equityretained|getAmount:$currencyID}</td>
                <td align="right">{$totals.balancetotal|getAmount:$currencyID}</td>
            </tr>

{/foreach}

        </table>
        </fieldset>
{*
        <br /><br />
        <h2>{"TRANS_AR_AGING_SUMMARY"|lmsg}</h1>

        <table width="100%" cellpadding="4" class="ledger">
		<tr>
			<th class="green">{"TRANS_CURRENCY"|lmsg}</th>
			<th class="green">{$smarty.const.TRANS_0_TO_30}</th>
			<th class="green">{$smarty.const.TRANS_30_TO_60}</th>
			<th class="green">{$smarty.const.TRANS_60_TO_90}</th>
			<th class="green">{$smarty.const.TRANS_90_TO_120}</th>
			<th>{$smarty.const.TRANS_120_PLUS}</th>
		</tr>

{assign var="didFirst" value=0}


{foreach key="currencyID" item="data" from=$reportData.currencyTotals}
    {if $didFirst}
        {assign var="class" value=""}
    {else}
        {assign var="didFirst" value=1}
        {assign var="class" value="first"}
    {/if}

	<tr class="{$class}">
		<td>{$currencyID}</td>
		<td align="right">{$data.0.total|getAmount:$currencyID}</td>
		<td align="right">{$data.1.total|getAmount:$currencyID}</td>
		<td align="right">{$data.2.total|getAmount:$currencyID}</td>
		<td align="right">{$data.3.total|getAmount:$currencyID}</td>
		<td align="right">{$data.4.total|getAmount:$currencyID}</td>
	</tr>

{/foreach}

</table>


*}
	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}
