{* $Id: ShowBalanceSheet.tpl 9331 2006-10-06 14:56:50Z mfountain $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}

<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<h1 style="text-align:center;">{"TRANS_BALANCE_SHEET"|lmsg} {"TRANS_THROUGH"|lmsg} {$endDate|getDate:short}</h1>

		{foreach key="currencyID" item="totals" from=$ledgerAccountsTotals}
		<fieldset>
		<legend>{"TRANS_CURRENCY"|lmsg} {$currencyID}</legend>

		    <table width="100%" cellpadding="4" class="ledger">
		    <tr>
		        <th>{"TRANS_GL_ACCOUNT_NUMBER"|lmsg}</th>
		        <th>{"TRANS_GL_ACCOUNT_NAME"|lmsg}</th>
		        <th align="right">{"TRANS_BALANCES_AND_TOTALS"|lmsg}</th>
		    </tr>

		    {* ------------------------ ASSET ------------------------------- *}

		    {assign var="didFirst" value=0}
		    {assign var="loopData" value=$totals.asset}
		    {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.asset}

		    {section name="i" loop=$loopData}
		        {assign var="accountid" value=$loopData[i].accountInfo.ledgerAccountID}
		        {if $didFirst}
		            {assign var="class" value=""}
		        {else}
				    <tr class="first">
				        <td colspan="3"><h1>{"TRANS_ASSET_LABEL"|lmsg}<h1></td>
				    </tr>
		            {assign var="didFirst" value=1}
		            {assign var="class" value="first"}
		        {/if}

			    <tr class="{$class}">
			        <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
			        {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
			        <td>{translate key=$tkey}</td>
			        <td align="right">{$loopData[i].total|getAmount:$currencyID}</td>
			    </tr>
		    {/section}

		    <tr class="total alt1">
		        <td colspan="2" align="right"><h1>{"TRANS_ASSET_TOTALS"|lmsg}</h1></td>
		        <td align="right">{$totalsData|getAmount:$currencyID}</td>
		    </tr>

		    {* ------------------------------------------------------------- *}

		    {* ------------------------ LIABILITY -------------------------- *}

		    {assign var="didFirst" value=0}
		    {assign var="loopData" value=$totals.liability}
		    {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.liability}

		    {section name="i" loop=$loopData}
		        {assign var="accountid" value=$loopData[i].accountInfo.ledgerAccountID}
		        {if $didFirst}
		            {assign var="class" value=""}
		        {else}
				    <tr class="first">
				        <td colspan="3"><h1>{"TRANS_LIABILITY_LABEL"|lmsg}<h1></td>
				    </tr>
		            {assign var="didFirst" value=1}
		            {assign var="class" value="first"}
		        {/if}

			    <tr class="{$class}">
			        <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
			        {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
			        <td>{translate key=$tkey}</td>
			        <td align="right">{$loopData[i].total|getAmount:$currencyID}</td>
			    </tr>
		    {/section}

		    <tr class="total">
		        <td colspan="2" align="right"><h1><i>{"TRANS_LIABILITY_TOTALS"|lmsg}</i></h1></td>
		        <td align="right">{$totalsData|getAmount:$currencyID}</td>
		    </tr>

		    {* ------------------------------------------------------------- *}

		    {* ------------------------ EQUITY ----------------------------- *}

		    {assign var="didFirst" value=0}
		    {assign var="loopData" value=$totals.equity}
		    {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.equity}

		    <tr class="first">
		        <td colspan="3"><h1>{"TRANS_EQUITY_LABEL"|lmsg}<h1></td>
		    </tr>

		    {assign var="class" value="first"}
		    {section name="i" loop=$loopData}
		        {assign var="accountid" value=$loopData[i].accountInfo.ledgerAccountID}
		        {if $didFirst}
		            {assign var="class" value=""}
		        {else}
		            {assign var="didFirst" value=1}
		        {/if}

			    <tr class="{$class}">
			        <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
			        {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
			        <td>{translate key=$tkey}</td>
			        <td align="right">{$loopData[i].total|getAmount:$currencyID}</td>
			    </tr>
		    {/section}

		    <tr class="{$class}">
		        <td> </td>
		        <td>{"TRANS_CURRENT_RETAINED_EARNINGS"|lmsg}</td>
		        <td align="right">{$ledgerTypeTotals.$currencyID.equityretained|getAmount:$currencyID}</td>
		    </tr>

		    <tr class="total">
		        <td colspan="2" align="right"><h1><i>{"TRANS_EQUITY_TOTALS"|lmsg}</i></h1></td>
		        <td align="right">{$totalsData|getAmount:$currencyID}</td>
		    </tr>

		    {* ------------------------------------------------------------- *}

		    <tr class="first alt1">
		        <td colspan="2" align="right"><h1>{"TRANS_LIABILITIES_AND_EQUITY"|lmsg}</h1></td>
		        <td align="right">{$ledgerTypeTotals.$currencyID.equity+$ledgerTypeTotals.$currencyID.liability|getAmount:$currencyID}</td>
		    </tr>
		    </table>
		</fieldset>
		{/foreach}

		<br />

		<div class="box07" style="padding: 5px;">
			{"TRANS_RETAINED_EXPLAINATION"|lmsg}
		</div>

	</td>
</tr>
</table>

