{* $Id: ShowInvoiceSheet.tpl 10322 2006-12-15 20:29:33Z kbailey $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}
 

<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<h1 style="text-align:center;">{"TRANS_INVOICE_SHEET"|lmsg} {"TRANS_FOR"|lmsg} {"TRANS_DATE"|lmsg} {$startDate|getDate:short}</h1>
	<br />
	<table width="100%" class="ledger">
	
		<tr>
			<th>{"TRANS_INVOICE_NUMBER"|lmsg}</th>
			<th>{"TRANS_CLIENT"|lmsg}</th>
			<th>{"TRANS_CURRENCY"|lmsg}</th>
			<th>{"TRANS_AMOUNT"|lmsg}</th>
			<th>{"TRANS_AMOUNT_PAID"|lmsg}</th>
			<th>{"TRANS_AMOUNT_DUE"|lmsg}</th>
		</tr>
	
		{foreach item="invoice" key="i" from=$invoices}
			{assign var="clientName" value="`$invoice.contactFirstName` `$invoice.contactLastName`"}
			<tr>
				<td><a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`"}">{$invoice.invoiceNumber}</a></td>
				<td>{include file="$tplDirectory/widgets/actionLink.tpl"
						page="clients.php"
						actionName="ShowClientDetails"
						args="clientID=`$invoice.clientID`"
						clientID=$invoice.clientID
						clientContactID=$invoice.clientContactID
						altText=$clientName
						linkText=$clientName
					}</td>
				<td>{$invoice.currencyID}</td>
				<td>{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
				<td>{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
				<td>{$invoice.invoiceAmount-$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
			</tr>
		{foreachelse}
		<tr>
			<td colspan="6"><em>{"TRANS_NONE"|lmsg}</em></td>
		</tr>
		{/foreach}
	
	</table>

	{if $numInvoices>0}
		<br />
		<h1>{"TRANS_SUMMARY"|lmsg}</h1>
		<br />
		<table class="ledger">
			<tr>
				<td align="right"><strong>{"TRANS_TOTAL_INVOICES"|lmsg} </strong></td>
				<td>{$numInvoices}</td>
			</tr>
			<tr>
				<td align="right"><strong>{"TRANS_TOTAL_CLIENTS"|lmsg} </strong></td>
				<td>{$numClients}</td>
			</tr>
		
			{foreach item="totals" key="currencyID" from=$currencies}
				<tr>
					<td valign="top" align="right"><strong>{$currencyID} {"TRANS_TOTALS"|lmsg} </strong></td>
					<td>
						<table class="ledger">
							<tr>
								<td align="right">{"TRANS_INVOICES"|lmsg} </td>
								<td align="right">{$totals.numInvoices}</td>
							</tr>
							<tr>
								<td align="right">{"TRANS_CLIENTS"|lmsg} </td>
								<td align="right">{$totals.numClients}</td>
							</tr>
							<tr>
								<td align="right">{"TRANS_AMOUNT"|lmsg} </td>
								<td align="right">{$totals.totalAmount|getAmount:$currencyID}</td>
							</tr>
							<tr>
								<td align="right">{"TRANS_AMOUNT_PAID"|lmsg} </td>
								<td align="right">{$totals.totalAmountPaid|getAmount:$currencyID}</td>
							</tr>
							<tr>
								<td align="right">{"TRANS_AMOUNT_DUE"|lmsg} </td>
								<td align="right">{$totals.totalAmount-$totals.totalAmountPaid|getAmount:$currencyID}</td>
							</tr>
						</table>
					</td>
				</tr>
			{/foreach}
		
		
		</table>
	
	{/if}

	</td>
</tr>
</table>

