{* $Id: ShowLedgerAccounts.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$ledgerAccounts (array of ledger account data)
 *		ledgerAccountID
 *		ledgerAccountNumber
 *		ledgerAccountType
 * 		ledgerAccountName
 *		ledgerAccountTransKey
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_LEDGER_ACCOUNTS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_LEDGER_ACCOUNTS"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
<div style="margin-top: 16px;"></div>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
    <td colspan="2" align="right"><div class="rm"><a href="{getHREF page="accounting.php" actionName="AddLedgerAccount"}">{"TRANS_ADD_LEDGER_ACCOUNT"|lmsg}</a><div></td>
</tr>
<tr>
	{* left column *}
	<td width="50%" valign="top">
	<fieldset><legend>{"TRANS_BALANCE_SHEET_ACCOUNTS"|lmsg}</legend>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr class="headerRow">
			{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_GL_NUMBER" sortColumn="ledgerAccountNumber"}
			{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_NAME"  headerAlign="left"}
            {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"  headerAlign="left"}
		</tr>
		{section name=i loop=$ledgerAccounts}
			{assign var="ledgerAccountID" value=$ledgerAccounts[i].ledgerAccountID}
            {if $ledgerAccounts[i].ledgerAccountType < 4}
    			{if $className=="alt1"}
    			    {assign var="className" value="alt2"}
    			{else}
    			    {assign var="className" value="alt1"}
    			{/if}
    			{if $ledgerAccounts[i].ledgerAccountType != $ledgerAccountType}
    				{assign var="ledgerAccountType" value=$ledgerAccounts[i].ledgerAccountType}
    				<tr class="headerRow">
    					<td colspan="3">
                                {assign var="transkey" value=$accountTypes.$ledgerAccountType.1}
    							{$smarty.const.$transkey|default:$transkey}
    					</td>
    				</tr>
    			{/if}
    			<tr class="{cycle values="alt1,alt2"}">
    				<td width="70">
    					{$ledgerAccounts[i].ledgerAccountNumber}
    				</td>
    				<td>
    					{assign var="ledgerAccountTransKey" value=$ledgerAccounts[i].ledgerAccountTransKey}
    					{$smarty.const.$ledgerAccountTransKey|default:$ledgerAccountTransKey}
    				</td>
                    <td>
        {strip}
        <a href="{getHREF page="accounting.php" actionName="ShowLedgerAccountDetails" args="ledgerAccountID=`$ledgerAccounts[i].ledgerAccountID`"}&redirectArgs={$bookmarkArgs|escape:"url"}">
            <img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{"TRANS_DETAILS"|lmsg}" title="{"TRANS_DETAILS"|lmsg}" />
        </a>
        &nbsp;
        <a href="{getHREF page="accounting.php" actionName="EditLedgerAccount" args="ledgerAccountID=`$ledgerAccounts[i].ledgerAccountID`"}&redirectArgs={$bookmarkArgs|escape:"url"}">
            <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
        </a>
        {if $ledgerAccounts[i].ledgerAccountName != "taxes_payable"}
            &nbsp;
            <a href="{getHREF page="accounting.php" actionName="RemoveLedgerAccount" args="ledgerAccountID=`$ledgerAccounts[i].ledgerAccountID`"}&redirectArgs={$bookmarkArgs|escape:"url"}">
                <img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{"TRANS_REMOVE"|lmsg}" title="{"TRANS_REMOVE"|lmsg}" />
            </a>
        {/if}
        {/strip}
                    </td>
    			</tr>
            {/if}
		{sectionelse}
			<tr>
				<td colspan="3">
						{"TRANS_NO_LEDGER_ACCOUNTS_FOUND"|lmsg}
				</td>
			</tr>
		{/section}
		</table>
		</fieldset>
	</td>

	{* right column *}
	<td width="50%" valign="top" align="left">
	<fieldset><legend>{"TRANS_FINANCIAL_STATEMENT_ACCOUNTS"|lmsg}</legend>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
        <tr class="headerRow">
            {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_GL_NUMBER" sortColumn="ledgerAccountNumber"}
            {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_NAME"  headerAlign="left"}
            {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"  headerAlign="left"}
        </tr>
        {section name=i loop=$ledgerAccounts}
            {assign var="ledgerAccountID" value=$ledgerAccounts[i].ledgerAccountID}
            {if $ledgerAccounts[i].ledgerAccountType > 3}
                {if $className=="alt1"}
                    {assign var="className" value="alt2"}
                {else}
                    {assign var="className" value="alt1"}
                {/if}
                {if $ledgerAccounts[i].ledgerAccountType != $ledgerAccountType}
                    {assign var="ledgerAccountType" value=$ledgerAccounts[i].ledgerAccountType}
                    <tr class="headerRow">
                        <td colspan="3" >
                                {assign var="transkey" value=$accountTypes.$ledgerAccountType.1}
                              {$smarty.const.$transkey|default:$transkey}
                        </td>
                    </tr>
                {/if}
                <tr class="{cycle values="alt1,alt2"}">
                    <td width="70">
                        {$ledgerAccounts[i].ledgerAccountNumber}
                    </td>
                    <td>
                        {assign var="ledgerAccountTransKey" value=$ledgerAccounts[i].ledgerAccountTransKey}
                        {$smarty.const.$ledgerAccountTransKey|default:$ledgerAccountTransKey}
                    </td>
                    <td>
        {strip}
        <a href="{getHREF page="accounting.php" actionName="ShowLedgerAccountDetails" args="ledgerAccountID=`$ledgerAccounts[i].ledgerAccountID`"}&redirectArgs={$bookmarkArgs|escape:"url"}">
            <img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{"TRANS_DETAILS"|lmsg}" title="{"TRANS_DETAILS"|lmsg}" />
        </a>
        &nbsp;
        <a href="{getHREF page="accounting.php" actionName="EditLedgerAccount" args="ledgerAccountID=`$ledgerAccounts[i].ledgerAccountID`"}&redirectArgs={$bookmarkArgs|escape:"url"}">
            <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
        </a>
        &nbsp;
        <a href="{getHREF page="accounting.php" actionName="RemoveLedgerAccount" args="ledgerAccountID=`$ledgerAccounts[i].ledgerAccountID`"}&redirectArgs={$bookmarkArgs|escape:"url"}">
            <img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{"TRANS_REMOVE"|lmsg}" title="{"TRANS_REMOVE"|lmsg}" />
        </a>
        {/strip}
                    </td>
                </tr>
            {/if}
        {sectionelse}
            <tr>
                <td colspan="3">
                        {"TRANS_NO_LEDGER_ACCOUNTS_FOUND"|lmsg}
                </td>
            </tr>
        {/section}
        </fieldset>
        </table>
	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}
