{* $Id: ShowLedgersMenu.tpl 10261 2006-12-11 19:48:58Z kbailey $
 * --------------------------------------------------------------
 * This template displays a the accounting ledgers menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_GENERAL_LEDGERS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_GENERAL_LEDGERS"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
<div style="margin-top: 16px;"></div>

<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">
	<tr>
		<td>
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{"TRANS_GENERAL_LEDGER"|lmsg}</td>
		</tr>
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_GENERAL_LEDGER_DESC"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="{getFormAction controller="accounting"}">
				<input type="hidden" name="act" value="{getActionID action="ShowGeneralLedger"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_SELECT_LEDGER_DATE"|lmsg} <input class="button" type="button" id="generalLedgerCal" value=" ... " />
					</td>
				</tr>
				<tr>
					<td>
						{"TRANS_SELECT_LEDGER_DATE_RANGE"|lmsg}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{"TRANS_FROM"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="generalLedgerBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="generalLedgerBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function updateGeneralLedgerBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("generalLedgerBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("generalLedgerBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("generalLedgerBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "generalLedgerBegin",
								onUpdate       :     updateGeneralLedgerBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{"TRANS_TO"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="generalLedgerEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="generalLedgerEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function generalLedgerEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("generalLedgerEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("generalLedgerEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("generalLedgerEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "generalLedgerEnd",
						        onUpdate       :     generalLedgerEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
				</tr>
				<tr>
					<td>
						<input class="submit" type="submit" value="{"TRANS_GENERATE_REPORT"|lmsg}">
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</table>
		</div>
		</td>
	</tr>

	<tr>
		<td>
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{"TRANS_ACCOUNTS_RECEIVABLE_LEDGER"|lmsg}</td>
		</tr>
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_ACCOUNTS_RECEIVABLE_LEDGER_DESC"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="{getFormAction controller="accounting"}">
				<input type="hidden" name="act" value="{getActionID action="ShowAccountsReceivableLedger"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_SELECT_LEDGER_DATE"|lmsg} <input class="button" type="button" id="arLedgerCal" value=" ... " />
					</td>
				</tr>
				<tr>
					<td>
						{"TRANS_SELECT_LEDGER_DATE_RANGE"|lmsg}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{"TRANS_FROM"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="arLedgerBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="arLedgerBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function arLedgerBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("arLedgerBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("arLedgerBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("arLedgerBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "arLedgerBegin",
								onUpdate       :     arLedgerBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{"TRANS_TO"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="arLedgerEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="arLedgerEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function arLedgerEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("arLedgerEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("arLedgerEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("arLedgerEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "arLedgerEnd",
						        onUpdate       :     arLedgerEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
				</tr>
				<tr>
					<td>
						<input class="submit" type="submit" value="{"TRANS_GENERATE_REPORT"|lmsg}">
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</table>
		</div>
		</td>
	</tr>
	<tr>
		<td>
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{"TRANS_ACCOUNTS_PAYABLE_LEDGER"|lmsg}</td>
		</tr>
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_ACCOUNTS_PAYABLE_LEDGER_DESC"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="{getFormAction controller="accounting"}">
				<input type="hidden" name="act" value="{getActionID action="ShowAccountsPayableLedger"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_SELECT_LEDGER_DATE"|lmsg} <input class="button" type="button" id="apLedgerCal" value=" ... " />
					</td>
				</tr>
				<tr>
					<td>
						{"TRANS_SELECT_LEDGER_DATE_RANGE"|lmsg}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{"TRANS_FROM"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="apLedgerBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="apLedgerBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function apLedgerBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("apLedgerBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("apLedgerBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("apLedgerBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "apLedgerBegin",
								onUpdate       :     apLedgerBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{"TRANS_TO"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="apLedgerEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="apLedgerEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function apLedgerEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("apLedgerEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("apLedgerEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("apLedgerEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "apLedgerEnd",
						        onUpdate       :     apLedgerEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
				</tr>
				<tr>
					<td>
						<input class="submit" type="submit" value="{"TRANS_GENERATE_REPORT"|lmsg}">
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</table>
		</div>
		</td>
	</tr>

	<tr>
		<td>
		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td>{"TRANS_TAX_PAYABLE_LEDGER"|lmsg}</td>
		</tr>
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_TAX_PAYABLE_LEDGER_DESC"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="{getFormAction controller="accounting"}">
				<input type="hidden" name="act" value="{getActionID action="ShowTaxPayableLedger"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_SELECT_LEDGER_DATE"|lmsg} <input class="button" type="button" id="taxLedgerCal" value=" ... " />
					</td>
				</tr>
				<tr>
					<td>
						{"TRANS_SELECT_LEDGER_DATE_RANGE"|lmsg}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{"TRANS_FROM"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="taxLedgerBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="taxLedgerBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function taxLedgerBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("taxLedgerBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("taxLedgerBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("taxLedgerBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "taxLedgerBegin",
								onUpdate       :     taxLedgerBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{"TRANS_TO"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="taxLedgerEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="taxLedgerEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function taxLedgerEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("taxLedgerEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("taxLedgerEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("taxLedgerEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "taxLedgerEnd",
						        onUpdate       :     taxLedgerEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
				</tr>
				<tr>
					<td>
						<input class="submit" type="submit" value="{"TRANS_GENERATE_REPORT"|lmsg}">
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</table>
		</div>
		</td>
	</tr>

</table>

<script type="text/javascript">//<![CDATA[
{literal}
var startDate;
var endDate;
var callbacks = 0;

function resetDates() {
	startDate = endDate = null;
}

/*
* Given two dates (in seconds) find out if date1 is bigger, date2 is bigger or
* they're the same, taking only the dates, not the time into account.
* In other words, different times on the same date returns equal.
* returns -1 for date1 bigger, 1 for date2 is bigger 0 for equal
*/

function compareDatesOnly(date1, date2) {
	var year1 = date1.getYear();
	var year2 = date2.getYear();
	var month1 = date1.getMonth();
	var month2 = date2.getMonth();
	var day1 = date1.getDate();
	var day2 = date2.getDate();
	if (year1 > year2) {
		return -1;
	}
	if (year2 > year1) {
		return 1;
	}
	//years are equal
	if (month1 > month2) {
		return -1;
	}
	if (month2 > month1) {
		return 1;
	}
	//years and months are equal
	if (day1 > day2) {
		return -1;
	}
	if (day2 > day1) {
		return 1;
	}
	//days are equal
	return 0;
}

function disableDates(date) {
	var now = new Date();
	if (compareDatesOnly(now, date) > 0) {
		return (true);
	}
	//all other days are enabled
	return false;
}

function goGeneralLedger(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "{getHREF page="accounting.php" actionName="ShowGeneralLedger"}&dateQuery[]=" + cal.date.print("%Y/%m/%d/");
		{literal}
		window.location = url;
	}
}

function goARLedger(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "{getHREF page="accounting.php" actionName="ShowAccountsReceivableLedger"}&dateQuery[]=" + cal.date.print("%Y/%m/%d/");
		{literal}
		window.location = url;
	}
}

function goAPLedger(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "{getHREF page="accounting.php" actionName="ShowAccountsPayableLedger"}&dateQuery[]=" + cal.date.print("%Y/%m/%d/");
		{literal}
		window.location = url;
	}
}

function goTaxLedger(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "{getHREF page="accounting.php" actionName="ShowTaxPayableLedger"}&dateQuery[]=" + cal.date.print("%Y/%m/%d/");
		{literal}
		window.location = url;
	}
}

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1990.01, 2020.12],
//	dateStatusFunc	  : disableDates,
	button            : "generalLedgerCal",
	onSelect          : goGeneralLedger
});

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1990.01, 2020.12],
//	dateStatusFunc	  : disableDates,
	button            : "arLedgerCal",
	onSelect          : goARLedger
});

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1990.01, 2020.12],
//	dateStatusFunc	  : disableDates,
	button            : "apLedgerCal",
	onSelect          : goAPLedger
});

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1990.01, 2020.12],
//	dateStatusFunc	  : disableDates,
	button            : "taxLedgerCal",
	onSelect          : goTaxLedger
});

{/literal}
//]]></script>



{include file="$tplDirectory/footer.tpl"}
