{* $Id: ShowProfitAndLoss.tpl 9331 2006-10-06 14:56:50Z mfountain $
 * --------------------------------------------------------------
 * This template displays a mini accounting stats report.
 *
 * Smarty Variables:
 *	$invoiceStats (array of invoice status and their count)
 *		invoiceStatus
 *		numInovices
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}








<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<h1 style="text-align:center;">{"TRANS_PANDL"|lmsg} {$startDate|getDate:short} - {$endDate|getDate:short}</h1>

		{foreach key="currencyID" item="totals" from=$ledgerAccountsTotals}
		<fieldset>
		    <legend>{"TRANS_CURRENCY"|lmsg} {$currencyID}</legend>

		        <table width="100%" cellpadding="4" class="ledger">
		            <tr>
		                <th>{"TRANS_GL_ACCOUNT_NUMBER"|lmsg}</th>
		                <th>{"TRANS_GL_ACCOUNT_NAME"|lmsg}</th>
		                <th align="right">{"TRANS_GL_BALANCE"|lmsg}</th>
		                <th align="right">{"TRANS_YTD_GL_BALANCE"|lmsg}</th>
		            </tr>

		            {* ------------------------ REVENUE ----------------------------- *}

		            {assign var="didFirst" value=0}
		            {assign var="loopData" value=$totals.revenue}
		            {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.revenue}
		            {assign var="ytdTotalsData" value=$ledgerTypeTotals.$currencyID.ytdrevenue}

		            {foreach key="i" item="Data" from=$loopData}
		                {assign var="accountid" value=$Data.accountInfo.ledgerAccountID}
		                {if $didFirst}
		                    {assign var="class" value=""}
		                {else}
		            <tr class="first">
		                <td colspan="4"><h1>{"TRANS_REVENUE_LABEL"|lmsg}<h1></td>
		            </tr>
		                    {assign var="didFirst" value=1}
		                    {assign var="class" value="first"}
		                {/if}

		            <tr class="{$class}">
		                <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
		                {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
		                <td>{translate key=$tkey}</td>
		                <td align="right">{$Data.total|getAmount:$currencyID}</td>
		                <td align="right">{$Data.ytdtotal|getAmount:$currencyID}</td>
		            </tr>
		            {/foreach}
		            <tr class="total">
		                <td colspan="2"><h1><i>{"TRANS_REVENUE_TOTALS"|lmsg}</i></h1></td>
		                <td align="right">{$totalsData|getAmount:$currencyID}</td>
		                <td align="right">{$ytdTotalsData|getAmount:$currencyID}</td>
		            </tr>

		            {* ------------------------------------------------------------- *}

		            {* ------------------------ OTHER REV -------------------------- *}

		            {assign var="didFirst" value=0}
		            {assign var="loopData" value=$totals.otherRev}
		            {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.otherRev}
		            {assign var="ytdTotalsData" value=$ledgerTypeTotals.$currencyID.ytdotherRev}

		            {foreach key="i" item="Data" from=$loopData}
		                {assign var="accountid" value=$Data.accountInfo.ledgerAccountID}
		                {if $didFirst}
		                    {assign var="class" value=""}
		                {else}
		            <tr class="first">
		                <td colspan="4"><h1>{"TRANS_OTHER_REVENUE_LABEL"|lmsg}<h1></td>
		            </tr>
		                    {assign var="didFirst" value=1}
		                    {assign var="class" value="first"}
		                {/if}

		            <tr class="{$class}">
		                <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
		                {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
		                <td>{translate key=$tkey}</td>
		                <td align="right">{$Data.total|getAmount:$currencyID}</td>
		                <td align="right">{$Data.ytdtotal|getAmount:$currencyID}</td>
		            </tr>
		            {/foreach}

		            <tr class="total">
		                <td colspan="2"><h1><i>{"TRANS_OTHER_REVENUE_TOTALS"|lmsg}</i></h1></td>
		                <td align="right">{$totalsData|getAmount:$currencyID}</td>
		                <td align="right">{$ytdTotalsData|getAmount:$currencyID}</td>
		            </tr>

		            {* ------------------------------------------------------------- *}

		            <tr class="first alt1">
		                <td colspan="2" align="right"><h1>{"TRANS_GROSS_PROFIT"|lmsg}</h1></td>
		                <td align="right">{$ledgerTypeTotals.$currencyID.revenue+$ledgerTypeTotals.$currencyID.otherRev|getAmount:$currencyID}</td>
		                <td align="right">{$ledgerTypeTotals.$currencyID.ytdrevenue+$ledgerTypeTotals.$currencyID.ytdotherRev|getAmount:$currencyID}</td>
		            </tr>

		            {* ------------------------ COGS ------------------------------- *}

		            {assign var="didFirst" value=0}
		            {assign var="loopData" value=$totals.cogs}
		            {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.cogs}
		            {assign var="ytdTotalsData" value=$ledgerTypeTotals.$currencyID.ytdcogs}

		            {foreach key="i" item="Data" from=$loopData}
		                {assign var="accountid" value=$Data.accountInfo.ledgerAccountID}
		                {if $didFirst}
		                    {assign var="class" value=""}
		                {else}
		            <tr class="first">
		                <td colspan="4"><h1>{"TRANS_COGS_LABEL"|lmsg}<h1></td>
		            </tr>
		                    {assign var="didFirst" value=1}
		                    {assign var="class" value="first"}
		                {/if}

		            <tr class="{$class}">
		                <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
		                {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
		                <td>{translate key=$tkey}</td>
		                <td align="right">{$Data.total|getAmount:$currencyID}</td>
		                <td align="right">{$Data.ytdtotal|getAmount:$currencyID}</td>
		            </tr>
		            {/foreach}

		            <tr class="total">
		                <td colspan="2"><h1><i>{"TRANS_COGS_TOTALS"|lmsg}</i></h1></td>
		                <td align="right">{$totalsData|getAmount:$currencyID}</td>
		                <td align="right">{$ytdTotalsData|getAmount:$currencyID}</td>
		            </tr>

		            {* ------------------------------------------------------------- *}

		            {* ------------------------ EXPENSE ---------------------------- *}

		            {assign var="didFirst" value=0}
		            {assign var="loopData" value=$totals.expense}
		            {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.expense}
		            {assign var="ytdTotalsData" value=$ledgerTypeTotals.$currencyID.ytdexpense}

		            {foreach key="i" item="Data" from=$loopData}
		                {assign var="accountid" value=$Data.accountInfo.ledgerAccountID}
		                {if $didFirst}
		                    {assign var="class" value=""}
		                {else}
		            <tr class="first">
		                <td colspan="4"><h1>{"TRANS_EXPENSE_LABEL"|lmsg}<h1></td>
		            </tr>
		                    {assign var="didFirst" value=1}
		                    {assign var="class" value="first"}
		                {/if}

		            <tr class="{$class}">
		                <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
		                {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
		                <td>{translate key=$tkey}</td>
		                <td align="right">{$Data.total|getAmount:$currencyID}</td>
		                <td align="right">{$Data.ytdtotal|getAmount:$currencyID}</td>
		            </tr>
		            {/foreach}

		            <tr class="total">
		                <td colspan="2"><h1><i>{"TRANS_EXPENSE_TOTALS"|lmsg}</i></h1></td>
		                <td align="right">{$totalsData|getAmount:$currencyID}</td>
		                <td align="right">{$ytdTotalsData|getAmount:$currencyID}</td>
		            </tr>

		            {* ------------------------------------------------------------- *}

		            {* ------------------------ OTHER EXPENSE ---------------------- *}

		            {assign var="didFirst" value=0}
		            {assign var="loopData" value=$totals.otherExp}
		            {assign var="totalsData" value=$ledgerTypeTotals.$currencyID.otherExp}
		            {assign var="ytdTotalsData" value=$ledgerTypeTotals.$currencyID.ytdotherExp}

		            {foreach key="i" item="Data" from=$loopData}
		                {assign var="accountid" value=$Data.accountInfo.ledgerAccountID}
		                {if $didFirst}
		                    {assign var="class" value=""}
		                {else}
		            <tr class="first">
		                <td colspan="4"><h1>{"TRANS_OTHER_EXPENSE_LABEL"|lmsg}<h1></td>
		            </tr>
		                    {assign var="didFirst" value=1}
		                    {assign var="class" value="first"}
		                {/if}

		            <tr class="{$class}">
		                <td>{$ledgerAccounts.$accountid.ledgerAccountNumber}</td>
		                {assign var="tkey" value=$ledgerAccounts.$accountid.ledgerAccountTransKey}
		                <td>{translate key=$tkey}</td>
		                <td align="right">{$Data.total|getAmount:$currencyID}</td>
		                <td align="right">{$Data.ytdtotal|getAmount:$currencyID}</td>
		            </tr>
		            {/foreach}

		            <tr class="total">
		                <td colspan="2"><h1><i>{"TRANS_OTHER_EXPENSE_TOTALS"|lmsg}</i></h1></td>
		                <td align="right">{$totalsData|getAmount:$currencyID}</td>
		                <td align="right">{$ytdTotalsData|getAmount:$currencyID}</td>
		            </tr>

		            {* ------------------------------------------------------------- *}

		            <tr class="first alt1">
		                <td colspan="2" align="right"><h1>{"TRANS_NET_PROFIT"|lmsg}</h1></td>
		                <td align="right">{$ledgerTypeTotals.$currencyID.total|getAmount:$currencyID}</td>
		                <td align="right">{$ledgerTypeTotals.$currencyID.ytdtotal|getAmount:$currencyID}</td>
		            </tr>


		        </table>
		</fieldset>
		{/foreach}

	</td>
</tr>
</table>

