{* $Id: ShowCerts.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of cert records.
 *
 * Smarty Variables:
 *	$certs (array of packages that match input criteria)
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Michael Fountain
 *}
{strip}
{/strip}
{assign var="filterArgs" value="packageStatus=$packageStatus&cycleID=$cycleID"}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_DOMAINS', 'TRANS_SHOW_DOMAINS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_SHOW_DOMAINS"
	sideNavMajor="clients"}

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
<tr>
	<td colspan="7" onmouseover="this.style.cursor='hand'" onclick="{strip} {section name=iter loop=$certs} 
		XKtoggle('row_{$certs[iter].certID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {"TRANS_ADDITIONAL_DATA"|lmsg}
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_ID" sortColumn="certID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_CLIENT" sortColumn="clientLastName"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_DOMAIN" sortColumn="domainName"}
	{include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerName="TRANS_PRICE" sortColumn="packagePrice"}
	{include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" headerName="TRANS_CERT_RENEW_SINGLE" sortColumn="packageDateNextRenewal"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" filterName="TRANS_CYCLE" filterColumn="cycleID" filterOptions="$cyclesArray"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" filterName="TRANS_STATUS" filterColumn="packageStatus" filterOptions="$packageStatuses"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{foreach from=$certs item=cert}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td onmouseover="this.style.cursor='hand'" onclick="return XKtoggle('row_{$cert.certID}');">
		<a href="#c{$cert.certID}" name="c{$cert.certID}">{$cert.certID}</a>
	</td>
	<td>
		<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$cert.clientID`"}">{$cert.contactLastName|safetyhtml}, {$cert.contactFirstName|safetyhtml}</a>
	</td>
	<td>
		{if $cert.CSRDomainName}
			{$cert.CSRDomainName|safetyhtml}
		{else}
			{"TRANS_PENDING"|lmsg}
		{/if}
	</td>
	<td align="center">
		{$cert.packagePrice|getAmount:$certs[i].currencyID}
	</td>
	<td align="center">
		{$cert.packageDateNextRenewal|getDate:medium}
	</td>
	<td align="center">
		{$cert.cycleID|getArrayValueByID:$cycleList}
	</td>
	<td align="center">
		{$cert.packageStatus|getArrayValueByID:$packageStatuses}
	</td>
	<td align="center">
		{strip}
		<a href="{getHREF page="certs.php" actionName="ShowCertDetails" args="certID=`$cert.certID`"}">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{"TRANS_DETAILS"|lmsg}" title="{"TRANS_DETAILS"|lmsg}" />
		</a>
		&nbsp;
		<a href="{getHREF page="certs.php" actionName="OrderCertCSRRequest" args="certID=`$cert.certID`"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
		</a>
		&nbsp;
		<a href="{getHREF page="certs.php" actionName="RemoveCert" args="certID=`$cert.certID`"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{"TRANS_REMOVE"|lmsg}" title="{"TRANS_REMOVE"|lmsg}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$cert.certID}">
<tr>
	<td colspan="8" class="althover">
		more args here
		<script type="text/JavaScript">XKtoggle('row_{$cert.certID}');</script>
	</td>
</tr>
</tbody>

{foreachelse}
<tr class="alt1">
	<td colspan="8">{"TRANS_NORESULTS"|lmsg}</td>
</tr>
{/foreach}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{* include file="$tplDirectory/widgets/advancedDisplayOptions.tpl" filterName="TRANS_STATUS" filterColumn="packageActive" filterOptions="$activeInactive" *}
{include file="$tplDirectory/footer.tpl"}
