{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_CLIENTS', 'TRANS_EDIT');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl"
	client=$client suppressEditLink=1 suppressDeleteLink=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="{getFormAction controller="clients"}">
<input type="hidden" name="act" value="{getActionID action="EditClientResponse"}" />
<input type="hidden" name="clientID" value="{$formValues.clientID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{"TRANS_CLIENT_DETAILS_LEGEND"|lmsg}</legend>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
{********* TRANS_CLIENT_DETAILS *********}
<tr>
	<td class="title"><label for="clientID">{"TRANS_CLIENTID"|lmsg}</label></td>
	<td><strong>{$formValues.clientID}</strong></td>
</tr>
<tr {if $invalid.clientActive}class="highlight"{/if}>
	<td class="title"><label for="clientActive">{"TRANS_IS_ARCHIVED_OPTION"|lmsg}</label></td>
	<td>
		<strong>{$formValues.clientActive|getStatusName:"archived"}</strong>
		&nbsp;
		[{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="EditClientArchiveState"
			args="clientID=`$formValues.clientID`"
			altText="TRANS_EDIT"
			linkText="TRANS_EDIT"}]
	</td>
</tr>
<tr {if $invalid.clientCompany}class="highlight"{/if}>
	<td class="title"><label for="clientCompany">{"TRANS_COMPANY_NAME"|lmsg}</label></td>
	<td><input style="width:200px;" maxlength="100" type="text" id="clientCompany" name="clientCompany" value="{$formValues.clientCompany|safetyhtml}" /> {$invalid.clientCompany}</td>
</tr>
<tr {if $invalid.countriesID}class="highlight"{/if}>
	<td class="title"><label for="clientType">{"TRANS_CUSTOMER_TYPE_OPTION"|lmsg}</label></td>
	<td><select style="width:200px;" id="clientType" id="clientType" name="clientType"> {html_options options=$clientTypes selected=$formValues.clientType} </select> {$invalid.clientType}</td>
</tr>
{* Theme choosing is disabled
<tr {if $invalid.themeID}class="highlight"{/if}>
	<td class="title"><label for="themeID">{"TRANS_DEFAULT_THEME"|lmsg}</label></td>
	<td><select style="width:200px;" id="themeID" name="themeID"> {html_options options=$themeList selected=$formValues.themeID} </select> {$invalid.themeID}</td>
</tr>
*}
<tr {if $invalid.skinID}class="highlight"{/if}>
	<td class="title"><label for="skinID">{"TRANS_SKIN"|lmsg}</label></td>
	<td><select style="width:200px;" id="skinID" name="skinID"> {html_options options=$skinList selected=$formValues.skinID} </select> {$invalid.skinID}</td>
</tr>
</table>
</fieldset>
{********* TRANS_CLIENT_STATUS *********}
<fieldset>
<legend>{"TRANS_CLIENT_STATUS"|lmsg}</legend>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr {if $invalid.clientStatus}highlight{else}{cycle values="alt1,alt2" reset=true}{/if}">
	<td class="title"><label for="clientStatus">{"TRANS_CURRENT_CLIENT_STATUS"|lmsg}</label></td>
	<td>
		<select style="width:200px;" id="clientStatus" name="clientStatus">
			{html_options options=$statusList selected=$formValues.clientStatus}
		</select>
		<div class="hint">{"TRANS_CURRENT_STATUS_CHANGING"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.clientStatusReason}class="highlight"{/if}>
	<td class="title"><label for="clientStatusReason">{"TRANS_STATUS_CHANGE_REASON"|lmsg}</label></td>
	<td><textarea style="width:200px;" id="clientStatusReason" id="clientStatusReason" maxlength="255" cols="35" rows="2" name="clientStatusReason"> {$formValues.clientStatusReason|escape:html}</textarea> {$invalid.clientStatusReason}</td>
</tr>
</table>
</fieldset>
{********* TRANS_CLIENT_STATUS *********}
<fieldset>
<legend>{"TRANS_BILLING_AND_TAX_SETTINGS"|lmsg}</legend>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr {if $invalid.clientBillingDay}class="highlight"{/if}>
	<td class="title"><label for="clientBillingDay">{"TRANS_BILLING_DAY_OF_MONTH"|lmsg}</label></td>
	<td>
		<select style="width:200px;" id="clientBillingDay" name="clientBillingDay">
			{html_options options=$billingDays selected=$formValues.clientBillingDay}
		</select>
	 	{$invalid.clientBillingDay}
		<div class="hint">{"TRANS_BILLING_DAY_EXPLAINED"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.countriesID}class="highlight"{/if}>
	<td class="title"><label for="countriesID">{"TRANS_BILLING_COUNTRY"|lmsg}</label></td>
	<td><select style="width:200px;" id="countriesID" id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select> {$invalid.countriesID}</td>
</tr>
<tr>
	<td class="title"><label for="defaultBillingAccountID">{"TRANS_DEFAULT_BILLING_METHOD"|lmsg}</label></td>
	<td><select id="defaultBillingAccountID" name="defaultBillingAccountID">
		{html_options options=$selectableBillingAccounts selected=$client.defaultBillingAccountID}
	</select></td>
</tr>
<tr {if $invalid.applyTax}class="highlight"{/if}>
	<td class="title"><label for="applyTax">{"TRANS_IS_TAXABLE"|lmsg}</label></td>
	<td>
		<input type="radio" name="applyTax" value="1" {if $formValues.applyTax=="1"}checked="checked"{/if} />
		{"TRANS_YES"|lmsg}
		&nbsp;
		<input type="radio" name="applyTax" value="0" {if $formValues.applyTax!="1"}checked="checked"{/if} />
		{"TRANS_NO"|lmsg}
		<div class="hint">{"TRANS_IS_TAXABLE_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.taxIDNumber}class="highlight"{/if}>
	<td class="title"><label for="taxIDNumber">{"TRANS_TAX_ID_NUMBER"|lmsg}</label></td>
	<td>
		<input style="width:200px;" maxlength="50" id="taxIDNumber" type="text" name="taxIDNumber" value="{$formValues.taxIDNumber|safetyhtml}" /> {$invalid.taxIDNumber}
		<div class="hint">{"TRANS_TAX_ID_NUMBER_DESC"|lmsg}</div>
	</td>
</tr>
<tr class="listButtons">
	<td colspan="2"><div>
		<input class="submit" type="submit" name="submit" value="{"TRANS_SAVE"|lmsg}" />
		&nbsp;
		<input class="reset" type="reset" value="{"TRANS_RESET"|lmsg}" />
	</div></td>
</tr>
</table>
</fieldset>

</form>

<br />

{include file="$tplDirectory/footer.tpl"}
