{* $Id: MergeClient.tpl 12675 2008-02-22 21:51:39Z kbailey $
 * --------------------------------------------------------------
 * Author: Kris Bailey
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_MERGE_CLIENT', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_MERGE_CLIENT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{if $stopMerging}
	<div class="msgError"><span class="title">{"TRANS_ERROR"|lmsg}</span>
		&nbsp;{$smarty.const.$stopMergingReason}
	</div>
{/if}

<fieldset>
<legend>{"TRANS_MERGING_CLIENTS"|lmsg}</legend>

{if !$mergeClient.clientID}
	<div class="msgWarning">{"TRANS_INVALID_MERGE_CLIENT_ID"|lmsg}</div><br />
{elseif !$masterClient.clientID}
	<div class="msgWarning">{"TRANS_INVALID_MASTER_CLIENT_ID"|lmsg}</div><br />
{else}

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr>
			<td class="title"><strong>{"TRANS_MERGE_CLIENT_SECONDARY_OPTION"|lmsg}</strong></td>
			<td>{$mergeClient.clientID}</td>
			<td style="white-space: nowrap;"><img src="{$imageDirectory}/flags/flag-{$mergeClient.countriesISO2|safetyhtml}.gif" style="vertical-align:middle;border-style:none;" /> {$mergeClient.countriesISO2|safetyhtml}</td>
			<td>{if $mergeClient.clientCompany}{$mergeClient.clientCompany|safetyhtml}, {/if}
				{$mergeClient.contactLastName|safetyhtml}, {$mergeClient.contactFirstName|safetyhtml}
			</td>
			<td>{$mergeClient.contactEmail|safetyhtml}</td>
			<td>{$mergeClient.contactPhone1|safetyhtml}</td>
		</tr>
	
		<tr>
			<td class="title"><strong>{"TRANS_CLIENT_TO_MERGE_WITH"|lmsg}</strong></td>
			<td>{$masterClient.clientID}</td>
			<td style="white-space: nowrap;"><img src="{$imageDirectory}/flags/flag-{$masterClient.countriesISO2|safetyhtml}.gif" style="vertical-align:middle;border-style:none;" /> {$masterClient.countriesISO2|safetyhtml}</td>
			<td>{if $masterClient.clientCompany}{$masterClient.clientCompany|safetyhtml}, {/if}
				{$masterClient.contactLastName|safetyhtml}, {$masterClient.contactFirstName|safetyhtml}
			</td>
			<td>{$masterClient.contactEmail|safetyhtml}</td>
			<td>{$masterClient.contactPhone1|safetyhtml}</td>
		</tr>
		<tr>
			<td colspan="6">
				<br />{"TRANS_CLIENT_TO_MERGE_WITH_WILL_BE_ONE_LEFT_OVER"|lmsg}<br />
			</td>
		</tr>
		<tr class="listButtons">
			<td colspan="6"><div>
				<input type="button" class="button" value="{"TRANS_CANCEL_MERGE"|lmsg}" onclick="history.go(-1);" /> 
				{if ! $stopMerging}
				<input type="button" class="button" value="{"TRANS_CONTINUE_AND_PROCESS_MERGE"|lmsg}" onclick="document.location.href='{getBaseUrl page="clients.php" actionName="MergeClientResponse"}&sid={$sid}&mergeClientID={$mergeClient.clientID}&masterClientID={$masterClient.clientID}';" />
				{/if}
			</div></td>
		</tr>
	
	</table>

{/if}

</fieldset>

{include file="$tplDirectory/footer.tpl"}
