{include file="$tplDirectory/header.tpl"
	parentName=$parentName
	childName=$childName
	grandchildName=$grandchildName
	sideNavMajor=$sideNavMajor
	sideNavMinor=$sideNavMinor}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{if $editForm.fields.encryptionAgree.fieldValue == "agree"}
	{assign var="enabled" value=1}
{else}
	{assign var="enabled" value=0}
{/if}

{if $enabled && $isLekEnabled}
	{assign var="lek_enabled" value=1}
	{assign var="passphrase_enabled" value=0}
{else}
	{assign var="lek_enabled" value=0}
	{assign var="passphrase_enabled" value=1}
{/if}

<form method="post" action="{getFormAction controller="configs"}" enctype="multipart/form-data">
<div>
	<input type="hidden" name="act" value="{getActionID action="EditEncryptionConfigsConfirm"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="neededCypherType" value="modernbill51" />
	<input type="hidden" name="command" value=""/>
</div>
<fieldset>
	<legend>{"TRANS_GENERAL_ENCRYPTION_SETTINGS"|lmsg}</legend>
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tbody>
	<tr>
		<td class="title" style="white-space:normal;">
			<label for="encryption_agree">{"TRANS_ENABLE_ENCRYPTION"|lmsg}</label>
			<span class="required">*</span>
		</td>
		<td>
			<input name="encryption_agree" value="{$editForm.fields.encryptionAgree.fieldValue}" /></br>
			<span class="hint">{"TRANS_MODERNBILL_SUPPORTS_LEK_MSG"|lmsg}</span>
		</td>
	</tr>
	<tr>
		<td class="title" style="white-space:normal;">
			<label for="encryption_key_expiration_interval">{"TRANS_ENCRYPTION_KEY_EXPIRATION_INTERVAL_OPTION"|lmsg}</label>
		</td>
		<td>
			{if 0 == $encryption_key_expiration_interval}
				{assign var="value" value=""}
				{assign var="disabled" value="disabled='disabled'"}
				{assign var="checked" value="checked='checked'"}
			{else}
				{assign var="value" value=$encryption_key_expiration_interval}
				{assign var="disabled" value=""}
				{assign var="checked" value=""}
			{/if}
			<input type="text" size="4" id="encryption_key_expiration_interval_text" name="encryption_key_expiration_interval" {$disabled} value="{$value}"/>&nbsp;
			<input type="checkbox" id="encryption_key_expiration_interval_checkbox" name="encryption_key_expiration_interval" {$checked} value="0" onclick="document.getElementById('encryption_key_expiration_interval_text').disabled=this.checked;"/>&nbsp;
			{"TRANS_ENCRYPTION_KEY_NEVER_EXPIRE_OPTION"|lmsg}
		</td>
	<tr>
		<td class="title" style="white-space:normal;">
			<label>{"TRANS_ENCRYPTION_KEY_AGE_OPTION"|lmsg}</label>
		</td>
		<td>
			{$encryption_key_age}
		</td>
	</tr>
	</tbody>
	</table>
</fieldset>

<br />

{if $priorCypherType && $priorCypherType != "modernbill51"}
	<fieldset>
		<legend>{"TRANS_ENCRYPTION_CYPHER_NOTICE"|lmsg}</legend>
		<input type="hidden" name="priorCypherType" value="{$priorCypherType}" />
		<p style="color: white; background-color: red; padding: .25em;">{"TRANS_CYPHER_WARNING_MSG"|lmsg}</p>
			<strong>{"TRANS_CURRENT_CYPHER"|lmsg}</strong> {$priorCypherTypeID|getTypeName:"encryption"}
			<br />
			<strong>{"TRANS_NEEDED_CYPHER"|lmsg}</strong> {$smarty.const.TRANS_MODERNBILL_5_1}
	</fieldset>
	<br />
{/if}

{if $enabled && $passphrase_enabled}
<fieldset>
	<legend>{"TRANS_OLD_PASSPHRASE"|lmsg}</legend>
 	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tbody>
		<tr>
			<td class="title">
				<label for="old_pass_phrase">{"TRANS_OLD_PASSPHRASE"|lmsg}</label>
				<span class="required">*</span>
			</td>
			<td>
				{assign var="fieldName" value="old_pass_phrase"}
				<input type="password" style="width: 200px;" id="old_pass_phrase" name="old_pass_phrase" value="" onkeyup="if (this.value!=document.getElementById('{$fieldName}_confirm').value){literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_RED_MISMATCH"|lmsg}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_GREEN_MATCH"|lmsg}';{literal}}{/literal}" /><br/>
				<span class="hint" style="color:red">{"TRANS_PASSPHRASE_NEEDED_FOR_REENCRYPTION"|lmsg}</span>
			</td>
		</tr>
		<tr>
			<td class="title">
				<label for="old_pass_phrase_confirm">{"TRANS_OLD_PASSPHRASE_CONFIRM"|lmsg}</label>
				<span class="required">*</span>
			</td>
			<td>
				<input type="password" style="width: 200px;" id="old_pass_phrase_confirm" name="old_pass_phrase_confirm" value="" onkeyup="if (this.value!=document.getElementById('{$fieldName}').value){literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_RED_MISMATCH"|lmsg}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_GREEN_MATCH"|lmsg}';{literal}}{/literal}" />
				<span id="{$fieldName}_confirm_status"></span>
			</td>
		</tr>
		</tbody>
	</table>
	</fieldset>
	<br />
{/if}

{if $enabled && $lek_enabled}
<fieldset>
	<legend>{"TRANS_OLD_LEK_HASH"|lmsg}</legend>
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
			<tbody>
	        	<tr>
					<td class="title">
						<label for="old_lek">{"TRANS_OLD_LEK_HASH"|lmsg}</label>
						<span class="required">*</span>
					</td>
                    <td>
						<input type="password" style="width: 200px;" id="old_lek" name="old_lek" value=""/><br/>
						<span class="hint" style="color:red">{"TRANS_LEK_NEEDED_FOR_REENCRYPTION"|lmsg}</span>
                    </td>
				</tr>
				</tbody>
		</table>
</fieldset>
<br />
{/if}


<fieldset>
        <legend>{"TRANS_ENCRYPTION_MODE_OPTION"|lmsg}</legend>
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr>
		<td colspan="2">
			<!-- Enable this mode if nothing is selected (first time) or of LEK is activated -->
			<input id="encryption_mode_lek" name="encryption_mode" value="lek" type="radio" {if !$enabled || $lek_enabled}checked="checked" {/if} onclick="ChangeEncryptionMode('lek');"/>
			<label for="encryption_mode_lek">{"TRANS_LOCAL_ENCRYPTION_KEY"|lmsg}</label>
			<p class="hint">{"TRANS_LEK_DESC"|lmsg}</p>
			{assign var="fieldName" value="lek_pin"}
			<table width="100%" class="list" id="lek_settings" {if $enabled && !$lek_enabled}style="display:none;" {/if}>
				<tbody>
				<tr>
					<td class="title">
						<label for="lek_pin">{"TRANS_LEK_PIN"|lmsg}</label>
						<span class="required">*</span>
					</td>
					<td>
						<input type="password" size="4" id="lek_pin" name="lek_pin" value="{$editForm.fields.lekPin.fieldValue}" onkeyup="if (this.value!=document.getElementById('{$fieldName}_confirm').value){literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_RED_MISMATCH"|lmsg}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_GREEN_MATCH"|lmsg}';{literal}}{/literal}" /></br>
						<span class="hint">{"TRANS_LEK_PIN_OPTION_DESC"|lmsg}</span>
					</td>
				</tr>
				<tr>
					<td class="title">
						<label for="lek_pin_confirm">{"TRANS_LEK_PIN_CONFIRM"|lmsg}</label>
						<span class="required">*</span>
					</td>
					<td>
						<input type="password" size="4" id="lek_pin_confirm" name="lek_pin_confirm" value="{$editForm.fields.lekPinConfirm.fieldValue}" onkeyup="if (this.value!=document.getElementById('{$fieldName}').value){literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_RED_MISMATCH"|lmsg}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_GREEN_MATCH"|lmsg}';{literal}}{/literal}" />
						<span id="{$fieldName}_confirm_status"></span>
					</td>
				</tr>
						
			{if $isMasterAdmin}
				<tr><td colspan="2"><p class="hint">{"TRANS_ENCRYPTION_LEK_BACKUP_MASTER_ADMIN_DESC"|lmsg}</p></td></tr>
				<tr>
					<td class="title">
						<label for="firstLekBackupOperatorID">{"TRANS_ENCRYPTION_LEK_BACKUP_FIRST_OPERATOR_OPTION"|lmsg}</label>
					</td>
					<td>
						<select name="firstLekBackupOperatorID">{html_options options=$lekBackupOperators selected=$firstLekBackupOperatorID}</select>
						&nbsp;{"TRANS_ENCRYPTION_LEK_BACKUP_LAST_DATE"|lmsg}&nbsp;{$firstLekBackupDate}</br>
						<span class="hint">{"TRANS_ENCRYPTION_LEK_BACKUP_FIRST_OPERATOR_OPTION_DESC"|lmsg}</span>
					</td>
				</tr>
				<tr>
					<td class="title">
						<label for="secondLekBackupOperatorID">{"TRANS_ENCRYPTION_LEK_BACKUP_SECOND_OPERATOR_OPTION"|lmsg}</label>:
					</td>
					<td>
						<select name="secondLekBackupOperatorID">{html_options options=$lekBackupOperators selected=$secondLekBackupOperatorID}</select>
						&nbsp;{"TRANS_ENCRYPTION_LEK_BACKUP_LAST_DATE"|lmsg}&nbsp;{$secondLekBackupDate}</br>
						<span class="hint">{"TRANS_ENCRYPTION_LEK_BACKUP_SECOND_OPERATOR_OPTION_DESC"|lmsg}</span>
					</td>
				</tr>
			{/if}
			{if $isLekBackupOperator}
				<tr><td colspan="2"><p>{"TRANS_ENCRYPTION_LEK_BACKUP_BACKUP_OPERATOR_DESC"|lmsg}</p></td></tr>
				<tr>
					<td class="title">
						<input type="submit" value="{'TRANS_ENCRYPTION_LEK_BACKUP_BUTTON'|lmsg}" class="submit" onclick="form['command'].value = 'backup'; return true;">
					</td>
					<td>
					</td>
				</tr>
				<tr>
					<td class="title">
						<input type="submit" value="{'TRANS_ENCRYPTION_LEK_RESTORE_BUTTON'|lmsg}" class="submit" onclick="form['command'].value = 'restore'; return true;">
					</td>
					<td>
						<label for="lekBackupPin">{"TRANS_ENCRYPTION_LEK_RESTORE_LEK_PIN_OPTION"|lmsg}</label>
						<input type="password" size="4" name="lekBackupPin" value=""/>
						&nbsp;
						<label for="lekBackupFile">{"TRANS_ENCRYPTION_LEK_RESTORE_LEK_OPTION"|lmsg}</label>
						<input type="file" value="" name="lekBackupFile">
					</td>
				</tr>
			{/if}
				<tr><td colspan="2"><br/></td></tr>
				</tbody>
			</table>
			
		</td>
	</tr>
	</table>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr>
		<td colspan="2">
			{assign var="fieldName" value="pass_phrase"}
			<!-- eneble this mode only if it's explicitely selected -->
			<input id="encryption_mode_passphrase" name="encryption_mode" value="passphrase" type="radio" {if $enabled && $passphrase_enabled}checked="checked" {/if} onclick="ChangeEncryptionMode('passphrase');"/>
			<label for="encryption_mode_passphrase">{$smarty.const.TRANS_PASSPHRASE2}</label><br/>
			<p class="hint">{"TRANS_PASSPHRASE_DESC"|lmsg}</p>
			<table width="100%" class="list" id="passphrase_settings" {if !$enabled || !$passphrase_enabled}style="display:none;" {/if}>
				<tbody>
				<tr>
					<td class="title">
						<label for="pass_phrase">{"TRANS_PASSPHRASE"|lmsg}</label>
						<span class="required">*</span>
					</td>
					<td>
						<input type="password" style="width: 200px;" id="pass_phrase" name="pass_phrase" value="{$editForm.fields.passPhrase.fieldValue}" onkeyup="if (this.value!=document.getElementById('{$fieldName}_confirm').value){literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_RED_MISMATCH"|lmsg}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_GREEN_MATCH"|lmsg}';{literal}}{/literal}" />
					</td>
				</tr>
				<tr>
					<td class="title">
						<label for="pass_phrase_confirm">{"TRANS_PASSPHRASE_CONFIRM"|lmsg}</label>
						<span class="required">*</span>
					</td>
					<td>
						<input type="password" style="width: 200px;" id="pass_phrase_confirm" name="pass_phrase_confirm" value="{$editForm.fields.passPhraseConfirm.fieldValue}" onkeyup="if (this.value!=document.getElementById('{$fieldName}').value){literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_RED_MISMATCH"|lmsg}';{literal}}{/literal}else{literal}{{/literal}document.getElementById('{$fieldName}_confirm_status').innerHTML='{"TRANS_GREEN_MATCH"|lmsg}';{literal}}{/literal}" />
						<span id="{$fieldName}_confirm_status"></span>
					</td>
				</tr>
				</tbody>
			</table>
		</td>
	</tr>
	</table>
	<br />
	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr class="listButtons">
		<td><div>
			<input class="submit" type="submit" value="{"TRANS_SUBMIT_CHANGES"|lmsg}" onclick="form['command'].value = ''; return true;"/>
		</div></td>
	</tr>
	</table>
</fieldset>
<br />

</form>

<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
{literal}
function ChangeEncryptionMode(mode)
{
	switch(mode) {
		case "lek" :
			jQuery('#lek_settings').show();
			jQuery('#passphrase_settings').hide();
			break;
		case "passphrase" :
			jQuery('#lek_settings').hide();
			jQuery('#passphrase_settings').show();
			break;
	}
}
{/literal}
// ]]>
</script>

{include file="$tplDirectory/footer.tpl"}


