{if $warningHide == 0}
<div id="dashboard-system-setup-warning" class="msg-box msg-warning"><div><div><div><div><div>
	<div class="msg-content">
		<span onclick="hideSystemSetupWarning()" class="close"></span>{"TRANS_DASHBOARD_SYSTEM_SETUP_PANEL_DESC"|lmsg}
	</div>
</div></div></div></div></div></div>
{/if}
<table class="system-setup-panel" border="0" cellpadding="0" cellspacing="0" width="100%">
	<tbody>
		<tr>
                        <td class="setup-name">
                                <span>{"TRANS_ENCRYPTION_SETTINGS"|lmsg}</span>
                        </td>
                        <td class="icon">
                                {if "not-configured" == $encryption.status}
                                        <img src="{$skinDirectory}/images/icons/small/ok-grey.gif">
                                {else}
                                        <img src="{$skinDirectory}/icons/ok.gif">
                                {/if}
                        </td>
                        <td class="setup-status">
                                {if "not-configured" == $encryption.status}
                                        <a class="link-01" href="{getHREF page='configs.php' actionName='EditEncryptionConfigs'}">{"TRANS_LINK_SET_UP"|lmsg}</a>
                                {else}
                                        <a class="link-01" href="{getHREF page='configs.php' actionName='EditEncryptionConfigs'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
                                {/if}
                        </td>
                        <td class="description">
                                <span>{"TRANS_DASHBOARD_SYSTEM_SETUP_ENCRYPTION_DESC"|lmsg}</span>
                        </td>
                </tr>
		<tr>
                        <td class="setup-name">
                                <span>{"TRANS_DASHBOARD_SYSTEM_SETUP_TAXES"|lmsg}</span>
                        </td>
                        <td class="icon">
                                {if "not-configured" == $taxes.status}
                                        <img src="{$skinDirectory}/images/icons/small/ok-grey.gif">
                                {else}
                                        <img src="{$skinDirectory}/icons/ok.gif">
                                {/if}
                        </td>
                        <td class="setup-status">
                                {if "not-configured" == $taxes.status}
                                        <a class="link-01" href="{getAdminActionUrl module='taxes' controller='index' action='add'}">{"TRANS_LINK_ADD"|lmsg}</a>
                                {else}
                                        <a class="link-01" href="{getHREF page='taxes.php' actionName='ShowTaxZoneGroups'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
                                {/if}
                        </td>
                        <td class="description">
                                <span>{"TRANS_DASHBOARD_SYSTEM_SETUP_TAXES_DESC"|lmsg}</span>
                        </td>
                </tr>
		<tr>
			<td class="setup-name">
				<span>{"TRANS_PAYMENT_GATEWAYS"|lmsg}</span>
			</td>
			<td class="icon">
				{if "not-configured" == $paymentGateways.status}
					<img src="{$skinDirectory}/images/icons/small/ok-grey.gif">
				{else}
					<img src="{$skinDirectory}/icons/ok.gif">
				{/if}
			</td>
			<td class="setup-status">
				{if "not-configured" == $paymentGateways.status}
					<a class="link-01" href="{getHREF page='paymentgateways.php' actionName='AddPaymentGateway'}">{"TRANS_LINK_ADD"|lmsg}</a>
				{else}
					<a class="link-01" href="{getHREF page='paymentgateways.php' actionName='ShowPaymentGateways' args='filter[gateway_module_type]'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
				{/if}
			</td>
			<td class="description">
				<span>{"TRANS_DASHBOARD_SYSTEM_SETUP_PAYMENT_GATEWAYS_DESC"|lmsg}</span>
			</td>
		</tr>
		<tr>
			<td class="setup-name">
				<span>{"TRANS_DOMAIN_REGISTRARS_TITLE"|lmsg}</span>
			</td>
			<td class="icon">
				{if "done" == $registrars.status}
					<img src="{$skinDirectory}/icons/ok.gif">
				{else}
					<img src="{$skinDirectory}/images/icons/small/ok-grey.gif">
				{/if}
			</td>
			<td class="setup-status">
				{if "not-configured" == $registrars.status}
					<a class="link-01" href="{getHREF page='registrars.php' actionName='AddDomainRegistrar'}">{"TRANS_LINK_ADD"|lmsg}</a>
				{else}
					<a class="link-01" href="{getHREF page='registrars.php' actionName='ShowRegistrars' args='filter[module_enabled]'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
				{/if}
			</td>
			<td class="description">
				<span>{"TRANS_DASHBOARD_SYSTEM_SETUP_DOMAIN_REGISTRARS_DESC"|lmsg}</span>
			</td>
		</tr>
		<tr>
			<td class="setup-name">
				<span>{"TRANS_DASHBOARD_SYSTEM_SETUP_FRAUD_MANAGEMENT"|lmsg}</span>
			</td>
			<td class="icon">
				{if "not-configured" == $fraud.status}
					<img src="{$skinDirectory}/images/icons/small/ok-grey.gif">
				{else}
					<img src="{$skinDirectory}/icons/ok.gif">
				{/if}
			</td>
			<td class="setup-status">
				{if "not-configured" == $fraud.status}
					<a class="link-01" href="{getHREF page='modules.php' actionName='EditFraudGuardianConfig'}">{"TRANS_LINK_SET_UP"|lmsg}</a>
				{else}
					<a class="link-01" href="{getHREF page='fraudsets.php' actionName='ShowFraudSets'}">{"TRANS_LINK_MANAGE"|lmsg}</a>
				{/if}
			</td>
			<td class="description">
				<span>{"TRANS_DASHBOARD_SYSTEM_SETUP_FRAUD_MANAGEMENT_DESC"|lmsg}</span>
			</td>
		</tr>
		<tr>
			<td colspan="4" class="all-settings">
				<a href="{getAdminActionUrl module='configs' controller='system' action='show'}">{"TRANS_DASHBOARD_SYSTEM_SETUP_ALL_SETTINGS"|lmsg}</a>
			</td>
			<!-- <td></td> -->
			<!-- <td></td> -->
			<!-- <td></td> -->
			<!-- <td></td> -->
		</tr>
	</tbody>
</table>
