{* $Id: EditDomainRenewTypeOptions.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single domain's auto-renewal options for editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainRenewType
 *
 * Author: Michael Fountain
 *}

{assign var="domainID" value=$domain.domainID}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_DOMAINS', 'TRANS_AUTO_RENEW_OPTIONS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_AUTO_RENEW_OPTIONS"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}
<hr size="1" color="#444444" />

<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></strong>

<br />

<form method="post" action="{getFormAction controller="domains"}" name="EditDomainRenewTypeOptions">
<input type="hidden" name="act" value="{getActionID action="EditDomainRenewTypeOptionsResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{"TRANS_AUTO_RENEW_OPTIONS"|lmsg}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr>
	<td class="title"><input type="checkbox" name="domainRenewType" value="1" {if $domainRenewType}checked{/if}></td>
	<td>{"TRANS_AUTO_RENEW_MSG"|lmsg}</td>
</tr>
</table>

<br />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr class="listButtons"><td><div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" /></div></td></tr>
</table>

</fieldset>

</form>

{include file="$tplDirectory/footer.tpl"}
