{* $Id: RegisterDomainConfirm.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays all of the selected domains you want to buy and
 * allows you to select the number of years each domain can be purchased for.
 *
 * Smarty Variables:
 *	$numDomainsToConfirm
 *	$buyDomains (array of domains to buy)
 *
 * Author: Michael Fountain
 *}

{assign var="domainID" value=$domain.domainID}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_DOMAINS', 'TRANS_REGISTER_NEW_DOMAIN', 'TRANS_CONFIRM');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_REGISTER_NEW_DOMAIN"
	grandchildName="TRANS_CONFIRM"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

<form method="get" action="{getFormAction}" name="RegisterDomainConfirmResponse">
<input type="hidden" name="ctr" value="domains"/>
<input type="hidden" name="act" value="{getActionID action="RegisterDomainConfirmResponse"}" />
<input type="hidden" name="configGroupID" value="{$configGroupID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{"TRANS_CONFIRM_DOMAIN_PURCHASE"|lmsg}</legend>
	
<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr class="headerRow">
			<td>{"TRANS_SELECT"|lmsg}</td>
			<td>{"TRANS_PRODUCT"|lmsg}</td>
			<td>{"TRANS_DOMAIN"|lmsg}</td>
			<td>{"TRANS_AUTORENEW"|lmsg}</td>
			<td>{"TRANS_REGLOCK"|lmsg}</td>
			<td>{"TRANS_QUANTITY"|lmsg}</td>
		</tr>
	    {section name=i loop=$buyDomains}
			{if $className=="alt2"}
			    {assign var="className" value="alt1"}
			{else}
			    {assign var="className" value="alt2"}
			{/if}
			<tr class="{cycle values="alt2,alt1"}">
	    		<td><input type="checkbox" name="buyDomains[]" value="{$buyDomains[i]}" checked/></td>
				<td>{"TRANS_REGISTER"|lmsg}</td>
	    		<td><strong>{$buyDomains[i]}</strong></td>
	    		<td>
					<select name="domainRenewType[]" style="width:50px">
					   {html_options options=$yesNo}
					</select>
	    		</td>
	    		<td>
					<select name="domainLock[]" style="width:50px">
					   {html_options options=$yesNo}
					</select>
	    		</td>
	    		<td>
					<select name="domainNumYears[]" style="width:50px">
					   {html_options values=$domainRenewYears output=$domainRenewYears selected=$domainRenewDefaultYears}
					</select>
					{"TRANS_YEARS"|lmsg}
	    		</td>
	    	</tr>
	    {/section}
	    </table>
	
	    
<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr>
	<td>
		<hr size="1" color="#444444" />
		<strong>{"TRANS_NOTE"|lmsg}</strong> {"TRANS_REGISTER_NOTE_MSG"|lmsg}
		<hr size="1" color="#444444" />
	</td>
</tr>
<tr class="listButtons">
	<td><div><input class="submit" type="submit" name="submit" value="{"TRANS_REGISTER_DOMAINS"|lmsg}" /><div></td>
</tr>
</table>

</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}
