{* $Id: RenewDomain.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single domain's registrar-lock options for editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainRegistrarLock
 *	$domainIsLockable
 *
 * Author: Michael Fountain
 *}

{assign var="domainID" value=$domain.domainID}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_DOMAINS', 'TRANS_REGISTRAR_LOCK_OPTIONS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_REGISTRAR_LOCK_OPTIONS"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}
<hr size="1" color="#444444" />

<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></strong>

<form method="post" action="{getFormAction controller="domains"}" name="RenewDomainResponse">
<input type="hidden" name="act" value="{getActionID action="RenewDomainResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{"TRANS_RENEW_DOMAIN_REGISTRATION"|lmsg}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr>
	<td class="title">{"TRANS_CURRENT_EXP_DATE"|lmsg}</td>
	<td>{$domainExpTimestamp|getDate}</td>
</tr>
<tr>
	<td class="title">{"TRANS_REGISTRATION_PRICE_PER_YEAR"|lmsg}</td>
	<td>{$domainRenewPrice|getAmount} <b class="red">*</b></td>
</tr>
<tr>
	<td class="title">{"TRANS_EXTEND_RENEW_REGISTRATION_YEARS"|lmsg}</strong></td>
	<td>
		<select name="domainYears" style="width:50px">
		   {html_options values=$domainRenewYears output=$domainRenewYears selected=$domainRenewDefaultYears}
		</select>
	</td>
</tr>
</table>

<br /><br />
<b class="red">*</b> <strong>{"TRANS_NOTE"|lmsg}</strong> {"TRANS_DOMAIN_PURCHASE_MSG"|lmsg}
<br /><br />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="listButtons"><td><div><input class="submit" type="submit" name="submit" value="{"TRANS_PURCHASE"|lmsg}" /></div></td></tr>
</table>

</fieldset>

</form>

{include file="$tplDirectory/footer.tpl"}
