{* $Id: ShowDomainDetails.tpl 7622 2006-06-19 20:37:05Z bsmith $
 * --------------------------------------------------------------
 * This template displays a single domain's details.
 *
 * Smarty Variables:
 *	$domain (array of this domain's data & this domain's client data)
 *  $capabilities (array of management options this domain's registrar is capable of)
 *       domainGetRenewDate
 *       domainContact
 *       domainRenewType
 *       domainLock
 *       domainPassword
 *       domainDNS
 *       domainLiveRenew
 *
 * Author: Michael Fountain
 *}

{assign var="domainID" value=$domain.domainID}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_DOMAINS', 'TRANS_DOMAIN_DETAILS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_DOMAIN_DETAILS"
	sideNavMajor="clients"
    sideNavMinor="domains"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain suppressEditLink=1 suppressDeleteLink=1}

<hr size="1" color="#444444" />

<fieldset>
<legend><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></legend>
{if $domainStillPending == 0}
&raquo; {"TRANS_REGISTER_DOMAIN_OPTION"|lmsg} {$domain.domainDateCreated|getDate}
<br />
&raquo; {"TRANS_DOMAIN_DATE_EXPIRES"|lmsg} {$domain.domainDateExpires|getDate}

	{if $capabilities.domainGetRenewDate}
	[<a href="{getHREF page="domains.php" actionName="SyncDomainDates" args="domainID=$domainID"}">{"TRANS_SYNCRONIZE"|lmsg}</a>]
	{/if}
	{if $capabilities.domainLiveRenew}
	[<a href="{getHREF page="domains.php" actionName="RenewDomain" args="domainID=$domainID"}">{"TRANS_DOMAIN_RENEW_OPTION"|lmsg}</a>]
	<br />
	{/if}
	<br />
	<fieldset>
	<legend>{"TRANS_DOMAIN_UTILITITES"|lmsg}</legend>
	{if $capabilities.domainContact}
	&raquo; <a href="{getHREF page="domains.php" actionName="EditDomainContactData" args="domainID=$domainID"}">{"TRANS_DOMAIN_CHANGE_CONTACT_INFO"|lmsg}</a>
	<br />
	{/if}
	{if $capabilities.domainRenewType}
	&raquo; <a href="{getHREF page="domains.php" actionName="EditDomainRenewTypeOptions" args="domainID=$domainID"}">{"TRANS_DOMAIN_CHANGE_AUTORENEW"|lmsg}</a>
	<br />
	{/if}
	{if $capabilities.domainLock}
	&raquo; <a href="{getHREF page="domains.php" actionName="EditDomainRegistrarLockOptions" args="domainID=$domainID"}">{"TRANS_DOMAIN_CHANGE_REGISTRAR_LOCK"|lmsg}</a>
	<br />
	{/if}
	{if $capabilities.domainPassword}
	&raquo; <a href="{getHREF page="domains.php" actionName="EditDomainAccessPassword" args="domainID=$domainID"}">{"TRANS_DOMAIN_CHANGE_DOMAIN_PASSWORD"|lmsg}</a>
	<br />
	{/if}
	{if $capabilities.domainDNS}
	&raquo; <a href="{getHREF page="domains.php" actionName="EditDomainDNS" args="domainID=$domainID"}">{"TRANS_DOMAIN_CHANGE_DNS"|lmsg}</a>
	<br />
	{/if}
	</fieldset>
</fieldset>
{/if}
{if $domain.packageStatus == ("work_in_progress"|get_status_id:"package") && $capabilities.domainUploadDocuments}
	&raquo; <a href="{getHREF page="domains.php" actionName="DomainUploadDocuments" args="domainID=$domainID"}">{"TRANS_REGISTRAR_RUCENTER_UPLOAD_DOCUMENTS"|lmsg}</a>
	<br />
{/if}
{include file="$tplDirectory/footer.tpl"}
