{* $Id: SyncDomainDates.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single domain's expiration date and compares
 * it to the expiration date stored in ModernBill.
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainExpTimestamp
 *
 * Author: Michael Fountain
 *}

{assign var="domainID" value=$domain.domainID}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_DOMAINS', 'TRANS_SYNC_DOMAIN_EXP_DATE', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_SYNC_DOMAIN_EXP_DATE"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}

<hr size="1" color="#444444" />

<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></strong>

<br />

<form method="post" action="{getFormAction controller="domains"}" name="SyncDomainDatesResponse">
<input type="hidden" name="act" value="{getActionID action="SyncDomainDatesResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="domainDateExpires" value="{$domainExpTimestamp}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{"TRANS_SYNC_DOMAIN_EXP_DATE"|lmsg}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr>
	<td class="title">{"TRANS_CURRENT_EXP_DATE_FOR_BILLING"|lmsg}</td>
	<td>{$domain.domainDateExpires|getDate}</td>
</tr>
<tr>
	<td class="title">{"TRANS_REGISTRAR_EXP_DATE"|lmsg}</td>
	<td>{$domainExpTimestamp|getDate}</td>
</tr>
</table>

<br />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="listButtons"><td><div><input class="submit" type="submit" name="submit" value="{"TRANS_SYNC_NOW"|lmsg}" /></div></td></tr>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}
