{* $Id: EditEmailTemplateGroup.tpl 12616 2008-02-07 00:29:39Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an email template.
 *
 * Smarty Variables:
 *	$emailTplGroup  --  An array of data found for the given email template ID.
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_EMAIL_TEMPLATE_GROUPS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_EMAILS"
	childName="TRANS_EMAIL_TEMPLATE_GROUPS"
	sideNavMajor="events"
	sideNavMinor="emails"}

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<fieldset>
<legend>{"TRANS_EDIT_EMAIL_TPL_GROUP"|lmsg}</legend>

<form method="post" action="{getFormAction controller="emails"}">
	<input type="hidden" name="act" value="{getActionID action="EditEmailTemplateGroupResponse"}" />
	<input type="hidden" name="emailTplGroupID" value="{$emailTplGroup.emailTplGroupID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<table summary="{"TRANS_EDIT_EMAIL_TPL_GROUP"|lmsg}" width="100%" class="list">
		<tr>
			<td class="title">{"TRANS_EMAIL_ACTION"|lmsg}</td>
			<td colspan="3"><select id="emailActionID" name="emailActionID" size="1">
					{html_options options=$emailActions selected=$emailTplGroup.emailActionID}
				</select></td>
		</tr>
		<tr>
			<td class="title">{"TRANS_EMAIL_TPL_GROUP_NAME"|lmsg}</td>
			<td><input type="text" name="emailTplGroupName" size="20" value="{$emailTplGroup.emailTplGroupName}" /></td>
			<td class="title">{"TRANS_EMAIL_TPL_GROUP_PRIORITY"|lmsg}</td>
			<td><select id="emailTplGroupPriority" name="emailTplGroupPriority" size="1" style="width: 40px;">
					<option label="1" value="1" {if $emailTplGroup.emailTplGroupPriority == 1}selected="selected"{/if}>1</option>
					<option label="2" value="2" {if $emailTplGroup.emailTplGroupPriority == 2}selected="selected"{/if}>2</option>
					<option label="3" value="3" {if $emailTplGroup.emailTplGroupPriority == 3}selected="selected"{/if}>3</option>
					<option label="4" value="4" {if $emailTplGroup.emailTplGroupPriority == 4}selected="selected"{/if}>4</option>
					<option label="5" value="5" {if $emailTplGroup.emailTplGroupPriority == 5}selected="selected"{/if}>5</option>
				</select> {"TRANS_EMAIL_PRIORITY_DESC"|lmsg}
			</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_EMAIL_FROM_NAME"|lmsg}</td>
			<td><input name="emailTplGroupFromName" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupFromName}" /></td>
			<td class="title">{"TRANS_EMAIL_FROM_ADDRESS"|lmsg}</td>
			<td><input name="emailTplGroupFromAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupFromAddress}" /></td>
		</tr>
		<tr>
			<td class="title">{"TRANS_EMAIL_REPLY_NAME"|lmsg}</td>
			<td><input name="emailTplGroupReplyName" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupReplyName}" /></td>
			<td class="title">{"TRANS_EMAIL_REPLY_ADDRESS"|lmsg}</td>
			<td><input name="emailTplGroupReplyAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupReplyAddress}" /></td>
		</tr>
		<tr>
			<td class="title">{"TRANS_EMAIL_CC_ADDRESS"|lmsg}</td>
			<td><input name="emailTplGroupCCAddress" type="text" size="20" maxlength="255" value="{$emailTplGroup.emailTplGroupCCAddress}" /></td>
			<td class="title">{"TRANS_EMAIL_BCC_ADDRESS"|lmsg}</td>
			<td><input name="emailTplGroupBCCAddress" type="text" size="30" maxlength="255" value="{$emailTplGroup.emailTplGroupBCCAddress}" /></td>
		</tr>
		<tr class="listButtons">
			<td colspan="4"><div>
				<input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_EMAIL_TPL_GROUP_DATA"|lmsg}" />
				<input class="reset" type="reset" name="reset" value="{"TRANS_CLEAR"|lmsg}" />
			</div></td>
		</tr>
	</table>
</form>

</fieldset>

<hr />

{assign var="emailTplGroupID" value=$emailTplGroup.emailTplGroupID}
<fieldset>
<legend>{"TRANS_EDIT_EMAIL_TEMPLATES_LION"|lmsg}</legend>
<div style="text-align:right;"><div class="rm"><a href="{getHREF page="emails.php" actionName="AddEmailTemplate" args="emailTplGroupID=$emailTplGroupID"}">{"TRANS_ADD_LOCALE"|lmsg}</a></div></div>

<table summmary="{"TRANS_EMAIL_TEMPLATES"|lmsg}" width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	<td>{"TRANS_ID"|lmsg}</td>
	<td>{"TRANS_LOCALE_LANGUAGE"|lmsg}</td>
	<td>{"TRANS_LOCALE_REGION"|lmsg}</td>
	<td>{"TRANS_SUBJECT"|lmsg}</td>
	<td>{"TRANS_ACTIONS"|lmsg}</td>
</tr>
</thead>
{section name="i" loop="$emailTemplates"}
	{assign var="emailTplID" value=$emailTemplates[i].emailTplID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">

	<td class="cursor: pointer;">
		{$emailTemplates[i].emailTplID}
	</td>
	<td class="cursor: pointer;">{$emailTemplates[i].languageName}</td>
	<td>{assign var="countryType" value=$emailTemplates[i].countryType}
	{if ($countryType==0)}
			{"TRANS_COUNTRY"|lmsg} *
		{elseif ($countryType==1)}
			{assign var="countriesID" value=$emailTemplates[i].countriesID}
			{"TRANS_COUNTRY"|lmsg} {$countryList[$countriesID]}
		{elseif ($countryType==2)}
			{assign var="regionsID" value=$emailTemplates[i].regionsID}
			{"TRANS_REGION"|lmsg} {$countryRegions[$regionsID]}
		{/if}
	</td>
	<td>{$emailTemplates[i].emailTplSubject|html_entity_encode}</td>

	<td>
		{if $previewAvailable}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="emails.php"
			actionName="PreviewEmailTemplate"
			args="emailActionID=`$emailTplGroup.emailActionID`&emailTplID=$emailTplID"
			icoImage="view"
			icoWidth=16
			icoHeight=16
			altText="TRANS_PREVIEW"
			titleText="TRANS_PREVIEW"}
		{/if}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="emails.php"
			actionName="EditEmailTemplate"
			args="emailTplID=$emailTplID"
			icoImage="edit"
			icoWidth=16
			icoHeight=16
			altText="TRANS_EDIT"
			titleText="TRANS_EDIT"}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="emails.php"
			actionName="RemoveEmailTemplate"
			args="emailTplID=$emailTplID"
			icoImage="remove"
			icoWidth=16
			icoHeight=16
			altText="TRANS_REMOVE"
			titleText="TRANS_REMOVE"}
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="5">{"TRANS_NO_EMAIL_TEMPLATES"|lmsg}</td>
</tr>
{/section}
</table>
</fieldset>
{include file="$tplDirectory/footer.tpl"}
