{* $Id: ConfirmCreditNote.tpl 10908 2007-03-26 17:21:41Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to confirm the creation of a credit note
 *
 * Smarty Variables:
 *	n/a
 *
 *}



{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_MANAGE_INVOICES', 'TRANS_CREATE_INVOICE_REVERSAL');{/php}
{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_FINANCES"
    childName="TRANS_MANAGE_INVOICES"
    grandchildName="TRANS_CREATE_INVOICE_REVERSAL"
    sideNavMajor="finances"
    sideNavMinor="invoices"
    useMenu="finances"}

{if !$creditNote.invoiceID}
	<script language="JavaScript" type="text/javascript" charset="utf-8">
	// <![CDATA[
	{literal}
	function checkReversalInvoice(){
		if (document.reversalInvoiceForm.confirmReversalInvoice.checked){
			return true;
		} else {
			alert("{/literal}{"TRANS_YOU_MUST_CONFIRM_INVOICE_REVERSAL"|lmsg|escape:javascript}{literal}");
			return false;
		}
	}
	{/literal}
	// ]]>
	</script>
	<form method="post" action="{getFormAction controller="invoices"}" name="reversalInvoiceForm" onsubmit="return checkReversalInvoice();">
	<input type="hidden" name="act" value="{getActionID action="ConfirmCreditNoteResponse"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="invoiceID" value="{$invoice.invoiceID}" />
	<fieldset>
	<legend>{"TRANS_CREDIT_NOTE_CONFIRM_QUESTION"|lmsg}</legend>

					<table border="0" class="list" width="100%">
						<tr>
							<td class="title">{"TRANS_INVOICE_NUMBER"|lmsg}</td>
							<td>{$invoice.invoiceNumber}</td>
						</tr>

						<tr>
							<td class="title">{"TRANS_INVOICE_AMOUNT"|lmsg}</td>
							<td>{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
						</tr>

						<tr>
							<td align="right" valign="top">{"TRANS_COMMENTS"|lmsg} </td>
							<td><textarea cols="35" rows="3" name="invoiceComments" ></textarea></td>
						</tr>

						<tr>
							<td class="title"></td>
							<td><input type="checkbox" value="1" name="rollbackRenewDates" checked="checked" /> {"TRANS_RESET_PACKAGE_RENEW_DATES"|lmsg}</td>
						</tr>

						<tr>
							<td class="title"></td>
							<td><input type="checkbox" value="1" name="confirmReversalInvoice" id="confirmReversalInvoice" /> {"TRANS_CONFIRM_REVERSAL_INVOICE"|lmsg}</td>
						</tr>

						<tr class="listButtons">
							<td colspan="2"><div><input class="submit" type="submit" value="{"TRANS_YES_CREATE_CREDIT_NOTE"|lmsg}">
							<input class="button" type="button" onclick="history.go(-1);" value="{"TRANS_CANCEL"|lmsg}"></div></td>
						</tr>

					</table>

	</fieldset>
	</form>

{else}

	{"TRANS_CREDIT_NOTE_ALREADY_EXISTS"|lmsg}

{/if}


{include file="$tplDirectory/footer.tpl"}
