{* $Id: ShowResendInvoice.tpl 10320 2006-12-15 19:54:15Z eradtke $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{assign var="filterArgs" value="invoiceStatus=$invoiceStatus"}
{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_MANAGE_INVOICES', 'TRANS_SHOW_INVOICES');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_INVOICES"
	grandchildName="TRANS_SHOW_INVOICES"
	sideNavMajor="finances"
	sideNavMinor="invoices"
	useMenu="finances"}

{assign var="lineItems" value=$invoice.lineItems}
<script language="javascript" type="text/javascript">
<!--
{literal}
function checkSure(url){
	if (confirm("{/literal}{"TRANS_ARE_YOU_SURE_FINALIZE"|lmsg|escape:javascript}{literal}")){
		document.location.href = url;
	}
}
function checkSure2(url){
	if (confirm("{/literal}{"TRANS_ARE_YOU_SURE_CANCEL"|lmsg|escape:javascript}{literal}")){
		document.location.href = url;
	}
}
{/literal}
//-->
</script>

{if $invoicePageLinks.1==1}
	<div style="text-align: right;">
		<strong>{"TRANS_PAGES"|lmsg}</strong>:
		{section name="i" loop=$invoicePageLinks}
			{if $page==$invoicePageLinks[i]}
				<b>{$page+1}</b>
			{else}
				<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`&page=`$invoicePageLinks[i]`"}">{$invoicePageLinks[i]+1}</a>
			{/if}
		{/section}
		&nbsp;&nbsp;&nbsp;
	</div>
{/if}

<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tr>
	<td align="right" valign="top"><strong>{"TRANS_TO"|lmsg}</strong></td>
	<td align="left" valign="top">
		<table width="100%" bgcolor="#FFFFFF">
		<tr>
			<td>
                <strong>#{$clientID}<br />
				{assign var="contactName" value="`$clientData.contactLastName`, `$clientData.contactFirstName`"}
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="clients.php"
					actionName="ShowClientDetails"
					args="clientID=`$clientData.clientID`"
					clientID=$clientData.clientID
					clientContactID=$clientData.clientContactID
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText=$contactName
					titleText=""
					linkText=$contactName
					noSpace="1"
				}
				</strong><br />
                {$contactData.contactAddress1}<br />
                {if $contactData.contactAddress2!=""}
                    {$contactData.contactAddress2}<br />
                {/if}
                {$contactData.contactCity}, {$contactData.contactState} {$contactData.contactZip}<br />
                {$contactData.contactPhone1} {if $contactData.contactPhone2!=''}- {$contactData.contactPhone2}{/if}
                {if $contactData.taxIDNumber!=''}
                <br />{"TRANS_TAX_ID_NUMBER"|lmsg} {$contactData.taxIDNumber}
                {/if}
			</td>
		</tr>
		</table>
	</td>
	<td align="right" valign="top"><strong>{"TRANS_FROM"|lmsg}</strong></td>
	<td align="left" valign="top">
		<table width="100%" bgcolor="#FFFFFF">
		<tr>
			<td>
				<strong>{$companyData.companyName}</strong><br />
				{if $companyData.companyAddress1}
					{$companyData.companyAddress1}<br />
				{/if}
                {if $companyData.companyAddress2!=""}
                    {$companyData.companyAddress2}<br />
                {/if}
                {if $companyData.companyCity!=""}
                	{$companyData.companyCity},
                	{$companyData.companyState}
                	{$companyData.companyZip}<br />
                {/if}
                {if $companyData.companyPhone1}
                {$companyData.companyPhone1} {if $companyData.companyPhone2!=''}- {$companyData.companyPhone2}{/if}
                {/if}
                {if $companyData.companyTaxIDNumber!=''}
                <br />{"TRANS_TAX_ID_NUMBER"|lmsg} {$companyData.companyTaxIDNumber}
                {/if}

			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" class="ledger1">
		<tr>
			<th scope="col">
				<strong>{"TRANS_INVOICE_NUMBER"|lmsg}</strong>
            		</th>
			<th scope="col">
            			<strong>{"TRANS_ENTERED"|lmsg}</strong>
			</th>
			<th scope="col">
				<strong>{"TRANS_DUE"|lmsg}</strong>
			</th>
			<th scope="col">
				<strong>{"TRANS_STATUS"|lmsg}</strong>
			</th>
			<th scope="col" align="right">
				<strong>{"TRANS_SUB_TOTAL"|lmsg}</strong>
			</th>
			<th scope="col" align="right">
				<strong>{"TRANS_TAX_TOTAL"|lmsg}</strong>
			</th>
			<th scope="col" align="right">
				<strong>{"TRANS_INVOICETOTAL"|lmsg}</strong>
			</th>
			<th scope="col" align="right">
				<strong>{"TRANS_AMOUNT_PAID"|lmsg}</strong>
			</th>

			<th scope="col" align="right">
				<strong>{"TRANS_AMOUNT_DUE"|lmsg}</strong>
			</th>
		</tr>

		{if $totalTax}
		{else}
			{section name="j" loop=$taxZones}
				{assign var="totalTax" value=$totalTax+$taxZones[j].taxTotal}
			{/section}
		{/if}

        <tr>
            <td>{$invoice.invoiceNumber}</td>
            <td>{$invoice.invoiceDateEntered|getDate:"short"}</td>
            <td>{$invoice.invoiceDateDue|getDate:"short"}</td>
            <td>{$invoiceStatuses[$invoice.invoiceStatus]|lmsg}
            {if $sourceInvoice.invoiceID>0}
            	<br /> {"TRANS_FOR"|lmsg}
            	<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$sourceInvoice.invoiceID`"}">{$sourceInvoice.invoiceNumber}</a>
            {/if}
            {if $creditNote.invoiceID>0}
            	<br /> {"TRANS_REVERSAL"|lmsg}
            	<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$creditNote.invoiceID`"}">{$creditNote.invoiceNumber}</a>
            {/if}
            </td>
            {assign var="subTot" value=$invoice.invoiceAmount-$totalTax}
            <td align="right">{$subTot|getAmount:$invoice.currencyID}</td>
            <td align="right">{$totalTax|getAmount:$invoice.currencyID}</td>
            <td align="right">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
            <td align="right">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
            <td align="right">{$invoice.invoiceAmountDue|getAmount:$invoice.currencyID}</td>
        </tr>

		</table>


		{if $invoice.invoiceComments}
		<br />
		<table width="100%" class="ledger1">
		<tr>
			<th>
				<strong>{"TRANS_INVOICE_COMMENTS"|lmsg}</strong>
            </th>
		</tr>

        <tr>
            <td>{$invoice.invoiceComments}</td>
        </tr>

		</table>
		{/if}

	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" bgcolor="#FFFFFF" class="ledger1">
		<tr>
            <th class="green" style="white-space: nowrap; text-align: left;">{"TRANS_PACKAGE_ID"|lmsg}</th>
			<th class="green" style="text-align:left;" colspan="2">{"TRANS_DESCRIPTION"|lmsg}</th>
			<th class="green" style="text-align:left;">{"TRANS_BEGIN"|lmsg}</th>
			<th class="green" style="text-align:left;">{"TRANS_CURRENT"|lmsg}</th>
			<th class="green" style="text-align:left;">{"TRANS_NEXT_RENEWAL"|lmsg}</th>
            <th style="text-align:left;">{"TRANS_QUANTITY_ABBR"|lmsg}</th>
            <th align="right">{"TRANS_PRICE"|lmsg}</th>
			<th align="right">{"TRANS_DISCOUNT"|lmsg}</th>
			<th align="right">{"TRANS_SETUP"|lmsg}</th>
            <th align="right">{"TRANS_SUB_TOTAL"|lmsg}</th>
			<th align="right">{"TRANS_TAX"|lmsg}</th>
			<th align="right">{"TRANS_TOTALS"|lmsg}</th>
		</tr>
        {assign var="inaddons" value="no"}
        {assign var="currencyID" value=$lineItems.0.currencyID}
		{section name="j" loop=$lineItems}
			{assign var="tpid" value=$lineItems[j].packageID}
                {if $lineItems[j].packageAddonID>0}
                    {if $inaddons=="no"}
                        {assign var="inaddons" value="yes"}
                        <tr class="alt1">
                            <td class="green" align="right"><i>{"TRANS_ADDONS"|lmsg}</i></td>
                            <td class="green" style="text-align:left;" colspan="5"><i>{"TRANS_DESCRIPTION"|lmsg}</i></td>
                            <td style="text-align:left;"><i>{"TRANS_QUANTITY_ABBR"|lmsg}</i></td>
                            <td style="text-align:right;"><i>{"TRANS_PRICE"|lmsg}</i></td>
                            <td style="text-align:right;"><i>{"TRANS_DISCOUNT"|lmsg}</i></td>
                            <td style="text-align:right;"><i>{"TRANS_SETUP"|lmsg}</i></td>
                            <td style="text-align:right;"><i>{"TRANS_SUB_TOTAL"|lmsg}</i></td>
                            <td style="text-align:right;"><i>{"TRANS_TAX"|lmsg}</i></td>
                            <td style="text-align:right;"><i>{"TRANS_TOTALS"|lmsg}</i></td>
                        </tr>
                    {/if}
                        <tr>
                            <td class="green" align="right">{$lineItems[j].packageAddonID}</td>
                            {assign var="addonID" value=$lineItems[j].packageAddonID}
                            <td class="green" style="text-align:left;" colspan="5">{$lineItems[j].lineItemDescription}
                            </td>
                            <td style="text-align:left;">{$lineItems[j].lineItemQuantity}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}
                            	{if $lineItems[j].lineItemDiscountAmount>0}
                            	<br />
                            	{"TRANS_BASIS"|lmsg} {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
                            		{if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
                            			{$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
                            		{elseif $lineItems[j].lineItemDiscount>0}
                            			{$lineItems[j].lineItemDiscount*100}%
                            		{elseif $lineItems[j].prorationDiscount>0}
                            			{$lineItems[j].prorationDiscount*100}%
                            		{/if}
                            	{/if}
                            </td>
                            <td style="text-align:right;">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                            <td style="text-align:right;">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                        </tr>


                {else}

                {if $lastLineItemID>0 && $inaddons=="yes" && $addonTotals.total.$lastLineItemID}

                <tr class="alt1 total">
                	<td colspan="9" align="right">[{$lastLineItemID}: {$lastLineItemDescription}] {"TRANS_PACKAGE_TOTALS"|lmsg} </td>
                    <td style="text-align:right;">{$addonTotals.setup.$lastLineItemID|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$addonTotals.total.$lastLineItemID-$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$addonTotals.total.$lastLineItemID|getAmount:$currencyID}</td>
                </tr>

                {/if}

                {if $lineItems[j].packageComments!=""}
                	{assign var="rowspan" value="2"}
                {else}
                	{assign var="rowspan" value="1"}
                {/if}
                {assign var="inaddons" value="no"}
                <tr class="alt1 total">
                    <td rowspan="{$rowspan}" style="text-align:left;" class="green">
						{* make the line item id hidden *}
						<!--LineItemID:{$lineItems[j].lineItemID}-->
						<strong>{include file="$tplDirectory/widgets/actionLink.tpl"
									page="packages.php"
									actionName="ShowPackageDetails"
									args="packageID=`$lineItems[j].packageID`"
									icoWidth=""
									icoHeight=""
									icoStyle=""
									packageID=$lineItems[j].packageID
									altText=$lineItems[j].packageID
									titleText=""
									linkText=$lineItems[j].packageID}</strong>
					</td>
                    <td class="green" style="text-align:left;" colspan="2">{$lineItems[j].lineItemDescription}
		    {if $domains.$tpid}
		    <br />{"TRANS_DOMAIN"|lmsg} <strong>{$domains.$tpid.domainName}</strong>
		    {/if}
		    </td>
                    <td class="green" style="text-align:left;">{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                    <td class="green" style="text-align:left;">{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                    <td class="green" style="text-align:left;">{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                    <td style="text-align:left;">{$lineItems[j].lineItemQuantity}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}
						{if $lineItems[j].lineItemDiscountAmount>0}
						<br />
						{"TRANS_BASIS"|lmsg} {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
							{if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
								{$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
							{elseif $lineItems[j].lineItemDiscount>0}
								{$lineItems[j].lineItemDiscount*100}%
							{elseif $lineItems[j].prorationDiscount>0}
								{$lineItems[j].prorationDiscount*100}%
							{/if}
						{/if}
                    </td>
                    <td style="text-align:right;">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                    <td style="text-align:right;">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                </tr>
					{if $lineItems[j].packageComments!=""}
						<tr class="alt1 total">
							<td colspan="12">{$lineItems[j].packageComments}</td>
						</tr>
					{/if}
					{assign var="lastLineItemID" value=$lineItems[j].lineItemID}
					{assign var="lastLineItemDescription" value=$lineItems[j].lineItemDescription}
                {/if}


		{/section}
				{if $lastLineItemID>0 && $inaddons=="yes" && $addonTotals.total.$lastLineItemID}

					<tr class="alt1 total">
						<td colspan="9" align="right">[{$lastLineItemID}: {$lastLineItemDescription}]  {"TRANS_PACKAGE_TOTALS"|lmsg} </td>
						<td style="text-align:right;">{$addonTotals.setup.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.total.$lastLineItemID-$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
						<td style="text-align:right;">{$addonTotals.total.$lastLineItemID|getAmount:$currencyID}</td>
					</tr>

                {/if}
		</table>
	</td>
</tr>

<tr>
    <td colspan="4" align="center">

{if $taxZones.0.taxZoneID}
        <fieldset>
            <legend>{"TRANS_TAX_ZONES"|lmsg}</legend>
        <table width="100%" class="list">
            <tr class="headerRow">
                <td>{"TRANS_TAX_ZONE_ID"|lmsg}</td>
                <td>{"TRANS_TAX_ZONE_NAME"|lmsg}</td>
                <td>{"TRANS_TAX_ZONE_DESCRIPTION"|lmsg}</td>
                <td>{"TRANS_TAX_ZONE_TYPE"|lmsg}</td>
                <td>{"TRANS_TAX_ZONE_RATE"|lmsg}</td>
                <td>{"TRANS_TAX_ZONE_TOTAL"|lmsg}</td>
            </tr>
        {section name="j" loop=$taxZones}
            {if $className=="alt1"}
                {assign var="className" value="alt2"}
            {else}
                {assign var="className" value="alt1"}
            {/if}
            <tr class="{cycle values="alt1,alt2"}">
                <td>{$taxZones[j].taxZoneID}</td>
                <td>{$taxZones[j].taxZoneName}</td>
                <td>{$taxZones[j].taxZoneDescription}</td>
                <td>{if $taxZones[j].lineItemTaxAmountType==0}
                    {"TRANS_PERCENTAGE"|lmsg}
                {else}
                    {"TRANS_SET_AMOUNT"|lmsg}
                {/if}</td>
                <td align="right">{if $taxZones[j].lineItemTaxAmountType==0}
                    {$taxZones[j].lineItemTaxAmount}%
                {else}
                    {$taxZones[j].lineItemTaxAmount|getAmount:$currencyID}
                {/if}</td>
                <td align="right">{$taxZones[j].taxTotal|getAmount:$currencyID}</td>
            </tr>
        {/section}
        </table>
        </legend>
{/if}


        {if $transactions}
        <fieldset>
            <legend>{"TRANS_TRANSACTIONS"|lmsg}</legend>
            <table width="100%" class="list">
            <tr class="headerRow">
                <td>{"TRANS_ID"|lmsg}</td>
                <td>{"TRANS_TRANSACTION_PAYMENT_METHOD"|lmsg}</td>
                <td>{"TRANS_TRANSACTION_STATUS"|lmsg}</td>
                <td>{"TRANS_TRANSACTION_CODE"|lmsg}</td>
                <td>{"TRANS_TRANSACTION_NOTES"|lmsg}</td>
                <td>{"TRANS_TRANSACTION_DATE"|lmsg}</td>
                <td>{"TRANS_TRANSACTION_GATEWAY"|lmsg}</td>
                <td>{"TRANS_TRANSACTION_AMOUNT"|lmsg}</td>
				<td>{"TRANS_ACTION"|lmsg}</td>
            </tr>
            {section name="j" loop=$transactions}
                {if $className=="alt1"}
                    {assign var="className" value="alt2"}
                {else}
                    {assign var="className" value="alt1"}
                {/if}
                <tr class="{cycle values="alt1,alt2"}">
                    <td>{$transactions[j].transactionID}</td>
                    {assign var="tkey" value=$transactions[j].transactionPaymentMethod|getArrayValueByID:$paymentMethods}
                    <td>{translate key=$tkey}</td>
                    {assign var="tkey" value=$transactions[j].authReturn|getArrayValueByID:$transactionStatuses}
                    <td>{strip}
                    {if $transactions[j].canRefund==1}
                        <div style="float: right;" class="rm"><a class="st01" href="{getHREF page="invoices.php" actionName="ProcessTransactionRefund" args="transactionID=`$transactions[j].transactionID`"}&invoiceID={$invoice.invoiceID}">{"TRANS_REFUND"|lmsg}</a></div>
                    {/if}
					{if $transactions[j].canFinalize==1}{* I added the div around the other div so it wouldnt wrap when I didn't want it to.  This width will have to be changed if you change translations. *}
                        <div style="float: right; width: 90px;">
                        <div style="float: right;" class="rm07" title="Cancel"><a class="st01" href="javascript:checkSure2('{getHREF page="invoices.php" actionName="CancelAuthTransaction" args="transactionID=`$transactions[j].transactionID`"}&invoiceID={$invoice.invoiceID}');">{"TRANS_X_CANCEL"|lmsg}</a></div>
                        <div style="float: right;">&nbsp;</div>
                        <div style="float: right;" class="rm"><a class="st01" href="javascript:checkSure('{getHREF page="paymentqueue.php" actionName="CaptureFunds" args="captureIDs[`$transactions[j].transactionID`]=y"}&invoiceID={$invoice.invoiceID}');">{"TRANS_CAPTURE"|lmsg}</a></div>
                        </div>
					{/if}{translate key=$tkey}{/strip}</td>
                    <td>{$transactions[j].transactionCode}</td>
                    <td>{$transactions[j].transactionNotes}</td>
                    <td>{$transactions[j].transactionDateCreated|getDate:short}</td>
                    {assign var="tkey" value=$transactions[j].configGroupTransKey}
                    <td>{if $tkey}{translate key=$tkey}{/if}</td>
                    <td align="right">{$transactions[j].transactionAmount|getAmount:$transactions[j].currencyID}</td>
					<td>
						{include file="$tplDirectory/widgets/actionLink.tpl"
								page="invoices.php"
								actionName="RemoveInvoiceTransaction"
								args="invoiceID=`$invoice.invoiceID`&transactionID=`$transactions[j].transactionID`"
								icoImage="remove"
								icoWidth=""
								icoHeight=""
								icoStyle=""
								altText="TRANS_REMOVE"
								titleText=""
								linkText=""
								noSpace="1"
						}
					</td>
                </tr>
            {/section}
            </table>

        </div>
        {/if}

    </td>
</tr>
</table>

<hr />

<form method="post" action="{getFormAction controller="clients"}" name="clientEmail">
	<input type="hidden" name="act" value="{getActionID action="SendClientEmailResponse"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="addClientContactIDs[]" value="{$previewInvoice.contact.clientContactID}" />
	<input type="hidden" name="clientID" value="{$previewInvoice.contact.clientID}" />
	<input type="hidden" name="invoiceID" value="{$invoice.invoiceID}"/>

	<fieldset>
	<legend>{"TRANS_INVOICE_PREVIEW"|lmsg}</legend>

	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr>
		<td class="title">{"TRANS_SUBJECT"|lmsg}</td>
		<td><input type="text" name="emailSubject" value="{$previewInvoice.subject}" /></td>
	</tr>

	<tr>
		<td colspan="2">
			{include file="$tplDirectory/widgets/showTinymce.tpl" mode="exact" elements="emailBody" useEmailTemplates=1}
			<textarea name="emailBody" id="emailBody" style="width:90%" rows="25">{$previewInvoice.html}</textarea>
		</td>
	</tr>
	<tr class="listButtons">
		<td colspan="2"><div>
	<input type="submit" class="submit" value="{"TRANS_SEND"|lmsg}" /> <input type="reset" class="button" value="{"TRANS_RESET"|lmsg}" />
		</div></td>
	</tr>
	</table>

	</fieldset>
</form><br />

{include file="$tplDirectory/footer.tpl"}
