{* $Id: EditEmailConfig.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of config groups
 *
 * Smarty Variables:
 *	$configParams (array of config group data)
 *
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_EDIT_EMAIL_OPTIONS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_EDIT_EMAIL_OPTIONS"
	sideNavMajor="system"}

{if $displaySaved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}
<script language="javascript" type="text/javascript">
//<![[CDATA][
{literal}

function methodChosen( theSelector ) {
	switch( theSelector.options[ theSelector.selectedIndex ].value ) {
	case "sendmail":
		XKtoggleOn( "brow_sendmail" );
		
		XKtoggleOff( "brow_smtp" );
		XKtoggleOff( "brow_smtpAuth" );
	break;

	case "smtp":
		XKtoggleOn( "brow_smtp" );

		XKtoggleOff( "brow_sendmail" );
	break;

	case "php":
	default:
		XKtoggleOff( "brow_sendmail" );
		XKtoggleOff( "brow_smtp" );
		XKtoggleOff( "brow_smtpAuth" );
	break;
	}

	return true;
}

function enableSMTPAuth() {
	XKtoggleOn( "brow_smtpAuth" );
}

function disableSMTPAuth() {
	XKtoggleOff( "brow_smtpAuth" );
}

{/literal}
//]]>
</script>

<form action="{getFormAction controller="modules"}" method="post">
<input type="hidden" name="act" value="{getActionID action="EditEmailConfigResponse"}" />
<input type="hidden" name="configGroupID" value="{$configGroupID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EDIT_EMAIL_OPTIONS" class="firstTD" colWidth="20%"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="&nbsp;" class="lastTD"}
</tr>
</thead>

<tr class="{if $invalid.emailMethod}highlight{/if}">
	<td class="title">{"TRANS_EMAIL_METHOD"|lmsg}</td>
	<td>
		<select name="emailMethod" onChange="javascript:methodChosen( this );">
		{html_options options=$methodsAvailable selected=$formValues.emailMethod}
		</select>
		{$invalid.emailMethod}
	</td>
</tr>

<tbody id="brow_sendmail">
<tr class="{if $invalid.emailSendmailLocation}highlight{/if}">
	<td class="title">{"TRANS_SENDMAIL_LOCATION"|lmsg}</td>
	<td><input type="text" name="emailSendmailLocation" value="{$formValues.emailSendmailLocation}" /> {$invalid.emailSendmailLocation}</td>
</tr>
</tbody>
{if $formValues.emailMethod != "sendmail"}
<script language="javascript" type="text/javascript">
//<![[CDATA][
XKtoggle( "brow_sendmail" );
//]]>
</script>
{/if}

<tbody id="brow_smtp">
<tr class="{if $invalid.emailSMTPServer}highlight{/if}">
	<td class="title">{"TRANS_SMTP_SERVER"|lmsg}</td>
	<td><input type="text" name="emailSMTPServer" value="{$formValues.emailSMTPServer}" /> {$invalid.emailSMTPServer}</td>
</tr>
<tr class="{if $invalid.emailSMTPAuth}highlight{/if}">
	<td class="title">{"TRANS_SMTP_REQUIRE_AUTH"|lmsg}</td>
	<td>
		<input type="radio" class="radio" name="emailSMTPAuth" value="1" {if $formValues.emailSMTPAuth == 1}checked="checked"{/if} onClick="javascript:enableSMTPAuth();" /> {"TRANS_YES"|lmsg}
		<input type="radio" class="radio" name="emailSMTPAuth" value="0" {if !$formValues.emailSMTPAuth}checked="checked"{/if} onClick="javascript:disableSMTPAuth();" /> {"TRANS_NO"|lmsg}
		{$invalid.emailSMTPAuth}
	</td>
</tr>
</tbody>
{if $formValues.emailMethod != "smtp"}
<script language="javascript" type="text/javascript">
//<![[CDATA][
XKtoggle( "brow_smtp" );
//]]>
</script>
{/if}

<tbody id="brow_smtpAuth">
<tr class="{if $invalid.emailSMTPUsername}highlight{/if}">
	<td class="title">{"TRANS_SMTP_USERNAME"|lmsg}</td>
	<td><input type="text" name="emailSMTPUsername" value="{$formValues.emailSMTPUsername}" /> {$invalid.emailSMTPUsername}</td>
</tr>
<tr class="{if $invalid.emailSMTPPassword}highlight{/if}">
	<td class="title">{"TRANS_SMTP_PASSWORD"|lmsg}</td>
	<td><input type="password" name="emailSMTPPassword" /> {$invalid.emailSMTPPassword}</td>
</tr>
</tbody>
{if $formValues.emailSMTPAuth != "1"}
<script language="javascript" type="text/javascript">
//<![[CDATA][
XKtoggle( "brow_smtpAuth" );
//]]>
</script>
{/if}

<tr class="listButtons">
	<td colspan="2"><div><input type="submit" class="submit" value="{"TRANS_SAVE"|lmsg}" />&nbsp;<input type="reset" class="reset" value="{"TRANS_RESET"|lmsg}" /></div></td>
</tr>

</table>
</form>

{include file="$tplDirectory/footer.tpl"}

