{if $historical}
	{assign var="title" value="TRANS_IMPORT_EXISTING_PACKAGE_TITLE"}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_IMPORT_EXISTING_PACKAGE_TITLE', '');{/php}
{else}
	{assign var="title" value="TRANS_ADD_NEW_PACKAGE_TITLE"}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_ADD_NEW_PACKAGE_TITLE', '');{/php}
{/if}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="$title"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$clientInfo suppressEditLink=1 suppressDeleteLink=1}
{include file="$tplDirectory/widgets/context/product.tpl" product=$product types=$productTypes}
{if $productType == "domain"}
	{include file="$tplDirectory/widgets/context/tld.tpl" TLD=$TLD}
{/if}
{include file="$tplDirectory/widgets/context/cycle.tpl" cycle=$cycle}

<form method="post" action="{getFormAction controller="packages"}">
<input type="hidden" name="act" value="{getActionID action="AddHistoricalPackageResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="clientID" value="{$clientID}" />
<input type="hidden" name="orderFormID" value="{$orderFormID}" />
<input type="hidden" name="productID" value="{$productID}" />
<input type="hidden" name="productVariantID" value="{$productVariantID}" />
<input type="hidden" name="cycleID" value="{$cycleID}" />
<input type="hidden" name="mode" value="{$mode}" />

<fieldset>
<legend>{if $historical}{"TRANS_IMPORT_EXISTING_PACKAGE_LEGEND"|lmsg}{else}{"TRANS_ADD_NEW_PACKAGE_LEGEND"|lmsg}{/if}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
{if $historical && $product.productStopNumCycles != 1}
	<tr {if $invalid.packageNextRenewal}class="highlight"{/if}>
		<td class="title"><label for="packageNextRenewal">{"TRANS_NEXT_RENEWAL_DATE"|lmsg}</label></td>
		<td>
			{include file="$tplDirectory/widgets/dateSelector.tpl" param="packageNextRenewal"}
		</td>
	</tr>
{/if}
<tr {if $invalid.packageStartDate}class="highlight"{/if}>
	<td class="title"><label for="packageStartDate">{"TRANS_BEGIN_RENEWAL_DATE"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/dateSelector.tpl" param="packageStartDate"}
	{if $historical}
		{"TRANS_WHEN_PACKAGE_START_DATE_OLD"|lmsg}
	{else}
		{"TRANS_WHEN_PACKAGE_START_DATE_NEW"|lmsg}
	{/if}
	</td>
</tr>

{if $associateDomain}
	<tr {if $invalid.domainName}class="highlight"{/if}>
		<td class="title"><label for="domainName">{"TRANS_SUBSCRIPTION_DOMAINS"|lmsg}</label></td>
		<td>
			{if $clientDomains}
				<select id="packageDomainID" name="packageDomainID"> <option value="">{"TRANS_OTHER"|lmsg}</option> {html_options options=$clientDomains selected=$formValues.packageDomainID} </select> {$invalid.packageDomainID}  {"TRANS_OR_ADD_MANUAL_DOMAIN"|lmsg}
			{/if}
			<input size="32" maxlength="255" type="text" id="domainName" name="domainName" value="{$formValues.domainName}" />
			{$invalid.domainName}
			{if $tldExtension}.{$tldExtension}{else}. <input style="width: 5em;" size="5" maxlength="255" type="text" id="domainTLD" name="domainTLD" value="{$formValues.domainTLD}" />{/if}
			{$invalid.domainTLD}
		</td>
	</tr>

{/if}

{if $productType == "domain"}
	<tr {if $invalid.registerDomain}class="highlight"{/if}>
		<td class="title"><label for="registerDomain">{"TRANS_REGISTER_DOMAIN_OPTION"|lmsg}</label></td>
		<td>
			{include file="$tplDirectory/widgets/dateSelector.tpl" param="registerDomain" optional="yes"}
		</td>
	</tr>
{/if}

<tr {if $invalid.billingAccountID}class="highlight"{/if}>
	<td class="title"><label for="billingAccountID">{"TRANS_BILLING_ACCOUNT_BIND_TO_SUBSCRIPTION_OPTION"|lmsg}</label></td>
	<td>
		{if $formValues.billingAccountID}
			{assign var="selectedBillingAccountID" value=$formValues.billingAccountID}
		{else}
			{assign var="selectedBillingAccountID" value=$clientInfo.defaultBillingAccountID}
		{/if}
		<select id="billingAccountID" name="billingAccountID"> <option value="">{"TRANS_NONE"|lmsg}</option> {html_options options=$clientBillingAccounts selected=$selectedBillingAccountID} </select>
		{$invalid.billingAccountID}
		<input type="checkbox" id="enableCharging" name="enableCharging" value="1" /> <label for="enableCharging">{"TRANS_CHARGE_IMMEDIATELY_IF_POSSIBLE"|lmsg}<br />{"TRANS_CHARGE_IMMEDIATELY_IF_POSSIBLE_DESC"|lmsg}</label>
	</td>
</tr>
{if $needKey>0}
	<tr>
		<td class="title"><label for="encKey">{"TRANS_ENCRYPTION_PASSPHRASE"|lmsg}</label></td>
		<td>
			<input size="15" type="password" style="width:175px;" id="encKey" name="encKey" value="{$formValues.billingCardStartDate}" />
		</td>
	</tr>
{/if}
<tr {if $invalid.generalPrice}class="highlight"{/if}>
	<td class="title"><label for="comments">{"TRANS_ADD_NEW_PACKAGE_COMMENT"|lmsg}</label></td>
	<td>
		<textarea id="comments" name="comments" style="width: 97%;" rows="4"></textarea>
	</td>
</tr>

{if $formValues.generalPrice != -1}
	<tr {if $invalid.generalPrice}class="highlight"{/if}>
		<td class="title"><label for="generalPrice">{"TRANS_PRICE"|lmsg}</label></td>
		<td>
			<input size="32" maxlength="255" type="text" id="generalPrice" name="generalPrice" value="{$formValues.generalPrice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" />
			{$invalid.generalPrice}
		</td>
	</tr>
{/if}
{if $formValues.setupPrice != -1}
	<tr {if $invalid.setupPrice}class="highlight"{/if}>
		<td class="title"><label for="setupPrice">{"TRANS_PACKAGE_SETUP_PRICE"|lmsg}</label></td>
		<td>
			<input size="32" maxlength="255" type="text" id="setupPrice" name="setupPrice" value="{$formValues.setupPrice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" />
			{$invalid.setupPrice}
		</td>
	</tr>
{/if}
{*
{if $formValues.transferPrice != -1}
	<tr {if $invalid.transferPrice}class="highlight"{/if}>
		<td class="title"><label for="transferPrice">{"TRANS_TRANSFER_PRICE"|lmsg}</label></td>
		<td>
			<input size="32" maxlength="255" type="text" id="transferPrice" name="transferPrice" value="{$formValues.transferPrice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" />
			{$invalid.transferPrice}
		</td>
	</tr>
{/if}
*}

{if $productType != "domain"}
	<tr>
		<td class="title">{"TRANS_SERVER_GROUPS"|lmsg}</td>
		<td>
			{foreach from=$serverGroups key="serverGroupID" item="serverGroupName"}
				{assign var="panels" value=$panelsByServerGroupID.$serverGroupID}
				<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
				<tbody>
				<tr>
					<td class="title">{$serverGroupName}</td>
					<td>
						<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
						<tbody>
							{assign var="usernameArg" value="sg`$serverGroupID`username"}
							{assign var="passwordArg" value="sg`$serverGroupID`password"}
							{assign var="panelArg" value="sg`$serverGroupID`panel"}
							{assign var="createArg" value="sg`$serverGroupID`create"}
							{if $NotPleskPanel == true}
								<tr>
									<td class="title">{"TRANS_USERNAME"|lmsg}</td>
									<td><input size="32" maxlength="255" type="text" id="{$usernameArg}" name="{$usernameArg}" value="{$formValues.$usernameArg}" /></td>
								</tr>
								<tr>
									<td class="title">{"TRANS_PASSWORD"|lmsg}</td>
									<td><input size="32" maxlength="255" type="text" id="{$passwordArg}" name="{$passwordArg}" value="{$formValues.$passwordArg}" /></td>
								</tr>
							{/if}
							{if $historical}
							<tr>
								<td class="title">{"TRANS_PANELS"|lmsg}</td>
								<td><select id="{$panelArg}" name="{$panelArg}"> {html_options options=$panels selected=$formValues.panelArg} </select></td>
							</tr>
							{/if}
							<tr>
								<td class="title">{"TRANS_CREATE"|lmsg}</td>
								<td>
									{include file="$tplDirectory/widgets/dateSelector.tpl" param=$createArg optional="yes"}
									<div class="hint">{"TRANS_PACKAGE_ADMIN_CREATE_DESC"|lmsg}</div>
								</td>
							</tr>
						</tbody>
						</table>
					</td>
				</tr>
				</tbody>
				</table>
			{foreachelse}
				{"TRANS_NO_SERVER_GROUPS"|lmsg}
			{/foreach}
		</td>
	</tr>
{/if}


<tr>
	<td class="title"><label for="generateInvoice">{"TRANS_GENERATE_INVOICE_IMMEDIATELY"|lmsg}</label></td>
	<td>
		<input type="checkbox" checked="checked" id="generateInvoice" name="generateInvoice" value="1" xonmouseup="setTimeout('checkEnableEmailCheckbox();', 100)" /> <label xonmouseup="setTimeout('checkEnableEmailCheckbox();', 100)" for="generateInvoice">{"TRANS_GENERATE_INVOICE_IMMEDIATELY_DESC"|lmsg}</label>
	</td>
</tr>
<tr>
	<td class="title">{"TRANS_EMAIL_TO_SEND"|lmsg}</td>
	<td>
		<select name="emailOptions">
			<option value="0">{"TRANS_NONE"|lmsg}</option>
			<option value="1">{"TRANS_NEW_ORDER_EMAIL"|lmsg}</option>
			<option value="2">{"TRANS_INVOICE_EMAIL"|lmsg}</option>
		</select>
	</td>
</tr>
<tr {if $invalid.registerDomain}class="highlight"{/if}>
	<td class="title"><label for="registerDomain">{"TRANS_INVOICE_DUE_DATE_OVERRIDE"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/dateSelector.tpl" param="overrideDateDue" optional="yes"}
	</td>
</tr>
<tr class="listButtons">
	<td colspan="2"><div>
	<input class="submit" type="submit" name="submit" value="{if $historical}{'TRANS_IMPORT_EXISTING_PACKAGE_BUTTON'|lmsg}{else}{'TRANS_ADD_NEW_PACKAGE_BUTTON'|lmsg}{/if}" />
	</div></td>
</tr>
</table>
</fieldset>
</form>
{include file="$tplDirectory/footer.tpl"}
