{* $Id: CheckRunPaymentQueue.tpl 10080 2006-11-21 17:10:52Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}





<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-basic.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{"TRANS_TEXTDIRECTION"|lmsg}">
<head>
<title>{strip}
    {if $htmlTitle}
        {$htmlTitle}
    {else}
        {if $parentName}
            {translate key=$parentName}
        {/if}
        {if $childName}
            &nbsp;&raquo; {translate key=$childName}
        {/if}
        {if $grandchildName}
            &nbsp;&raquo; {translate key=$grandchildName}
        {/if}
    {/if}
{/strip}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />

<link rel="stylesheet" type="text/css" href="{$cssDirectory}/style.css" />

</head>
<body>
<div>

{if $hadQueueItems==true || $hadTransactions==true}

<script language="javascript">
<!--
{literal}
    function reloadme(){
        //alert("reloading");
        if (document.location.search.indexOf('XRAN')!=-1){
            document.location.href = document.location.search.substring(0, document.location.search.indexOf('XRAN'))+'XRAN'+Math.random();
        } else {
            document.location.href = document.location.search+'&XRAN'+Math.random();
        }
    }
{/literal}
{if $stop!='yes'}
    setTimeout("reloadme();", 10*1000);
{else}
    setTimeout('alert("{"TRANS_PAYMENT_QUEUE_FINISHED"|lmsg|escape:javascript}");', 100);
{/if}

//-->
</script>

<table border="0" width="100%" cellpadding="0" cellspacing="0">
    <tr>
        <td valign="top" align="left">
<table  width="100%" border="0" cellpadding="0" cellspacing="3">
<tbody>
<tr>
    <td colspan="2"><strong>{"TRANS_BATCH_PROGRESS"|lmsg}</strong></td>
  </tr>
  <tr>
    <td width="{$barWidth+10}">
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$batchBarWidth
        leftPercentage=$batchLeftPercentage
        rightPercentage=$batchRightPercentage}
    </td>
    <td align="left">{$doneCharges} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$batchDollarBarWidth
        leftPercentage=$batchDollarLeftPercentage
        rightPercentage=$batchDollarRightPercentage}
    </td>
    <td align="left">{$doneChargesAmount} of {$totalChargesAmount}</td>
  </tr>-->
  <tr>
    <td colspan="2"><strong>{"TRANS_SUCCESSFUL_CHARGES"|lmsg}</strong></td>
  </tr>
  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$successBarWidth
        leftPercentage=$successLeftPercentage
        rightPercentage=$successRightPercentage}
    </td>
    <td align="left">{$totalSuccesses} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$successDollarBarWidth
        leftPercentage=$successDollarLeftPercentage
        rightPercentage=$successDollarRightPercentage}
    </td>
    <td align="left">{$totalSuccessesAmount} of {$totalChargesAmount}</td>
  </tr> -->
  <tr>
    <td colspan="2"><strong>{"TRANS_DECLINED_CHARGES"|lmsg}</strong></td>
  </tr>
  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$declinedBarWidth
        leftPercentage=$declinedLeftPercentage
        rightPercentage=$declinedRightPercentage}
    </td>
    <td align="left">{$totalDeclines} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$declinedDollarBarWidth
        leftPercentage=$declinedDollarLeftPercentage
        rightPercentage=$declinedDollarRightPercentage}
    </td>
    <td align="left">{$totalDeclinesAmount} of {$totalChargesAmount}</td>
  </tr> -->
  <tr>
    <td colspan="2"><strong>{"TRANS_AUTOFAILED_CHARGES"|lmsg}</strong></td>
  </tr>
  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$autofailedBarWidth
        leftPercentage=$autofailedLeftPercentage
        rightPercentage=$autofailedRightPercentage}
    </td>
    <td align="left">{$totalAutofails} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$autofailedDollarBarWidth
        leftPercentage=$autofailedDollarLeftPercentage
        rightPercentage=$autofailedDollarRightPercentage}
    </td>
    <td align="left">{$totalAutofailsAmount} of {$totalChargesAmount}</td>
  </tr> -->
  <tr>
    <td colspan="2"><strong>{"TRANS_ERRORED_CHARGES"|lmsg}</strong></td>
  </tr>
  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$erroredBarWidth
        leftPercentage=$erroredLeftPercentage
        rightPercentage=$erroredRightPercentage}
    </td>
    <td align="left"><a href="{getHREF page="paymentqueue.php" actionName="ShowTransactionLog"}&filter[transaction_status]=errored_all" target="_BLANK">{$totalErrors} of {$totalCharges}</a></td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$erroredDollarBarWidth
        leftPercentage=$erroredDollarLeftPercentage
        rightPercentage=$erroredDollarRightPercentage}
    </td>
    <td align="left">{$totalErrorsAmount} of {$totalChargesAmount}</td>
</tr>
 -->

</tbody>
</table>
        </td>
        <td align="left" valign="top">

        <strong>{"TRANS_CURRENCIES_AND_GATEWAYS"|lmsg}</strong>
		<br />
        {section name="i" loop=$currenciesData}

        {$currenciesData[i].gatewayName}<br />{$currenciesData[i].amount|getAmount:$currenciesData[i].currencyID}<br />
        {include file="$tplDirectory/widgets/miniProgressBar.tpl"
            containerWidth=$miniBarWidth
            containerColor="#CCCCCC"
            barWidth=$currenciesData[i].barWidth}<br />

        {sectionelse}
            {"TRANS_NO_CURRENCIES_DATA"|lmsg}
        {/section}

        </td>
    </tr>
</table>
{else}


    {* if $noConfigData=='true' *}
<script language="javascript">
<!--
{literal}
    function reloadme(){
        //alert("reloading");
        if (document.location.search.indexOf('XRAN')!=-1){
            document.location.href = document.location.search.substring(0, document.location.search.indexOf('XRAN'))+'XRAN'+Math.random();
        } else {
            document.location.href = document.location.search+'&XRAN'+Math.random();
        }
    }
{/literal}
setTimeout("reloadme();", 5*1000);

//-->
</script>
<br />

<img src="{$imageDirectory}/loadingc.gif" height="16" align="center" width="16" alt="{"TRANS_CONNECTING_TO_STATUS"|lmsg}" title="{"TRANS_CONNECTING_TO_STATUS"|lmsg}">
 &nbsp;{"TRANS_CONNECTING_TO_STATUS"|lmsg}
<br /><br />
{if $systemQueue.systemQueueRunning}
{"TRANS_QUEUE_COMMAND_RUNNING"|lmsg} {$systemQueue.systemQueueCommand}<br />
{"TRANS_WAITING_FOR_IT"|lmsg}
{else}
    {"TRANS_WAITING_FOR_QUEUE_RUN"|lmsg}
<br /><br />
<small><a id="runlink" href="{getHREF page="events.php" actionName="RunEvents" args="redirectURL=paymentqueue.php&redirectAction=CheckRunPaymentQueue"}">{"TRANS_START_EVENT_QUEUE"|lmsg}</a></small>
{/if}

{/if}
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
{$count1} -- {$count2}
</div>
</body>
</html>
