{* $Id: GeneratePaymentQueue.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the menu for generating payment queue items.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_GENERATE_PAYMENT_QUEUE', 'TRANS_GENERATE_QUEUE_OPTIONS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_BILLING"
	grandchildName="TRANS_GENERATE_QUEUE_OPTIONS"
	sideNavMajor="finances"
	sideNavMinor="billing"}

		<form method="get" action="{getFormAction}" onsubmit="this.tsub.disabled=true;this.tsub.value='{"TRANS_LOADING_PATIENCE"|lmsg}';">
		<input type="hidden" name="ctr" value="paymentqueue"/>
		<input type="hidden" name="act" value="{getActionID action="GeneratePaymentQueueResponse"}" />
		<input type="hidden" name="sid" value="{$sid}" />

		<fieldset>
			<legend><strong>{"TRANS_INVOICE_OPTIONS"|lmsg}</strong></legend>
			<table width="100%" class="list">
            <tr>
                <td class="title">{"TRANS_CLEAR_PAYMENT_QUEUE"|lmsg}</td>
                <td>
                    <input type="checkbox" name="clearPaymentQueue" value="1" />
                </td>
            </tr>

            <tr>
                <td class="title">{"TRANS_GENERATE"|lmsg}</td>
                <td>
                    <input type="checkbox" name="generate[]" value="new" checked="checked" />&nbsp; {"TRANS_NEW"|lmsg}
                    &nbsp;&nbsp;
                    <input type="checkbox" name="generate[]" value="declined" />&nbsp; {"TRANS_DECLINED"|lmsg}
                    &nbsp;&nbsp;
                    <input type="checkbox" name="generate[]" value="error" />&nbsp; {"TRANS_ERROR"|lmsg}
                    &nbsp;&nbsp;
                </td>
            </tr>

            <tr>
                <td class="title">{"TRANS_GENERATE_DUE_DATE_ONLY"|lmsg}</td>
                <td><input type="radio" name="generateDueDateOnly" value="1" checked="checked" />&nbsp; {"TRANS_YES"|lmsg}
                &nbsp;&nbsp;<input type="radio" name="generateDueDateOnly" value="0" />&nbsp; {"TRANS_NO"|lmsg}</td>
            </tr>
            <tr>
                <td class="title">{"TRANS_DUE_ON_OR_BEFORE"|lmsg}</td>
                <td>
                    {html_select_locale_date prefix="dueDate" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="dueDate" />
                    <script type="text/javascript">
                    {literal}
                        function updateDueDateSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("dueDateMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("dueDateDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("dueDateYear");
                            selectYear.selectedIndex = (date.getFullYear() - 2000);
                        }
                        Zapatec.Calendar.setup({
                            button         :    "dueDate",
                            onUpdate       :     updateDueDateSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script>
                </td>
            </tr>

            <tr>
                <td class="title">{"TRANS_MAXIMUM_INVOICES"|lmsg}</td>
                <td><input type="text" name="numInvoicesToQueue" value="0" size="5" /> {"TRANS_ZERO_EQUALS_ALL"|lmsg}
                </td>
            </tr>

			</table>
		</fieldset>

		<br />

		<fieldset>
			<legend><strong>{"TRANS_RUN_OPTIONS"|lmsg}</strong></legend>
			<table width="100%" class="list">
            <tr>
                <td class="title">{"TRANS_CHARGE_LESSER_AMOUNTS"|lmsg}</td>
                <td><input type="checkbox" name="chargeLesserAmounts" value="1" />
                </td>
            </tr>
            <tr>
                <td class="title">{"TRANS_RUN_WHEN"|lmsg}</td>
                <td><input type="radio" name="runWhen" value="0" checked="checked" onchange="if(this.checked) $('encryptionKeyRequired').hide();"/>&nbsp; {"TRANS_DONT_RUN"|lmsg}
                <!--&nbsp;&nbsp;<input type="radio" name="runWhen" value="1" />&nbsp; {"TRANS_RUN_NOW"|lmsg}-->
                &nbsp;&nbsp;<input type="radio" name="runWhen" value="2" onchange="if(this.checked) $('encryptionKeyRequired').show();"/>&nbsp; {"TRANS_RUN_LATER"|lmsg}
                </td>
            </tr>
            <tr>
                <td class="title">{"TRANS_LATER_DATE"|lmsg}</td>
                <td>
                    {html_select_locale_date prefix="laterDate" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="laterDate" />
                    <script type="text/javascript">
                    {literal}
                        function updateLaterDateSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("laterDateMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("laterDateDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("laterDateYear");
                            selectYear.selectedIndex = (date.getFullYear() - 2000);
                        }
                        Zapatec.Calendar.setup({
                            button         :    "laterDate",
                            onUpdate       :     updateLaterDateSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script>
                </td>
            </tr>
            <tr>
                <td class="title">{"TRANS_TRANSACTION_ACTION"|lmsg}</td>
                <td><select name="transactionAction">
					<option value="charge">{"TRANS_CHARGE"|lmsg}</option>
					<option value="auth"{if $transactionAction=='auth'} selected="selected"{/if}>{"TRANS_AUTH_ONLY"|lmsg}</option>
                </select>
                </td>
            </tr>
            <tr>
                <td class="title">{"TRANS_ENCRYPTION_KEY"|lmsg}&nbsp;<span class="required" id="encryptionKeyRequired" style="display: none;">*</span></td>
                <td><input type="password" name="encryptionKey" value="" />
                </td>
            </tr>
            <tr class="listButtons">
                <td colspan="2"><div><input class="submit" type="submit" name="tsub" value="{"TRANS_GENERATE"|lmsg}" /></div></td>
            </tr>
			</table>
		</fieldset>


		</form>


{include file="$tplDirectory/footer.tpl"}
