{* $Id: RemoveTLD.tpl 7718 2006-06-23 19:16:17Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_TLDS', 'TRANS_REMOVE');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_TLDS"
	grandchildName="TRANS_REMOVE"
	sideNavMajor="products"
	sideNavMinor="tlds"}

<table border="0" cellpadding="0" cellspacing="0" width="100%" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_TLDID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_TLD_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_TLD_EXTENSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_WHOIS_SERVER"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIVE"}
</tr>
</thead>

<tbody>
<tr class="alt1">
	<td>{$TLD.tldID}</td>
	<td>{$TLD.tldName}</td>
	<td>{$TLD.tldExtension}</td>
	<td>{$TLD.tldWhoisServer}</td>
	<td>{$TLD.tldActive|getArrayValueByID:$yesNo}</td>
</tr>
<tr class="listButtons">
	<td colspan="5" align="right"><div>
		<form action="{getFormAction controller="products"}" method="post" style="display:inline;">
		<input type="hidden" name="act" value="{getActionID action="RemoveTLDResponse}" />
		<input type="hidden" name="tldID" value="{$TLD.tldID}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="submit" class="submit" value="{"TRANS_REMOVE"|lmsg}" />
		</form>
		<form action="{getFormAction controller="products"}" method="post" style="display:inline;">
		<input type="hidden" name="act" value="{getActionID action="EditTLD"}" />
		<input type="hidden" name="tldID" value="{$TLD.tldID}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="submit" class="submit" value="{"TRANS_CANCEL"|lmsg}" />
		</form>
	</div></td>
</tr>
</tbody>
</table>



{include file="$tplDirectory/footer.tpl"}
