{* $Id: ShowProductVariants.tpl 12604 2008-02-04 22:10:19Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of product variants.
 *
 * Author: Ben Woolley
 *}

{assign var="filterArgs" value="productVariantActive=$productVariantActive"}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_SHOW_PRODUCT_VARIANTS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_SHOW_PRODUCT_VARIANTS"
	sideNavMajor="products"
	sideNavMinor="variants"}
{if !is_null($tabs)}
    {include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
    <div style="margin-top: 16px;"></div>
{/if}
    {include file="$tplDirectory/widgets/showTips.tpl"
        title="TRANS_EXPLAIN_PRODUCT_VARIANTS"
        msg="TRANS_VARIANT_EXPLANATION"
        width="100%"
        align="center"}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_VARIANT_ID" sortColumn="productVariantID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_NAME" sortColumn="productVariantName"}
	{include file="$tplDirectory/widgets/table/tableFilterHeader.tpl" filterName="TRANS_STATUS" filterColumn="productVariantActive" filterOptions="$activeInactive"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_VARIATION_OF"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_VARIATION_FOR"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_PRICING"}
</tr>
</thead>
{section name=i loop="$productVariants"}
{assign var="productVariantID" value=$productVariants[i].productVariantID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td onmouseover="this.style.cursor='hand'" onclick="return XKtoggle('row_{$productVariantID}');">
		<a href="#p{$productVariantID}" name="p{$productVariantID}">{$productVariantID}</a>
	</td>
	<td>
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			useEditIcon=1
			editID=$productVariantID
			editKey="productVariantID"
			editActionName="EditProductVariantResponse"
			editName="TRANS_NAME"
			editColumn="productVariantDisplayName"
			editValue=$productVariants[i].productVariantDisplayName}
		{$productVariants[i].productVariantDisplayName}
	</td>
	<td>
		{$productVariants[i].productVariantActive|getArrayValueByID:$activeInactive}
		{include
			file="$tplDirectory/widgets/quickEditCheckboxLink.tpl"
			useEditIcon=1
			editID=$productVariantID
			editKey="productVariantID"
			editActionName="EditProductVariantResponse"
			editName="TRANS_ACTIVE"
			editColumn="productVariantActive"
			editValue=$productVariants[i].productVariantActive}
	</td>
	<td>
		{assign var="productID" value=$productVariants[i].productID}
		<a href="{getAdminActionUrl module="products" controller="plan-overview"}&id={$productID}">{$productVariants[i].productName}</a>
	</td>
	<td>
		{assign var="tldID" value=$productVariants[i].tldID}
		
		{assign var="valueID" value=$productVariants[i].productVariableValueID}
		{assign var="value" value=$productVariants[i].productVariableValue.productVariableValue}
		{assign var="variable" value=$productVariants[i].productVariableValue.productVariable.0.productVariableName}
		{assign var="variable" value=$productVariants[i].productVariableValue.productVariable.0.productVariableName}
		{assign var="variableID" value=$productVariants[i].productVariableValue.productVariable.0.productVariableID}
		{if $tldID}
			<a href="{getHREF page="products.php" actionName="ShowTLDs"}&tldID={$tldID}">{$TLDs.$tldID}</a> {"TRANS_TLD"|lmsg}
		{elseif $valueID}
			<a href="{getHREF page="products.php" actionName="ShowProductVariableValues"}&productVariableValueID={$valueID}">{$value}</a>
			<a href="{getHREF page="products.php" actionName="ShowProductVariableValues"}&productVariableID={$variableID}">{$variable}</a>
		{else}
			{"TRANS_ITSELF"|lmsg}
		{/if}
	</td>
	<td class="nowrap">
		{strip}
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="products.php"
			actionName="EditProductVariantPrices"
			args="productVariantID=$productVariantID"
			icoImage="edit"
			icoWidth=""
			icoHeight=""
			icoStyle=""
			altText="TRANS_EDIT"
			titleText=""
			linkText="TRANS_EDIT"
			noSpace="0"
		}
		{/strip}
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="6">{"TRANS_NORESULTS"|lmsg}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
