{* $Id: ShowIPLog.tpl 12447 2008-01-10 17:34:22Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of IP Log Records.
 *
 * Smarty Variables:
 *	$ips (array of IPs that match criteria)
 *
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_LIST_IPLOG', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_LIST_IPLOG"
	sideNavMajor="system"}

<table width="100%" cellpadding="0" cellspacing="0" border="0" class="list">
<thead>
<tr>
	<td colspan="4" align="right">
		<form action="{getFormAction controller="servers"}" method="post">
		<input type="hidden" name="act" value="{getActionID action="AddIPLog"}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="hidden" name="configGroupID" value="{$smarty.request.configGroupID}" />
		<input type="submit" class="submit" value="{"TRANS_ADD_IPLOG"|lmsg}" />
		</form>
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_IP_ADDRESS" sortColumn="ip"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_IP_VERSION" sortColumn="ipVersion"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_GROUPS" sortColumn="configGroupID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>

<tbody>
{foreach from=$ips item=ip}
	<tr class="{cycle values="alt1,alt2"}">
		<td>{$ip.ip}</td>
		<td>IPv{$ip.ipVersion}</td>
		<td>{$ip.configGroupName}</td>
		<td>
			<a href="{getHREF page="servers.php" actionName="EditIPLog" args="ipLogID=`$ip.ipLogID`"}">
				<img src="{$imageDirectory}/ico/data_edit.gif" height="16" width="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
			</a>
			<a href="{getHREF page="servers.php" actionName="RemoveIPLog" args="ipLogID=`$ip.ipLogID`"}">
				<img src="{$imageDirectory}/ico/data_delete.gif" height="16" width="16" border="0" alt="{"TRANS_REMOVE"|lmsg}" title="{"TRANS_REMOVE"|lmsg}" />
			</a>
		</td>
	</tr>
{foreachelse}
	<tr class="{cycle values="alt1,alt2"}">
		<td colspan="4">{"TRANS_NORESULTS"|lmsg}</td>
	</tr>
{/foreach}
</tbody>
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}
