{* $Id: EditTheme.tpl 7128 2006-05-31 20:40:40Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit a Theme.
 *
 * Smarty Variables:
 * $formValues
 *
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_THEMES', 'TRANS_EDIT');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_EDIT_THEME"
	childName="TRANS_THEMES"
	grandchildName="TRANS_EDIT"
	sideNavMajor="system"
	sideNavMinor="themes"}

<form method="post" action="{getFormAction controller="themes"}">
<input type="hidden" name="themeID" value="{$formValues.themeID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="act" value="{getActionID action="EditThemeResponse"}">
<fieldset>
<legend>{"TRANS_EDIT_THEME"|lmsg}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr {if $invalid.themeName}class="highlight"{/if}>
	<td class="title"><label for="themeName">{"TRANS_THEME_NAME"|lmsg}</label></td>
	<td><input type="text" name="themeName" size="20" value="{$formValues.themeName|safetyhtml}" /> {$invalid.themeName}</td>
</tr>
<tr {if $invalid.themeDisplayName}class="highlight"{/if}>
	<td class="title"><label for="themeDisplayName">{"TRANS_THEME_DISPLAY_NAME"|lmsg}</label></td>
	<td><input type="text" name="themeDisplayName" size="20" value="{$formValues.themeDisplayName|safetyhtml}" /> {$invalid.themeDisplayName}</td>
</tr>
<tr {if $invalid.themeActive}class="highlight"{/if}>
	<td class="title"><label for="themeActive">{"TRANS_THEME_ACTIVE"|lmsg}</label></td>
	<td>{html_radios name="themeActive" options=$yesNo selected=$formValues.themeActive} {$invalid.themeActive}</td>
</tr>
<tr class="listButtons">
	<td colspan="2"><div><input class="submit" type="submit" name="submit" value="{"TRANS_SUBMIT"|lmsg}"></div></td>
</tr>
</table>
</tbody>
</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}
