{* $Id: clientDetails.tpl 12676 2008-02-22 23:27:29Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}

<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1 style="margin-bottom: 0px;">{"TRANS_CLIENT_DETAILS"|lmsg}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td class="title">{"TRANS_IS_ARCHIVED"|lmsg}</td>
		<td><i>{$client.clientActive|getStatusName:"archived"}</i></td>
	</tr>
	<tr>
		<td class="title">{"TRANS_CURRENT_STATUS_OPTION"|lmsg}</td>
		<td>{$client.clientStatus|getStatusName:"client"}</td>
	</tr>
{* Theme parameter choosing id disabled and hidden for details
	<tr>
		<td class="title">{"TRANS_DEFAULT_THEME"|lmsg}</td>
		{assign var="clientTheme" value=$client.themeID}
		<td>{$themeList.$clientTheme}</td>
	</tr>
*}
	<tr>
		<td class="title">{"TRANS_SKIN"|lmsg}</td>
		{assign var="clientSkin" value=$skinID}
		<td>{$skinList.$skinID}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_LANGUAGE"|lmsg}</td>
		<td>{$client.languageISO2|safetyhtml} - {$client.languageName|safetyhtml}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_BILLING_COUNTRY"|lmsg}</td>
		<td>
			<img src="{$imageDirectory}/flags/flag-{$client.countriesISO2|safetyhtml}.gif" style="vertical-align:middle;border-style:none;" /> {$clientCountry|safetyhtml|mb_truncate:15}
		</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_TAX"|lmsg}</td>
		<td>{if $client.applyTax}{"TRANS_APPLIED"|lmsg}{else}{"TRANS_NOT_APPLIED"|lmsg}{/if}</td>
	</tr>
	{if $client.taxIDNumber}
	<tr>
		<td class="title">{"TRANS_TAX_ID_NUMBER"|lmsg}</td>
		<td>{$client.taxIDNumber|safetyhtml}</td>
	</tr>
	{/if}
	<tr>
		<td class="title">{"TRANS_DEFAULT_BILLING_METHOD"|lmsg}</td>
		<td>{$defaultBillingAccount.billingAccountType|getTypeName:"billingAccount"}
			{if $defaultBillingAccount.billingAccountID}
				[ <a href="{getHREF page="clients.php" actionName="EditBillingAccount" args="billingAccountID=`$defaultBillingAccount.billingAccountID`&clientID=`$client.clientID`&clientContactID=`$defaultBillingAccount.clientContactID`"}">{"TRANS_EDIT_CLICKABLE_OPTION"|lmsg}</a> ]
			{/if}
		</td>
	</tr>
	{if $smarty.const.USE_PREDEFINED_RESELLER_VOLUME_DISCOUNTS}
		<tr>
			<td class="title">{"TRANS_RESELLER_DISCOUNT"|lmsg}</td>
			<td>{$client.clientDiscountLevel|round:2|getPercent}</td>
		</tr>
	{/if}
	<tr>
		<td class="title">{"TRANS_DATE_CREATED"|lmsg}</td>
		<td>{$client.clientDateCreated|getDateTime:"full"}</td>
	</tr>
	{if $client.clientDateCancelled}
		<tr>
			<td class="title">{"TRANS_DATE_CANCELED"|lmsg}</td>
			<td>{$client.clientDateCancelled|getDateTime:"full"}</td>
		</tr>
	{/if}
	{if $client.clientSignupIP}
		<tr>
			<td class="title">{"TRANS_SIGNUP_IP"|lmsg}</td>
			<td>{$client.clientSignupIP|getIP}</td>
		</tr>
	{/if}
	{if $client.clientLastIP}
		<tr>
			<td class="title">{"TRANS_LAST_IP"|lmsg}</td>
			<td>{$client.clientLastIP|getIP}</td>
		</tr>
	{/if}
	</table>

	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td>
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditClient"
				args="clientID=`$client.clientID`"
				icoImage="client_edit.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_EDIT_DETAILS"
				titleText=""
				linkText="TRANS_EDIT_DETAILS"}

			{* disabled untill the merge operation will be fully implemented
			<br />
			<span class="actionlink">
				<img src="{$imageDirectory}/ico/contacts.gif" width="16" height="16" alt="{"TRANS_MERGE_WITH_OTHER_CLIENT"|lmsg}" title="{"TRANS_MERGE_WITH_OTHER_CLIENT"|lmsg}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
				<a href="javascript:showMergeClientPopup();">
					{"TRANS_MERGE_WITH_OTHER_CLIENT"|lmsg}
				</a>
			</span>
				<span id="mergeClientContainer" style="visibility: hidden; display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
					<table border="0" cellpadding="1" cellspacing="1" class="overLibRepTab">
					<tr>
						<th id="mergeClientContainerHandle" style="cursor: pointer; text-align: left;" valign="middle">
							<span style="float: right; cursor: pointer;" onclick="hideobjbyid('mergeClientContainer');">
								<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" border="0" alt="" />
							</span>
							<span>{"TRANS_CHOOSE_CLIENT"|lmsg}</span>
						</th>
					</tr>
					<tr>
						<td>
							<form method="get" action="{getFormAction}">
								<input type="hidden" name="ctr" value="clients"/>
								<input type="hidden" name="act" value="{getActionID action="MergeClient"}" />
								<input type="hidden" name="sid" value="{$sid}" />
								<input type="hidden" name="mergeClientID" value="{$clientID}" />
								{"TRANS_CLIENT_ID"|lmsg} <input type="text" name="masterClientID" value="" /> <input type="submit" value="{"TRANS_NEXT"|lmsg} >> " class="submit" />
							</form>
						</td>
					</tr>
					</table>
				</span>
				<script language="javascript">
				<!--
					new Draggable('mergeClientContainer',{literal}{{/literal}handle:'mergeClientContainerHandle'{literal}}{/literal});

					function showMergeClientPopup(){literal}{{/literal}
						XKPopoverElement('mergeClientContainer');
					{literal}}{/literal}
				// -->
				</script>
			*}
		</td>
	</tr>
	</table>

</div>{* box07 *}
