{* $Id: emails.tpl 9101 2006-09-22 16:38:28Z mfountain $
 * --------------------------------------------------------------
 *	$lastEmails = array of last emails sent that we are to display
 *		* emailID	Unique email queue id
 *		* clientContactID To which client contact was it sent to
 *		* adminID	Who sent it
 *		* emailSubject	Subject line of email sent
 *		* emailBody	HTML email body sent
 *		* emailTextBody plain text version of email sent
 *		* emailFromAddress who the email was sent from
 *		* emailFromName name of who sent the email
 *		* emailSent	1 => email sent || 0 => not sent
 *		* emailSentType 1 => html || 0 => plain text
 *		* emailFailed	1 => failed || 0 => success
 *		* emailDateCreated unix timestamp of when email was entered into the queue
 *		* emailDateSent	unix timestamp of last send of this email
 *		* emailActive	email is active in the queue or not
 *		* emailToAddresses group of who the email was sent to
 *			* emailToAddress
 *				* emailAddressID	unique id of email address
 *				* emailAddress		destination address
 *				* emailAddressName	destination's name
 *		* emailCCAddresses group of who the email was carbon copied to
 *			* emailCCAddress
 *				* emailAddressID	unique id of email address
 *				* emailAddress		destination address
 *				* emailAddressName	destination's name
 *		* emailBCCAddresses group of who the email was blind carbon copied to
 *			* emailBCCAddress
 *				* emailAddressID	unique id of email address
 *				* emailAddress		destination address
 *				* emailAddressName	destination's name
 *		* emailReplyToAddresses group of who the email's return address was set as
 *			* emailReplyToAddress
 *				* emailAddressID	unique id of email address
 *				* emailAddress		destination address
 *				* emailAddressName	destination's name
 *		* emailAttachments array of attachments made to the email
 *		* emailHeaders	any relevant headers about when email was sent
 * Author: Brian Smith
 *}
<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1 style="margin-bottom: 0px;">{$smarty.const.TRANS_LAST_5_EMAIL_CORRESPONDENCE}</h1></div>

	<table width="100%" border="0" cellspacing="1" cellpadding="1" class="tabTight">


	{assign var=reset value="true"}
	{foreach from=$lastEmails item=email}
		<tr class="{cycle values="alt1,alt2" reset=$reset}">
			<td width="40%" style="text-align:left;">
					<a href="{getHREF page="events.php" actionName="ShowEmailDetails" args="emailID=`$email.emailID`"}">
						{$email.emailSubject|html_entity_encode}
					</a>
			</td>
			<td>
				{$email.emailDateSent|getDateTime:short}
			</td>
		</tr>
		{assign var=reset value="false"}
	{foreachelse}
		<tr class="{cycle values="alt1,alt2" reset=$reset}">
			<td colspan="2"><i>{"TRANS_NONE"|lmsg}</i></td>
		</tr>
	{/foreach}
	<tr>
		<td colspan="2">
			{assign var=clientID value=$client.clientID}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="events.php"
				actionName="ShowEmailQueue"
				args="clientID=$clientID"
				icoImage="mnu_events_emails_show.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_EMAILS"
				titleText=""
				linkText="TRANS_SHOW_ALL_EMAILS"}
		</td>
	</tr>

	</table>

</div>{* box07 *}
