<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1 style="margin-bottom: 0px;">{"TRANS_INVOICE_SUMMARY"|lmsg}</h1></div>

	<table width="100%" border="0" cellspacing="1" cellpadding="1" class="tabTight">
	{foreach key="currencyID" item="totals" from=$invoiceStats}
		<tr class="alt2">
			<td colspan="4" style="text-align:center;"><strong>{"TRANS_TOTALS"|lmsg} {$currencyID}</strong></td>
		</tr>
		<tr class="alt2">
			<td><strong>{"TRANS_STATUS"|lmsg}</strong></td>
			<td style="text-align:center;"><strong>#</strong></td>
			<td style="text-align:right;"><strong>{"TRANS_PAID"|lmsg}</strong></td>
			<td style="text-align:right;"><strong>{"TRANS_DUE_HEADER"|lmsg}</strong></td>
		</tr>
		{assign var="invoiceStatsByCurrency" value=$invoiceStats[$currencyID]}
		{section name=i loop="$invoiceStatsByCurrency"}
		<tr class="alt1">
			<td>
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="invoices.php"
					actionName="ShowInvoices"
					args="clientID=`$client.clientID`&invoiceStatus=`$invoiceStatsByCurrency[i].invoiceStatus`"
					altText=$invoiceStatsByCurrency[i].invoiceStatusName
					linkText=$invoiceStatsByCurrency[i].invoiceStatusName}:
			</td>
			<td style="text-align:center;color:black;">{$invoiceStatsByCurrency[i].numInvoices|default:0}</td>
			<td style="text-align:right;color:green;">{$invoiceStatsByCurrency[i].sumInvoicesAmountPaid|default:0|getAmount:$currencyID}</td>
			<td style="text-align:right;color:red;">{$invoiceStatsByCurrency[i].sumInvoicesAmountDue|default:0|getAmount:$currencyID}</td>
		</tr>
		{/section}
	{/foreach}
	</table>

	<table border="0" width="100%" cellspacing="1" cellpadding="1" class="tabTight">
	<tr>
		<td>
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowInvoices"
				args="clientID=`$client.clientID`"
				icoImage="invoice.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_VIEW_ALL_INVOICES"
				titleText=""
				linkText="TRANS_VIEW_ALL_INVOICES"}

			<br />
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="invoices.php"
				actionName="ShowGenerateInvoiceMenu"
				args="clientID=`$client.clientID`"
				icoImage="invoice_generate.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_GENERATE_INVOICES"
				titleText=""
				linkText="TRANS_GENERATE_INVOICES"}

			<br />
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="TakeClientPayment"
				args="clientID=`$client.clientID`"
				icoImage="creditcards.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_TAKE_CLIENT_PAYMENT"
				titleText=""
				linkText="TRANS_TAKE_CLIENT_PAYMENT"}
			<br />

			{if !empty($orderForms)}

			<script language="javascript" type="text/javascript" charset="utf-8">
				var orderFormsCurrencies = new Object();
				{foreach key="orderFormID" item="orderFormCurrencyID" from=$orderFormsCurrencies}
					orderFormsCurrencies['{$orderFormID}'] = '{$orderFormCurrencyID}';
				{/foreach}
				{literal}
				function formatInvoiceCurrencyValue(id, value, separator, groupSeparator){
					var selectedOrderFormID = document.getElementById(id).value;
					return formatCurrencyValue(orderFormsCurrencies[selectedOrderFormID], value, separator, groupSeparator);
				}

				{/literal}
			</script>

			<span id="quickAddInvoiceContainer" style="visibility: hidden; display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
				<table border="0" cellpadding="1" cellspacing="1" class="overLibRepTab">
				<tr>
					<th id="quickAddInvoiceContainerHandle" style="cursor: pointer; text-align: left;" valign="middle">
						<span style="float: right; cursor: pointer;" onclick="hideobjbyid('quickAddInvoiceContainer');">
							<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" border="0" alt="" />
						</span>
						<span>{"TRANS_ADD_SINGLE_INVOICE"|lmsg}</span>
					</th>
				</tr>
				<tr>
					<td>
						<span style="color: #000;">
							<form method="post" action="{getFormAction controller="invoices"}" name="{$formName}" id="{$formName}">
								<input type='hidden' name='act' value='{getActionID action="AddSingleInvoiceResponse"}' />
								<input type='hidden' name='sid' value='{$sid}'>
								<input type='hidden' name='clientID' value='{$clientID}'>

								<fieldset>
									<legend>{"TRANS_SINGLE_INVOICE"|lmsg}</legend>
									<table width='350'>
										<tr>
											<td style="width: 145px; white-space: nowrap;" align="right">{"TRANS_ORDERFORM_NAME_OPTION"|lmsg}</td>
											<td>
												<select id="orderFormID" name='orderFormID'>
													{html_options options=$orderForms}
												</select>
											</td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{"TRANS_INVOICE_SHORT_DESCRIPTION"|lmsg}</td>
											<td><input type="text" name="packageName" value="{"TRANS_HOURLY_SERVICE"|lmsg}" /></td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{"TRANS_INVOICE_LONG_DESCRIPTION"|lmsg}</td>
											<td><textarea rows="4" cols="35" name="packageDescription" /></textarea></td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{"TRANS_INVOICE_DATE_DUE"|lmsg}</td>
											<td>
												{include file="$tplDirectory/widgets/dateSelector.tpl" disableTime=1 optional=0 param="invoiceDate" default="invoiceDate" real="invoiceDate"}
											</td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{"TRANS_INVOICE_AMOUNT_OPTION"|lmsg}</td>
											<td><input type="text" name="amount" value="{0|getAmount:" "}" onchange="this.value=formatInvoiceCurrencyValue('orderFormID', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
										</tr>
										<tr>
											<td align="right"></td>
											<td>
												<input type="checkbox" name="enableInvoiceEmail" id="enableInvoiceEmail" value="1" /> <label for="enableInvoiceEmail">{"TRANS_SEND_INVOICE_EMAIL"|lmsg}</label>
											</td>
										</tr>
										<tr>
											<td style="white-space: nowrap;" align="right">{"TRANS_DEFER_REVENUE_OVER"|lmsg}</td>
											<td>
												<select name='cycleID'>
													<option value="0">{"TRANS_DONT_DEFER_REVENUE"|lmsg}</option>
													{html_options options=$cycles}
												</select><br />
												({"TRANS_DEFERRED_REVENUE_EXP"|lmsg})
											</td>
										</tr>
									</table>
								</fieldset>
								<fieldset>
									<legend>{"TRANS_PAYMENT_APPLY_LEGEND"|lmsg}</legend>
									<table width='350'>
										<tr>
											<td align="right" style="width: 145px;"></td>
											<td>
												<input type="checkbox" id="applyPaymentAsWell" value="1" name="applyPaymentAsWell" onchange="setTimeout('checkApplyPaymentAsWell();', 100);" onmouseup="setTimeout('checkApplyPaymentAsWell();', 100);" onkeyup="setTimeout('checkApplyPaymentAsWell();', 100);" /> <label for="applyPaymentAsWell" onmouseup="setTimeout('checkApplyPaymentAsWell();', 100);">{"TRANS_APPLY_A_PAYMENT_AS_WELL"|lmsg}</label>
											</td>
										</tr>
										<tbody id="singleInvoicePaymentTB" class="off">
											<tr>
												<td style="white-space: nowrap;" align="right">{"TRANS_PAYMENT_AMOUNT"|lmsg}</td>
												<td><input type="text" name="amountPaid" value="{0|getAmount:" "}" onchange="this.value=formatInvoiceCurrencyValue('orderFormID', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /><br />
												({"TRANS_APPLY_A_PAYMENT_WARNING"|lmsg})
												</td>
											</tr>
											<tr>
												<td style="white-space: nowrap;" align="right">{"TRANS_CHOOSE_BILLING_ACCOUNT"|lmsg} </td>
												<td>
													<select name='billingAccountID'>
														{html_options options=$billingAccounts}
													</select>
												</td>
											</tr>
											<tr>
												<td align="right"> {"TRANS_QUICKPAYMENT_COMMENTS"|lmsg} </td>
												<td>
													<input type="text" name="paymentComments" size="25" value="{"TRANS_MANUAL_PAYMENT"|lmsg}" />
												</td>
											</tr>
											<tr>
												<td align="right"> {"TRANS_PAYMENT_DATE"|lmsg} </td>
												<td>
													{include file="$tplDirectory/widgets/dateSelector.tpl" disableTime=1 optional=0 param="transactionDateCreated" default="transactionDateCreated" real="transactionDateCreated"}
												</td>
											</tr>
											<tr>
												<td align="right"></td>
												<td>
													<input type="checkbox" name="enablePaymentEmail" id="enablePaymentEmail" value="1" /> <label for="enablePaymentEmail">{"TRANS_SEND_PAYMENT_RECEIPT_EMAIL"|lmsg}</label>
												</td>
											</tr>
										</tbody>
									</table>
								</fieldset>
								<table width='350'>
									<tr>
										<td style="width: 145px;"> </td>
										<td><input type='submit' value='{"TRANS_PROCESS_INVOICE"|lmsg}' /></td>
									</tr>
								</table>
							</form>
						</span>
						{/if}
					</td>
				</tr>
				</table>
			</span>
			<script language="javascript">
			<!--
				new Draggable('quickAddInvoiceContainer',{literal}{{/literal}handle:'quickAddInvoiceContainerHandle'{literal}}{/literal});

				function showQuickAddInvoice(){literal}{{/literal}
					XKPopoverElement('quickAddInvoiceContainer');
				{literal}}{/literal}

				{literal}
				function checkApplyPaymentAsWell(){
					if ($('applyPaymentAsWell').checked==true){
						toggleOn("singleInvoicePaymentTB");
					} else {
						toggleOff("singleInvoicePaymentTB");
					}
				}
				{/literal}

			// -->
			</script>
			<span class="actionlink">
			<a href="javascript:showQuickAddInvoice();"><img src="{$imageDirectory}/ico/invoice.gif" width="16" height="16" alt="{"TRANS_ADD_SINGLE_INVOICE"|lmsg}" title="{"TRANS_ADD_SINGLE_INVOICE"|lmsg}" style="vertical-align:middle;border-style:none; margin-right: 4px;"/></a>
			<a href="javascript:showQuickAddInvoice();">
				{"TRANS_ADD_SINGLE_INVOICE"|lmsg}
			</a>
			</span>
		</td>
	</tr>
	</table>

</div>{* box07 *}
