{* $Id: packageSummary.tpl 11991 2007-09-27 16:31:20Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}

<div class="box07" style="background-color:#EEEDE9">
	<div class="st01"><h1 style="margin-bottom: 0px;">{"TRANS_PACKAGES_SUMMARY"|lmsg}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">

	{assign var=reset value="true"}
	{foreach from=$packageStatuses key=statusID item=num}
		<tr class="{cycle values="alt1,alt2" reset=$reset}">
			<td width="45%">
					<a href="{getHREF page="packages.php" actionName="ShowPackages" args="clientID=$clientID&packageStatus=$statusID"}">{$statusID|getStatusName:"package"}</a>:
			</td>
			<td>{$num}</td>
		</tr>
		{assign var=reset value="false"}
	{/foreach}

	{if count($packageStatuses) != 1}
		<tr class="{cycle values="alt1,alt2" reset=$reset}">
			<td width="45%">
					<a href="{getHREF page="packages.php" actionName="ShowPackages" args="clientID=$clientID"}">{"TRANS_TOTAL"|lmsg}</a>:
			</td>
			<td>{array_sum array=$packageStatuses}</td>
		</tr>
	{/if}

	</table>

	{assign var=p value=$client.clientID}
	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td>
			{assign var=p value=$client.clientID}
			{strip}
			<span class="actionlink">
			<img src="{$imageDirectory}/ico/package_add.gif" width="16" height="16" alt="{"TRANS_CREATE_NEW_PACKAGE"|lmsg}" title="{"TRANS_CREATE_NEW_PACKAGE"|lmsg}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
			&nbsp;
			{if $productCount>20}
				<a href="{getHREF page="products.php" actionName="ShowProducts" args="clientID=`$clientID`&mode=1"}">
					{"TRANS_CREATE_NEW_PACKAGE"|lmsg}
				</a>
			{else}
				<a href="javascript:void(0);" onclick="addPackage(event, 'mode=1');">
					{"TRANS_CREATE_NEW_PACKAGE"|lmsg}
				</a>
			{/if}
			</span>
			<br />
			{/strip}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="packages.php"
				actionName="ShowPackages"
				args="clientID=$p"
				icoImage="package_view.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SHOW_ALL_PACKAGES"
				titleText=""
				linkText="TRANS_SHOW_ALL_PACKAGES"}

			<br />
			<div class="actionlink">
				<img src="{$imageDirectory}/ico/attributes.gif" width="16" height="16" alt="{"TRANS_RESEND_PACKAGE_INFO_EMAIL"|lmsg}" title="{"TRANS_RESEND_PACKAGE_INFO_EMAIL"|lmsg}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
				<a href="javascript:showResendPackageInfoEmail();">
					{"TRANS_RESEND_PACKAGE_INFO_EMAIL"|lmsg}
				</a>
				<div id="resendPackageInfoEmailContainer" style="display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
					<table border="0" cellpadding="1" cellspacing="1" width="100%" class="overLibRepTab">
					<tr>
						<th id="resendPackageInfoEmailContainerHandle" style="cursor: pointer; text-align: left; padding: 0px;" valign="middle">
							<img src="{$imageDirectory}/ico/remove.gif" width="16" height="16" hspace="0" vspace="0" border="0" alt="" style='float: right; cursor: pointer;' onclick='hideobjbyid("resendPackageInfoEmailContainer");' />
							<div style="padding: 5px;">{"TRANS_CHOOSE_PACKAGE_AND_SERVER"|lmsg}</div>
						</th>
					</tr>
					<tr>
						<td>
							<span style="color: #000;">
							{if $resendEmailPackages}
							{foreach item="packageServer" key="k" from=$resendEmailPackages}
								<a style="white-space: nowrap;" href="{getBaseUrl page="clients.php" actionName="ShowClientDetails"}&clientID={$smarty.request.clientID}&sid={$sid}&packageID={$packageServer.packageID}&configGroupID={$packageServer.configGroupID}&resendPackageInfoEmail=1">({$packageServer.packageID}) {if $packageServer.domainID}<strong>{$packageServer.domainSLD}.{$packageServer.domainTLD}</strong> :: {/if} {$packageServer.packageName} - {$packageServer.serverGroupName} :: {$packageServer.serverName}</a><br />
							{/foreach}
							{else}
								{"TRANS_PACKAGE_INFO_EMAILS_LIST_RESEND_EMPTY"|lmsg}
							{/if}
							</span>
						</td>
					</tr>
					</table>
				</div>
			</span>
			{if $resendPackageInfoEmailMessage}
				<div class="highlight">{$resendPackageInfoEmailMessage|constant|default:$resendPackageInfoEmailMessage}</div>
			{/if}

<script language="javascript">
<!--
	new Draggable('resendPackageInfoEmailContainer',{literal}{{/literal}handle:'resendPackageInfoEmailContainerHandle'{literal}}{/literal});

	function showResendPackageInfoEmail(){literal}{{/literal}
		showobjbyid('resendPackageInfoEmailContainer');
	{literal}}{/literal}

// -->
</script>
		</td>
	</tr>
	</table>

</span>{* box07 *}
</div>