{* $Id: faq.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the FAQ context bar.
 *
 * Smarty Variables:
 *	$faq		array of FAQ information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/faq.tpl" faq=$faq}
 *}


<fieldset>
<legend>{"TRANS_FAQ"|lmsg}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody id="faq_context_{$faq.faqCategoryID}_{$faqID}">
<tr>
<td>
	<table summary="{"TRANS_FAQ_DATA"|lmsg}" width="100%" class="list">
		<tr>
			<td class="title">{"TRANS_ACTIONS"|lmsg}</td>
			<td>
				{assign var="faqID" value=$faq.faqID}
				{strip}
				<a href="{getHREF page="faqs.php" actionName="EditFAQ" args="faqID=$faqID"}">
					<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0"
						alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
				</a>
				&nbsp;
				<a href="{getHREF page="faqs.php" actionName="RemoveFAQ" args="faqID=$faqID"}">
					<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0"
						alt="{"TRANS_REMOVE"|lmsg}" title="{"TRANS_REMOVE"|lmsg}" />
				</a>
				{/strip}
			</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_CATEGORY"|lmsg}</td>
			<td>{$faq.faqCategoryName}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_QUESTION"|lmsg}</td>
			<td>{$faq.faqQuestion}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_ANSWER"|lmsg}</td>
			<td>{$faq.faqAnswer}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_DATE_CREATED"|lmsg}</td>
			<td>{$faq.faqDateCreated|getDateTime}</td>
		</tr>

	</table>
</td>
</tr>
</tbody>
</table>
