{* $Id: EditAppliedValues.tpl 9860 2006-10-30 21:39:34Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="{getFormAction controller="products"}">
<input type="hidden" name="act" value="{getActionID action="EditAppliedValuesResponse"}" />
<input type="hidden" name="productID" value="{$productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
<tr {if $invalid.variableVariants}class="highlight"{/if}>
	<td class="title"><label for="variableProductVariants">{"TRANS_PRICING_OPTION_VALUE_OPTIONS"|lmsg}</label></td>
	<td valign="top">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="variableVariants"
			comboOptionsLeft=$variableSelectedVariants

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="variableSelectableVariants"
			comboOptionsRight=$variableSelectableVariants
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.orderForms}
	</td>
    <td valign="top">
    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_EXPLAIN_PRICING_OPTIONS"
        	msg="TRANS_PRICING_OPTIONS_EXPLANATION_RELATING"
        	width="100%"
        	align="center"
			show="yes"}
	</td>
</tr>
<tr class="listButtons">
	<td colspan="3"><div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_PRICING_OPTIONS"|lmsg}" onclick="selectAllOptions(document.EditProduct.elements['variableVariants[]']);" /></div></td>
</tr>
</tbody>
</table>
</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
