{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="{getFormAction controller="products"}" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="act" value="{getActionID action="EditProductMiscellaneousResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{"TRANS_PRODUCT_COUPON_SETTINGS"|lmsg}</legend>

	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
	<tbody>
		<tr>
		<td class="title"><label for="coupons">{"TRANS_AUTOMATIC_COUPON"|lmsg}</label></td>
		<td><select name="preAppliedCouponID">
			<option value="0"></option>

			{html_options options=$precoupons selected=$selectedPreCouponID}

		</select>      </td>
		<td rowspan="2" valign="top"> {include file="$tplDirectory/widgets/showTips.tpl"
			title="TRANS_EXPLAIN_PRODUCT_COUPONS"
			msg="TRANS_PRODUCT_COUPONS_EXPLANATION_RELATING"
			width="100%"
			align="center"
			show="yes"}		</td>
		</tr>
		<tr {if $invalid.coupons}class="highlight"{/if}>
		<td class="title"><label for="coupons">{"TRANS_MANUAL_COUPONS"|lmsg}</label></td>
		<td> {include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="coupons"
			comboOptionsLeft=$selectedCoupons

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableCoupons"
			comboOptionsRight=$selectableCoupons
			formName="EditProduct"
			submitName="suppress"
			}
			{$invalid.coupons} </td>
		</tr>
	</tbody>
	</table>

</fieldset>
<fieldset>
<legend>{"TRANS_PRODUCT_UPGRADE_DOWNGRADE_SETTINGS"|lmsg}</legend>

	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tbody>
			<tr {if $invalid.productChildren}class="highlight"{/if}>
				<td class="title"><label for="productUpgradeRelations">{"TRANS_MAY_UPGRADE_TO"|lmsg}</label></td>
				<td>
					{include file="$tplDirectory/widgets/comboBox.tpl"
						comboTitleLeft=TRANS_SELECTED
						comboNameLeft="productUpgradeIDs"
						comboOptionsLeft=$selectedUpgradeRelations

						comboTitleRight=TRANS_SELECTABLE
						comboNameRight="selectableUpgradeIDs"
						comboOptionsRight=$selectableUpgradeRelations
						submitName="suppress"
					}
				</td>
			</tr>
		</tbody>
		<tbody>
			<tr {if $invalid.productChildren}class="highlight"{/if}>
				<td class="title"><label for="productDowngradeRelations">{"TRANS_MAY_DOWNGRADE_TO"|lmsg}</label></td>
				<td>
					{include file="$tplDirectory/widgets/comboBox.tpl"
						comboTitleLeft=TRANS_SELECTED
						comboNameLeft="productDowngradeIDs"
						comboOptionsLeft=$selectedDowngradeRelations

						comboTitleRight=TRANS_SELECTABLE
						comboNameRight="selectableDowngradeIDs"
						comboOptionsRight=$selectableDowngradeRelations
						submitName="suppress"
					}
				</td>
			</tr>
		</tbody>
	</table>

</fieldset>
<fieldset>
<legend>{"TRANS_PRODUCT_EMAIL_SETTINGS"|lmsg}</legend>

	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tbody>
			<tr {if $invalid.welcomeEmailTemplateGroup}class="highlight"{/if}>
				<td class="title"><label for="welcomeEmailTemplateGroup">{"TRANS_WELCOME_EMAIL"|lmsg}</label></td>
				<td><select id="welcomeEmailTemplateGroup" name="welcomeEmailTemplateGroup">
					{mb_html_options options=$templates selected=$templateID}
				</select>  {$invalid.welcomeEmailTemplateGroup}</td>
			</tr>
		</tbody>
	</table>

</fieldset>
<fieldset>
<legend>{"TRANS_PRODUCT_NOTIFICATION_SETTINGS"|lmsg}</legend>

	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tbody>
			<tr {if $invalid.notifyAdminGroupID}class="highlight"{/if}>
				<td class="title"><label for="notifyAdminGroupID">{"TRANS_NOTIFICATION_GROUP"|lmsg}</label></td>
				<td>
					<select id="notifyAdminGroupID" name="notifyAdminGroupID">
						{html_options options=$adminGroups selected=$product.notifyAdminGroupID}
					</select>
					{$invalid.welcomeEmailTemplateGroup}
				</td>
			</tr>
		</tbody>
	</table>

</fieldset>
<fieldset>
<legend>{"TRANS_PRODUCT_USAGE_PRICING"|lmsg}</legend>

	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
		<tbody>
			<tr {if $invalid.orderForms}class="highlight"{/if}>
			{assign var="col" value=$makeFields.0}
				<td class="title">{$makeFields.0}</td>
				<td valign="middle"><input type="text" name="usagePricing[{$makeFields.0}]" value="{$oldPrices.$col|getAmount:$makeFields.0}" onchange="this.value=XKformatNumber('{1000|getAmount:$makeFields.0:true:true};{1000|getAmount:$makeFields.0:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" ></td>
				<td rowspan="{$helpRowSpan}" valign="top">
					{include file="$tplDirectory/widgets/showTips.tpl"
						title="TRANS_EXPLAIN_USAGE_PRICING"
						msg="TRANS_USAGE_PRICING_EXPLAINATION"
						width="100%"
						align="center"
						show="yes"}
				</td>
			</tr>
			{section name="i" loop=$makeFields}
				{if $smarty.section.i.index>0}
			<tr {if $invalid.orderForms}class="highlight"{/if}>
			{assign var="col" value=$makeFields[i]}
				<td class="class">{$makeFields[i]}</td>
				<td valign="middle"><input type="text" name="usagePricing[{$makeFields[i]}]" value="{$oldPrices.$col|getAmount:$makeFields[i]}" onchange="this.value=XKformatNumber('{1000|getAmount:$makeFields[i]:true:true};{1000|getAmount:$makeFields[i]:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" ></td>
			</tr>
				{/if}
			{/section}
		</tbody>
	</table>

</fieldset>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr class="listButtons">
			<td><div><input class="submit" type="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" /></div></td>
		</tr>
	</table>

</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
