{* $Id: EditProductOrderForms.tpl 9860 2006-10-30 21:39:34Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="{getFormAction controller="products"}">
<input type="hidden" name="act" value="{getActionID action="EditProductOrderFormsResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr>
	<td class="title"><label for="orderForms">{"TRANS_ORDER_FORMS_SELECT_OPTION"|lmsg}</label></td>
	<td valign="top">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="orderForms"
			comboOptionsLeft=$selectedOrderForms

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableOrderForms"
			comboOptionsRight=$selectableOrderForms
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.orderForms}
	</td>
	<td valign="top">
    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_EXPLAIN_ORDER_FORMS"
        	msg="TRANS_ORDER_FORM_EXPLANATION_RELATING"
        	width="100%"
        	align="center"
			show="yes"}
	</td>
</tr>
<tr class="listButtons">
	<td colspan="3"><div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" onclick="selectAllOptions(document.EditProduct.elements['orderForms[]']);" /></div></td>
</tr>
</tbody>
</table>

</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
