{* $Id: EditProductServerGroups.tpl 9860 2006-10-30 21:39:34Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="{getFormAction controller="products"}">
<input type="hidden" name="act" value="{getActionID action="EditProductServerGroupsResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
<tr>
	<td colspan="2">{"TRANS_SERVER_GROUPS_DESC"|lmsg}</td>
</tr>
<tr {if $invalid.serverGroups}class="highlight"{/if}>
	<td class="title"><label for="orderForms">{"TRANS_SERVER_GROUPS_SELECT_OPTION"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="serverGroups"
			comboOptionsLeft=$selectedServerGroups

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableServerGroups"
			comboOptionsRight=$selectableServerGroups
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.orderForms}
	</td>
</tr>
<tr class="listButtons">
	<td colspan="2"><div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" onclick="selectAllOptions(document.EditProduct.elements['serverGroups[]']);" /></div></td>
</tr>
</tbody>
</table>

</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}

