{* $Id: ProductPricesForm.tpl 12604 2008-02-04 22:10:19Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}


<form method="post" name="EditProduct" action="{getFormAction controller="products"}">
<input type="hidden" name="act" value="{getActionID action="EditProductVariantPricesResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="productVariantID" value="{$productVariant.productVariantID}" />
<input type="hidden" name="productType" value="{$product.productType}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="singleVariant" value="{$singleVariant}" />

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr>
		<td class="title">{"TRANS_TAX_ZONE_GROUP"|lmsg} </td>
		<td><select name="taxZoneGroupID" style="width: 200px;">
			<option value="0">{"TRANS_NONE"|lmsg}</option>
			{html_options options=$selectableTaxZoneGroups selected=$productVariant.taxZoneGroupID}
			</select>
		</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_CYCLE_DISCOUNT_GROUP"|lmsg} </td>
		<td><select name="cycleDiscountGroupID" style="width: 200px;">
			{html_options options=$selectableCycleDiscountGroups selected=$productVariant.cycleDiscountGroupID}
			</select>
		</td>
	</tr>
</table>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
{assign var=domain value=$smarty.const.TRANS_DOMAIN_PRODUCT}
{assign var=general value=$smarty.const.TRANS_GENERAL}
{assign var=setup value=$smarty.const.TRANS_SETUP}
{assign var=transfer value=$smarty.const.TRANS_TRANSFER_PRICE}

{if $product.productType == $productTypeIndex.$domain}
	{assign var="isDomain" value=1}
{else}
	{assign var="isDomain" value=0}
{/if}


	{foreach from=$questions key=currencyID item=cyclePrices}

	<tr>
		<td class="title">{$currencyID}</td>
		<td>
			<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">

		{foreach from=$cyclePrices key=cycleID item=typePrices}
		
				<tr>
					<td class="titlesmall">{$cycles.$cycleID}</td>
					<td>
						<table border="0" cellpadding="0" cellspacing="0" class="list">
					
			{foreach from=$typePrices key=priceType item=prices}
		
							<tr>
								<td class="titlesmall">{$priceTypes.$priceType}
									{assign var=inputname value="id_`$currencyID`_`$cycleID`_`$priceType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.1}" />
								</td>
								{assign var=inputname value="price_`$currencyID`_`$cycleID`_`$priceType`"}
								<td><input name="{$inputname}" id="{$inputname}" size="18" type="text" value="{$prices.0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
							</tr>

			{/foreach}
		
						</table>
					</td>
				</tr>
		
		{foreachelse}
		{"TRANS_NEED_CYCLES"|lmsg}
		{/foreach}
	
			</table>
		</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_UPDATE_PACKAGES"|lmsg}</td>
		<td>
			<select id="updatePackages" name="updatePackages" style="width: 50%;">
				<option value="none" selected="selected"0>{"TRANS_UPDATE_NO_PACKAGES"|lmsg}</option>
				<option value="unlocked">{"TRANS_UPDATE_UNLOCKED_PACKAGES"|lmsg}</option>
				<option value="all">{"TRANS_UPDATE_ALL_PACKAGES"|lmsg}</option>
			</select>
		</td>
	</tr>
	{foreachelse}
	{"TRANS_NEED_ORDER_FORMS"|lmsg}
	{/foreach}

</tbody>
</table>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="listButtons">
	<td><div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" /></div></td>
</tr>
</table>

</form>

