{* $Id: EditPackageAddon.tpl 7822 2006-06-28 04:30:46Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}

{assign var="currencyID" value=$packageInfo.currencyID}

<fieldset>
<legend>{"TRANS_ADD_ADDON"|lmsg}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="list">

	{assign var="firsttime" value="1"}
	{foreach key="id" item="addons" from=$products}
		<form method="post" action="{getFormAction controller="packages"}">
		<input type="hidden" name="sid" value="{$sid}">
		<input type="hidden" name="act" value="{getActionID action="EditPackageAddonResponse"}">
		<input type="hidden" name="packageID" value="{$packageInfo.packageID}">
		<tr class="alt1">
			<td colspan="2" class="headerRow">{assign var="group" value=$addonGroups.$id}{$group.productAddonGroupName}</td>
		</tr>
		{assign var="firsttime" value=0}
		{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
			{section name="i" loop=$addons}
				{assign var="pid" value=$addons[i].productID}
				<tr class="alt2">
					<td class="title"><input type="radio"{if $addons[i].selected} checked="checked"{/if} name="addons[]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}
					{if $addons[i].selected}<input type="hidden" name="packageAddonIDs[]" value="{$addons[i].packageAddonID}" />{/if}</td>
					<td>
						<table>
							<tr>
								<td><strong>{"TRANS_PRICE"|lmsg} </strong></td>
								<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.general|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{"TRANS_COUPON_PRICE"|lmsg} </strong></td>
								<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.coupon|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
							</tr>
							<tr>
								<td><strong>{"TRANS_PLUS_SETUP"|lmsg} </strong></td>
								<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.setup|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{"TRANS_COUPON_NUM_CYCLES"|lmsg} </strong></td>
								<td><input type="text" name="prices[{$pid}][couponcycles]" value="{$addons[i].prices.couponcycles}" /></td>
							</tr>
						</table>
					</td>
				</tr>
			{/section}
			<tr class="alt2">
				<td colspan="2"><input type="radio" name="addons[]" value="0" /> - {"TRANS_NONE"|lmsg}</td>
			</tr>
		{elseif $group.productAddonGroupInputType=="c"}
			{section name="i" loop=$addons}
				{assign var="pid" value=$addons[i].productID}
				<tr class="alt2">
					<td class="title"><input type="checkbox"{if $addons[i].selected} checked="checked"{/if} name="addons[]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}
							{if $addons[i].selected}<input type="hidden" name="packageAddonIDs[]" value="{$addons[i].packageAddonID}" />{/if}</td>
					<td>
						<table>
							<tr>
								<td><strong>{"TRANS_PRICE"|lmsg} </strong></td>
								<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.general|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{"TRANS_COUPON_PRICE"|lmsg} </strong></td>
								<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.coupon|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
							</tr>
							<tr>
								<td><strong>{"TRANS_PLUS_SETUP"|lmsg} </strong></td>
								<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.setup|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
								<td><strong>{"TRANS_COUPON_NUM_CYCLES"|lmsg} </strong></td>
								<td><input type="text" name="prices[{$pid}][couponcycles]" value="{$addons[i].prices.couponcycles}" /></td>
							</tr>
						</table>
					</td>
				</tr>
			{/section}

		{/if}
			<tr class="listButtons">
				<td colspan="2"><div><input class="submit" type="submit" value="{"TRANS_UPDATE"|lmsg}"></div></td>
			</tr>
		</form>
	{foreachelse}
		<tr class="alt2">
			<td>{"TRANS_NO_ADDONS"|lmsg}</td>
		</tr>
	{/foreach}

</table>

</fieldset>

{include file="$tplDirectory/footer.tpl"}



