{* Example Usage:
 *	{include file="$commonTplDirectory/widgets/tabs.tpl"
 *		tabs=$tabs
 *	}
 *}

{if 0 != $tabs|@count}
<script type="text/javascript">
{literal}
var tabsList = [];
jQuery('.heading').addClass('no-border');
{/literal}

{foreach from=$tabs key=tabID item=tab}
tabsList[tabsList.length] = '{$tabID}';
{/foreach}

{literal}
function setTab(id)
{
	var tabs = $$('.screenTabs ul li');
	if(tabs.length != tabsList.length) {
		return;
	}
	for(var i = 0; i < tabs.length; i++) {
		if(id == tabsList[i]) {
			tabs[i].className = "active";
			if(jQuery('#tabContent_' +  tabsList[i])) {
				jQuery('#tabContent_' +  tabsList[i]).show();
			}
		} else {
			tabs[i].className = "";
			if(jQuery('#tabContent_' +  tabsList[i])) {
				jQuery('#tabContent_' +  tabsList[i]).hide();
			}
		}
	}
}
{/literal}
</script>

<div class="screenTabs" style="border-bottom: 1px solid #a0b0e9;">
	<ul>
	{foreach from=$tabs item=tab}
		{if $tab.current}
			{assign var="class" value="active"}
		{else}
			{assign var="class" value=""}
		{/if}

		<li class="{$class}">
			<a href="{$tab.url}">
				<span>{$tab.title}</span>
			</a>
		</li>
	{/foreach}
	</ul>
</div>
{/if}