<?php use_helper('BillingFormat'); ?>
<div id="main" class="">

	<div class="p-store-order">

		<?php include_partial('navigationBar', array('router' => $router)); ?>

		<div class="p-box">
			<div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>

			<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
				<div class="p-box-title p-box-title-1">
					<div class="p-box-title-area">
						<h1><span><?php echo __('TRANS_ORDER_CONFIRMATION'); ?></span></h1>
					</div>
				</div>
				<div class="p-box-content">
					<div class="b-description"><p><?php echo __('TRANS_ORDER_CONFIRMATION_DESCR'); ?></p></div>
					
					<div class="b-columns">
						<div class="column column-2-1">
							<div class="column-area">
								<div class="b-content-title">
									<div class="b-content-title-area clearfix">
			
										<h3 class="i-billing-info"><span><?php echo __('TRANS_ORDERFORM_CONTACT_INFO'); ?></span></h3>
									</div>
								</div>
								<div class="b-description"><p><?php echo __('TRANS_ORDERFORM_CONTACT_INFO_DESCR'); ?></p></div>
								<?php if ($customer): ?>
								<div class="b-form">
									<table class="t-form">
										<tbody>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_FIRST_NAME'); ?></td>
												<td class="field-value"><b><?php echo $customer->contactFirstName; ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_LAST_NAME'); ?></td>
												<td class="field-value"><b><?php echo $customer->contactLastName; ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ADDRESS_FULL'); ?></td>
												<td class="field-value"><b><?php echo $customer->contactAddress1 . ($customer->contactAddress2 ? ', ' : $customer->contactAddress2); ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_CITY'); ?></td>
												<td class="field-value"><b><?php echo $customer->contactCity; ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_COUNTRY'); ?></td>
												<td class="field-value"><b><?php echo __('TRANS_ISO_3166_' . $customer->countryCode); ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_ZIP'); ?></td>
												<td class="field-value"><b><?php echo $customer->contactZip; ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_EMAIL'); ?></td>
												<td class="field-value"><b><?php echo $customer->clientEmail; ?></b></td>
											</tr>
										</tbody>
									</table>
								</div>
								<?php elseif ($customerData): ?>
								<div class="b-form">
									<table class="t-form">
										<tbody>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_FIRST_NAME'); ?></td>
												<td class="field-value"><b><?php echo $customerData['clientFirstName']; ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_LAST_NAME'); ?></td>
												<td class="field-value"><b><?php echo $customerData['clientLastName']; ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ADDRESS_FULL'); ?></td>
												<td class="field-value"><b><?php echo $customerData['contactAddress1'] . ($customerData['contactAddress2'] ? ', ' . $customerData['contactAddress2'] : ''); ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_CITY'); ?></td>
												<td class="field-value"><b><?php echo $customerData['contactCity']; ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_COUNTRY'); ?></td>
												<td class="field-value"><b><?php echo __('TRANS_ISO_3166_' . $customerData['countryISO2']); ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_ZIP'); ?></td>
												<td class="field-value"><b><?php echo $customerData['contactZip']; ?></b></td>
											</tr>
											<tr>
												<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_EMAIL'); ?></td>
												<td class="field-value"><b><?php echo $customerData['clientEmail']; ?></b></td>
											</tr>
										</tbody>
									</table>
								</div>
								<?php endif; ?>
							</div>
						</div>
						<?php if (isset($company)): ?>
						<div class="column column-2-2">
							<div class="column-area">
								<div class="b-content-title">
									<div class="b-content-title-area clearfix">
										<h3 class="i-company-info"><span><?php echo __('TRANS_COMPANY_INFORMATION'); ?></span></h3>
									</div>
								</div>
								<div class="b-description"><p><?php echo __('TRANS_ORDERFORM_COMPANY_INFO_DESCR'); ?></p></div>
								<div class="b-form">
									<table class="t-form">
										<tbody>
											<tr>
												<td class="field-name"><?php echo __('TRANS_COMPANY_NAME'); ?></td>
												<td class="field-value"><b><?php echo $company->companyName; ?></b></td>
											</tr>
											<?php if ($company->companyAddress1): ?>
											<tr>
												<td class="field-name"><?php echo __('TRANS_COMPANY_ADDRESS_FULL'); ?></td>
												<td class="field-value"><b><?php echo $company->companyAddress1 . ($company->companyAddress2 ? ', ' . $company->companyAddress2 : ''); ?></b></td>
											</tr>
											<?php endif; ?>
											<?php if ($company->companyCity): ?>
											<tr>
												<td class="field-name"><?php echo __('TRANS_COMPANY_CITY'); ?></td>
												<td class="field-value"><b><?php echo $company->companyCity; ?></b></td>
											</tr>
											<?php endif; ?>
											<?php if ($company->companyState): ?>
											<tr>
												<td class="field-name"><?php echo __('TRANS_COMPANY_STATE'); ?></td>
												<td class="field-value"><b><?php echo $company->companyState; ?></b></td>
											</tr>
											<?php endif; ?>
											<?php if ($company->countryISO2): ?>
											<tr>
												<td class="field-name"><?php echo __('TRANS_COMPANY_COUNTRY'); ?></td>
												<td class="field-value"><b><?php echo __('TRANS_ISO_3166_' . $company->countryISO2); ?></b></td>
											</tr>
											<?php endif; ?>
											<?php if ($company->companyZip): ?>
											<tr>
												<td class="field-name"><?php echo __('TRANS_COMPANY_ZIP'); ?></td>
												<td class="field-value"><b><?php echo $company->companyZip; ?></b></td>
											</tr>
											<?php endif; ?>
											<?php if ($company->companyPhone1): ?>
											<tr>
												<td class="field-name"><?php echo __($company->companyPhone2 ? 'TRANS_COMPANY_PHONES' : 'TRANS_COMPANY_PHONE'); ?></td>
												<td class="field-value"><b><?php echo $company->companyPhone1 . ($company->companyPhone2 ? ', ' . $company->companyPhone2 : ''); ?></b></td>
											</tr>
											<?php endif; ?>
										</tbody>
									</table>
								</div>
							</div>
						</div>
						<?php endif; ?>
					</div>
					
					<div class="b-content-title">
						<div class="b-content-title-area clearfix">
							<div class="b-content-title-actions">
								<form id="editOrderForm" action="<?php echo url_for('@confirmation'); ?>" method="post">
									<input type="hidden" name="operation" value="<?php echo confirmationAction::OPERATION_EDIT_ORDER; ?>"/>
								</form>
								<a id="editOrder" href="#" onclick="$('#editOrderForm').submit(); return false;" class="btn"><span><i><?php echo __('TRANS_EDIT_ORDER'); ?></i></span></a>
							</div>
							<h3 class="i-order-details"><span><?php echo __('TRANS_ORDERFORM_ORDER_DETAILS'); ?></span></h3>
						</div>
					</div>
					
					<?php foreach ($cartItemsData as $cartItemId => $purchasesData): ?>
					
					<div class="b-summary">
						
						<?php foreach ($purchasesData as $purchaseId => $purchaseData): ?>
						
						<table class="t-summary">
							<tbody>
								<tr>
									<td class="t-summary-item-name"><?php echo $purchaseData['type']; ?></td>
									<td class="t-summary-item-value">
										<div class="item-name"><b><?php echo formatProductName($purchaseData['name']); ?></b></div>
									</td>
									<td class="t-summary-item-price">
										<?php if ($purchaseData['useTransferFee']): ?>
										<span><b><?php echo formatPrice($purchaseData['price']->getTransferFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($purchaseData['cycle']->cycleDisplayName); ?></span>
										<?php include_partial('catalog/priceAdditionalData', array('price' => $purchaseData['price'], 'currencyId' => $currencyId, 'displayTaxes' => true, 'useTransferFee' => true)); ?>
										<?php else: ?>
										<span><b><?php echo formatPrice($purchaseData['price']->getCycleFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($purchaseData['cycle']->cycleDisplayName); ?></span>
										<?php include_partial('catalog/priceAdditionalData', array('price' => $purchaseData['price'], 'currencyId' => $currencyId, 'displayTaxes' => true)); ?>
										<?php endif; ?>
									</td>
								</tr>
							</tbody>
						</table>
						
						<?php if ($purchaseData['purchases'] || $purchaseData['addons'] || $purchaseData['hasAvailableAddons']): ?>
						<div class="b-summary-inner">
							<table class="t-summary">
								<tbody>
									<?php foreach ($purchaseData['purchases'] as $subPurchaseData): ?>
											<tr>
												<td class="t-summary-item-name"><?php echo $subPurchaseData['type']; ?></td>

												<td class="t-summary-item-value">
													<div class="item-name"><b><?php echo formatProductName($subPurchaseData['name']); ?></b></div>
												</td>
												<td class="t-summary-item-price">
													<?php if ($subPurchaseData['price']): ?>
													<?php if ($subPurchaseData['useTransferFee']): ?>
													<span><b><?php echo formatPrice($subPurchaseData['price']->getTransferFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($subPurchaseData['cycle']->cycleDisplayName); ?></span>
													<?php include_partial('catalog/priceAdditionalData', array('price' => $subPurchaseData['price'], 'currencyId' => $currencyId, 'displayTaxes' => true, 'useTransferFee' => true)); ?>
													<?php else: ?>
													<span><b><?php echo formatPrice($subPurchaseData['price']->getCycleFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($subPurchaseData['cycle']->cycleDisplayName); ?></span>
													<?php include_partial('catalog/priceAdditionalData', array('price' => $subPurchaseData['price'], 'currencyId' => $currencyId, 'displayTaxes' => true)); ?>
													<?php endif; ?>
													<?php else: ?>
													&nbsp;
													<?php endif; ?>
												</td>
											</tr>
									<?php endforeach; ?>
									<?php foreach ($purchaseData['ownDomains'] as $ownDomains): ?>
										<?php foreach ($ownDomains as $ownDomain): ?>
											<tr>
												<td class="t-summary-item-name"><?php echo $ownDomain['type']; ?></td>

												<td class="t-summary-item-value">
													<div class="item-name"><b><?php echo formatProductName($ownDomain['name']); ?></b></div>
												</td>
												<td class="t-summary-item-price">
													<?php if ($ownDomain['price']): ?>
													<?php if ($ownDomain['useTransferFee']): ?>
													<span><b><?php echo formatPrice($ownDomain['price']->getTransferFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($ownDomain['cycle']->cycleDisplayName); ?></span>
													<?php include_partial('catalog/priceAdditionalData', array('price' => $ownDomain['price'], 'currencyId' => $currencyId, 'displayTaxes' => true, 'useTransferFee' => true)); ?>
													<?php else: ?>
													<span><b><?php echo formatPrice($ownDomain['price']->getCycleFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($ownDomain['cycle']->cycleDisplayName); ?></span>
													<?php include_partial('catalog/priceAdditionalData', array('price' => $ownDomain['price'], 'currencyId' => $currencyId, 'displayTaxes' => true)); ?>
													<?php endif; ?>
													<?php else: ?>
													&nbsp;
													<?php endif; ?>
												</td>
											</tr>
										<?php endforeach; ?>
									<?php endforeach; ?>

									<?php for ($i = 0; $i < sizeof($purchaseData['addons']); $i++): ?>
									<tr>
										<td class="<?php if ($i == 0): ?>t-summary-item-name<?php else: ?>t-summary-item-name-empty<?php endif; ?>"><?php if ($i == 0): ?>Additional Features<?php else: ?>&nbsp;<?php endif; ?></td>
										<td class="t-summary-item-value">
											<div class="item-name"><b><?php echo $purchaseData['addons'][$i]['name']; ?></b></div>
										</td>
										<td class="t-summary-item-price">
											<span><b><?php echo formatPrice($purchaseData['addons'][$i]['price']->getCycleFee(), $currencyId); ?></b> <?php echo __('TRANS_STORE_FOR_CYCLE'); ?> <?php echo __($purchaseData['addons'][$i]['cycle']->cycleDisplayName); ?></span>
											<?php include_partial('catalog/priceAdditionalData', array('price' => $purchaseData['addons'][$i]['price'], 'currencyId' => $currencyId, 'displayTaxes' => true)); ?>
										</td>
									</tr>
									<?php endfor; ?>
								</tbody>
							</table>
						</div>
						<?php endif; ?>
						
						<?php endforeach; ?>
						
					</div>
					
					<?php endforeach; ?>
					
					<div class="b-summary">
						<div class="b-summary-price-total">
							<table class="t-price-total">
								<tr>
									<td class="name"><?php echo __('TRANS_ORDERFORM_SUBTOTAL');?>:</td>
									<td class="t-summary-item-price"><b><?php echo formatPrice($amount, $currencyId); ?></b></td>
								</tr>
								<tr>
									<td class="name"><?php echo __('TRANS_TAX_ZONE_AMOUNT');?>:</td>
									<td class="t-summary-item-price"><b><?php echo formatPrice($totalAmount - $amount, $currencyId); ?></b></td>
								</tr>
								<tr class="t-summary-item-total">
									<td class="name"><b><?php echo __('TRANS_TOTAL');?>:</b></td>
									<td class="t-summary-item-price"><b><?php echo formatPrice($totalAmount, $currencyId); ?></b></td>
								</tr>
								<?php if ($minimalCycle): ?>
								<tr>
									<td class="name"><?php echo __('TRANS_MINIMAL_CONTRACT_TERM');?>:</td>
									<td class="t-summary-item-price"><b><?php echo __($minimalCycle->cycleDisplayName); ?></b></td>
								</tr>
								<?php endif; ?>
							</table>
						</div>
					</div>
					
					<div class="b-content-title">
						<div class="b-content-title-area clearfix">
							<h3 class="i-payment-method"><span><?php echo __('TRANS_BILLING_ACCOUNT_TYPE'); ?></span></h3>
						</div>
					</div>
					
					<?php if (isset($errorMessage)): ?>
					<?php include_partial('errorMessage', array('message' => $errorMessage)); ?>
					<?php endif; ?>

					<div class="b-description"><p><?php echo __('TRANS_PAYMENT_METHOD_DESCR'); ?></p></div>
					<div class="b-form">	
						<form id="confirmation" action="<?php echo url_for('@confirmation'); ?>" method="post">
							<?php include_partial('confirmationForm', array('form' => $form)); ?>
						</form>
					</div>
					<br/>
					<div class="b-agreement">
						<?php include_partial('errorMessage', array('message' => __('TRANS_YOU_MUST_AGREE_TO_THE_TERMS'), 'hidden' => true, 'id' => 'confirmation-error-msg')); ?>
						<div class="b-label">
							<label for="terms">
								<input type="checkbox" name="hosting-type" id="terms" class="checkbox"/>
								<?php if (isset($externalTermsLink) && $externalTermsLink): ?>
								<a target="_blank" href="<?php echo $externalTermsLink; ?>"><?php echo __('TRANS_ORDERFORM_READ_TERMS'); ?></a>
								<?php elseif (isset($internalTermsLink) && $internalTermsLink): ?>
								<a href="#" onclick="window.open('<?php echo url_for('@terms-of-use'); ?>', '', 'top=0, left=0, width=700, height=600, scrollbars=1'); return false;"><?php echo __('TRANS_ORDERFORM_READ_TERMS'); ?></a>
								<?php else: ?>
								<?php echo __('TRANS_ORDERFORM_READ_TERMS'); ?>
								<?php endif; ?>
							</label>
						</div>
					</div>

				</div>
			</div></div></div>
			<div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
		</div>
		
		<div class="p-store-actions">
			<div class="p-store-actions-area">
				<?php include_partial('backAction', array('router' => $router)); ?>
				<a id="confirmOrder" class="btn btn-action" href="#" onclick="confirmOrder(); return false;"><span><i><?php echo __('TRANS_CONFIRM_ORDER'); ?></i></span></a>
			</div>
		</div>

		<script type="text/javascript">
			function confirmOrder() {
				if ($('#terms:checked').val()) {
					$('#confirmation').submit();
				} else {
					$('#confirmation-error-msg').show();
				}
			}
		</script>

	</div> <!--/p-store-order-->

</div> <!--/#main-->