<div id="main" class="">

	<div class="p-store-order">

		<?php include_partial('navigationBar', array('router' => $router)); ?>

		<div class="p-box">
			<div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
			
			<form id="cleanContactInformation" action="<?php echo url_for('@contact-information'); ?>" method="post">
				<input type="hidden" name="operation" value="clean"/>
			</form>
			
			<form id="signIn" action="<?php echo url_for('@contact-information'); ?>" method="post">
				<input type="hidden" name="operation" value="sign-in"/>
			</form>
			
			<form id="signOut" action="<?php echo url_for('@contact-information'); ?>" method="post">
				<input type="hidden" name="operation" value="sign-out"/>
			</form>
			
			<form id="contactInformation" action="<?php echo url_for('@contact-information'); ?>" method="post">
				<?php if (isset($customer)): ?>
				<input type="hidden" name="operation" value="skip"/>
				<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
					<div class="p-box-title p-box-title-1">
						<div class="p-box-title-area">
							<h1><span><?php echo __('TRANS_HELLO_CUSTOMER', array("%CUSTOMER%" => $customer->contactFirstName)); ?></span></h1>
						</div>
					</div>
					<div class="p-box-content">
						<div class="b-description"><p><?php echo __('TRANS_ORDERFORM_CONTACT_INFO_DESCR'); ?></p></div>
						<div class="b-description"><p><?php echo __('TRANS_IF_YOU_WANT_CHANGE_ACCOUNT'); ?>, <a id="signOut" href="#" onclick="$('#signOut').submit(); return false;"><?php echo __('TRANS_YOU_CAN_SIGN_OUT'); ?></a> <?php echo __('TRANS_YOU_CAN_CREATE'); ?></p></div>
						<div class="b-form">
							<table class="t-form">
								<tbody>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_FIRST_NAME'); ?></td>
										<td class="field-value"><b><?php echo $customer->contactFirstName; ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_LAST_NAME'); ?></td>
										<td class="field-value"><b><?php echo $customer->contactLastName; ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ADDRESS_FULL'); ?></td>
										<td class="field-value"><b><?php echo $customer->contactAddress1 . ($customer->contactAddress2 ? ', ' . $customer->contactAddress2 : ''); ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_CITY'); ?></td>
										<td class="field-value"><b><?php echo $customer->contactCity; ?></b></td>
	
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_COUNTRY'); ?></td>
										<td class="field-value"><b><?php echo __('TRANS_ISO_3166_' . $customer->countryCode); ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_ZIP'); ?></td>
	
										<td class="field-value"><b><?php echo $customer->contactZip; ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_EMAIL'); ?></td>
										<td class="field-value"><b><?php echo $customer->clientEmail; ?></b></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div></div></div>
				<?php elseif ($customerData): ?>
				<input type="hidden" name="operation" value="skip"/>
				<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
					<div class="p-box-title p-box-title-1">
						<div class="p-box-title-area">
							<h1><span><?php echo __('TRANS_ORDERFORM_CONTACT_INFO'); ?></span></h1>
						</div>
					</div>
					<div class="p-box-content">
						<div class="b-description"><p><?php echo __('TRANS_ORDERFORM_CONTACT_INFO_DESCR'); ?></p></div>
						<div class="b-description"><p><?php echo __('TRANS_IF_YOU_WANT_CHANGE_CONTACT_INFORMATION'); ?>, <a id="cleanContactInformation" href="#" onclick="$('#cleanContactInformation').submit(); return false;"><?php echo __('TRANS_FILL_CONTACT_INFORMATION_AGAIN'); ?></a>.</p></div>
						<div class="b-form">
							<table class="t-form">
								<tbody>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_FIRST_NAME'); ?></td>
										<td class="field-value"><b><?php echo $customerData['clientFirstName']; ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_LAST_NAME'); ?></td>
										<td class="field-value"><b><?php echo $customerData['clientLastName']; ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ADDRESS_FULL'); ?></td>
										<td class="field-value"><b><?php echo $customerData['contactAddress1'] . ($customerData['contactAddress2'] ? ', ' . $customerData['contactAddress2'] : ''); ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_CITY'); ?></td>
										<td class="field-value"><b><?php echo $customerData['contactCity']; ?></b></td>
	
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_COUNTRY'); ?></td>
										<td class="field-value"><b><?php echo __('TRANS_ISO_3166_' . $customerData['countryISO2']); ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_ZIP'); ?></td>
										<td class="field-value"><b><?php echo $customerData['contactZip']; ?></b></td>
									</tr>
									<tr>
										<td class="field-name"><?php echo __('TRANS_ORDERFORM_CONTACT_EMAIL'); ?></td>
										<td class="field-value"><b><?php echo $customerData['clientEmail']; ?></b></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div></div></div>
				<?php else: ?>
				<input type="hidden" name="operation" value="register"/>
				<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
					<div class="p-box-title p-box-title-1">
						<div class="p-box-title-area">
							<h1><span><?php echo __('TRANS_ORDERFORM_CONTACT_INFO_FILL_IN'); ?></span></h1>
						</div>
					</div>
					<div class="p-box-content">
						<div class="b-description"><p><?php echo __('TRANS_ORDERFORM_CONTACT_INFO_DESCR'); ?></p></div>
						<div class="b-description"><p><?php echo __('TRANS_IF_YOU_HAVE_ACCOUNT'); ?>, <a id="signIn" href="#" onclick="$('#signIn').submit(); return false;"><?php echo __('TRANS_YOU_CAN_SIGN_HERE'); ?></a></p></div>
						<?php if (isset($errorMessage)): ?>
						<?php include_partial('errorMessage', array('message' => $errorMessage)); ?>
						<?php endif; ?>
						<?php include_partial('contactInformationForm', array('form' => $form)); ?>
					</div>
				</div></div></div>
				<?php endif; ?>
			</form>

			<div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
		</div>


		<div class="p-store-actions">
			<div class="p-store-actions-area">
				<?php include_partial('backAction', array('router' => $router)); ?>
				<a class="btn btn-action" href="#" onclick="$('#contactInformation').submit(); return false;"><span><i><?php echo __('TRANS_NEXT'); ?></i></span></a>
			</div>
		</div>

	</div> <!--/p-store-order-->

</div> <!--/#main-->
