<div id="main" class="">
	<div class="p-store-order">

		<?php include_partial('navigationBar', array('router' => $router)); ?>

		<div class="p-box">
			<div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>

			<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
				<div class="p-box-title p-box-title-1">
					<div class="p-box-title-area">
						<h1><span><?php echo __('TRANS_ORDERFORM_SIGN_IN'); ?></span></h1>
					</div>
				</div>
				<div class="p-box-content">
					<div class="b-description"><p><?php echo __('TRANS_ORDERFORM_CONTACT_INFO_DESCR'); ?></p></div>
					<?php if (isset($error)): ?>
						<?php include_partial('errorMessage', array('message' => $error)); ?>
					<?php endif; ?>
					<?php if (isset($info)): ?>
						<?php include_partial('infoMessage', array('message' => $info)); ?>
					<?php endif; ?>
					<form id="forgotPassword" action="<?php echo url_for('@sign-in'); ?>" method="post">
						<input type="hidden" name="operation" value="forgot-password"/>
					</form>

					<form id="signIn" action="<?php echo url_for('@sign-in'); ?>" method="post">
						<?php include_partial('signInForm', array('form' => $form)); ?>
					</form>
					<div class="b-description"><p><a id="signIn" href="#" onclick="$('#forgotPassword').submit(); return false;"><?php echo __('TRANS_FORGOT_PASSWORD'); ?></a></p></div>
				</div>
			</div></div></div>

			<div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
		</div>


		<div class="p-store-actions">
			<div class="p-store-actions-area">
				<?php include_partial('backAction', array('router' => $router)); ?>
				<a class="btn btn-action" href="#" onclick="$('#signIn').submit(); return false;"><span><i><?php echo __('TRANS_NEXT'); ?></i></span></a>
			</div>
		</div>

	</div> <!--/p-store-order-->

</div> <!--/#main-->
