<table class="t-form">
	<tbody>
		<tr>
			<td class="field-name"><label for=""><?php echo $form['paymentType']->renderLabel(); ?></label></td>
			<td class="field-value">
				<?php echo $form['paymentType']->render(); ?>
			</td>
		</tr>
	</tbody>
</table>
<?php foreach ($form->getGroups() as $group): ?>
<table style="display: none;" name="paymentType" id="paymentType_<?php echo $group->getName(); ?>" class="t-form">
	<tbody>
		<?php foreach ($group->getFields() as $field): ?>
		<tr id="field_<?php echo $field->getName(); ?>"<?php if ($field->hasViolation()): ?> class="error"<?php endif; ?>>
			<td class="field-name"><label for="<?php echo $field->getName(); ?>"><?php echo $form[$group->getName() . '__' . $field->getName()]->renderLabel(); ?></label><?php if ($field->required()): ?>&nbsp;<span style="color: rgb(150, 50, 50);">*</span><?php endif; ?></td>
			<td class="field-value">
				<?php echo $form[$group->getName() . '__' . $field->getName()]->render(); ?>
				<?php if ($field->hasDescription()): ?>
				<div class="hint"><?php echo __($field->getDescription()); ?></div>
				<?php endif; ?>
				<?php if ($field->hasViolation()): ?>
				<div class="hint error-hint"><?php echo __($field->getViolation()); ?></div>
				<?php endif; ?>
			</td>
		</tr>
		<?php endforeach; ?>
	</tbody>
</table>
<?php echo $form['_csrf_token']; ?>
<?php endforeach; ?>
<script type="text/javascript">
	$("#paymentType").change(function () {
		$(".[name='paymentType']:visible").hide();
		var selectedType = $("#paymentType option:selected").val();
		$("#paymentType_" + selectedType).show();
	});
	var selectedType = $("#paymentType option:selected").val();
	$("#paymentType_" + selectedType).show();
</script>
<?php include_partial('jsFieldVisibility', array('form' => $form)); ?>