<div class="b-form">
	<?php foreach ($form->getSections() as $section): ?>
	<table class="t-form">
		<tbody>
			<tr>
				<td colspan="2">
				<?php if ($form->hasMultipalSections()): ?>
				<div class="b-content-title">
					<div class="b-content-title">
						<div class="b-content-title-area clearfix">
							<h3><span><?php echo __($section->getTitle()); ?></span></h3>
						</div>
					</div>
				</div>
				<?php endif; ?>
				</td>
			</tr>
			<?php foreach ($section->getFields() as $field): ?>
			<?php if ($field->getType() == FormField::TYPE_HTML): ?>
			<tr id="<?php echo $field->getName(); ?>"<?php if ($field->hasViolation()): ?> class="error"<?php endif; ?>>
				<td colspan="2" class="field-value">
					<?php if ($field->hasViolation()): ?>
					<div class="hint error-hint"><?php echo __($field->getViolation()); ?></div>
					<?php endif; ?>
					<?php echo $form->getWidget($field->getName())->render($field->getName(), $field->getValue()); ?>

                </td>
			</tr>
			<?php else: ?>
			<tr id="field_<?php echo $field->getName(); ?>"<?php if ($field->hasViolation()): ?> class="error"<?php endif; ?>>
				<td class="field-name"><label for="<?php echo $field->getName(); ?>"><?php echo $form[$field->getName()]->renderLabel(); ?></label><?php if ($field->required()): ?>&nbsp;<span style="color: rgb(150, 50, 50);">*</span><?php endif; ?></td>
				<td class="field-value">
					<?php echo $form[$field->getName()]->render(); ?>
					<?php if ($field->hasDescription() && !$field->readOnly()): ?>
					<div class="hint"><?php echo __($field->getDescription()); ?></div>
					<?php endif; ?>
					<?php if ($field->readOnly()): ?>
					<b><?php echo $field->hasReadOnlyLabel() ? $field->getReadOnlyLabel() : __('TRANS_STORE_READONLY_EMPTY'); ?></b>
					<?php endif; ?>
					<?php if ($field->hasViolation()): ?>
					<div class="hint error-hint"><?php echo __($field->getViolation()); ?></div>
					<?php endif; ?>
				</td>
			</tr>
			<?php endif; ?>
			<?php endforeach; ?>
		</tbody>
	</table>
	<?php endforeach; ?>
	<?php echo $form['_csrf_token']; ?>
<?php include_partial('jsFieldVisibility', array('form' => $form)); ?>
</div>