<?php

class LoginAction extends sfAction {
	public function execute($request) {
		$shoppingSessionId = $request->getParameter('shoppingSessionId');
		try {
			ResourceLocator::getInstance()->billingContactService->loginByShoppingSessionId($shoppingSessionId);
		} catch (StoreException $exception) {
			$this->logMessage('Unable to login [shoppingSessionId=' . $shoppingSessionId . ']; ' . get_class($exception) . ' message: ' . $exception->getMessage(), 'err');
		}
		$this->redirect('@default');
	}
}