<?php

class WidgetByIdAction extends sfAction {
	
	public function execute($request) {
		try {

			if ($widget = ResourceLocator::getInstance()->billingWidgetService->getById($request->getParameter('id'))) {
				sfContext::getInstance()->getConfiguration()->loadHelpers('BillingFormat');
				$this->redirect(formatContinueShoppingUrl($widget->code));
			}
			throw new StoreException();

		} catch (StoreException $exception) {
			throw new sfError404Exception();
		}
		
	}
}