<?php use_helper('BillingFormat') ?>
<?php use_helper('BillingPlan') ?>
<?php use_helper('BillingPrice') ?>

<div id="main">
	<div class="p-store">
		
		<div class="heading">
			<div class="heading-area">
				<div class="heading-actions">
					<a href="<?php echo formatContinueShoppingUrl($container); ?>"><span><?php echo __('TRANS_GO_BACK_TO_PLAN_OVERVIEW'); ?></span></a>
				</div>
				<h1><span><?php echo __('TRANS_HOSTING_PLAN_COMP_CHART'); ?></span></h1>
			</div>
		</div>
		
		<div class="p-box p-box-comparison">
			<div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
				<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
					<div class="p-box-content">
						<table cellspacing="0" class="comparison-table p-box-panel">
							<thead>
								<tr class="comparison-table-top">
									<td style="width:25%">&nbsp;</td>
									<?php foreach ($plans as $plan): ?>
									<td style="width:25%"><div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div></td>
									<?php endforeach; ?>
								</tr>
								<tr>
									<th class="empty">&nbsp;</th>
									<?php foreach ($plans as $plan): ?>
									<th><h2><span><?php echo $plan->productName; ?></span></h2></th>
									<?php endforeach; ?>
								</tr>
								<tr class="comparison-table-actions">
									<td class="empty">&nbsp;</td>
									<?php foreach ($plans as $plan): ?>
									<td><div class="b-plan-description"><p><?php echo $plan->productComments; ?></p></div></td>
									<?php endforeach; ?>
								</tr>
							</thead>
							<tfoot>
								<tr class="comparison-table-actions">
									<td class="empty">&nbsp;</td>
									<?php foreach ($plans as $plan): ?>
									<td>
										<div class="b-plan-actions">
											<?php include_partial('planActionsColumn', array('container' => $container, 'store' => $store, 'plan' => $plan, 'currencyId' => $currencyId)); ?>
										</div>
									</td>
									<?php endforeach; ?>
								</tr>
								<tr class="comparison-table-bottom">
									<td>&nbsp;</td>
									<?php foreach ($plans as $plan): ?>
									<td><div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div></td>
									<?php endforeach; ?>
								</tr>
							</tfoot>
							<tbody>
								<?php foreach ($attrbiutes as $name => $values): ?>
								<tr>
									<th><?php echo __('TRANS_PACKAGE_ATTRIBUTES__' . strtoupper($name)); ?></th>
									<?php foreach ($plans as $planId => $plan): ?>
									<td><?php if (isset($values[$planId])): ?><?php echo $values[$planId]; ?><?php else: ?>&mdash;<?php endif; ?></td>
									<?php endforeach; ?>
								</tr>
								<?php endforeach; ?>
							</tbody>
						</table>
					</div>
				</div></div></div>
			<div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
		</div>

	</div>
</div>