<?php if ($price->hasDiscount() || $price->hasSetupFee() || (isset($displayTaxes) && $displayTaxes && (isset($useTransferFee) && $useTransferFee ? $price->hasTransferTaxes() : $price->hasCycleTaxes()))): ?>
<table class="t-additional-data">
	<?php if ($price->hasDiscount()): ?>
	<tr>
		<td class="name"><?php echo __('TRANS_ORIGINAL_PRICE'); ?>:</td>
		<?php if (isset($useTransferFee) && $useTransferFee): ?>
		<td class="value"><del><?php echo formatPrice($price->getTransferFee(false, false), $currencyId); ?></del></td>
		<?php else: ?>
		<td class="value"><del><?php echo formatPrice($price->getCycleFee(false, false), $currencyId); ?></del></td>
		<?php endif; ?>
	</tr>
	<tr>
		<td class="name"><?php echo __('TRANS_INSTANT_SAVINGS'); ?>:</td>
		<?php if (isset($useTransferFee) && $useTransferFee): ?>
		<td class="value"><?php echo formatPrice($price->getTransferDiscountAmount(), $currencyId); ?> (<?php echo formatRate($price->getTransferDiscountRate()); ?>)</td>
		<?php else: ?>
		<td class="value"><?php echo formatPrice($price->getDiscountAmount(), $currencyId); ?> (<?php echo formatRate($price->getDiscountRate()); ?>)</td>
		<?php endif; ?>
	</tr>
	<?php endif; ?>
	<?php if ($price->hasSetupFee()): ?>
	<tr>
		<td class="name"><?php echo __('TRANS_PACKAGE_SETUP_PRICE'); ?>:</td>
		<td class="value"><?php echo formatPrice($price->getSetupFee(), $currencyId); ?></td>
	</tr>
	<?php endif; ?>
	<?php if (isset($displayTaxes) && $displayTaxes): ?>
	<?php if (isset($useTransferFee) && $useTransferFee && $price->hasTransferTaxes()): ?>
	<?php foreach ($price->getTransferTaxes() as $tax): ?>
	<tr>
		<td class="name"><?php echo $tax->name; ?>:</td>
		<td class="value"><?php echo formatPrice($tax->amount, $currencyId); ?></td>
	</tr>
	<?php endforeach; ?>
	<?php elseif ((!isset($useTransferFee) || !$useTransferFee) && $price->hasCycleTaxes()): ?>
	<?php foreach ($price->getCycleTaxes() as $tax): ?>
	<tr>
		<td class="name"><?php echo $tax->name; ?>:</td>
		<td class="value"><?php echo formatPrice($tax->amount, $currencyId); ?></td>
	</tr>
	<?php endforeach; ?>
	<?php endif; ?>
	<?php endif; ?>
</table>
<?php endif; ?>