<?php

class CatalogWidgetAction extends WidgetAction {
	
	public function execute($request) {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);
		
		$this->container = $this->_container;
		$this->store = $this->_store;
		$this->currencyId = $this->_store->currencyID;
		$this->taxZone = $this->getDefaultTaxZone();
		$this->plans = $this->getPlans();
		$this->landingTemplate = ucfirst($this->_widget ? $this->_widget->websiteWidgetTpl : $this->_store->defaultWidgetTemplate);
		$this->purchasesCount = count(ResourceLocator::getInstance()->cart->getPurchases());
		
		$this->generalStyles = $this->getStyles('general');
		$this->mainStyles = $this->getStyles('main');
	}
	
}