<?php

class CatalogWidgetJSAction extends WidgetAction {
	
	public function execute($request) {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);
		
		$landingTemplate = ucfirst($this->_widget ? $this->_widget->websiteWidgetTpl : $this->_store->defaultWidgetTemplate);
		$generalStyles = $this->getStyles('general');
		$mainStyles = $this->getStyles('main');
		$parameters = array(
			'container' => $this->_container,
			'store' => $this->_store,
			'currencyId' => $this->_store->currencyID,
			'taxZone' => $this->getDefaultTaxZone(),
			'plans' => $this->getPlans(),
			'purchasesCount' => count(ResourceLocator::getInstance()->cart->getPurchases()),
			'absoluteUrls' => true
		);
		
		sfContext::getInstance()->getConfiguration()->loadHelpers('Partial');
		$content = '<script type="text/javascript" src="' . javascript_path('jquery-1.5.min.js', true) . '"></script><style>' . $generalStyles . ' ' . $mainStyles . '</style>' . get_partial('catalog/landingTemplate' . $landingTemplate, $parameters);
		$content = str_replace(
			array("\n", "\t", "'", '</script>'),
			array(' ', ' ', '\\\'', '<\x2fscript>'),
			$content
		);
		do {
			$count = 0;
			$content = str_replace('  ', ' ', $content, $count);
		} while ($count);
		
		return $this->renderText('document.write(\'' . $content . '\');');
	}
	
}