<?php

class BillingCoupon extends BillingObject {
	
	private $_preapplied;
	
	public function __construct($data, $preapplied = false) {
		parent::__construct($data);
		$this->_preapplied = $preapplied;
	}
	
	public function getCode() {
		return $this->couponCode;
	}
	
	public function preapplied() {
		return $this->_preapplied ? true : false;
	}
	
	protected function _extractId() {
		return $this->couponID;
	}
	
}