<?php

class BillingTaxZone extends BillingObject {
	
	public function persentage() {
		return $this->taxZoneAmountType ? false : true;
	}
	
	public function getAmount($format = false, $currencyId = false) {
		if ($format) {
			if ($this->persentage()) {
				return $this->taxZoneAmount . '%';
			} else {
				$formatter = new NumberFormatter(sfContext::getInstance()->getUser()->getCulture(), NumberFormatter::CURRENCY);
				return $formatter->formatCurrency($this->taxZoneAmount, $currencyId);
			}
		} else {
			return $this->taxZoneAmount;
		}
	}
	
	protected function _extractId() {
		return $this->taxZoneID;
	}
	
}