<?php

class BillingWidget extends BillingObject implements BillingPlansContainer {
	
	public function getStore() {
		return ResourceLocator::getInstance()->billingStoreService->getById($this->orderFormID);
	}
	
	public function getPlans($anonymously = false) {
		$ids = ResourceLocator::getInstance()->billingWidgetService->getPlanIds($this->getId());
		return ResourceLocator::getInstance()->billingPlanService->getByStore($this->orderFormID, $ids, $anonymously);
	}
	
	protected function _extractId() {
		return $this->websiteWidgetID;
	}
	
}