<?php

class BillingTaxZoneService extends BillingService {
	
	protected static $instance = null;
	
	public function getById($id) {
		$responce = $this->executeGetTaxZoneByID($id);
		if ($responce->hasErrors()) {
			throw new BillingObjectException('Tax Zone with id "' . $id . '" not found');
		} else {
			return new BillingTaxZone($responce->getData());
		}
	}
	
	public static function getInstance() {
		if (self::$instance == null) {
			self::$instance = new self(self::prepareSoapClient('tax_zone'));
		}
		return self::$instance;
	}
	
}