<?php

class CollectFormResult {
	
	private $_errors;
	
	private $_violations;
	
	private $_data;
	
	public function __construct($errors, $violations, $data) {
		$this->_errors = $errors;
		$this->_violations = $violations;
		$this->_data = $data;
	}
	
	public function getErrors() {
		return $this->_errors;
	}
	
	public function hasErrors() {
		return $this->_errors ? true : false;
	}
	
	public function getViolations() {
		return $this->_violations;
	}
	
	public function hasViolations() {
		return $this->_violations ? true : false;
	}
	
	public function getData() {
		return $this->_data;
	}
	
}