<?php

class Customer implements Resource {

	public function __construct() {

	}
	
	public static function getInstance() {
		return new Customer();
	}
	
	public function getContactID()
	{
		return ($customer = $this->getCustomer()) ? $customer->contactID : NULL ;
	}

	public function getClientID()
	{
		return ($customer = $this->getCustomer()) ? $customer->getId() : NULL ;
	}

	public function getCustomerData()
	{
		return ($customerData = sfContext::getInstance()->getUser()->getAttribute('customerData')) ? $customerData : NULL ;
	}

	private function getCustomer() {
		return sfContext::getInstance()->getUser()->getAttribute('customer');
	}
	
}