<?php

class BillingCertificateDetailsForm extends BillingForm {
	
	public function __construct($data, $defaults = array(), $options = array(), $CSRFSecret = null) {
		parent::__construct($data, $defaults, $options, $CSRFSecret);
	}
	
	public function save() {
		$values = $this->getValues();
		$store = sfContext::getInstance()->getUser()->getAttribute('store');
		$planId = $this->getAttribute('planId');
		$purchase = $this->getAttribute('purchase');
		$result = ResourceLocator::getInstance()->billingCertificateService->collectCertificateDetailsForm($store->getId(), $planId, $values);
		if (!$this->validate($result)) {
			return false;
		}

		$purchase->addParameter('data', $result->getData());
		return true;
	}
	
}