<?php

header("Cache-Control: no-cache");

define("ACCESS_TYPE", 0);

require_once(dirname(__FILE__) . '/path.php');
require_once mb_path('/lib-tk/include/common.php');

require_once("Loader.php");
Loader::registerAutoload();

require_once 'Billing/Zend/Translate/Adapter/Billing.php';
$translator = new Billing_Zend_Translate_Adapter_Billing();
Zend_Registry::set('Zend_Translate', $translator);

class BillingFrontController extends Zend_Controller_Front {
    public static function getInstance() {
        if (null === self::$_instance) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }
}

require_once 'Billing/Zend/Translate/Adapter/Billing.php';
$translator = new Billing_Zend_Translate_Adapter_Billing();
Zend_Registry::set('Zend_Translate', $translator);

Zend_Layout::startMvc(array('layoutPath' => Config()->system_baseDirectory . '/lib/admin/layouts'));

$controller = BillingFrontController::getInstance();
$controller->addModuleDirectory(Config()->system_baseDirectory . '/lib/admin/include/lib-action');
$controller->dispatch();