<?php

require_once(dirname(__FILE__)."/ipnsetup.php");
require_once("objects/Transaction.php");
require_once("object_managers/PaymentManager.php");
require_once("UI/Page/UIGatewayCallBackDetailsPage.php");

try {
	dbg("REMOTE_ADDR:REMOTE_PORT:");
	dbg("{$_SERVER['REMOTE_ADDR']}:{$_SERVER['REMOTE_PORT']}");
	dbg("REQUEST_URI:");
	dbg($_SERVER["REQUEST_URI"]);
	dbg("REQUEST:");
	dbg($_REQUEST);
	$transaction = PaymentManager::processCallback($_SERVER["REQUEST_URI"], bgpc_stripslashes($_REQUEST));
	$page = new UIGatewayCallBackDetailsPage($transaction);
} catch (Exception $e) {
	$page = new UIGatewayCallBackDetailsPage();
	$page->setErrorMessage($e->getMessage());
	dbg("Failed to process callback from '{$_SERVER['REMOTE_ADDR']}:{$_SERVER['REMOTE_PORT']}': {$e->getMessage()}");
}

echo $page->getHTML(true);
