<?php

require_once(dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php");
require_once("lib-api-action/apiaction.php");

/*
 * Create quest session with given request params.
 */
class CreateSession extends MB_AdminAPIAction
{
	public function execute()
	{
		parent::execute();

		$session = Factory()->BillingSession();
		$session->session_ip = bgpc("ip");
		parse_str(bgpc("requestParams"), $requestParams);
		$session->Storage->requestParams[bgpc("actionID")] = $requestParams;
		$session->update();

		return $this->output(array("sid" => $session->id));
	}
}
