<?php
require_once(dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php");
require_once("lib-api-action/apiaction.php");

class ForgotPassword extends MB_AdminAPIAction
{
    public function execute()
    {
		parent::execute();
		
		$clientContact = Factory()->ClientContact(bgpc("email"), "contact_email");
		if (1 != $clientContact->contact_active) {
			throw new Exception("Client is not active");
		}
		
		$newPassword = getRandomPassword(12);
		
		$clientContact->contact_password = getPasswordHash($newPassword);
		require_once("object_managers/ClientContactManager.php");
		ClientContactManager::update($clientContact, $newPassword);
		
		require_once("lib-mbapi/include/mail/emailTemplates/passwordNotificationEmail.php");
		$email = new PasswordNotificationEmail( $newPassword, $clientContact->id );
		if (!$email->execute()) {
			throw new Exception("Failed to send email");
		}
		
		return $this->output();
    }
}