<?php

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-api-action/apiaction.php");

class GetClientBalances extends MB_AdminAPIAction
{
	public function execute()
	{
		parent::execute();

		$masterAccountID = (array)$_REQUEST["masterAccountID"];
		$GUID = (array)$_REQUEST["GUID"];
		
		$data = correctArray(dispatchMBAPI(array(
			"mbapi" => array(
				"command" => "GetClientBalances",
				"params" => array(
					"clientID" => (array)$_REQUEST["clientID"],
					"masterAccountID" => (array)$_REQUEST["masterAccountID"],
					"GUID" => (array)$_REQUEST["GUID"],
					"ledgerAccount" => "accounts_receivable",
					"getOldestDueDate" => (int)$_REQUEST["getOldestDueDate"],
					"returnClientData" => (int)$_REQUEST["returnClientData"],
				),
			),
		), 1));

		$this->output(array(
			"clients" => array(
				"client" => $data["mbapi"][0]["results"][0]["clients"],
			),
		));
	}
}