<?php

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once ("lib-action/action.php");

class EditAdmin extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (is_null($admin_id = bgpc("adminID")))
		{
			$this->addError(TRANS_ACTIONERROR, "No Admin ID given.");
			$this->addErrorTemplates();
			return $this->hasExecutedSuccessfully();
		}

		$controller = UIFactory()->PageController(action_url("admins", "ShowAdmins"));

		require_once("UI/Page/UIUpdateAdminPage.php");
		$controller->addPage(new UIUpdateAdminPage($controller, $admin_id, blmsg("TRANS_ADMIN_EDIT_PROFILE")));
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
