<?php
require_once("lib-action/action.php");

class ShowBatchFiles extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (!CryptManager::isEncryptionEnabled()) {
			billing_put_warning(blmsg("TRANS_BATCH_FILE_NO_ENCRYPTION_ERROR"));
		}
		$page  = UIFactory()->Page();
		require_once("UI/Tabs/UIBatchFilesScreenTabs.php");
		$batch_files_tabs = new UIBatchFilesScreenTabs();
		$batch_files_tabs->setCurrent("files");
		$page->setScreenTabs($batch_files_tabs);
		$page->title = blmsg("TRANS_BATCH_FILES");
		$page->parent_title = blmsg("TRANS_BATCH_FILES_MANAGER");
		require_once("UI/List/UIBatchFileList.php");
		$page->addListPanel(new UIBatchFileList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
