<?php

require_once("lib-action/genericactions.php");

class RemoveAttributeGroupResponse extends RemoveResponseAction
{
	public function __construct()
	{
		parent::RemoveResponseAction();
		$this->stringRep = "RemoveAttributeGroupResponse";
		$this->setDataSource(new DataSource("attributeGroups"));
	}

	public function RemoveResponseParamHandler()
	{
		$groupID = bgpc("groupID");
        foreach(Factory()->ClientList(array("group_id" => $groupID)) as $client) {
            $client->group_id = Settings()->defaultCustomerGroupID;
            $client->update();
        }
		return true;
	}
}
