<?php
require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowBillingAccounts extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$client_id = $this->_getClient()->id;

		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));
		// Tools Area Buttons
		$tools_panel->addButton(UIFactory()->ToolButton( "new-account",	blmsg("TRANS_ADD_BILLING_ACCOUNT"),	action_url("clients", "AddBillingAccount", array("clientID" => $client_id))));
		$page  = UIFactory()->Page();
		$page->addToolsPanel($tools_panel);
		$page->title = blmsg("TRANS_BILLING_ACCOUNTS");
		$client = Factory()->Client($client_id);
		$page->parent_title = $client->PrimaryContact->contact_fullname;
		$page->parent_url = action_url("clients", "ShowClientDetails", array("clientID"	=> $client_id));

		require_once("UI/List/UIBillingAccountList.php");
		$page->addListPanel(new UIBillingAccountList( $client_id ));
		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
