<?php

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

class GotoCrashReport extends MB_Action
{

	public function execute()
	{
		// Check requested crash report on existing
		require_once("objects/CrashReport.php");
		try
		{
			$crash_report = Factory()->CrashReport(bgpc("number"), "number");
		}
		catch (ProductException $e)
		{
			if (ProductException::E_OBJECT_NOT_FOUND == $e->getCode())
				redirect(action_url("crashes", "GotoCrashReport", array(
					"notfound" => "1",
					"number" => $_REQUEST["number"],
				)));

			throw $e;
		}

		redirect(action_url("crash_report", NULL, array("number" => $crash_report->number)));
	}
}
