<?php

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once("lib-action/DomainAction.php");


class DomainUploadDocuments extends DomainAction
{
	public function execute()
	{
		parent::execute();

		if (is_null($domainID = bgpc("domainID"))) {
			$this->redirectWithErrorMessage("No domainID given");
		}

		$controller = UIFactory()->PageController(action_url("domains", "ShowDomainDetails", array("domainID" => $domainID)));
		require_once("UI/Page/UIDomainUploadDocumentsPage.php");
		$controller->addPage(new UIDomainUploadDocumentsPage($controller, $domainID, blmsg("TRANS_DOMAIN_UPLOAD_DOCUMENTS")));
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
} 

