<?php

require_once("lib-action/action.php");

class EditDbgPageloadsSettingsResponse extends MB_Action
{
	public function execute()
	{
		global $CONF;
		parent::execute();

		$debugToLog = bgpc("debugToLog");
        $CONF["system"]["internal"]["debugToLog"] = $debugToLog;
	    storeConfigs("system","internal");

        getCurrentSession()->Storage->infoMessages[] = (1 == $debugToLog) ? blmsg("TRANS_DEBUG_LOG_ENABLED_MSG") : blmsg("TRANS_DEBUG_LOG_DISABLED_MSG");
		redirect("events.php", getActionID("ShowDbgPageloads"));

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
