<?php

define("__ECHO_DBG", 1);

require_once(dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php");
require_once("lib-action/action.php");

class RunDebugEvent extends MB_Action
{
	public function execute()
	{
		if (!Config()->allowDebugLogging) {
			$this->addError(blmsg("TRANS_ACTIONERROR"), "Debug run is not allowed.");
			$this->addErrorTemplates();
			return $this->hasExecutedSuccessfully();
		}

		dbg("Starting the run!");
		ignore_user_abort();
		set_time_limit(0);

		$query = new MBQuery("ProcessSystemQueue", "", array("runMax" => 1, "systemQueueID" => (int)$_REQUEST["systemQueueID"]));
		require_once("lib-mbapi/mbapi.php");
		$data = dispatchMBAPI($query->getXMLQuery(), 1);

		return $this->hasExecutedSuccessfully();
	}
}
