<?php

function getInvoiceStatsData($args)
{
	$graphData = array();

	$xmlParams = array(
		"getInvoiceStats" => 1,
	);

	$query = getMBAPIQuery("GetInvoices", "", $xmlParams);
	dbg("ShowGraph::getGraphData", htmlentities($query), __FILE__, __LINE__);
	$data = dispatchMBAPI($query, 1);
	dbg("ShowGraph::getGraphData", $data, __FILE__, __LINE__);

	$results =& $data["mbapi"][0]["results"][0];

	if ($data["mbapi"][0]["header"][0]["errorCount"][0] == 0 && $data["mbapi"][0]["header"][0]["numResults"][0] > 0) {
	 	$num = $data["mbapi"][0]["header"][0]["numResults"][0] / 2;
	 	$results =& $data["mbapi"][0]["results"][0]["invoices"][0]["invoice"];
        for($i=0;$i<=$num;$i++) {
         	$statusID = $results[$i]["invoiceStatus"][0];
         	$statusCount = $results[$i]["numInvoices"][0];
			$invoiceStatus[$statusID] = $statusCount;
		}
	}

	require_once("objects/Invoice.php");
	$invoiceStatuses = Invoice::statuses();
	foreach($invoiceStatuses as $statusID => $statusName) {
		$graphData["pPlots"][0][] = ($invoiceStatus[$statusID]>0) ? $invoiceStatus[$statusID] : 0 ;
		$graphData["pPlotLabels"][] = $statusName;
	}

	return $graphData;
}
