<?php
require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowInvoiceFacturas extends MB_Action
{
	public function execute()
	{
		parent::execute();
		if (1 != Settings()->invoiceFactura_enableGeneration) {
			getCurrentSession()->Storage->errorMessages[] = blmsg("TRANS_RESTRICTED");
			redirect(action_url("invoices", "ShowInvoices"));
		}
		
		$page  = UIFactory()->Page();
		$descPanel = UIFactory()->InputPanel(NULL, true);
		$facturaDesc = UIFactory()->InputLabel();
		$facturaDesc->value = blmsg("TRANS_INVOICE_FACTURA_DESC");
		$descPanel->addInputControl($facturaDesc);
		$page->addInputPanel($descPanel);
		require_once("UI/Tabs/UIInvoicesTabs.php");
		$invoicesTabs = new UIInvoicesTabs();
		$invoicesTabs->setCurrent("facturas");
		$page->setScreenTabs($invoicesTabs);
		
		$page->title = blmsg("TRANS_SHOW_INVOICE_FACTURAS");
		$page->parent_title = blmsg("TRANS_FINANCES");
		require_once("UI/List/UIInvoiceFacturaList.php");
		$page->addListPanel(new UIInvoiceFacturaList());
		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
