<?php
if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

class EditFraudGuardianConfigResponse extends MB_Action
{
	function execute()
	{
		parent::execute();

		$configGroup = Factory()->ConfigGroup(0)->getChild("securitySettings")->getChild("fraudguardian")->getChild("0");
		$params = array(
			"enableFraudGuardian",
			"usernameFraudGuardian",
			"passwordFraudGuardian"
		);
	
		foreach($params as $paramName) {
			$configGroup->ConfigParams[$paramName]->value = bgpc($paramName);
		}
		$configGroup->ConfigParams->update();
		if ($_REQUEST["redirectURL"]!="" && $_REQUEST["redirectAction"]!="") {
			redirect($_REQUEST["redirectURL"]."?action=".getActionID($_REQUEST["redirectAction"])."&".$_REQUEST["redirectArgs"]);
		} else {
			redirect("modules.php", getActionID("EditFraudGuardianConfig"), array("configGroupID"=>$configGroup->config_group_id, "saved"=>1));
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
?>