<?php
require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once("lib-action/action.php");

class EditOrderFormTermsText extends MB_Action
{
	public function execute()
	{
		parent::execute();
		if (is_null($order_form_id = bgpc("orderFormID"))){
			throw new Exception("Missing parameter 'orderFormID'");
		}
		$order_form = Factory()->OrderForm($order_form_id);
		require_once("object_managers/OrderFormManager.php");
		$this->smartyVars["terms_text"] = OrderFormManager::getTermsText($order_form);
		$this->smartyVars["order_form_id"] = $order_form_id;
		$this->smartyVars["use_terms_url"] = bgpc("useTermsUrl");
		$this->addTemplate("orderforms/EditOrderFormTermsText");
		return $this->hasExecutedSuccessfully();
	}
}
