<?php
require_once mb_path("/lib-action/action.php");

class EditOrderFormThemeResponse extends MB_Action
{
	function execute()
	{
		parent::execute();

		$orderFormID = bgpc("orderFormID");
		if(is_null($orderFormID)) {
			throw new Exception("Missing parameter 'orderFormID'");
		}

		if(is_null($theme = bgpc("theme"))) {
			throw new Exception("Missing parameter 'theme'");
		}

		$orderForm = Factory()->OrderForm($orderFormID);
		$orderForm->OrderFormParams["theme"]->order_form_param_value = $theme;
		$orderForm->OrderFormParams->update();
		
		redirect("orderforms.php", "EditOrderFormTheme", array("orderFormID" => $orderFormID));

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}