<?php
require_once mb_path("/lib-action/action.php");

class RemoveOrderFormResponse extends MB_Action
{
	public function __construct()
	{
		parent::MB_Action();
		$this->params = array("orderFormID");
	}

	public function execute()
	{
		parent::execute();

		$orderFormID = ((int) $_REQUEST["orderFormID"]);
		if(!$orderFormID) {
			$this->addError(TRANS_ACTIONERROR, "No OrderForm ID given.");
		} else {
			$query = $this->getMBAPIQuery("SetOrderForms", "delete", array());
			require_once mb_path("/lib-mbapi/mbapi.php");
			$data = dispatchMBAPI($query, 1);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				if ($_REQUEST["redirectURL"]!="" && $_REQUEST["redirectAction"]!="") {
					redirect($_REQUEST["redirectURL"]."?action=".getActionID($_REQUEST["redirectAction"])."&".$_REQUEST["redirectArgs"]);
				} else {
					redirect("orderforms.php", getActionID("ShowOrderForms"));
				}
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}