<?php
require_once("lib-action/action.php");

class EditDomainRegistrationInfo extends MB_Action
{
    public function execute()
	{
		parent::execute();
		$backUrl = action_url("clients", "ShowClientDetails", array("clientID" => bgpc("clientID")));
		$controller  = UIFactory()->PageController($backUrl);

		require_once("UI/Page/UIEditDomainRegistrationInfoPage.php");
		$page = new UIEditDomainRegistrationInfoPage($controller);
		$page->title = blmsg("TRANS_REGISTRAR_EDIT_DOMAIN_REGISTRATION_INFO_TITLE");
		$page->parent_title = Factory()->Client(bgpc("clientID"))->PrimaryContact->contact_fullname;
		$page->parent_url = $backUrl;

		$controller->setValue("registrarID", bgpc("registrarID"));
		$controller->setValue("domainSLD", bgpc("domainSLD"));
		$controller->setValue("domainTLD", bgpc("domainTLD"));
		$controller->addPage($page);
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
