<?php

require_once("lib-action/action.php");

class ImportPanelPlans extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$backUrl = bgpc("backUrl", action_url("products", "ShowProducts"));
		$controller  = UIFactory()->WizardController($backUrl);

		require_once("UI/Page/UIImportPanelPlansPage.php");
		$importPage = $controller->addPage(new UIImportPanelPlansPage($controller));
		$importPage->title = blmsg("TRANS_PANEL_IMPORT_PLANS_CONFIRM_TITLE");
		$importPage->parent_title = blmsg("TRANS_PRODUCTS");
		$importPage->parent_url = $backUrl;

		require_once("UI/Page/UIImportPanelResultPage.php");
		$resultPage = $controller->addPage(new UIImportPanelResultPage($controller));
		$resultPage->title = blmsg("TRANS_PANEL_IMPORT_PLANS_RESULT_TITLE");
		$resultPage->parent_title = blmsg("TRANS_PRODUCTS");
		$resultPage->parent_url = $backUrl;

		$controller->setValue("panelGUID", bgpc("panelGUID"));
		$controller->setValue("panelPlanIDs", bgpc("panelPlanIDs"));
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
