<?php

require_once("lib-action/genericactions.php");

class ShowProductVariableValues extends ShowAction {

    public function __construct()
    {
		parent::__construct();
		$this->setDataSource(new DataSource("productVariableValues"));
        $this->smartyVars['tabs'] = array(
			"variants" => array(
				"url" => action_url("products", "ShowProductVariants"),
				"title" => blmsg("TRANS_SHOW_PRODUCT_VARIANTS"),
				"current" => false
			),
			"priceGroups" => array(
				"url" => action_url("products", "ShowProductVariables"),
				"title" => blmsg("TRANS_PRICING_OPTIONS"),
				"current" => false
			),
			"priceOptions" => array(
				"url" => action_url("products", "ShowProductVariableValues"),
				"title" => blmsg("TRANS_SHOW_OPTION_VALUES"),
				"current" => true
			),
		);
	}

}
?>
