<?php
require_once("lib-action/genericactions.php");

class ShowProductVariants extends ShowAction {

	public function __construct()
    {
		parent::__construct();
		$this->setDataSource(
			new DataSource(
				"variants",
				array(
					"productVariableValue" => array(
						"productVariable" => array(
						),
					),
				)
			)
		);
        $this->smartyVars['tabs'] = array(
			"variants" => array(
				"url" => action_url("products", "ShowProductVariants"),
				"title" => blmsg("TRANS_SHOW_PRODUCT_VARIANTS"),
				"current" => true
			),
			"priceGroups" => array(
				"url" => action_url("products", "ShowProductVariables"),
				"title" => blmsg("TRANS_PRICING_OPTIONS"),
				"current" => false
			),
			"priceOptions" => array(
				"url" => action_url("products", "ShowProductVariableValues"),
				"title" => blmsg("TRANS_SHOW_OPTION_VALUES"),
				"current" => false
			),
		);
	}

}
?>
