<?php
require_once("lib-action/action.php");

class EditDomainRegistrar extends MB_Action
{
	public function execute()
	{
		parent::execute();

		if (!isset($_REQUEST['configGroupID'])) {
			$this->addError(TRANS_ACTIONERROR, "No Registrar given.");
			$this->addErrorTemplates();
			return $this->hasExecutedSuccessfully();
		}

		$configGroupID = bgpc("configGroupID");
		$back_url = action_url("registrars", "ShowRegistrars");
		$controller  = UIFactory()->PageController($back_url);
		require_once("UI/Page/UIDomainRegistrarEditPage.php");
		$controller->addPage($edit_page = new UIDomainRegistrarEditPage($controller));
		$edit_page->title = blmsg("TRANS_REGISTRAR_OPTIONS");
		$edit_page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$edit_page->parent_url = $back_url;
		$controller->setValue("registrarID", $configGroupID);
		$controller->processRequest();

		$this->smartyVars["page"] = $controller->getPage();
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}