<?php
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowRegistrars extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();
		$page->title = blmsg("TRANS_DOMAIN_REGISTRARS_TITLE");
		$page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$page->parent_url = admin_action_url("configs", "system", "show");

		require_once("UI/List/UIDomainRegistrarList.php");
		$page->addListPanel(new UIDomainRegistrarList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");
		return $this->hasExecutedSuccessfully();
	}
}
