{****** make sure you create your parameters section ******}

{if $parametersOnly==1}
	<strong>{"TRANS_GENERATE_DAILY_INVOICE_SHEET_FOR"|lmsg}:</strong>
	<ul>
		<li>
			<a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&invoiceSheetDay=yesterday"}">{"TRANS_YESTERDAY"|lmsg}</a>
			<a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&invoiceSheetDay=yesterday"}">[{"TRANS_PRINT"|lmsg}]</a>
		</li>
		<li>
			<a href="{getHREF page="reports.php" actionName="ShowReportContainer" args="reportName=`$reportInfo.reportName`&invoiceSheetDay=today"}">{"TRANS_TODAY"|lmsg}</a>
			<a target="_BLANK" href="{getHREF page="reports.php" actionName="ShowReportDetails" args="reportName=`$reportInfo.reportName`&invoiceSheetDay=today"}">[{"TRANS_PRINT"|lmsg}]</a>
		</li>
		<li>{"TRANS_SELECT_INVOICE_SHEET_DATE"|lmsg} <br /><input class="button" type="button" id="invoiceSheetCal" value=" ... " /> <input class="button" type="button" id="invoiceSheetCalPrint" value=" ... {$smarty.const.TRANS_PRINT} " />
			<script type="text/javascript" charset="utf-8">
				{literal}
				function goInvoiceSheet(cal) {
					if (cal.dateClicked) {
						{/literal}
						var url = "reports.php?action={getActionID action="ShowReportContainer"}&reportName={$reportInfo.reportName}&sid={$sid}&invoiceSheetDay=" + cal.date.print("%m/%d/%Y");
						{literal}
						window.location = url;
					}
				}

				Zapatec.Calendar.setup({
					weekNumbers       : false,
					showOthers        : false,
					showsTime         : false,
					timeFormat        : "12",
					step              : 2,
					range             : [1993.01, 2029.12],
				//	dateStatusFunc	  : disableDates,
					button            : "invoiceSheetCal",
					onSelect          : goInvoiceSheet
				});

				function goInvoiceSheetPrint(cal) {
					if (cal.dateClicked) {
						{/literal}
						var url = "reports.php?action={getActionID action="ShowReportDetails"}&reportName={$reportInfo.reportName}&sid={$sid}&invoiceSheetDay=" + cal.date.print("%m/%d/%Y");
						{literal}
						window.location = url;
					}
				}

				Zapatec.Calendar.setup({
					weekNumbers       : false,
					showOthers        : false,
					showsTime         : false,
					timeFormat        : "12",
					step              : 2,
					range             : [1993.01, 2029.12],
				//	dateStatusFunc	  : disableDates,
					button            : "invoiceSheetCalPrint",
					onSelect          : goInvoiceSheetPrint
				});
				{/literal}
			</script>
		</li>
	</ul>
{elseif $invoices}
{****** end parameters section, start report template section ******}

	<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
	<tr>
		<td>
			<h1 style="text-align:center;">{"TRANS_INVOICE_SHEET"|lmsg}: {"TRANS_FOR"|lmsg} {"TRANS_DATE"|lmsg} {$startDate|getDate:short}</h1>

		<table width="100%" class="ledger">

			<tr>
				<th>{"TRANS_INVOICE_NUMBER"|lmsg}</th>
				<th>{"TRANS_CLIENT"|lmsg}</th>
				<th>{"TRANS_CURRENCY"|lmsg}</th>
				<th>{"TRANS_AMOUNT"|lmsg}</th>
				<th>{"TRANS_PAID"|lmsg}</th>
				<th>{"TRANS_AMOUNT_DUE_OPTION"|lmsg}</th>
			</tr>

			{foreach item="invoice" key="i" from=$invoices}
				{assign var="clientName" value="`$invoice.contactFirstName` `$invoice.contactLastName`"}
				<tr>
					<td><a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`"}">{$invoice.invoiceNumber}</a></td>
					<td>{include file="$tplDirectory/widgets/actionLink.tpl"
							page="clients.php"
							actionName="ShowClientDetails"
							args="clientID=`$invoice.clientID`"
							clientID=$invoice.clientID
							clientContactID=$invoice.clientContactID
							altText=$clientName
							linkText=$clientName
						}</td>
					<td>{$invoice.currencyID}</td>
					<td>{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
					<td>{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
					<td>{$invoice.invoiceAmount-$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
				</tr>
			{foreachelse}
			<tr>
				<td colspan="6"><em>{$smarty.const.TRANS_NONE}</em></td>
			</tr>
			{/foreach}

		</table>

		{if $numInvoices>0}

			<h1>{$smarty.const.TRANS_SUMMARY}:</h1>
			<table class="ledger">
				<tr>
					<td align="right"><strong>{$smarty.const.TRANS_TOTAL_INVOICES}: </strong></td>
					<td>{$numInvoices}</td>
				</tr>
				<tr>
					<td align="right"><strong>{$smarty.const.TRANS_TOTAL_CLIENTS}: </strong></td>
					<td>{$numClients}</td>
				</tr>

				{foreach item="totals" key="currencyID" from=$currencies}
					<tr>
						<td valign="top" align="right"><strong>{$currencyID} {$smarty.const.TRANS_TOTALS}: </strong></td>
						<td>
							<table class="ledger">
								<tr>
									<td align="right">{$smarty.const.TRANS_INVOICES}: </td>
									<td align="right">{$totals.numInvoices}</td>
								</tr>
								<tr>
									<td align="right">{$smarty.const.TRANS_CLIENTS}: </td>
									<td align="right">{$totals.numClients}</td>
								</tr>
								<tr>
									<td align="right">{$smarty.const.TRANS_AMOUNT}: </td>
									<td align="right">{$totals.totalAmount|getAmount:$currencyID}</td>
								</tr>
								<tr>
									<td align="right">{$smarty.const.TRANS_AMOUNT_PAID}: </td>
									<td align="right">{$totals.totalAmountPaid|getAmount:$currencyID}</td>
								</tr>
								<tr>
									<td align="right">{$smarty.const.TRANS_AMOUNT_DUE}: </td>
									<td align="right">{$totals.totalAmount-$totals.totalAmountPaid|getAmount:$currencyID}</td>
								</tr>
							</table>
						</td>
					</tr>
				{/foreach}


			</table>

		{/if}

		</td>
	</tr>
	</table>

{else}

<br /><br />
<center>
	{$smarty.const.TRANS_NO_DATA_IN_PERIOD}
</center>

{/if}