<?php
require_once("lib-action/action.php");

class ShowActionLog extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$page  = UIFactory()->Page();

		require_once("UI/Tabs/UIActionLogTabs.php");
		$tabs = new UIActionLogTabs();
		$tabs->setCurrent("action_log");

		$page->setScreenTabs($tabs);
		$page->title = blmsg("TRANS_ACTION_LOG");
		$page->parent_title = blmsg("TRANS_MANAGE_SYSTEM");
		$page->parent_url = admin_action_url("configs", "system", "show");

		require_once("UI/List/UIActionLogList.php");
		$page->addListPanel(new UIActionLogList());

		$this->smartyVars["page"] = $page;
		$this->addTemplate("page");

		return $this->hasExecutedSuccessfully();
	}
}
