<?php

require_once("lib-action/action.php");

class RemovePanelResponse extends MB_Action
{
	public function execute()
	{
		if ( is_null($configGroupID = bgpc("configGroupID")) ) {
			throw new Exception("Missing parameter 'configGroupID'");
		}

		try {
			require_once("object_managers/ControlPanelManager.php");
			ControlPanelManager::delete(Factory()->ControlPanel($configGroupID), bgpc("panel_remove_forced"));
			redirect("servergroups.php", getActionID("ShowServerGroups"));
		} catch ( ProductException $e ) {
			$this->addOperationErrors($e);
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}