<?php

require_once ("lib-action/action.php");


class EditTheme extends MB_Action {

	public function __construct()
    {
		parent::MB_Action();
		$this->params = array("themeID");
	}

	function execute() {
		parent::execute();
		$themeID = ((int) $_REQUEST["themeID"]);
		if(!$themeID) {
			$this->addError(TRANS_ACTIONERROR, "No theme ID given.");
		} else {
			$query = $this->getMBAPIQuery("GetThemes", "", array());
			$data = dispatchMBAPI($query, 1);
			dbg($data);
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				$defaultFormValues = grabSimpleMBAPIResults( $data );
				$this->mergeFormState( $defaultFormValues[0] );
				$this->addTemplate("themes/EditTheme");
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // EditTheme
?>