<?php

// Remove the time limit b/c running some MBAPI commands can take more than 30 seconds.
set_time_limit(0);

// Do we really need to show all errors?
error_reporting(E_ERROR);

if (isset($_SERVER["GATEWAY_INTERFACE"])) {
	echo "This is not for HTTP.\n";
	exit;
}

chdir(dirname(__FILE__));

$mbpath = array(dirname(__FILE__));
// initialize the mbapi's library path
define("MB_LIBPATH", realpath(dirname(__FILE__)."/../.."));
require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");

define("ACCESS_TYPE", NON_LOGIN_APP);
define("CLI_INTERFACE", true);

// initialize the current application's library path
define("APP_LIB", "lib-billing");
mb_add_path("/".APP_LIB);
mb_add_path("/admin");

require mb_path("/lib-billing/include/config/config.php");
//define("ACCESS_HASH", $CONF["remoteAccessHash"]);
define("INTERNAL_ADMIN", "cron");

$_SERVER["REMOTE_ADDR"] = "127.0.0.1";

list($command, $sid, $actionID, $continue, $started) = (array) $_SERVER["argv"];
if($continue) {
	$_REQUEST["sid"] = $sid;
	$_REQUEST["ajax"] = 1;
	$_REQUEST["continue"] = 1;
	$_REQUEST["started"] = (int) $started;
	$_REQUEST["act"] = $actionID;
}

require_once(MB_LIBPATH."/lib-tk/include/cli_prepender.php");
if (file_exists($flag = rtrim(Config()->system_temporaryDirectory, "/\\") . "/flag_disable_event_manager")) {
	echo "Event Manager was temporary disabled. Flag: {$flag}\n";
	exit;
}
require_once("lib-tk/include/common.php");
dispatchAction("events", "RunEvents");

