<?php

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowBillingAccounts extends MB_Action
{
	public function execute()
	{
		parent::execute();

		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));
		$tools_panel->addButton(UIFactory()->ToolButton( "new-account", blmsg("TRANS_ADD_BILLING_ACCOUNT"),	action_url("profile", "AddBillingAccount")));
		$page  = UIFactory()->Page();
		$page->addToolsPanel($tools_panel);
		$page->title = blmsg("TRANS_MENU_CLIENT_PROFILE_BILLING_ACCOUNTS");
		$client_contact_id = getCurrentSession()->user_id;
		require_once("UI/List/UIBillingAccountList.php");
		$page->addListPanel(new UIBillingAccountList( Factory()->ClientContact( $client_contact_id)->client_id, $client_contact_id ));
		$this->smartyVars["page"] = $page;
		$this->smartyVars["showScreenTitle"] = true;
		$this->addTemplate("page", $this->smartyVars);
		return $this->hasExecutedSuccessfully();
	}
}
