<?php
require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once(dirname(__FILE__)."/../../../../lib-action/action.php");

class ShowClientContacts extends MB_Action
{
	public function execute()
	{
		parent::execute();
		$contact = Factory()->ClientContact(getCurrentSession()->user_id);
		if (1 != $contact->contact_primary)	{
			$this->addError(blmsg("TRANS_ACCESS_DENIED"));
			$this->addErrorTemplates();
			return $this->hasExecutedSuccessfully();
		}
		$tools_panel = UIFactory()->ToolsPanel(blmsg("TRANS_TOOLS"));
		// Tools Area Buttons
		$tools_panel->addButton(UIFactory()->ToolButton( "new-contact",	blmsg("TRANS_ADD_CONTACT"),	action_url("profile", "AddClientContact")));
		$page  = UIFactory()->Page();
		$page->addToolsPanel($tools_panel);
		$page->title = blmsg("TRANS_MENU_CLIENT_PROFILE_CONTACTS");
		require_once("UI/List/UIClientContactList.php");
		$page->addListPanel(new UIClientContactList( $contact->client_id));
		$this->smartyVars["page"] = $page;
		$this->smartyVars["showScreenTitle"] = true;
		$this->addTemplate("page", $this->smartyVars);
		return $this->hasExecutedSuccessfully();
	}
}
