<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Method to return the translated text of a translation key given in a tpl file. This method should only be accessed
 * from the smarty tpl file.
 *
 * Type:   function<br>
 * Name:   translate<br>
 * Usage:  {translate key=" translation key "}
 *
 */
function smarty_function_translate($params)
{
	if (! isset($params["key"]))
		die("The mandatory parameter 'key' is absent.");

	return
		0 === strncmp($params["key"], "TRANS_", 6) && defined($params["key"])
			? constant($params["key"])
			: $params["key"];
}
?>
