<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty locale constant modifier plugin
 *
 * Type:     modifier<br>
 * Name:     getTypeName<br>
 * Purpose:  lookup the name of the type by the key
 * @param string
 * @param array
 * @return string
 * @author Vlad Baranovskiy
 */
require_once ("common_tools.php");

function smarty_modifier_lmsg( $msg, $key = null, $value = null )
{
	if (is_null($key))
		return blmsg($msg);
	else
		return blmsg($msg, array($key => $value));
}
?>