<?php

require_once("lib-tk/mbapimap.php");

$CONF["sources"]["attributeGroups"] = array(
	"names" => array(
		"singular" => "attributeGroup",
		"plural" => "attributeGroups",
		"file" => "clients",
	),
	"request" => array(
		"command" => "GetAttributeGroups",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("attributeGroups", "attributeGroup"),
	),
	"insert" => array(
		"command" => "SetAttributeGroups",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetAttributeGroups",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAttributeGroups",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "attribute_groups",
	"columns" => array(
		"groupID" => COLUMN_PRIMARY_KEY|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		"groupName" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		"groupActive" => COLUMN_BOOL|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		"groupID" => TRANS_GROUP_ID,
		"groupName" => TRANS_GROUP_NAME,
		"groupActive" => TRANS_ACTIVE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SYSTEM",
		"childName" => "TRANS_MANAGE_CUSTOMER_GROUPS",
		"sideNavMajor" => "clients",
		"sideNavMinor" => "clientGroups",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_GROUP",
			"show" => "TRANS_SHOW_CLIENT_GROUPS_TITLE",
			"add" => "TRANS_ADD_GROUP",
		)
	),
	"display" => array(
		"showTemplate" => "clients/ShowAttributeGroups",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "clients/AddAttributeGroup",
		"suppressActions" => array("showdetails"),
		"showAddButton" => 1,
	),
);
