<?php

require_once(dirname(__FILE__)."/../../../../../../lib-tk/shield.php");
require_once("lib-tk/mbapimap.php");

$CONF["sources"]["admins"] = baseMap("admins", null, "admins", "admin") + array(
	"columns" => array(
		'adminID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'adminFirstName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminLastName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminEmail' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminUsername' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminPassword' => COLUMN_PASSWORD|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminTempPassword' => COLUMN_PASSWORD|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminRemoteAccessHash' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'adminActive' => COLUMN_ACTIVE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'themeID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'skinID' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'guid' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		'syncStatus' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		'syncTasks' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		'syncError' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
		'syncLastTime' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
		'adminID' => "TRANS_ADMIN_ID",
		'adminFirstName' => "TRANS_ADMIN_FIRST_NAME",
		'adminLastName' => "TRANS_ADMIN_LAST_NAME",
		'adminEmail' => "TRANS_ADMIN_EMAIL",
		'adminUsername' => "TRANS_ADMIN_USERNAME",
		'adminPassword' => "TRANS_ADMIN_PASSWORD",
		'adminTempPassword' => "TRANS_ADMIN_TEMP_PASSWORD",
		'adminRemoteAccessHash' => "TRANS_ADMIN_REMOTE_ACCESS_HASH",
		'adminActive' => "TRANS_ADMIN_ACTIVE",
		'themeID' => "TRANS_THEME_ID",
		'skinID' => "TRANS_SKIN",
		'languageID' => "TRANS_LANGUAGE_ID",
		'countriesID' => "TRANS_COUNTRIES_ID",
		'guid' => "TRANS_GUID",
		'syncStatus' => "TRANS_PRODUCT_SYNC_STATUS",
		'syncTasks' => "TRANS_PRODUCT_SYNC_TASKS",
		'syncError' => "TRANS_PRODUCT_SYNC_ERROR",
		'syncLastTime' => "TRANS_PRODUCT_SYNC_LAST_TIME",
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ADMINS",
		"childName" => "TRANS_ADMINS",
		"sideNavMajor" => "admins",
		"sideNavMinor" => "admins",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ADMIN",
			"show" => "TRANS_SHOW_ADMINS",
			"add" => "TRANS_ADD_ADMIN",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'themeID' => 'themes',
			'languageID' => 'languages',
			'countriesID' => 'countries',
		),
		"revContext" => array(
			'adminGroupRels' => 'adminID',
			'bookmarks' => 'adminID',
			'clientNotes' => 'adminID',
			'companyAdminRels' => 'adminID',
			'emailQueues' => 'adminID',
			'hdAssignmentRels' => 'adminID',
			'hdBucketAdminRels' => 'adminID',
			'hdDepartmentAdminRels' => 'adminID',
			'hdRespTpls' => 'adminID',
			'hdTicketNotes' => 'adminID',
			'mbapiLogs' => 'adminID',
			'migrationReservations' => 'adminID',
			'news' => 'adminID',
			'vendors' => 'adminID',
		),
	),
);