<?php
require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["gwTransactions"] = baseMap("gw_transactions", null, "gwTransactions", "gwTransaction") + array(
	"columns" => array(
		'gwTransactionID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'gwTransactionType' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'gwTransactionRef' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'billingAccountID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'paymentGatewayID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'gwTransactionID' => TRANS_GW_TRANSACTION_ID,
		'gwTransactionType' => TRANS_GW_TRANSACTION_TYPE,
		'gwTransactionRef' => TRANS_GW_TRANSACTION_REF,
		'billingAccountID' => TRANS_BILLING_ACCOUNT_ID,
		'paymentGatewayID' => TRANS_PAYMENT_GATEWAY_ID,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_GWTRANSACTIONS",
		"childName" => "TRANS_GWTRANSACTIONS",
		"sideNavMajor" => "gwTransactions",
		"sideNavMinor" => "gwTransactions",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_GWTRANSACTION",
			"show" => "TRANS_SHOW_GWTRANSACTIONS",
			"add" => "TRANS_ADD_GWTRANSACTION",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'billingAccountID' => 'clientBillingAccounts',
		),
		"revContext" => array(
			'gwTransactionAttrs' => 'gwTransactionID',
		),
	),
);