<?php
require_once dirname(__FILE__)."/../../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF["sources"]["orderForms"] = baseMap("order_forms", null, "orderForms", "orderForm") + array(
	"columns" => array(
		'orderFormID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'orderFormName' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormCode' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'currencyID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'paymentGatewayID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'hspcBankTransferGatewayID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'companyID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'languageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'countriesID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormVerifyVat' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'orderFormDisableCharging' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'defaultWidgetTemplate' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'isDefault' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'orderFormID' => TRANS_ORDER_FORM_ID,
		'orderFormName' => TRANS_ORDER_FORM_NAME,
		'orderFormCode' => TRANS_ORDERFORM_CODE,
		'currencyID' => TRANS_CURRENCY_ID,
		'paymentGatewayID' => TRANS_PAYMENT_GATEWAY_ID,
		'hspcBankTransferGatewayID' => TRANS_HSPC_BANK_TRANSFER_GATEWAY_ID,
		'companyID' => TRANS_COMPANY_ID,
		'languageID' => TRANS_LANGUAGE_ID,
		'countriesID' => TRANS_COUNTRIES_ID,
		'orderFormVerifyVat' => TRANS_ORDER_FORM_VERIFY_VAT,
		'orderFormDisableCharging' => TRANS_ORDER_FORM_DISABLE_CHARGING,
		'defaultWidgetTemplate' => TRANS_DEFAULT_WIDGET_TEMPLATE,
		'isDefault' => TRANS_DEFAULT_STORE,
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_ORDERFORMS",
		"childName" => "TRANS_ORDERFORMS",
		"sideNavMajor" => "orderForms",
		"sideNavMinor" => "orderForms",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_ORDERFORM",
			"show" => "TRANS_SHOW_ORDERFORMS",
			"add" => "TRANS_ADD_ORDERFORM",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'companyID' => 'companies',
			'languageID' => 'languages',
			'countriesID' => 'countries',
		),
		"revContext" => array(
			'attributes' => 'orderFormID',
			'clientAttributes' => 'orderFormID',
			'fraudResultsLogs' => 'orderFormID',
			'fraudSetOrderFormRels' => 'orderFormID',
			'orderFormCouponRels' => 'orderFormID',
			'orderFormItems' => 'orderFormID',
			'orderFormParams' => 'orderFormID',
			'productOrderFormGhostRels' => 'orderFormID',
			'shoppingSessions' => 'orderFormID',
			'websiteWidgets' => 'orderFormID',
		),
	),
);