<?php

require_once("lib-tk/mbapimap.php");

$CONF["sources"]["systemQueues"] = baseMap("system_queue", null, "systemQueues", "systemQueue") + array(
	"columns" => array(
		'systemQueueID' => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE|COLUMN_DISPLAYABLE,
		'packageID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'configGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'serverGroupID' => COLUMN_ID|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueParentID' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueStatus' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueStatusReason' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueCommand' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueCommandInput' => COLUMN_TEXT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueMinute' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueHour' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueDay' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueMonth' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueYear' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueIsRecurring' => COLUMN_INT|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueDateCreated' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueDateToRun' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueDateStarted' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
		'systemQueueDateFinished' => COLUMN_DATE|COLUMN_DISPLAYABLE|COLUMN_EDITABLE|COLUMN_LISTABLE|COLUMN_IS_QUICK_EDITABLE,
	),
	"columnLabels" => array(
		'systemQueueID' => 'TRANS_SYSTEM_QUEUE_ID',
		'packageID' => 'TRANS_PACKAGE_ID',
		'configGroupID' => 'TRANS_CONFIG_GROUP_ID',
		'serverGroupID' => 'TRANS_SERVER_GROUP_ID',
		'systemQueueParentID' => 'TRANS_SYSTEM_QUEUE_PARENT_ID',
		'systemQueueStatus' => 'TRANS_SYSTEM_QUEUE_STATUS',
		'systemQueueStatusReason' => 'TRANS_SYSTEM_QUEUE_STATUS',
		'systemQueueCommand' => 'TRANS_SYSTEM_QUEUE_COMMAND',
		'systemQueueCommandInput' => 'TRANS_SYSTEM_QUEUE_COMMAND_INPUT',
		'systemQueueMinute' => 'TRANS_SYSTEM_QUEUE_MINUTE',
		'systemQueueHour' => 'TRANS_SYSTEM_QUEUE_HOUR',
		'systemQueueDay' => 'TRANS_SYSTEM_QUEUE_DAY',
		'systemQueueMonth' => 'TRANS_SYSTEM_QUEUE_MONTH',
		'systemQueueYear' => 'TRANS_SYSTEM_QUEUE_YEAR',
		'systemQueueIsRecurring' => 'TRANS_SYSTEM_QUEUE_IS_RECURRING',
		'systemQueueDateCreated' => 'TRANS_SYSTEM_QUEUE_DATE_CREATED',
		'systemQueueDateToRun' => 'TRANS_SYSTEM_QUEUE_DATE_TO_RUN',
		'systemQueueDateStarted' => 'TRANS_SYSTEM_QUEUE_DATE_STARTED',
		'systemQueueDateFinished' => 'TRANS_SYSTEM_QUEUE_DATE_FINISHED',
	),
	"smartyInfo" => array(
		"parentName" => "TRANS_MANAGE_SYSTEMQUEUES",
		"childName" => "TRANS_SYSTEMQUEUES",
		"sideNavMajor" => "systemQueues",
		"sideNavMinor" => "systemQueues",
		"grandchildrenLabels" => array(
			"edit" => "TRANS_EDIT_SYSTEMQUEUE",
			"show" => "TRANS_SHOW_SYSTEMQUEUES",
			"add" => "TRANS_ADD_SYSTEMQUEUE",
		)
	),
	"display" => array(
		"showTemplate" => "1",
		"removeTemplate" => "1",
		"editTemplate" => "1",
		"addTemplate" => "1",
		"showAddButton" => 1,
		"context" => array(
			'packageID' => 'packages',
			'configGroupID' => 'configGroups',
			'serverGroupID' => 'serverGroups',
		),
		"revContext" => array(
			'systemQueueLogs' => 'systemQueueID',
		),
	),
);