<?php
require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['gwTransactions'] = array(
	"names" => array(
		"singular" => "gwTransaction",
		"plural" => "gwTransactions",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetGwTransactions",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("gwTransactions", "gwTransaction"),
	),
	"insert" => array(
		"command" => "SetGwTransactions",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetGwTransactions",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetGwTransactions",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "gw_transactions",
	"columns" => array(
		"gwTransactionID" => COLUMN_PRIMARY_KEY|COLUMN_LISTABLE,
		"gwTransactionType" => COLUMN_TYPE|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"gwTransactionRef" => COLUMN_PRIMARY_NAME|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"billingAccountID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
		"paymentGatewayID" => COLUMN_ID|COLUMN_EDITABLE|COLUMN_LISTABLE,
	),
	"columnLabels" => array(
		"gwTransactionID" => "TRANS_PRIMARY_KEY",
		"gwTransactionType" => "TRANS_TRANSACTION_TYPE",
		"gwTransactionRef" => "TRANS_TRANSACTION_REFERENCE",
		"billingAccountID" => "TRANS_BILLING_ACCOUNT",
		"paymentGatewayID" => "TRANS_GATEWAY",
	),
	"types" => array(
		"gwTransactionType" => "transactionRecord",
	),
	"relations" => array(
	),
	"display" => array(
		"context" => array(
			"billingAccountID" => "billingAccounts",
		),
		"revContext" => array(
			"gwTransactionAttrs" => "gwTransactionID",
		),
	),
);
