<?php
require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['orderForms'] = array(
	"names" => array(
		"singular" => "orderForm",
		"plural" => "orderForms",
		"file" => "system",
	),
	"request" => array(
		'command' => "GetOrderForms",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("orderForms", "orderForm"),
	),
	"insert" => array(
		"command" => "SetOrderForms",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetOrderForms",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetOrderForms",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("orderFormID")),
	),
	"table" => "order_forms",
	"columns" => array(
		"orderFormID" => COLUMN_PRIMARY_KEY,
		"orderFormName" => COLUMN_PRIMARY_NAME,
		"orderFormCode" => COLUMN_TEXT,
		"currencyID" => COLUMN_ID,
		"paymentGatewayID" => COLUMN_ID,
		"hspcBankTransferGatewayID" => COLUMN_ID,
		"companyID" => COLUMN_ID,
		"languageID" => COLUMN_ID,
		"countriesID" => COLUMN_ID,
		"orderFormVerifyVat" => COLUMN_BOOL,
		"orderFormDisableCharging" => COLUMN_BOOL,
		"defaultWidgetTemplate" => COLUMN_TEXT,
		"isDefault" => COLUMN_BOOL,
	),
	"relations" => array(
		"coupons" => array("order_form_coupon_rel", "couponIDs", "couponID"),
	),
	"display" => array(
		'showTemplate' => "orderforms/ShowOrderForms",
		"options" => array("languages", "countries"),
		'context' => array(
			"companyID" => "companies",
			"languageID" => "languages",
		),
		"revContext" => array(
			"orderFormItems" => "orderFormID",
		),
		'system' => true,
	),
);
