<?php
require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['transactionLog'] = array(
	"names" => array(
		"singular" => "transactionLogEntry",
		"plural" => "transactionLog",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetTransactionLog",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("transactionLog", "transactionLogEntry"),
	),
	"insert" => array(
		"command" => "SetTransactionLog",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetTransactionLog",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetTransactionLog",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "transaction_log",
	"columns" => array(
		"transactionID" => COLUMN_PRIMARY_KEY,
		"authReturn" => COLUMN_STATUS,
		"transactionPaymentMethod" => COLUMN_INT,
		"transactionCode" => COLUMN_TEXT,
		"transactionNotes" => COLUMN_TEXT,
		"transactionDateCreated" => COLUMN_DATE,
		"authCode" => COLUMN_TEXT,
		"transactionAmount" => COLUMN_AMOUNT,
		"transactionAmountRefunded" => COLUMN_AMOUNT,
		"currencyID" => COLUMN_TEXT,
		"paymentGatewayID" => COLUMN_ID,
		"billingAccountID" => COLUMN_ID,
	),
	"statuses" => array(
		"authReturn" => "transactions",
	),
	"relations" => array(
	),
	"display" => array(
		"context" => array(
			"billingAccountID" => "billingAccounts",
		),
		"revContext" => array(
			"accountingReceiptsJournal" => "transactionID",
		),
	),
);
