<?php

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once("lib-mbapi/include/modules/gateway/HSPCGateway.php");
require_once("HSPC/Struct/PP/ProcessBatchContentRequest.php");

class HSPCBankTransfer extends HSPCGateway
{
	public function process(HSPCStructPPProcessBatchContentRequest $request)
	{
		$request->config = $this->getPluginConfig();
		require_once("HSPC/PaymentProcess.php");
		$method = $this->getPaymentMethod();
		$result = HSPCPaymentProcess::processBatchContent($method["method_name"], $request);
		return $result->data;
	}
}
