<?php

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once dirname(__FILE__)."/Adapter.php";

class HSPC_PM_BT_DTAUS extends HSPC_PM_Adapter
{
	protected $secureFields = array("bank_code", "account_number");

	protected $fieldsDescriptor = array(
		"billing_bank_name"			=> array("holder_name"		=> array("TRANS_BT_ACCOUNT_DTAUS__HOLDER_NAME", "TRANS_BT_ACCOUNT_DTAUS__HOLDER_NAME_DESC")),
		"billing_bank_aba_code"		=> array("bank_code"		=> array("TRANS_BT_ACCOUNT_DTAUS__BANK_CODE", "TRANS_BT_ACCOUNT_DTAUS__BANK_CODE_DESC")),
		"billing_bank_account_num"	=> array("account_number"	=> array("TRANS_BT_ACCOUNT_DTAUS__ACCOUNT_NUMBER", "TRANS_BT_ACCOUNT_DTAUS__ACCOUNT_NUMBER_DESC"))
	);
}