{* $Id: AddLedgerAccount.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$ledgerAccounts (array of ledger account data)
 *		ledgerAccountID
 *		ledgerAccountNumber
 *		ledgerAccountType
 * 		ledgerAccountName
 *		ledgerAccountTransKey
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}











{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_ACCOUNTING', 'TRANS_ADD_LEDGER_ACCOUNT');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_ADD_LEDGER_ACCOUNT"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

{assign var="ledgerAccountID" value=$ledgerAccounts.ledgerAccountID}

<fieldset>
<legend>{"TRANS_ADD_LEDGER_ACCOUNT"|lmsg}</legend>
<form method="post" action="{getFormAction controller="accounting"}" onsubmit="if (this.ledgerAccountNumber.value=='' || this.ledgerAccountTransKey.value==''){literal}{{/literal}alert('{"TRANS_FILL_IN_ALL_FIELDS"|lmsg|escape:javascript}');return false;{literal}}{/literal}">
    <input type="hidden" name="sid" value="{$sid}">
    <input type="hidden" name="act" value="{getActionID action="EditLedgerAccountResponse"}">
    <input type="hidden" name="ledgerAccountID" value="{$account.ledgerAccountID}">
<table width="100%" border="0" cellspacing="3" cellpadding="0" class="list">

{if $errorMessages}
    <tr>
        <td>&nbsp;</td>
        <td><strong>
        {section name=i loop=$errorMessages}
            {assign var="tkey" value=$errorMessages[i]}
            {translate key=$tkey}<br />
        {/section}</strong>
        </td>
    </tr>
{/if}

    <tr>
        <td class="title">{"TRANS_GL_ACCOUNT_TYPE"|lmsg}</td>
        <td><select name="ledgerAccountType">
        {foreach key=key item=item from=$accountTypes}
            {assign var="tkey" value=$item.1}
            <option value="{$key}"{if $request.ledgerAccountType==$key} selected="selected"{/if}>{translate key=$tkey}</option>
        {/foreach}
        </select></td>
    </tr>

    <tr>
	    <td class="title">{"TRANS_GL_NUMBER"|lmsg}*</td>
        <td><input type="text" size="10" value="{$request.ledgerAccountNumber}" name="ledgerAccountNumber" onkeyup="this.value=XKfilterString(this.value, '1234567890');"></td>
    </tr>

    <tr>
        <td class="title">{"TRANS_GL_ACCOUNT_PARENT"|lmsg}</td>
        <td><select name="parentLedgerAccountID">
        <option value="0">{"TRANS_NONE"|lmsg}</option>
        {include file="$tplDirectory/widgets/accountingLedgerSelect.tpl"
      selectedLedgerID=$request.parentLedgerAccountID
      ledgerAccounts=$ledgerAccounts
      accountTypes=$accountTypes}</select></td>
    </tr>

    <tr>
        <td class="title">{"TRANS_LEDGER_ACCOUNT_LABEL"|lmsg}*</td>
        <td><input type="text" size="50" value="{$request.ledgerAccountTransKey}" name="ledgerAccountTransKey"></td>
    </tr>

    <tr>
        <td class="title">{"TRANS_ACCOUNT_KEY_NAME"|lmsg}</td>
        <td><input type="text" size="20" value="{$request.ledgerAccountName}" name="ledgerAccountName" onkeyup="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyz1234567890_');" onchange="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyz1234567890_');"> ({"TRANS_ACCOUNT_KEY_ALLOWED"|lmsg})</td>
    </tr>

    <tr class="listButtons">
        <td colspan="2"><div><input class="submit" type="submit" value="{"TRANS_SAVE_LEDGER_ACCOUNT_DETAILS"|lmsg}"></div></td>
    </tr>

</table>
</fieldset>
</form>
{include file="$tplDirectory/footer.tpl"}
