{* $Id: ShowAccountingReportsMenu.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a the accounting journals menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_SHOW_REPORTS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_REPORTS"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
<div style="margin-top: 16px;"></div>

<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">

{*********************************************************}

<tr>
	<td valign="top">

		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td style="cursor: pointer;" onclick="XKtoggle('balanceSheetParams');">{"TRANS_BALANCE_SHEET"|lmsg}</td>
		</tr>
		<tbody id="balanceSheetParams" class="off">
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_BALANCE_SHEET_EXPLANATION"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form>
				<table border="0" cellpadding="3">
				<tr>
					<td>
					{"TRANS_BALANCE_SHEET_TODAY"|lmsg} <input class="button" type="button" id="balanceSheetToday" value="{"TRANS_SHOW_BALANCE_SHEET"|lmsg}"
						onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowBalanceSheetContainer"}&dateRange={$nowDate}';" />
					</td>
				</tr>
				<tr>
					<td>
						{"TRANS_SELECT_BALANCE_SHEET_DATE"|lmsg} <input class="button" type="button" id="balanceSheetCal" value=" ... " />
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</tbody>
		</table>
		</div>

	</td>
</tr>

{*********************************************************}

<tr>
	<td valign="top">

		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td style="cursor: pointer;" onclick="XKtoggle('plParams');">{"TRANS_PROFIT_AND_LOSS_STATEMENT"|lmsg}</td>
		</tr>
		<tbody id="plParams" class="off">
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_PROFIT_AND_LOSS_EXPLANATION"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="{getFormAction controller="accounting"}">
				<input type="hidden" name="act" value="{getActionID action="ShowProfitAndLossContainer"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_PROFIT_AND_LOSS_TODAY"|lmsg} <input class="button" type="button" id="profitAndLossToday" value="{"TRANS_SHOW_PROFIT_AND_LOSS"|lmsg}"
							onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowProfitAndLossContainer"}&profitAndLossBeginMonth={$nowDateParts.0}&profitAndLossBeginDay=1&profitAndLossBeginYear={$nowDateParts.2}&profitAndLossEndMonth={$nowDateParts.0}&profitAndLossEndDay={$nowDateParts.1}&profitAndLossEndYear={$nowDateParts.2}';" />
					</td>
				</tr>
				<tr>
					<td>
						{"TRANS_SELECT_PROFIT_AND_LOSS_DATE"|lmsg}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{"TRANS_FROM"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="profitAndLossBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="profitAndLossBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function updateProfitAndLossBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("profitAndLossBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("profitAndLossBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("profitAndLossBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "profitAndLossBegin",
								onUpdate       :     updateProfitAndLossBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{"TRANS_TO"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="profitAndLossEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="profitAndLossEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function updateProfitAndLossEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("profitAndLossEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("profitAndLossEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("profitAndLossEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "profitAndLossEnd",
						        onUpdate       :     updateProfitAndLossEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
		        </tr>
		        <tr>
		            <td>
						<input class="submit" type="submit" value="{"TRANS_GENERATE_REPORT"|lmsg}">
					</td>
		        </tr>
		        </table>
				</form>
				<br />
			</td>
		</tr>
		</tbody>
		</table>
		</div>

	</td>
</tr>

{*********************************************************}
{* NEED TO SUPPRESS UNTIL WE REWRITE THIS QUERY *}
<tr>
	<td valign="top">

		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td style="cursor: pointer;" onclick="XKtoggle('agingParams');">{"TRANS_AR_AGING_REPORT"|lmsg}</td>
		</tr>
		<tbody id="agingParams" class="off">
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_AR_AGING_EXPLANATION"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form>
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_AGING_REPORT_TODAY"|lmsg} <input class="button" type="button" id="agingReportToday" value="{"TRANS_SHOW_AGING_REPORT"|lmsg}"
							onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowAgingReportContainer"}&dateRange={$nowDate}';" />
					</td>
				</tr>
				<tr>
					<td>
						{"TRANS_SELECT_AGING_REPORT_DATE"|lmsg}
						<input class="button" type="button" id="agingReportCal" value=" ... " />
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</tbody>
		</table>
		</div>

	</td>
</tr>
{* *}

{*********************************************************}

<tr>
	<td valign="top">

		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td style="cursor: pointer;" onclick="XKtoggle('cashFlowParams');">{"TRANS_RANGED_CASH_FLOW_REPORT"|lmsg}</td>
		</tr>
		<tbody id="cashFlowParams" class="off">
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_RANGED_CASH_FLOW_EXPLANATION"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="{getFormAction controller="accounting"}">
				<input type="hidden" name="act" value="{getActionID action="ShowCashFlowContainer"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_SELECT_CASH_FLOW_DATE"|lmsg}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{"TRANS_FROM"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="cashFlowBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="cashFlowBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function updateCashFlowBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("cashFlowBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("cashFlowBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("cashFlowBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "cashFlowBegin",
								onUpdate       :     updateCashFlowBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{"TRANS_TO"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="cashFlowEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="cashFlowEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function updateCashFlowEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("cashFlowEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("cashFlowEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("cashFlowEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "cashFlowEnd",
						        onUpdate       :     updateCashFlowEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
		        </tr>
		        <tr>
		            <td>
						<input class="submit" type="submit" value="{"TRANS_GENERATE_REPORT"|lmsg}">
					</td>
		        </tr>
		        </table>
				</form>
				<br />
			</td>
		</tr>
		</tbody>
		</table>
		</div>

	</td>
</tr>

{*********************************************************}


<tr>
	<td valign="top">

		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td style="cursor: pointer;" onclick="XKtoggle('productRevenueParams');">{"TRANS_RANGED_PRODUCT_REVENUE_REPORT"|lmsg}</td>
		</tr>
		<tbody id="productRevenueParams" class="off">
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_RANGED_PRODUCT_REVENUE_EXPLANATION"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="{getFormAction controller="accounting"}">
				<input type="hidden" name="act" value="{getActionID action="ShowProductsRevenueContainer"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_SELECT_PRODUCT_REVENUE_DATE"|lmsg}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{"TRANS_FROM"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="productsRevenueBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="productsRevenueBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function productsRevenueBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("productsRevenueBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("productsRevenueBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("productsRevenueBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "productsRevenueBegin",
								onUpdate       :     productsRevenueBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{"TRANS_TO"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="productsRevenueEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="productsRevenueEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function productsRevenueEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("productsRevenueEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("productsRevenueEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("productsRevenueEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "productsRevenueEnd",
						        onUpdate       :     productsRevenueEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
		        </tr>
		        <tr>
		            <td>
						<input class="submit" type="submit" value="{"TRANS_GENERATE_REPORT"|lmsg}">
					</td>
		        </tr>
		        </table>
				</form>
				<br />
			</td>
		</tr>
		</tbody>
		</table>
		</div>

	</td>
</tr>


{*********************************************************}

<tr>
	<td valign="top">

		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td style="cursor: pointer;" onclick="XKtoggle('invoiceSheetParams');">{"TRANS_DAILY_INVOICE_SHEET"|lmsg}</td>
		</tr>
		<tbody id="invoiceSheetParams" class="off">
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_DAILY_INVOICE_SHEET_EXPLANATION"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form>
				<table border="0" cellpadding="3">
				<tr>
					<td>
					{"TRANS_INVOICE_SHEET_TODAY"|lmsg} <input class="button" type="button" id="invoiceSheetToday" value="{"TRANS_SHOW_DAILY_INVOICE_SHEET"|lmsg}"
						onclick="document.location.href='{getHREF page="accounting.php" actionName="ShowInvoiceSheetContainer"}&dateRange={$nowDate}';" />
					</td>
				</tr>
				<tr>
					<td>
						{"TRANS_SELECT_INVOICE_SHEET_DATE"|lmsg} <input class="button" type="button" id="invoiceSheetCal" value=" ... " />
					</td>
				</tr>
				</table>
				</form>
				<br />
			</td>
		</tr>
		</tbody>
		</table>
		</div>

	</td>
</tr>


{*********************************************************}


<tr>
	<td valign="top">

		<div class="blueDiv">
		<table width="100%" border="0" cellpadding="0" cellspacing="1" style="border-collapse:separate;border-spacing:1px;">
		<tr class="headerRowBlue">
			<td style="cursor: pointer;" onclick="XKtoggle('signupSheetParams');">{"TRANS_RANGED_DAILY_SIGNUP_REPORT"|lmsg}</td>
		</tr>
		<tbody id="signupSheetParams" class="off">
		<tr class="alt2">
			<td style="padding:2px;border:1px solid #BAB8AF;">{"TRANS_RANGED_DAILY_SIGNUP_EXPLANATION"|lmsg}</td>
		</tr>
		<tr>
			<td style="padding:0px;border:1px solid #BAB8AF;background-color:#FFFFFF;">
				<form method="post" action="{getFormAction controller="accounting"}">
				<input type="hidden" name="act" value="{getActionID action="ShowSignupSheetContainer"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<table border="0" cellpadding="3">
				<tr>
					<td>
						{"TRANS_SELECT_DAILY_SIGNUP_DATE"|lmsg}
					</td>
				</tr>
				<tr>
					<td>
						<strong>{"TRANS_FROM"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="signupSheetBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="signupSheetBegin" value=" ... " />
						<script type="text/javascript">
							{literal}
							function signupSheetBeginSelect(cal) {
								var date = cal.date;
								var selectMonth = document.getElementById("signupSheetBeginMonth");
								selectMonth.selectedIndex = date.getMonth();
								var selectDay = document.getElementById("signupSheetBeginDay");
								selectDay.selectedIndex = (date.getDate() - 1);
								var selectYear = document.getElementById("signupSheetBeginYear");
								selectYear.value = date.getFullYear();
							}
							Zapatec.Calendar.setup({
								button         :    "signupSheetBegin",
								onUpdate       :     signupSheetBeginSelect,
								showsTime      :     false
							});
							{/literal}
						</script>
						&nbsp;
						<strong>{"TRANS_TO"|lmsg}</strong>
						{html_select_locale_date start_year=1993 end_year=2029 prefix="signupSheetEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="signupSheetEnd" value=" ... " />
						<script type="text/javascript">
						    {literal}
						    function signupSheetEndSelect(cal) {
						        var date = cal.date;
						        var selectMonth = document.getElementById("signupSheetEndMonth");
						        selectMonth.selectedIndex = date.getMonth();
						        var selectDay = document.getElementById("signupSheetEndDay");
						        selectDay.selectedIndex = (date.getDate() - 1);
						        var selectYear = document.getElementById("signupSheetEndYear");
						        selectYear.value = date.getFullYear();
						    }
						    Zapatec.Calendar.setup({
						        button         :    "signupSheetEnd",
						        onUpdate       :     signupSheetEndSelect,
						        showsTime      :     false
						    });
						    {/literal}
					    </script>
					</td>
		        </tr>
		        <tr>
		            <td>
						<input class="submit" type="submit" value="{"TRANS_GENERATE_REPORT"|lmsg}">
					</td>
		        </tr>
		        </table>
				</form>
				<br />
			</td>
		</tr>
		</tbody>
		</table>
		</div>

	</td>
</tr>


</table>

<br />

<script type="text/javascript">//<![CDATA[
{literal}
var startDate;
var endDate;
var callbacks = 0;

function resetDates() {
	startDate = endDate = null;
}

/*
* Given two dates (in seconds) find out if date1 is bigger, date2 is bigger or
* they're the same, taking only the dates, not the time into account.
* In other words, different times on the same date returns equal.
* returns -1 for date1 bigger, 1 for date2 is bigger 0 for equal
*/

function compareDatesOnly(date1, date2) {
	var year1 = date1.getYear();
	var year2 = date2.getYear();
	var month1 = date1.getMonth();
	var month2 = date2.getMonth();
	var day1 = date1.getDate();
	var day2 = date2.getDate();
	if (year1 > year2) {
		return -1;
	}
	if (year2 > year1) {
		return 1;
	}
	//years are equal
	if (month1 > month2) {
		return -1;
	}
	if (month2 > month1) {
		return 1;
	}
	//years and months are equal
	if (day1 > day2) {
		return -1;
	}
	if (day2 > day1) {
		return 1;
	}
	//days are equal
	return 0;
}

function disableDates(date) {
	var now = new Date();
	if (compareDatesOnly(now, date) > 0) {
		return (true);
	}
	//all other days are enabled
	return false;
}

function goInvoiceSheet(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "{getHREF page="accounting.php" actionName="ShowInvoiceSheetContainer"}&dateRange=" + cal.date.print("%m/%d/%Y") + "&sid={$sid}";
		{literal}
		window.location = url;
	}
}

function goBalanceSheet(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "{getHREF page="accounting.php" actionName="ShowBalanceSheetContainer"}&dateRange=" + cal.date.print("%m/%d/%Y") + "&sid={$sid}";
		{literal}
		window.location = url;
	}
}

function goAgingReport(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "{getHREF page="accounting.php" actionName="ShowAgingReportContainer"}&dateRange=" + cal.date.print("%m/%d/%Y") + "&sid={$sid}";
		{literal}
		window.location = url;
	}
}

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1993.01, 2029.12],
//	dateStatusFunc	  : disableDates,
	button            : "invoiceSheetCal",
	onSelect          : goInvoiceSheet
});

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1993.01, 2029.12],
	dateStatusFunc	  : disableDates,
	button            : "balanceSheetCal",
	onSelect          : goBalanceSheet
});

// NEED TO SUPPRESS UNTIL WE REWRITE THIS QUERY
Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1993.01, 2029.12],
	button            : "agingReportCal",
	onSelect          : goAgingReport
});
{/literal}
//]]></script>

<br />

{include file="$tplDirectory/footer.tpl"}
