{* $Id: ShowAgingReport.tpl 9753 2006-10-23 13:58:19Z bsmith $
 * --------------------------------------------------------------
 * This template displays a mini accounting stats report.
 *
 * Smarty Variables:
 *	$invoiceStats (array of invoice status and their count)
 *		invoiceStatus
 *		numInovices
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}


<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<h1 style="text-align:center;">{"TRANS_AR_AGING_REPORT"|lmsg} {"TRANS_FOR"|lmsg} {$endDate|getDate:short}</h1>

		<table width="100%" class="list">
			<tr class="headerRow">
				<td>{"TRANS_CLIENT"|lmsg}</td>
				<td>{$smarty.const.TRANS_0_TO_30}</td>
				<td>{$smarty.const.TRANS_30_TO_60}</td>
				<td>{$smarty.const.TRANS_60_TO_90}</td>
				<td>{$smarty.const.TRANS_90_TO_120}</td>
				<td>{$smarty.const.TRANS_120_PLUS}</td>
			</tr>

	{foreach key="clientID" item="totals" from=$reportData.data}
		{assign var="firstRow" value=1}

		{foreach key="currencyID" item="data" from=$totals}

			<tr class="{cycle values="alt1,alt2"}">
				<td>{if $firstRow==1}
					<a href="clients.php?action={getActionID action="ShowClientDetails"}&sid={$sid}&clientID={$clientID}">{$reportData.clients.$clientID.contactFirstName|safetyhtml} {$reportData.clients.$clientID.contactLastName|safetyhtml}</a>
					{assign var="firstRow" value=0}
				{/if}</td>
				<td align="right" title="{"TRANS_DEBITS"|lmsg} {$data.0.debits|getAmount:$currencyID}
{"TRANS_CREDITS"|lmsg} {$data.0.credits|getAmount:$currencyID}
{"TRANS_INVOICES"|lmsg} {section name="i" loop=$data.0.invoiceIDs}{if $smarty.section.i.index==0}{$data.0.invoiceIDs[i]}{else}, {$data.0.invoiceIDs[i]}{/if}{/section}">
					{$data.0.total|getAmount:$currencyID}
				</td>
				<td align="right" title="{"TRANS_DEBITS"|lmsg} {$data.1.debits|getAmount:$currencyID}
{"TRANS_CREDITS"|lmsg} {$data.1.credits|getAmount:$currencyID}
{"TRANS_INVOICES"|lmsg} {section name="i" loop=$data.1.invoiceIDs}{if $smarty.section.i.index==0}{$data.1.invoiceIDs[i]}{else}, {$data.1.invoiceIDs[i]}{/if}{/section}">
					{$data.1.total|getAmount:$currencyID}
				</td>
				<td align="right" title="{"TRANS_DEBITS"|lmsg} {$data.2.debits|getAmount:$currencyID}
{"TRANS_CREDITS"|lmsg} {$data.2.credits|getAmount:$currencyID}
{"TRANS_INVOICES"|lmsg} {section name="i" loop=$data.2.invoiceIDs}{if $smarty.section.i.index==0}{$data.2.invoiceIDs[i]}{else}, {$data.2.invoiceIDs[i]}{/if}{/section}">
					{$data.2.total|getAmount:$currencyID}
				</td>
				<td align="right" title="{"TRANS_DEBITS"|lmsg} {$data.3.debits|getAmount:$currencyID}
{"TRANS_CREDITS"|lmsg} {$data.3.credits|getAmount:$currencyID}
{"TRANS_INVOICES"|lmsg} {section name="i" loop=$data.3.invoiceIDs}{if $smarty.section.i.index==0}{$data.3.invoiceIDs[i]}{else}, {$data.3.invoiceIDs[i]}{/if}{/section}">
					{$data.3.total|getAmount:$currencyID}
				</td>
				<td align="right" title="{"TRANS_DEBITS"|lmsg} {$data.4.debits|getAmount:$currencyID}
{"TRANS_CREDITS"|lmsg} {$data.4.credits|getAmount:$currencyID}
{"TRANS_INVOICES"|lmsg} {section name="i" loop=$data.4.invoiceIDs}{if $smarty.section.i.index==0}{$data.4.invoiceIDs[i]}{else}, {$data.4.invoiceIDs[i]}{/if}{/section}">
					{$data.4.total|getAmount:$currencyID}
				</td>
			</tr>

		{/foreach}
	{/foreach}

	</table>
	
	{include file="$tplDirectory/widgets/ajaxPaginationLinks.tpl"
 		javascriptFunctionName="ShowAgingReport"
 	}

	
	</td>
</tr>
</table>

