{* $Id: ShowGeneralJournal.tpl 7960 2006-07-06 16:30:12Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_GENERAL_JOURNAL');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_GENERAL_JOURNAL"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
<div style="margin-top: 16px;"></div>

<div style="text-align:right;"><div class="rm"><a href="{getHREF page="accounting.php" actionName="AddGeneralJournalEntry"}">{"TRANS_CREATE_GENERAL_JOURNAL_ENTRY"|lmsg}</a></div></div>
<fieldset>
<legend>{"TRANS_GENERAL_JOURNAL_ENTRIES"|lmsg}</legend>

        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
            <tr class="headerRow">
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_GENERAL_JOURNAL_ID" sortColumn="generalJournalID"}
                {include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" headerName="TRANS_DATE" sortColumn="generalDateCreated"}
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_GENERAL_JOURNAL_DESCRIPTION" sortColumn="generalDescription"}
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_CURRENCY_ID" sortColumn="currencyID"}
                {include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerAlign="left" headerName="TRANS_DEBITS" sortColumn="generalDebitAmount"}
                {include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerAlign="left" headerName="TRANS_CREDITS" sortColumn="generalCreditAmount"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EDIT" headerAlign="left"}
            </tr>

        {section name=i loop=$entries}
            {if $className=="alt1"}
                {assign var="className" value="alt2"}
            {else}
                {assign var="className" value="alt1"}
            {/if}

            <tr class="{cycle values="alt1,alt2"}">
                <td>{$entries[i].generalJournalID}</td>
                <td>{$entries[i].generalDateCreated|getDate:short}</td>
                <td>{$entries[i].generalDescription}</td>
                <td>{$entries[i].currencyID}</td>
                <td align="right">{$entries[i].generalDebitAmount|getAmount:$entries[i].currencyID:false}</td>
                <td align="right">{$entries[i].generalCreditAmount|getAmount:$entries[i].currencyID:false}</td>
                <td>
                    <a href="{getHREF page="accounting.php" actionName="EditGeneralJournalEntry" args="generalJournalID=`$entries[i].generalJournalID`"}">
                        <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
                    </a>
                </td>
            </tr>

        {sectionelse}

            <tr class="alt1">
                <td colspan="7">{"TRANS_NO_TRANSACTIONS"|lmsg}</td>
            </tr>

        {/section}

        </table>

        {include file="$tplDirectory/widgets/paginationLinks.tpl"}

</fieldset>
{include file="$tplDirectory/footer.tpl"}
