{* $Id: ShowLedgerAccountDetails.tpl 9656 2006-10-17 19:26:37Z eradtke $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$ledgerAccounts (array of ledger account data)
 *		ledgerAccountID
 *		ledgerAccountNumber
 *		ledgerAccountType
 * 		ledgerAccountName
 *		ledgerAccountTransKey
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}








{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_ACCOUNTING', 'TRANS_LEDGER_ACCOUNT_DETAILS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_LEDGER_ACCOUNT_DETAILS"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

{assign var="ledgerAccountID" value=$ledgerAccounts.ledgerAccountID}

<fieldset><legend>{"TRANS_LEDGER_ACCOUNT_DETAILS"|lmsg}</legend>

        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
            <tr class="headerRow">
                {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_GL_NUMBER" sortColumn="ledgerAccountNumber"}
                {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_NAME"  headerAlign="left"}
                {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_GL_TYPE"  headerAlign="left"}
                {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_EDIT"  headerAlign="left"}
            </tr>
            <tr class="alt1">
                <td>{$ledgerAccounts.ledgerAccountNumber}</td>
                <td>{assign var="ledgerAccountTransKey" value=$ledgerAccounts.ledgerAccountTransKey}
                        {$smarty.const.$ledgerAccountTransKey|default:$ledgerAccountTransKey}</td>
                <td>{assign var="ledgerAccountType" value=$ledgerAccounts.ledgerAccountType}
                    {assign var="transkey" value=$accountTypes.$ledgerAccountType.1}
                    {$smarty.const.$transkey|default:$transkey}</td>
                <td><a href="{getHREF page="accounting.php" actionName="EditLedgerAccount" args="ledgerAccountID=`$ledgerAccounts.ledgerAccountID`"}&redirectArgs={$bookmarkArgs|escape:"url"}">
            <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
        </a></td>
            </tr>
        </table>
</fieldset>

<fieldset><legend>{"TRANS_GL_TRANSACTIONS"|lmsg}</legend>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
            <tr class="headerRow">
                {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_CLIENT_NAME" queryArgs="ledgerAccountID=`$ledgerAccountID`" queryArgCol="ledgerAccountID" queryArgValue=$ledgerAccountID sortColumn="clientLastName"}
                {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_INVOICE_NUMBER" queryArgs="ledgerAccountID=`$ledgerAccountID`" queryArgCol="ledgerAccountID" queryArgValue=$ledgerAccountID sortColumn="invoiceID"}
                {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_DESCRIPTION" queryArgs="ledgerAccountID=`$ledgerAccountID`" queryArgCol="ledgerAccountID" queryArgValue=$ledgerAccountID sortColumn="generalLedgerDescription"}
                {include file="$tplDirectory/widgets/table/tableSortDateHeader.tpl" headerName="TRANS_DATE" queryArgs="ledgerAccountID=`$ledgerAccountID`" queryArgCol="ledgerAccountID" queryArgValue=$ledgerAccountID sortColumn="generalLedgerDateCreated"}
                {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_CURRENCY_SHORT" queryArgs="ledgerAccountID=`$ledgerAccountID`" queryArgCol="ledgerAccountID" queryArgValue=$ledgerAccountID sortColumn="currencyID"}
                {include file="$tplDirectory/widgets/table/tableSortAmountHeader.tpl" headerAlign="left" headerName="TRANS_DEBITS" queryArgs="ledgerAccountID=`$ledgerAccountID`" queryArgCol="ledgerAccountID" queryArgValue=$ledgerAccountID sortColumn="generalLedgerDebitAmount"}
                {include file="$tplDirectory/widgets/table/tableSortAmountHeader.tpl" headerAlign="left" headerName="TRANS_CREDITS" queryArgs="ledgerAccountID=`$ledgerAccountID`" queryArgCol="ledgerAccountID" queryArgValue=$ledgerAccountID sortColumn="generalLedgerCreditAmount"}
                {* include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_EDIT" headerAlign="left" *}
            </tr>

        {section name=i loop=$ledgerData}
            {if $className=="alt1"}
                {assign var="className" value="alt2"}
            {else}
                {assign var="className" value="alt1"}
            {/if}

            <tr class="{cycle values="alt1,alt2"}">
                <td>{if $ledgerData[i].clientID}{$ledgerData[i].contactLastName|safetyhtml}, {$ledgerData[i].contactFirstName|safetyhtml}{else}{"TRANS_NONE"|lmsg}{/if}</td>
                <td>{if $ledgerData[i].invoiceID}{$ledgerData[i].invoiceNumber}{else}{"TRANS_NONE"|lmsg}{/if}</td>
                <td>{assign var="description" value=$ledgerData[i].generalLedgerDescription}
                {$smarty.const.$description|default:$description}</td>
                <td>{$ledgerData[i].generalLedgerDateCreated|getDate:short}</td>
                <td>{$ledgerData[i].currencyID}</td>
                <td align="right">{$ledgerData[i].generalLedgerDebitAmount|getAmount:$ledgerData[i].currencyID:false}</td>
                <td align="right">{$ledgerData[i].generalLedgerCreditAmount|getAmount:$ledgerData[i].currencyID:false}</td>
                <!-- <td><a href="{getHREF page="accounting.php" actionName="EditLedgerTransaction" args="generalLedgerID=`$ledgerData[i].generalLedgerID`&redirectArgs=$bookmarkArgs"}">
            <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
        </a></td> -->
            </tr>

        {sectionelse}

            <tr class="alt1">
                <td colspan="8">{"TRANS_NO_TRANSACTIONS"|lmsg}</td>
            </tr>

        {/section}

        </table>

        {include file="$tplDirectory/widgets/paginationLinks.tpl" queryArgs="ledgerAccountID=`$ledgerAccountID`"}

{include file="$tplDirectory/footer.tpl"}
