{* $Id: ShowPurchasesJournal.tpl 10261 2006-12-11 19:48:58Z kbailey $
 * --------------------------------------------------------------
 * This template displays the daily purchases journal.
 *
 * Smarty Variables:
 *	$purchasesJournal (array of journal entries)
 *		purchaseJournalID
 *		clientID
 *		invoiceID
 *		purchaseDateCreated
 *		purchaseDescription
 *		purchaseDebitAmount
 *		purchaseAccPayDebitAmount
 *		purchaseAccPayCreditAmount
 *		purchaseCashCreditAmount
 *	$purchasesJournalTotals (array of this pages totals)
 *		purchaseDebitAmount
 *		purchaseAccPayDebitAmount
 *		purchaseAccPayCreditAmount
 *		purchaseCashCreditAmount
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_ACCOUNTING', 'TRANS_PURCHASES_JOURNAL');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_PURCHASES_JOURNAL"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

{*
        <table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01">
        <tr class="althover">
            <th width="50%">{"TRANS_PURCHASES_JOURNAL"|lmsg}</th>
        </tr>
        <tr class="alt2">
            <td valign="top">{"TRANS_PURCHASES_JOURNAL_DESC"|lmsg}</td>
        </tr>
        <tr class="alt1">
            <td align="center" valign="top">
                <form>
                    {"TRANS_SELECT_JOURNAL_DATE"|lmsg} <input class="button" type="button" id="purchasesJournalCal" value=" ... " />
                </form>
                <br />
            </td>
        </tr>
        </table>
*}

{assign var="firstCurrency" value=1}
{foreach key="currencyID" item="purchasesJournal" from=$currencies}
    {assign var="purchasesJournalTotals" value=$currencies_totals.$currencyID}
    <fieldset>
	<legend>{"TRANS_CURRENCY"|lmsg} {$currencyID}</legend>
    {if $firstCurrency==1}
    <div style="text-align: right;">
		{include file="$tplDirectory/widgets/context/sortedBy.tpl" displaySortColumnName=$smarty.request.sortColumn displaySortDir=$smarty.request.sortDir}
    </div>
    	{assign var="firstCurrency" value=0}
    {/if}
    <br />
		<table width="100%" cellpadding="4" class="ledger">
			<tr>
				<th colspan="2">&nbsp;</th>
				<th>&nbsp;</th>
                <th colspan="2">{"TRANS_PURCHASE"|lmsg}</th>
                <th colspan="2">{"TRANS_ACCOUNTS_PAYABLE"|lmsg}</th>
                <th colspan="2">{"TRANS_CASH_STRING"|lmsg}</th>
			</tr>
			{assign var="queryArgs" value="dateQuery=`$dateQuery.0`&purchaseJournalBeginMonth=`$purchaseJournalBeginMonth`&purchasesJournalBeginDay=`$purchasesJournalBeginDay`&purchasesJournalBeginYear=`$purchasesJournalBeginYear`&purchasesJournalEndMonth=`$purchasesJournalEndMonth`&purchasesJournalEndDay=`$purchasesJournalEndDay`&purchasesJournalEndYear=`$purchasesJournalEndYear`"}
			<tr>
				<th class="green">{include text=$smarty.const.TRANS_DATE sortColumn="purchasesDateCreated" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
				<th>{include text=$smarty.const.TRANS_INVOICE sortColumn="invoiceID" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
				<th>{include text=$smarty.const.TRANS_DESCRIPTION sortColumn="purchasesDescription" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
                <th class="green">{include text=$smarty.const.TRANS_DEBIT sortColumn="purchasesDebitAmount" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
                <th>{include text=$smarty.const.TRANS_CREDIT sortColumn="purchasesCreditAmount" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
                <th class="green">{include text=$smarty.const.TRANS_DEBIT sortColumn="purchasesAccPayDebitAmount" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
                <th>{include text=$smarty.const.TRANS_CREDIT sortColumn="purchasesAccPayCreditAmount" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
                <th class="green">{include text=$smarty.const.TRANS_DEBIT sortColumn="purchasesCashDebitAmount" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
                <th>{include text=$smarty.const.TRANS_CREDIT sortColumn="purchasesCashCreditAmount" file="$tplDirectory/widgets/headerSortLink.tpl" action="ShowPurchasesJournal" queryArgs=$queryArgs}</th>
			</tr>
			{section name="i" loop=$purchasesJournal}
				{if $smarty.section.i.iteration==1}
					{assign var="class" value="first"}
				{else}
					{assign var="class" value=""}
				{/if}
				<tr class="{$class}">
					<td class="green" align="center">{$purchasesJournal[i].purchaseDateCreated|getDate}</td>
					<td align="right">{$purchasesJournal[i].invoiceID}</td>
					<td>{$purchasesJournal[i].purchaseDescription}</td>
                    <td class="divider" align="right">{$purchasesJournal[i].purchaseDebitAmount|getAmount:$currencyID:false}</td>
                    <td align="right">{$purchasesJournal[i].purchaseCreditAmount|getAmount:$currencyID:false}</td>
					<td class="divider" align="right">{$purchasesJournal[i].purchaseAccPayDebitAmount|getAmount:$currencyID:false}</td>
					<td align="right">{$purchasesJournal[i].purchaseAccPayCreditAmount|getAmount:$currencyID:false}</td>
                    <td class="divider" align="right">{$purchasesJournal[i].purchaseCashDebitAmount|getAmount:$currencyID:false}</td>
                    <td align="right">{$purchasesJournal[i].purchaseCashCreditAmount|getAmount:$currencyID:false}</td>
				</tr>
			{/section}
			<tr class="total">
				<td width="10%" class="green">&nbsp;</td>
				<td width="5%">&nbsp;</td>
				<td width="40%">&nbsp;</td>
                <td width="10%" class="divider" align="right"><strong>{$purchasesJournalTotals.purchaseDebitAmount|getAmount:$currencyID:false}</strong></td>
                <td width="10%" align="right"><strong>{$purchasesJournalTotals.purchaseCreditAmount|getAmount:$currencyID:false}</strong></td>
				<td width="10%" class="divider" align="right"><strong>{$purchasesJournalTotals.purchaseAccPayDebitAmount|getAmount:$currencyID:false}</strong></td>
				<td width="10%" align="right"><strong>{$purchasesJournalTotals.purchaseAccPayCreditAmount|getAmount:$currencyID:false}</strong></td>
                <td width="10%" class="divider" align="right"><strong>{$purchasesJournalTotals.purchaseCashDebitAmount|getAmount:$currencyID:false}</strong></td>
                <td width="10%" align="right"><strong>{$purchasesJournalTotals.purchaseCashCreditAmount|getAmount:$currencyID:false}</strong></td>
			</tr>
		</table>
{foreachelse}
    {"TRANS_NO_PURCHASES_MATCH_QUERY"|lmsg}
{/foreach}

        {include file="$tplDirectory/widgets/paginationLinks.tpl" queryArgs="dateQuery=`$dateQuery.0`&purchaseJournalBeginMonth=`$purchaseJournalBeginMonth`&purchasesJournalBeginDay=`$purchasesJournalBeginDay`&purchasesJournalBeginYear=`$purchasesJournalBeginYear`&purchasesJournalEndMonth=`$purchasesJournalEndMonth`&purchasesJournalEndDay=`$purchasesJournalEndDay`&purchasesJournalEndYear=`$purchasesJournalEndYear`"}
</fieldset>


<script type="text/javascript">//<![CDATA[
{literal}
var startDate;
var endDate;
var callbacks = 0;

function resetDates() {
    startDate = endDate = null;
}

/*
* Given two dates (in seconds) find out if date1 is bigger, date2 is bigger or
* they're the same, taking only the dates, not the time into account.
* In other words, different times on the same date returns equal.
* returns -1 for date1 bigger, 1 for date2 is bigger 0 for equal
*/

function compareDatesOnly(date1, date2) {
    var year1 = date1.getYear();
    var year2 = date2.getYear();
    var month1 = date1.getMonth();
    var month2 = date2.getMonth();
    var day1 = date1.getDate();
    var day2 = date2.getDate();
    if (year1 > year2) {
        return -1;
    }
    if (year2 > year1) {
        return 1;
    }
    //years are equal
    if (month1 > month2) {
        return -1;
    }
    if (month2 > month1) {
        return 1;
    }
    //years and months are equal
    if (day1 > day2) {
        return -1;
    }
    if (day2 > day1) {
        return 1;
    }
    //days are equal
    return 0;
}

function disableDates(date) {
    var now = new Date();
    if (compareDatesOnly(now, date) > 0) {
        return (true);
    }
    //all other days are enabled
    return false;
}



function goPurchasesJournal(cal) {
    if (cal.dateClicked) {
        {/literal}
        var url = "{getHREF page="accounting.php" actionName="ShowPurchasesJournal"}&dateQuery[]=" + cal.date.print("%Y/%m/%d/");
        {literal}
        window.location = url;
    }
}

/*
Zapatec.Calendar.setup({
    weekNumbers       : false,
    showOthers        : false,
    showsTime         : false,
    timeFormat        : "12",
    step              : 2,
    range             : [1990.01, 2020.12],
    dateStatusFunc      : disableDates,
    button            : "purchasesJournalCal",
    onSelect          : goPurchasesJournal
});*/

{/literal}
//]]></script>

{include file="$tplDirectory/footer.tpl"}
