{* $Id: AddAdmin.tpl 7706 2006-06-22 23:14:51Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an admin's profile.
 *
 * Smarty Variables:
 *	$admin (array of this admin's data)
 *		adminID			A unique admin ID
 *		adminFirstName	An admin's first name
 *		adminLastName	An admin's last name
 *		adminEmail		An admin's email address
 *		adminUsername	An admin's username
 *		adminActive		The active state of an admin
 *		themeID 		The unique themeID
 *		languageID 		The unique languageID
 *		countriesID 	The unique countriesID
 *	$actionID			The unique action ID for this page view
 *  $actionName			The action name for this action ID
 *	$imageDirectory		The image directory for this theme
 *	$tplDirectory		The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_MANAGE_ADMINS', 'TRANS_ADD_ADMIN_PROFILE');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_MANAGE_ADMINS"
	grandchildName="TRANS_ADD_ADMIN_PROFILE"
	sideNavMajor="system"
	sideNavMinor="admins"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="{getFormAction controller="admins"}" name="addAdminForm">
<input type="hidden" name="act" value="{getActionID action="AddAdminResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="adminActive" value="1" />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
{include
	file="$tplDirectory/widgets/forms/validateInputText.tpl"
	name="adminFirstName"
	value=$formValues.adminFirstName|stripslashes
	title="TRANS_FIRST_NAME"}
{include
	file="$tplDirectory/widgets/forms/validateInputText.tpl"
	name="adminLastName"
	value=$formValues.adminLastName|stripslashes
	title="TRANS_LAST_NAME"}
{include
	file="$tplDirectory/widgets/forms/validateInputText.tpl"
	name="adminEmail"
	value=$formValues.adminEmail|stripslashes
	title="TRANS_EMAIL"}
{include
	file="$tplDirectory/widgets/forms/validateInputText.tpl"
	name="adminUsername"
	value=$formValues.adminUsername|stripslashes
	title="TRANS_USERNAME"}
{include
	file="$tplDirectory/widgets/forms/validateInputPassword.tpl"
	name="adminPassword"
	value=$formValues.adminPassword
	title="TRANS_NEW_PASSWORD"}
{include
	file="$tplDirectory/widgets/forms/validateInputPassword.tpl"
	name="adminPasswordConfirm"
	value=$formValues.adminPasswordConfirm
	title="TRANS_ENTER_PASSWORD_AGAIN"}
{* Theme choosing disabled
<tr {if $invalid.themeID}class="highlight"{/if}>
	<td class="title">{"TRANS_THEME"|lmsg}</td>
	<td>
        <select id="themeID" name="themeID">
            {html_options options=$themes selected=$admin.themeID}
        </select>  {$invalid.themeID}
    </td>
</tr>
*}
<tr {if $invalid.skinID}class="highlight"{/if}>
	<td class="title">{"TRANS_SKIN"|lmsg}</td>
	<td>
        <select id="skinID" name="skinID">
            {html_options options=$skins selected=$admin.skinID}
        </select>  {$invalid.skinID}
    </td>
</tr>
<tr {if $invalid.languageID}class="highlight"{/if}>
	<td class="title">{"TRANS_LANGUAGE"|lmsg}</td>
	<td>
        <select id="languageID" name="languageID">
            {html_options options=$languages selected=$admin.languageID}
        </select>  {$invalid.languageID}
    </td>
</tr>
<tr {if $invalid.countriesID}class="highlight"{/if}>
	<td class="title">{"TRANS_COUNTRY"|lmsg}</td>
	<td>
        <select id="countriesID" name="countriesID">
            {html_options options=$countries selected=$admin.countriesID}
        </select>  {$invalid.countriesID}
    </td>
</tr>
<tr {if $invalid.adminActive}class="highlight"{/if}>
	<td class="title">{"TRANS_ACTIVE"|lmsg}</td>
	<td>
        {html_radios id="adminActive" name="adminActive" options=$activeInactive selected=$admin.adminActive separator="<br />"}
    </td>
</tr>

<tr {if $invalid.adminGroups}class="highlight"{/if}>
	<td class="title">{"TRANS_ASSIGNED_ADMIN_GROUPS"|lmsg}</td>
	<td>
        {html_checkboxes name="adminGroups" options=$adminGroups selected=$formValues.adminGroups separator="<br />"}
    </td>
</tr>
<tr class="listButtons">
	<td colspan="2"><div><input class="submit" type="submit" name="submit" value="{"TRANS_ADD_ADMIN_PROFILE"|lmsg}" /></div></td>
</tr>
</tbody>
</table>

</form>

<script language="javascript">
<!--
// clear out fields that the browser will prefill if it remembers usernames and passwords
setTimeout("document.addAdminForm.adminUsername.value='';", 500);
setTimeout("document.addAdminForm.adminPassword.value='';", 500);
// -->
</script>

{include file="$tplDirectory/footer.tpl"}
