{* $Id: ShowAdminDetails.tpl 12125 2007-10-22 15:54:41Z kbailey $
 * --------------------------------------------------------------
 * This template displays a single admin details record.
 *
 * Smarty Variables:
 *	$admin (array of this admin's data)
 *
 *}
{strip}

{assign var="adminID" value=$admin.adminID}
{/strip}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_MANAGE_ADMINS', 'TRANS_ADMIN_PROFILE');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_MANAGE_ADMINS"
	grandchildName="TRANS_ADMIN_PROFILE"
	sideNavMajor="system"
	sideNavMinor="admins"}

{if $saved}
    {include
	    file="$tplDirectory/widgets/showInvalidCustom.tpl"
	    duration="4"
	    message=$smarty.const.TRANS_SAVED_SUCCESSFULLY}
{/if}

{if $admin.adminActive==0}
	<table width="100%" cellpadding="0" cellspacing="0">
		<tr class="highlight">
			<td style="padding: 5px;">{"TRANS_THIS_ADMIN_ACCOUNT_HAS_BEEN_DEACTIVATED"|lmsg}</td>
		</tr>
	</table>
	<br />
{/if}

{***************** LEFT COLUMN *****************}
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
        <tbody>
        <tr>
	        <td class="title">{"TRANS_ADMIN_ID"|lmsg}</td>
	        <td>{$adminID}</td>
        </tr>
        <tr>
	        <td class="title">{"TRANS_FIRST_NAME"|lmsg}</td>
	        <td>
		        {$admin.adminFirstName|safetyhtml}
            </td>
        </tr>
        <tr>
	        <td class="title">{"TRANS_LAST_NAME"|lmsg}</td>
	        <td>
                {$admin.adminLastName|safetyhtml}
            </td>
        </tr>
        <tr>
	        <td class="title">{"TRANS_USERNAME"|lmsg}</td>
	        <td>
		        {$admin.adminUsername|safetyhtml}
            </td>
        </tr>
        <tr>
	        <td class="title">{"TRANS_EMAIL"|lmsg}</td>
	        <td>
		        {if $admin.adminEmail}{mailto address=$admin.adminEmail}{/if}
            </td>
        </tr>
        <tr>
	        <td class="title">{"TRANS_REMOTE_ACCESS_HASH"|lmsg}</td>
	        <td>
		        <a href="{getHREF page="admins.php" actionName="EditAdminResponse" args="adminID=$adminID&accessHash=1"}">
			        <img src="{$imageDirectory}/ico/data_new.gif" width="16" height="16" border="0" title="{"TRANS_GENERATE_NEW"|lmsg}" alt="{"TRANS_GENERATE_NEW"|lmsg}" />
		        </a>{$admin.adminRemoteAccessHash}
            </td>
        </tr>
{* Theme details hidden
        <tr>
	        <td class="title">{"TRANS_THEME"|lmsg}</td>
			{assign var=themeID value=$admin.themeID}
	        <td>{$themeList.$themeID}</td>
        </tr>
*}
        <tr>
	        <td class="title">{"TRANS_SKIN"|lmsg}</td>
			{assign var=skinID value=$admin.skinID}
	        <td>{$skinList.$skinID}</td>
        </tr>
        <tr>
	        <td class="title">{"TRANS_LANGUAGE"|lmsg}</td>
			{assign var=languageID value=$admin.languageID}
	        <td>{$languageList.$languageID}</td>
        </tr>
        <tr>
	        <td class="title">{"TRANS_COUNTRY"|lmsg}</td>
			{assign var=countriesID value=$admin.countriesID}
	        <td>{$countryList.$countriesID}</td>
        </tr>
        <tr>
	        <td class="title">{"TRANS_ASSIGNED_ADMIN_GROUPS"|lmsg}</td>
	        <td>
                {section name=j loop=$adminGroups}
                    {assign var="adminGroupID" value=$adminGroups[j].adminGroupID}
                    {assign var="adminGroupName" value=$adminGroups[j].adminGroupName}
                    <a href="{getHREF page="admins.php" actionName="ShowAdminGroupDetails" args="adminGroupID=$adminGroupID"}">{$adminGroupName|safetyhtml}</a>&nbsp;
                {sectionelse}
                    {"TRANS_NONE"|lmsg}
                {/section}
            </td>
        </tr>
        <!--
		<tr>
	        <td class="title">{"TRANS_HELPDESK_BUCKETS"|lmsg}</td>
	        <td>
                {section name=j loop=$helpdeskBuckets}
                    {assign var="hdBucketID" value=$helpdeskBuckets[j].hdBucketID}
                    {assign var="hdBucketName" value=$helpdeskBuckets[j].hdBucketName}
                    <a href="{getHREF page="helpdesk.php" actionName="ShowHelpdesk" args=""}">{$hdBucketName}</a>&nbsp;
                {sectionelse}
                    {"TRANS_NONE"|lmsg}
                {/section}
            </td>
        </tr>
		<tr>
	        <td class="title">{"TRANS_HELPDESK_ASSIGNED_TICKETS"|lmsg}</td>
	        <td>
                {section name=j loop=$helpdeskAssignedTickets}
                    {assign var="hdTicketID" value=$helpdeskAssignedTickets[j].hdTicketID}
                    {assign var="hdTicketSubject" value=$helpdeskAssignedTickets[j].hdTicketSubject}
                    <a href="{getHREF page="helpdesk.php" actionName="ShowHelpdesk" args=""}">{$hdTicketSubject}</a>&nbsp;
                {sectionelse}
                    {"TRANS_NONE"|lmsg}
                {/section}
            </td>
        </tr>
		-->
        <tr>
	        <td class="title">{"TRANS_BOOKMARKS"|lmsg}</td>
	        <td>
	        	<table border="0" cellpadding="0" cellspacing="0" class="list">
			{foreach from=$bookmarkList item=bk}
				{strip}
				<tr>
					<td>
						<a href="{getHREF page=$bk.bookmarkURL actionName=$bk.bookmarkAction args=$bk.bookmarkArgs}" target="{$bk.bookmarkTarget}">
							{$bk.bookmarkName}
						</a>
					</td>
					<td>
						{strip}
						{if $bk.bookmarkTarget == "_top"}
							{assign var=transValue value=$bk.bookmarkTarget}
						{else}
							{assign var=transValue value="_blank"}
						{/if}

						{assign var=transValue value=$bookmarkTargets.$transValue}
						{if $smarty.const.$transValue}
							{$smarty.const.$transValue}
						{else}
							{$transValue}
						{/if}
						{/strip}

					</td>
					<td>
						{strip}
						<a href="{getHREF page="bookmarks.php" actionName="CloneBookmark" args="bookmarkID=`$bk.bookmarkID`&adminID=$adminID"}">
							<img src="{$imageDirectory}/ico/client_add.gif" height="16" width="16" border="0" title="{"TRANS_CLONE_BOOKMARK"|lmsg}" alt="{"TRANS_CLONE_BOOKMARK"|lmsg}" />
						</a>
						{/strip}
					</td>
					<td>
						<a href="{getHREF page="bookmarks.php" actionName="RemoveBookmark" args="bookmarkID=`$bk.bookmarkID`"}">
							<img src="{$imageDirectory}/ico/data_delete.gif" height="16" width="16" border="0" title="{"TRANS_REMOVE"|lmsg}" alt="{"TRANS_REMOVE"|lmsg}" />
						</a>
					</td>
				</tr>
				{/strip}
			{foreachelse}
				{"TRANS_NONE"|lmsg}
			{/foreach}
			</table>
            	</td>
        </tr>
    {***************** RIGHT COLUMN *****************}
    <tr class="listButtons">
    <td colspan="2"><div>
            <span class="rm"><a href="{getHREF page="admins.php" actionName="EditAdmin" args="adminID=$adminID"}">{"TRANS_EDIT"|lmsg}</a></span>
            <span class="rm"><a href="{getHREF page="admins.php" actionName="RemoveAdmin" args="adminID=$adminID"}">{"TRANS_REMOVE"|lmsg}</a></span>
    <div></td>
    </tr>
   </tbody>
   </table>

{include file="$tplDirectory/footer.tpl"}
