{* $Id: EditBasicClientAttributes.tpl 9374 2006-10-10 00:55:16Z mfountain $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *
 * Author: Kris Bailey
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_CLIENTS', 'TRANS_EDIT_CLIENT_ATTRIBUTES');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EDIT_CLIENT_ATTRIBUTES"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client suppressEditLink="yes" suppressDeleteLink="yes"}

<script type="text/javascript">
    {literal}
        function toggleElementByID(elem, id){
            if (elem.checked){
                jQuery('#'+id).removeAttr('disabled');
            } else {
                jQuery('#'+id).attr('disabled', 'disabled');
            }
        }

        function showDefaultgroupValues(elem) {
            var groups=Array();
            {/literal}
                {foreach key="groupID" item="group" from=$attributeGroupValues}
                        groups[{$groupID}] = Array();
                    {foreach key="attrName" item="attr" from=$group}
                        groups[{$groupID}]['{$attrName}'] = '{$attr}';
                    {/foreach}
                {/foreach}
            {literal}
            for (var i in groups[elem.value]) {
                jQuery('#default-'+i).text(groups[elem.value][i]);
            }
            return false;
        }
    {/literal}
</script>


<form method="post" action="{getFormAction controller="clients"}">
<input type="hidden" name="act" value="{getActionID action="EditBasicClientAttributesResponse"}">
<input type="hidden" name="clientID" value="{$client.clientID}">
<input type="hidden" name="sid" value="{$sid}">

<fieldset>
<legend>{"TRANS_CLIENT_GROUP"|lmsg}</legend>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr {if $invalid.groupID}class="highlight"{/if}>
	<td class="title"><label for="groupID">{"TRANS_CLIENT_GROUP"|lmsg}</label></td>
	<td>
		<select onchange="showDefaultgroupValues(this); return false;" style="width:200px;" id="groupID" name="groupID">
	 		{html_options options=$attributeGroups selected=$formValues.groupID}
		</select>
	</td>
</tr>
</table>
<p></p>
<legend>{"TRANS_CUSTOMER_GROUP_ATTRIBUTES"|lmsg}</legend>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<thead>
<tr class="headerRow">
	<td><strong>{"TRANS_ATTRIBUTE_DISPLAY_NAME"|lmsg}</strong></td>
	<td><strong>{"TRANS_OVERRIDE"|lmsg}</strong></td>
	<td><strong>{"TRANS_ATTRIBUTE_CUSTOM_VALUE"|lmsg}</strong></td>
    <td><strong>{"TRANS_CUSTOMER_GROUP_DEFAULT_VALUE"|lmsg}</strong></td>
</tr>
</thead>

{foreach key="attributeName" item="attrID" from=$customerGroupAttributes}
	<tr>
		<td class="title">{$programaticAttributes.$attributeName|lmsg}:</td>
		<td>
            <input type="checkbox" value='1' name="activeAttributes[{$attributeName}]" onchange="toggleElementByID(this, 'attributeValues-{$attributeName}')"
            {if $attributeValues.$attrID.attributeID==$attrID}checked="checked"{/if} />
		</td>
		<td>
            {if $suspentionExemptAttribute != $attributeName}
			<input type="text" name="attributeValues[{$attributeName}]" id="attributeValues-{$attributeName}"
            {if $attributeValues.$attrID.attributeID!=$attrID}disabled{/if}
            value="{$attributeValues.$attrID.clientAttributeValue}" />
            {else}
                <input type="radio" value="1" name="attributeValues[{$attributeName}]" id="attributeValues-{$attributeName}"
                    {if $attributeValues.$attrID.clientAttributeValue == 1}checked="checked"{/if} />
                {"TRANS_YES"|lmsg}
			    &nbsp;&nbsp;
                <input type="radio" value="0" name="attributeValues[{$attributeName}]" id="attributeValues-{$attributeName}"
                    {if $attributeValues.$attrID.clientAttributeValue == 0}checked="checked"{/if} />
                {"TRANS_NO"|lmsg}
            {/if}
		</td>
        <td id="default-{$attributeName}">
            {assign var=groupID value=$client.groupID}
			{$attributeGroupValues.$groupID.$attributeName}
		</td>
	</tr>
{/foreach}
</table>
<p></p>
<legend>{"TRANS_CLIENT_ATTRIBUTES"|lmsg}</legend>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<thead>
<tr class="headerRow">
	<td><strong>{"TRANS_ATTRIBUTE_DISPLAY_NAME"|lmsg}</strong></td>
	<td><strong>{"TRANS_ACTIVE"|lmsg}</strong></td>
	<td><strong>{"TRANS_ATTRIBUTE_INTERNAL_VALUE"|lmsg}</strong></td>
</tr>
</thead>
{foreach key="attributeName" item="attrID" from=$namedAttributes}
	<tr>
		<td class="title">{$attributeName|lmsg}:</td>
		<td>
            <input type="checkbox" value='1' onchange="toggleElementByID(this, 'attributeValues-{$attributeName}')" name="activeAttributes[{$attributeName}]"
            {if $attributeValues.$attrID.attributeID==$attrID}checked="checked"{/if} />
		</td>
		<td>
			<input type="text" name="attributeValues[{$attributeName}]" id="attributeValues-{$attributeName}"
            {if $attributeValues.$attrID.attributeID!=$attrID}disabled{/if}
                   value="{$attributeValues.$attrID.clientAttributeValue}" />
		</td>
	</tr>
{/foreach}
	<tr class="listButtons">
		<td colspan="3"><div><input type="submit" class="submit" value="{"TRANS_SAVE_ALL"|lmsg}" /></div></td>
	</tr>
</table>
</fieldset>

</form>
<br />
{include file="$tplDirectory/footer.tpl"}
