{* $Id: ManageClientAction.tpl 9739 2006-10-19 23:36:15Z achrist $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}




{**********************************ManageClientActionActivate**********************************}
{if $actionName == "ManageClientActionActivate"}

	{assign var=childName value="TRANS_ACTIVE_CLIENT"}
	{assign var=checkboxName value="TRANS_ACTIVATE"}
	{assign var=responseActionName value="ManageClientActionActivateResponse"}
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_ACTIVE_CLIENT', '');{/php}

{**********************************ManageClientActionSuspend**********************************}
{elseif $actionName == "ManageClientActionSuspend"}

	{assign var=actionTransName value="TRANS_SUSPEND_CLIENT"}
	{assign var=checkboxName value="TRANS_SUSPEND"}
	{assign var=actionResponseName value="ManageClientActionSuspendResponse"}

	{assign var=newStatusID value="client"|getStatusID:"suspended"}
	{assign var=newStatusTransName value="TRANS_SUSPEND"}
	{assign var=packageAction value="suspend"}
	{assign var=panelAction value="suspend"}
	
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_SUSPEND_CLIENT', '');{/php}

{**********************************ManageClientActionUnsuspend**********************************}
{elseif $actionName == "ManageClientActionUnsuspend"}

	{assign var=actionTransName value="TRANS_UNSUSPEND_CLIENT"}
	{assign var=checkboxName value="TRANS_ENABLE"}
	{assign var=actionResponseName value="ManageClientActionUnsuspendResponse"}

	{assign var=newStatusID value="client"|getStatusID:"none"} {* non = active *}
	{assign var=newStatusTransName value="TRANS_ACTIVE"}
	{assign var=packageAction value="unsuspend"}
	{assign var=panelAction value="enable"}
	
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_UNSUSPEND_CLIENT', '');{/php}

{**********************************ManageClientActionCancel**********************************}
{elseif $actionName == "ManageClientActionCancel"}

	{assign var=actionTransName value="TRANS_CANCEL_CLIENT"}
	{assign var=checkboxName value="TRANS_CLIENT_STATUS_CANCEL"}
	{assign var=actionResponseName value="ManageClientActionCancelResponse"}

	{assign var=newStatusID value="client"|getStatusID:"canceled"}
	{assign var=newStatusTransName value="TRANS_CLIENT_STATUS_CANCELED"}
	{assign var=packageAction value="cancel"}
	{assign var=panelAction value="suspend"}
	
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_CANCEL_CLIENT', '');{/php}

{**********************************ManageClientActionPurge**********************************}
{elseif $actionName == "ManageClientActionPurge"}

	{assign var=actionTransName value="TRANS_PURGE_CLIENT"}
	{assign var=checkboxName value="TRANS_PURGE"}
	{assign var=actionResponseName value="ManageClientActionPurgeResponse"}

	{assign var=newStatusID value="client"|getStatusID:"canceled"}
	{assign var=newStatusTransName value="TRANS_CLIENT_STATUS_CANCELED"}
	{assign var=packageAction value="cancel"}
	{assign var=panelAction value="suspend"}
	
	{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_PURGE_CLIENT', '');{/php}

{/if}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName=$actionTransName
	sideNavMajor="clients"
	sideNavMinor="clients"
	useMenu="clients"}

{literal}
<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
	function cbx_register_click(id,targetID) {
		setTimeout('cbx_process_event("'+id+'","'+targetID+'");',100);
	}
	function cbx_process_event(id,targetID) {
		if (document.getElementById(id).checked) {
			cbx_select(id,targetID);
		} else {
			cbx_deselect(id,targetID);
		}
	}
	function cbx_select(id,targetID) {
		document.getElementById(targetID).disabled = true;
		document.getElementById(targetID).checked = false;
	}
	function cbx_deselect(id,targetID) {
		document.getElementById(targetID).disabled = false;
	}
// ]]>
</script>
{/literal}

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDeleteLink=1}

<br />

<form method="post" action="{getFormAction controller="clients"}">
<input type="hidden" name="act" value="{getActionID action=$actionResponseName}" />
<input type="hidden" name="referralActionID" value="{getActionID action="ShowClientDetails"}" />
<input type="hidden" name="clientID" value="{$client.clientID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
	<legend>{"TRANS_CLIENT_STATUS_INFO"|lmsg}</legend>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr>
		<td class="title">{"TRANS_CURRENT_CLIENT_STATUS"|lmsg}</td>
		<td>{$client.clientStatus|getStatusName:"client"}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_SET_NEW_CLIENT_STATUS"|lmsg}</td>
		<td><input type="checkbox" name="newStatusID" value="{$newStatusID}" checked="checked" /> {$smarty.const.$newStatusTransName}</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_REASON_FOR_CHANGE"|lmsg}</td>
		<td><textarea name="clientStatusReason" style="width:225px;"></textarea></td>
	</tr>
	<tr class="listButtons">
		<td colspan="2"><div><input type="submit" name="submitActivateClients" class="submit" value="{"TRANS_SUBMIT_ALL_CHANGES"|lmsg}" /></div></td>
	</tr>
	</table>

</fieldset>{* box07 *}

<br />


<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
{foreach from=$groupedPackages key="packageType" item="packages"}
{assign var="reset" value=true}

<thead>
<tr class="listRowNoBorders">
	<td colspan="7">
		<br />
		<fieldset><legend>{"TRANS_PACKAGETYPE"|lmsg} {$packageType|getTypeName:"products"}</legend></fieldset>

		{if $packageType == "products"|getTypeID:"domain"}
			<div class="msgWarning"><strong>{"TRANS_NOTICE"|lmsg}</strong> {"TRANS_DOMAIN_PRODUCT_NOTICE"|lmsg}</div>
		{elseif $packageType == "products"|getTypeID:"cert"}
			<div class="msgWarning"><strong>{"TRANS_NOTICE"|lmsg}</strong> {"TRANS_CERT_PRODUCT_NOTICE"|lmsg}</div>
		{/if}

	</td>
</tr>
<tr class="listRowNoBorders">
	<td colspan="6" style="text-align:right;color:red;">
		{"TRANS_CHECK_TO_APPLY_CHANGES"|lmsg}
	</td>
	<td style="text-align:left">
		<img src="{$imageDirectory}/ico/point_down.gif" />
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerName="TRANS_ID"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerName="TRANS_PACKAGE"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerName="TRANS_CYCLE"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerName="TRANS_PRICE"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerName="TRANS_NEXT_RENEWAL"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerName="TRANS_CURRENT_PACKAGE_STATUS"}

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" 
		headerName="TRANS_ACTION"}
</tr>
</thead>
{section name=i loop="$packages"}

{assign var="packageID" value=$packages[i].packageID}
{assign var="events" value=$packages[i].systemQueueItems}
{assign var="currencyID" value=$packages[i].currencyID}

{if $className=="alt1"}
	{assign var="className" value="alt2"}
{else}
	{assign var="className" value="alt1"}
{/if}

<tbody>
<tr class="{cycle values="alt1,alt2" reset=$reset}">
	<td>
		<strong>
		{include file="$tplDirectory/widgets/actionLink.tpl"
			page="packages.php"
			actionName="ShowPackageDetails"
			args="packageID=$packageID"
			altText=$packageID
			linkText=$packageID
			target="_blank"
		}
		</strong>
	</td>
	<td>
		{$packages[i].packageName|stripslashes}
	</td>
	<td>
		{$packages[i].cycleID|getCycleName}
	</td>
	<td>
		{$packages[i].packagePrice|getAmount:$packages[i].currencyID}
	</td>
	<td>
		{$packages[i].packageDateNextRenewal|getDate}
	</td>
	<td>
		{$packages[i].packageStatus|getStatusName:"package"}
	</td>
	<td>
		{assign var="disabled" value=false}
		{if $packageType == "products"|getTypeID:"domain" || 
			$packageType == "products"|getTypeID:"cert"}
			{assign var="disabled" value=true}
		{/if}
		{*******************************************
		//Possible package status
		//	suspend, unsuspend, cancel, archive
		//
		//Possible panel actions
		//	suspend, unsuspend, delete
		*******************************************}
		{if $panelAction == "suspend"}
			<input type="checkbox" name="packages[{$packageID}][]" value="{$packageAction},{$panelAction}" 
				id="cbx_suspend_{$packageID}" onmouseup="cbx_register_click('cbx_suspend_{$packageID}','cbx_delete_{$packageID}');" 
				{if $disabled}disabled="disabled"{/if} /> {translate key=$checkboxName}
			<br />
			<input type="checkbox" name="packages[{$packageID}][]" value="{$packageAction},delete" 
				id="cbx_delete_{$packageID}" onmouseup="cbx_register_click('cbx_delete_{$packageID}','cbx_suspend_{$packageID}');" 
				{if $disabled}disabled="disabled"{/if} /> {"TRANS_DELETE"|lmsg}
		{else}
			<input type="checkbox" name="packages[{$packageID}][]" value="{$packageAction},{$panelAction}" {if $disabled}disabled="disabled"{/if} /> {translate key=$checkboxName}
		{/if}
	</td>
</tr>
</tbody>
{assign var="reset" value=false}
{/section}

{*
<tr>
	<td colspan="7" style="text-align:right;" class="althover">
		<strong>{"TRANS_SET_CANCEL_ACTION"|lmsg}</strong>
		&nbsp;
		<select name="cancelAction" style="width:150px;">
			<option value="suspend">{"TRANS_SUSPEND_PACKAGE_IF_PROVISIONED"|lmsg}</option>
			<option value="delete">{"TRANS_DELETE_PACKAGE_IF_PROVISIONED"|lmsg}</option>
		</select>
	</td>
</tr>
*}

{/foreach}

</table>
</form>

<br />

{include file="$tplDirectory/footer.tpl"}
