{* $Id: ResetContactPassword.tpl 8782 2006-09-11 17:32:56Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientContactID			A unique client contact ID
 *		contactFirstName		A client's first name
 *		contacttLastName		A client's last name
 *		contactEmail			A client's email address
 *		contactActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Brian Smith
 *}{strip}
{/strip}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_CLIENTS', 'TRANS_CONTACT', 'TRANS_RESET_PASSWORD');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CONTACT"
	grandchildName="TRANS_RESET_PASSWORD"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/contact.tpl" contact=$contact suppressEditLink=1 suppressDeleteLink=1}

<form method="post" action="{getFormAction controller="clients"}">
<input type="hidden" name="act" value="{getActionID action="ResetContactPasswordResponse"}" />
<input type="hidden" name="clientContactID" value="{$formValues.clientContactID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{"TRANS_RESET_PASSWORD"|lmsg}</legend>

	{"TRANS_RESET_PASSWORD_DESCRIPTION"|lmsg}

	<table cellpadding="0" cellspacing="0" border="0" class="list" width="100%">
	<tr class="listButtons">
		<td><div>
			<input type="submit" class="submit" value="{"TRANS_YES"|lmsg}" />
			<input type="button" class="submit" value="{"TRANS_NO"|lmsg}" onClick="javascript:document.location.href='{getHREF page="clients.php" actionName="ShowClientContacts" args="clientID=`$formValues.clientID`&clientContactID=`$formValues.clientContactID`"}';" />
		</div></td>
	</tr>
	</table>

</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}
