{* $Id: ShowConfigMenu.tpl 12329 2007-12-07 22:11:44Z kbailey $
* --------------------------------------------------------------
* This template displays the main system configuration menu.
*
* Smarty Variables:
* 	$navConfigGroups (array of root config groups and the level one children groups)
*		configGroupID
*		parentConfigGroupID
*		configGroupName
*		configGroupIcon
*		configGroupTransKey
*		configGroupOrder
*		configGroupLocked
*		$levelOneConfigGroups (array of level one groups)
*			$levelOneConfigGroup (array of each level one groups data)
*				configGroupID
*				parentConfigGroupID
*				configGroupName
*				configGroupIcon
*				configGroupTransKey
*				configGroupOrder
*				configGroupLocked
*  $navNumDisplayRows	The number of <tr>'s to display
*  $navNumDisplayResults The number of <td>'s to display per <tr>
*  $actionID			The unique action ID for this page view
*  $actionName			The action name for this action ID
*  $imageDirectory		The image directory for this theme
*  $tplDirectory		The template directory for this theme
*  $sid					The current sessionID
*
* Author: Michael Fountain
*}












{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', '', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	sideNavMajor="system"}

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tab07">

{assign var="start" value=0}
{section name=row start=0 loop=$navNumDisplayRows}

	<tr class="td02">
	{section name=col start=$start loop=$navNumDisplayResults max=4}
		{if $smarty.section.col.index!=($navNumDisplayResults-1)}
			{assign var="configGroupTransKey" value=$navConfigGroups[$smarty.section.col.index].configGroupTransKey}
			{assign var="configGroupID" value=$navConfigGroups[$smarty.section.col.index].configGroupID}
			<td width="25%" valign="top"{if $smarty.section.col.iteration<4} style="padding-right: 5px;"{/if}>
			<div class="box07" style="background-color:#EEEDE9">
				<div class="st01"><h1 style="margin-bottom: 0px;">{if $configGroupTransKey!="" && defined($configGroupTransKey)}
						{$smarty.const.$configGroupTransKey}
					{else}
						{$configGroupTransKey}
					{/if}</h1></div>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
				<tr><td style="background-color:#FFFFFF">
					{section name=link loop=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup}
						{assign var="configChildGroupTransKey" value=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup[link].configGroupTransKey}

						{if "" != $configChildGroupTransKey}
						{assign var="configChildGroupID" value=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup[link].configGroupID}
						{assign var="configChildGroupActionFile" value=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionFile}
						{assign var="configChildGroupActionName" value=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName}
						{assign var="icomenuone" value=$cfg_icomenu[$configChildGroupTransKey]}
							{if $configChildGroupTransKey!="" && defined($configChildGroupTransKey)}
								{assign var="linkTitle" value=$smarty.const.$configChildGroupTransKey}
							{else}
								{assign var="linkTitle" value=$configChildGroupTransKey}
							{/if}
							{if $configChildGroupActionFile!="" && $configChildGroupActionName!=""}
								<img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" align="top" style="padding-bottom:3px;"/>
								<a href="{getHREF page=$configChildGroupActionFile actionName=$configChildGroupActionName args="configGroupID=$configChildGroupID"}">
								{$linkTitle}
								</a><br/>
							{else}
								{if
									$linkTitle != "FAQ Settings"
									&& $linkTitle != "News Settings"
									&& $linkTitle != "Forum Settings"
								}
									<img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" align="top" style="padding-bottom:3px;"/>
									<a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configChildGroupID"}">
									{$linkTitle}
									</a>
									<br/>
								{/if}
							{/if}
						{/if}
					{/section}
				</td></tr>
				</table>
			</div>
			</td>
		{else}
			<td width="25%" valign="top"{if $smarty.section.col.iteration<4} style="padding-right: 5px;"{/if}>
			<div class="box07" style="background-color:#EEEDE9">
				<div class="st01"><h1 style="margin-bottom: 0px;">{"TRANS_HELP_AND_SUPPORT"|lmsg}</h1></div>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
				<tr><td style="background-color:#FFFFFF">
					<img src="{$imageDirectory}/ico/mnu_manage_support_helpdesk.gif" width="16" height="16" alt="" title="" style="padding-bottom:3px;" align="top"/>
					<a href="https://www.parallels.com/support/pleskbilling/form/" target="_blank">{"TRANS_HELPDESK"|lmsg}</a><br/>

					<img src="{$imageDirectory}/ico/mnu_manage_support.gif" width="16" height="16" alt="" title="" style="padding-bottom:3px;" align="top"/>
					<a href="{getHREF page="crashes.php" actionName="ShowCrashReports"}" target="_blank">{"TRANS_SUPPORT_SHOW_CRASH_REPORTS"|lmsg}</a><br/>

					<img src="{$imageDirectory}/ico/mnu_manage_support_forums.gif" width="16" height="16" alt="" title="" style="padding-bottom:3px;" align="top"/>
					<a href="http://forums.pleskbilling.com/" target="_blank">{"TRANS_MEMBERS_FORUMS"|lmsg}</a><br/>
				</td></tr>
				</table>
			</div>
			</td>
		{/if}
	{/section}
	</tr>

	{* set the next $start number to continue from this index number *}
	{assign var="start" value=$smarty.section.col.index}

{/section}

</table>
{if $smarty.request.actionID}
	{getActionName actionID=$smarty.request.actionID}
{/if}

{include file="$tplDirectory/footer.tpl"}
