{* $Id: EditDomain.tpl 9896 2006-10-31 22:57:21Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to add a new domain.
 *
 * Smarty Variables:
 *	$domain
 *  $registrars
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_EDIT_DOMAIN', 'TRANS_DOMAIN', 'TRANS_EDIT_DOMAIN_TITLE');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_EDIT_DOMAIN"
	childName="TRANS_DOMAIN"
	grandchildName="TRANS_EDIT_DOMAIN_TITLE"
	sideNavMajor="clients"
	sideNavMinor="domains"}

<form method="post" action="{getFormAction controller="domains"}">
<input type="hidden" name="act" value="{getActionID action="EditDomainResponse"}" />
<input type="hidden" name="domainID" value="{$domain.domainID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="EditDomainResponse"}">

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr {if $invalid.domainSLD}class="highlight"{/if}>
	<td class="title"><label for="domainName">{"TRANS_DOMAIN_NAME"|lmsg}</label></td>
	<td><strong>{$domain.domainSLD}.{$domain.domainTLD}</strong></td>
</tr>
<tr>
	<td class="title"><label for="domainDateCreated">{"TRANS_REGISTER_DOMAIN_OPTION"|lmsg}</td>
	<td>{$domain.domainDateCreated|getDate:long}</td>
</tr>
<tr>
	<td class="title"><label for="domainDateCreated">{"TRANS_DOMAIN_DATE_EXPIRES"|lmsg}</td>
	<td>{$domain.domainDateExpires|getDate:long}</td>
</tr>

<tr {if $invalid.registrarID}class="highlight"{/if}>
	<td class="title"><label for="registrarID">{"TRANS_REGISTRAR_NAME_OPTION"|lmsg}</label></td>
	<td>{html_options name=registrarID options=$registrars selected=$domain.registrarID} {$invalid.registrarID}</td>
</tr>


<tr {if $invalid.domainRenewType}class="highlight"{/if}>
	<td class="title"><label for="domainRenewType">{"TRANS_DOMAIN_RENEW_TYPE"|lmsg}</label></td>
	<td>{html_options name=domainRenewType options=$tldRenew selected=$domain.domainRenewType} {$invalid.domainRenewType}</td>
</tr>

<tr class="listButtons">
	<td colspan="2"><div><input class="submit" type="submit" name="submit" value="submit"></div></td>
</tr>
</form>
</table>
{include file="$tplDirectory/footer.tpl"}
