{* $Id: EditDomainDNS.tpl 10831 2007-03-08 00:27:10Z achrist $
 * --------------------------------------------------------------
 * This template displays a single domain's DNS info editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$listDNS (array of DNS records)
 *  $useDNS (1 if using the registrar as the name server)
 *  $dnsShowExtra (This is an experimental way to show 8 fields per domain.)
 *
 * Author: Andy Christ
 *}

{assign var="domainID" value=$domain.domainID}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_DOMAINS', 'TRANS_DOMAIN_DNS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_DOMAIN_DNS"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{if $domain.clientID}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}
<hr size="1" color="#444444" />
{/if}


<script language="javascript" charset="UTF-8">
<!--
{literal}
function updateDNSformstate(x,y){
	for (i=0; i<document.EditDomainDNS.elements.length; i++){
		if (document.EditDomainDNS.elements[i].name){
			if (document.EditDomainDNS.elements[i].name.substring(0,9)=="domainDNS"){
				document.EditDomainDNS.elements[i].disabled = x;
			}
			if (document.EditDomainDNS.elements[i].name.substring(0,15)=="hostDNSHostname"){
				document.EditDomainDNS.elements[i].disabled = y;
			}
			if (document.EditDomainDNS.elements[i].name.substring(0,11)=="hostDNSType"){
				document.EditDomainDNS.elements[i].disabled = y;
			}
			if (document.EditDomainDNS.elements[i].name.substring(0,14)=="hostDNSAddress"){
				document.EditDomainDNS.elements[i].disabled = y;
			}
		}
	}
}
{/literal}
//-->
</script>

<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></strong>

<br />

<form method="post" action="{getFormAction controller="domains"}" name="EditDomainDNS">
<input type="hidden" name="act" value="{getActionID action="EditDomainDNSResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="useDNSOld" value="{$useDNS}" />

<fieldset>
<legend>{"TRANS_DOMAIN_DNS"|lmsg}</legend>

	<div class="msgWarning">
		<span class="title" style="position: absolute;">{translate key='TRANS_NOTICE'}:&nbsp;</span>
		<div style="margin-left: 50px;">
			{translate key='TRANS_SOMETIMES_REGISTRAR_DNS_CHANGES_TAKE_TIME'}
		</div>
	</div>
	<br />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	{if $dnsOptions}
	<tr>
		<td class="title">{"TRANS_DOMAIN_REGISTRAR_AS_DNS"|lmsg}</td>
		<td>
			<input type="radio" value="0"{if $useDNS != 1} checked="checked"{/if} onclick="updateDNSformstate(false,true);" name="useDNS"> {"TRANS_NO"|lmsg}
			<input type="radio" value="1" onclick="updateDNSformstate(true,false);" name="useDNS"{if $useDNS} checked="checked"{/if}> {"TRANS_YES"|lmsg}</td>
	</tr>
	{/if}

	{section name="i" loop="$listDNS"}
	<tr {if $invalidDNS[i]}class="highlight"{/if}>
		<td class="title">{"TRANS_DOMAIN_SERVER"|lmsg} {$smarty.section.i.index+1}</td>
		<td>
			<input type="text"{if $useDNS} disabled="disabled"{/if} name="domainDNS[]" value="{$listDNS[i]}" size="40" />
			{$invalidDNS[i]}
		</td>
	</tr>
	{sectionelse}
	<!--List 8 input boxes but only enable them if the UseDNS is set to no meaning that Use the registrar as DNS server is no-->
	{/section}

	{section name="j" loop="$dnsShowExtra"}
	<tr>
		<td class="title">{"TRANS_DOMAIN_SERVER"|lmsg} {$smarty.section.j.index+$dnsCount+1}</td>
		<td><input type="text"{if $useDNS} disabled="disabled"{/if} name="domainDNS[]" value="" size="40" /></td>
	</tr>
	{/section}

	{if $dnsOptions}
	<tr>
		<td colspan="2">{"TRANS_DOMAIN_DNS_ADVANCED"|lmsg}</td>
	</tr>
	<tr>
		<td colspan="2">{"TRANS_DOMAIN_DNS_ADVANCED_DESC"|lmsg}</td>
	</tr>
	<tr>
		<td colspan="2">
			<table width="60%">
				<tr>
					<td></td>

					<td>{"TRANS_DOMAIN_DNS_HOSTNAME"|lmsg}</td>

					<td>{"TRANS_DOMAIN_DNS_RECORD_TYPE"|lmsg}</td>

					<td>{"TRANS_DOMAIN_DNS_ADDRESS"|lmsg}</td>
				</tr>
				{section name="k" loop="$hostLoop"}
				{assign var="hostRecord" value=$host[k]}
				<tr>
					<td>{$smarty.section.k.index+1}</td>
					<td>
						{if $hostRecord.type}
						{$hostRecord.name}
						<input type="hidden" name="hostDNSHostname[]" value="{$hostRecord.name}">
						{else}
						<input type="text" {if !$useDNS} disabled="disabled"{/if} name="hostDNSHostname[]">
						{/if}
					</td>
					<td class="title">
						{html_options name=hostDNSType[] options=$dnsOptions selected=$hostRecord.type}
					</td>
					<td>
						<input type="text"{if !$useDNS} disabled="disabled"{/if} name="hostDNSAddress[]" value="{$hostRecord.address}" size="20"/>
					</td>
				</tr>
				{/section}
			</table>
			{assign var="dnsOptionsDesc" value=$dnsOptionsDescKey|lmsg}
			{if $dnsOptionsDesc != $dnsOptionsDescKey}
				{$dnsOptionsDesc}
			{/if}
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	{/if}
</table>

{if $dnsOptions}
<br /><br />
{"TRANS_ACCESS_DNS_MSG"|lmsg}
<br /><br />
{/if}

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="listButtons"><td><div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" /></div></td></tr>
</table>

</fieldset>

</form>

{include file="$tplDirectory/footer.tpl"}
