{* $Id: EditDomainRegistrarLockOptions.tpl 5867 2006-03-29 17:23:16Z achrist $
 * --------------------------------------------------------------
 * This template displays a single domain's registrar-lock options for editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainRegistrarLock
 *	$domainIsLockable
 *
 * Author: Michael Fountain
 *}

{assign var="domainID" value=$domain.domainID}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_DOMAINS', 'TRANS_REGISTRAR_LOCK_OPTIONS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_REGISTRAR_LOCK_OPTIONS"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}
<hr size="1" color="#444444" />

<strong><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></strong>

<br />

<form method="post" action="{getFormAction controller="domains"}" name="EditDomainRegistrarLockOptions">
<input type="hidden" name="act" value="{getActionID action="EditDomainRegistrarLockOptionsResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />

<fieldset>
<legend>{"TRANS_REGISTRAR_LOCK_OPTIONS"|lmsg}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
{if $domainIsLockable}
	<tr>
		<td class="title"><input type="checkbox" name="domainRegistrarLock" value="1" {if $domainRegistrarLock}checked{/if}></td>
		<td>{"TRANS_REGISTRAR_LOCK_MSG"|lmsg}</td>
	</tr>
{else}
	<tr>
		<td colspan="2">{"TRANS_DOMAIN_NOT_LOCKABLE"|lmsg}</td>
	</tr>
{/if}
</table>

<br /><br />

{if $domainIsLockable}
	<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tr class="listButtons"><td><div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" /></div></td></tr>
	</table>
{/if}

<br />

</form>

{include file="$tplDirectory/footer.tpl"}
