{* $Id: EditFraudCountryThreshold.tpl 11472 2007-06-28 23:32:18Z kbailey $
 * --------------------------------------------------------------
 * This template displays a fraud country threshold data for editing.
 *
 * Smarty Variables:
 *  $thresholdData (array of fraud countries threshold data)
 *
 * Author: Michael Fountain
 *}










{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_MANAGE_FRAUD_SETTINGS', 'TRANS_THRESHOLD_DETAILS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_SYSTEM"
	childName="TRANS_MANAGE_FRAUD_SETTINGS"
	grandchildName="TRANS_THRESHOLD_DETAILS"
	sideNavMajor="system"
    sideNavMinor="order"}

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<form action="{getFormAction controller="fraudsets"}" method="post" name="EditFraudCountryThresholdResponse">
<input type="hidden" name="act" value="{getActionID action="EditFraudCountryThresholdResponse"}" />
<input type="hidden" name="thresholdID" value="{$thresholdData.thresholdID}" />
<input type="hidden" name="redirectURL" value="{$fileName}" />
<input type="hidden" name="redirectAction" value="{$actionName}" />
<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
{******************* HEADER ROW *******************}
<tr class="listRowNoBorders">
	<td colspan="2">
        {strip}
		<a href="{getHREF page="fraudsets.php" actionName="ShowFraudSets"}" class="inner">
			<img src="{$imageDirectory}/ico/arrow_left_blue.gif" width="16" height="16" style="vertical-align:middle;" alt="" title="" />
		</a>
        {/strip}
		&nbsp;
		<a href="{getHREF page="fraudsets.php" actionName="ShowFraudSets"}" class="inner">
		    {"TRANS_MANAGE_FRAUD_SETTINGS"|lmsg}
		</a>
   	</td>
</tr>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
        <tr class="headerRow">
            <td>{"TRANS_THRESHOLD_NAME"|lmsg}</td>
            <td>{"TRANS_THRESHOLD_TYPE"|lmsg}</td>
            <td>{"TRANS_THRESHOLD_COUNTRY_OR_REGION"|lmsg}</td>
            <td>{"TRANS_ACTIONS"|lmsg}</td>
        </tr>
        <tr>
	        <td>
		        {$thresholdData.thresholdName|safetyhtml}
		        {include
			        file="$tplDirectory/widgets/quickEditLink.tpl"
			        editActionName="EditFraudCountryThresholdResponse"
			        editID=$thresholdData.thresholdID
			        editKey="thresholdID"
			        editName="TRANS_THRESHOLD_NAME"
			        editColumn="thresholdName"
			        editValue=$thresholdData.thresholdName}
	        </td>
	        <td>
                {assign var="countryType" value=$thresholdData.countryType}
                {if ($countryType==0)}
                    {"TRANS_APPLY_TO_ALL_COUNTRIES"|lmsg}
                {elseif ($countryType==1)}
                    {"TRANS_APPLY_TO_ONE_COUNTRY"|lmsg}
                {elseif ($countryType==2)}
                    {"TRANS_APPLY_TO_REGION_OF_COUNTRIES"|lmsg}
                {/if}
	        </td>
	        <td>
                {if ($countryType==0)}
                    {"TRANS_COUNTRY"|lmsg} *
                {elseif ($countryType==1)}
                    {assign var="countriesID" value=$thresholdData.countriesID}
			        {"TRANS_COUNTRY"|lmsg} {$countryList[$countriesID]}
                {elseif ($countryType==2)}
                    {assign var="regionsID" value=$thresholdData.regionsID}
                    {"TRANS_REGION"|lmsg} {$countryRegions[$regionsID]}
                {/if}
	        </td>
	        <td>
                {include file="$tplDirectory/widgets/actionLink.tpl"
                    page="fraudsets.php"
                    actionName="RemoveFraudCountryThresholdResponse"
                    args="thresholdID=`$thresholdData.thresholdID`"
                    icoImage="remove"
                    altText="TRANS_REMOVE"
                    linkText="TRANS_REMOVE"}
	        </td>
        </tr>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr class="listButtons">
	<td colspan="2"><div>
            <input class="submit" type="submit" name="submit" value="{"TRANS_CLICK_HERE_TO_SAVE_ALL_SETTINGS"|lmsg}" />
	</div></td>
</tr>
</table>


<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr>
    <td width="50%" valign="top">
		<fieldset>
        <legend>{"TRANS_CONFIGURE_FRAUD_SCORE_THRESHOLD_ACTIONS"|lmsg}</legend>

        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
        <tr class="headerRow">
            <td>&nbsp;</td>
            <td><strong>{"TRANS_ACTION"|lmsg}</strong></td>
            <td>&nbsp;</td>
            <td><strong>{"TRANS_SCORE"|lmsg}</strong></td>
        </tr>
        <tr>
            <td ><strong>{$smarty.const.TRANS_SCORE_1}:</strong></td>
            <td >
                <select id="levelOneAction" name="levelOneAction" style="width:180px">
                    {html_options options=$fraudLevelActions selected=$thresholdData.levelOneAction}
                </select>
            </td>
            <td><div style="color:red;">&lt;=</div></td>
            <td >
                <select id="levelOneScore" name="levelOneScore" style="width:50px">
                    {html_options values=$scoreScale output=$scoreScale selected=$thresholdData.levelOneScore}
                </select>
            </td>
        </tr>
        <tr>
            <td><strong>{$smarty.const.TRANS_SCORE_2}:</strong></td>
            <td>
                <select id="levelTwoAction" name="levelTwoAction" style="width:180px">
                    {html_options options=$fraudLevelActions selected=$thresholdData.levelTwoAction}
                </select>
            </td>
            <td><div style="color:red;">&lt;=</div></td>
            <td >
                <select id="levelTwoScore" name="levelTwoScore" style="width:50px">
                    {html_options values=$scoreScale output=$scoreScale selected=$thresholdData.levelTwoScore}
                </select>
            </td>
        </tr>
        <tr>
            <td><strong>{$smarty.const.TRANS_SCORE_3}:</strong></td>
            <td>
                <select id="levelThreeAction" name="levelThreeAction" style="width:180px">
                    {html_options options=$fraudLevelActions selected=$thresholdData.levelThreeAction}
                </select>
            </td>
            <td><div style="color:red;">&lt;=</div></td>
            <td >
                <select id="levelThreeScore" name="levelThreeScore" style="width:50px">
                    {html_options values=$scoreScale output=$scoreScale selected=$thresholdData.levelThreeScore}
                </select>
            </td>
        </tr>
        <tr>
            <td><strong>{$smarty.const.TRANS_SCORE_4}:</strong></td>
            <td>
                <select id="catchAllAction" name="catchAllAction" style="width:180px">
                    {html_options options=$fraudLevelActions selected=$thresholdData.catchAllAction}
                </select>
            </td>
            <td><div style="color:red;">&nbsp;&gt;</div></td>
            <td ><strong>{$smarty.const.TRANS_SCORE_3}</strong></td>
        </tr>
        </table>
        </fieldset>

        <br />

        <center>
            <table border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td><div style="color:red;">&lt;=</div></td>
                <td>{"TRANS_SCORE_LESS_THAN"|lmsg}</td>
            </tr>
            <tr>
                <td><div style="color:red;">&nbsp;&gt;</div></td>
                <td>{"TRANS_SCORE_GREATER_THAN"|lmsg}</td>
            </tr>
            </table>
        </center>

        {include file="$tplDirectory/widgets/showTips.tpl"
            title="TRANS_FRAUD_SCORE_TIPS"
            msg="TRANS_FRAUD_SCORE_TIPS_MSG"}

        <br />
        <br />


        {****** TRANS_CONFIGURE_AMOUNT_OVERRIDE_THRESHOLD_ACTIONS ******}
        <fieldset>
        <legend>{"TRANS_CONFIGURE_AMOUNT_OVERRIDE_THRESHOLD_ACTIONS"|lmsg}</legend>

        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
        <tr class="headerRow">
            <td>&nbsp;</td>
            <td ><strong>{"TRANS_ACTION"|lmsg}</strong></td>
            <td>&nbsp;</td>
            <td ><strong>{"TRANS_AMOUNT"|lmsg}</strong></td>
        </tr>
        <tr>
            <td ><strong>{$smarty.const.TRANS_AMOUNT_1}:</strong></td>
            <td >
                <select id="overrideOneAction" name="overrideOneAction" style="width:180px">
                    {html_options options=$fraudLevelActions selected=$thresholdData.overrideOneAction}
                </select>
            </td>
            <td><div style="color:red;">&gt;=</div></td>
            <td >
                <input type="text" name="overrideOneAmount" value="{$thresholdData.overrideOneAmount}" style="width:50px" />
            </td>
        </tr>
        <tr>
            <td ><strong>{$smarty.const.TRANS_AMOUNT_2}:</strong></td>
            <td >
                <select id="overrideTwoAction" name="overrideTwoAction" style="width:180px">
                    {html_options options=$fraudLevelActions selected=$thresholdData.overrideTwoAction}
                </select>
            </td>
            <td><div style="color:red;">&gt;=</div></td>
            <td >
                <input type="text" name="overrideTwoAmount" value="{$thresholdData.overrideTwoAmount}" style="width:50px" />
            </td>
        </tr>
        <tr>
            <td ><strong>{$smarty.const.TRANS_AMOUNT_3}:</strong></td>
            <td>
                <select id="overrideThreeAction" name="overrideThreeAction" style="width:180px">
                    {html_options options=$fraudLevelActions selected=$thresholdData.overrideThreeAction}
                </select>
            </td>
            <td><div style="color:red;">&gt;=</div></td>
            <td>
                <input type="text" name="overrideThreeAmount" value="{$thresholdData.overrideThreeAmount}" style="width:50px" />
            </td>
        </tr>
        </table>
		</fieldset>

        <br />

        <center>
            <table border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td><div style="color:red;">&gt;=</div></td>
                <td>{"TRANS_AMOUNT_GREATER_THAN"|lmsg}</td>
            </tr>
            </table>
        </center>

        {include file="$tplDirectory/widgets/showTips.tpl"
            title="TRANS_AMOUNT_OVERRIDE_TIPS"
            msg="TRANS_AMOUNT_OVERRIDE_TIPS_MSG"}

        <br />
        <br />

    </td>
    <td width="50%" valign="top">


        {****** TRANS_ADJUST_FRAUD_SCORE_TRIGGERS ******}
        <fieldset>
        <legend>{"TRANS_ADJUST_FRAUD_SCORE_TRIGGERS"|lmsg}</legend>

        <table cellpadding="0" cellspacing="0" border="0" class="list" width="100%">
        <tr>
            <td><input type="radio" name="primaryScoreToUse" id="primaryScoreToUse0" value="0" {if $thresholdData.primaryScoreToUse!="1"}checked="checked"{/if} /></td>
            <td>{"TRANS_USE_DEFAULT_SCORE"|lmsg}</td>
        </tr>
        <tr>
            <td><input type="radio" name="primaryScoreToUse" id="primaryScoreToUse1" value="1" {if $thresholdData.primaryScoreToUse=="1"}checked="checked"{/if} /></td>
            <td>{"TRANS_USE_ADJUSTED_SCORE"|lmsg}</td>
        </tr>
        </table>

        <table border="0" cellspacing="0" cellpadding="0" width="100%" class="list">
        <tr class="headerRow">
            <td>{"TRANS_TRIGGER"|lmsg}</td>
            <td>{"TRANS_ADJUSTED_VALUE"|lmsg}</td>
            <td>{"TRANS_DEFAULT_VALUE"|lmsg}</td>
        </tr>
        <tr>
            <td width="45%"><strong>{"TRANS_EMAIL_IS_FREE"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="freeEmailWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.freeEmailWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('freeEmailWeight', 2.5);">2.5</b></center></td>
        </tr>
        <tr>
            <td><strong>{"TRANS_EMAIL_IS_HIGH_RISK"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="highRiskEmailWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.highRiskEmailWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('highRiskEmailWeight', 5);">5.0</b></center></td>
        </tr>
        <tr>
            <td><strong>{"TRANS_COUNTRY_MATCHES_IP"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="countryMatchWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.countryMatchWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('countryMatchWeight', 2.5);">2.5</b></center></td>
        </tr>
        <tr>
            <td><strong>{"TRANS_COUNTRY_IS_HIGH_RISK"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="countryRiskWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.countryRiskWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('countryRiskWeight', 5);">5.0</b></center></td>
        </tr>
        <tr>
            <td><strong>{"TRANS_IP_DISTANCE_FROM_BILLING"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="ipDistanceWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.ipDistanceWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('ipDistanceWeight', 10);">10.0*</b></center></td>
        </tr>
        <tr>
            <td><strong>{"TRANS_BIN_COUNTRY_MATCH"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="binMatchWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.binMatchWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('binMatchWeight', 2);">2.0</b></center></td>
        </tr>
        <tr>
            <td><strong>{"TRANS_BIN_BANK_MATCH"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="binBankMatchWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.binBankMatchWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('binBankMatchWeight', 1);">1.0</b></center></td>
        </tr>
        <tr>
            <td><strong>{"TRANS_SHIPPING_IS_HIGH_RISK"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="highRiskShippingWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.highRiskShippingWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('highRiskShippingWeight', 5);">5.0</b></center></td>
        </tr>
        <tr>
            <td><strong>{"TRANS_IP_IS_ANON_PROXY"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="anonProxyWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.anonProxyWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('anonProxyWeight', 5);">5.0</b></center></td>
        </tr>
        <tr >
            <td><strong>{"TRANS_IP_IS_OPEN_PROXY"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/formSlider.tpl"
                    formName="EditFraudCountryThresholdResponse"
                    formFieldName="openProxyWeight"
                    sliderBoxWidth="118"
                    sliderBoxHeight="8"
                    sliderWidth="16"
                    sliderHeight="6"
                    orientation="horizontal"
                    valueInBox="no"
                    fieldType="text"
                    fieldSize=25
                    sliderMin=0
                    sliderMax=10
                    sliderFontSize="1pt"
                    sliderValue=$thresholdData.openProxyWeight}</td>
            <td><center><b class="red" style="text-align:center; cursor: pointer;" onclick="XKsetSliderValueQuick('openProxyWeight', 2.5);">2.5</b></center></td>
        </tr>
        </table>
		</fieldset>

        <br />

        {include file="$tplDirectory/widgets/showTips.tpl"
            title="TRANS_FRAUD_SCORE_TRIGGERS_TIPS"
            msg="TRANS_FRAUD_SCORE_TRIGGERS_TIPS_MSG"}

        <br />
        <br />

    </td>
</tr>

<tr>
    <td valign="top">
        {include file="$tplDirectory/widgets/showTips.tpl"
            title="TRANS_SOFT_REJECT_MESSAGE"
            msg="TRANS_SOFT_REJECT_MESSAGE_HELP"}
        <div style= "margin: 10px;">
        <textarea name="fraudSoftRejectMessage"rows="4">{$thresholdData.fraudSoftRejectMessage}</textarea>
	    </div>
    </td>
    <td valign="top">
        {include file="$tplDirectory/widgets/showTips.tpl"
            title="TRANS_HARD_REJECT_MESSAGE"
            msg="TRANS_HARD_REJECT_MESSAGE_HELP"}
        <div style= "margin: 10px;">
            <textarea name="fraudHardRejectMessage"  rows="4">{$thresholdData.fraudHardRejectMessage}</textarea>
	    </div>
    </td>
</tr>

<tr class="listButtons">
	<td colspan="2"><div>
		<input class="submit" type="submit" value="{"TRANS_CLICK_HERE_TO_SAVE_ALL_SETTINGS"|lmsg}" />
	</div></td>
</tr>

</table>

</form>

<br />
<br />

{include file="$tplDirectory/footer.tpl"}
