{* $Id: ShowFraudSetDetails.tpl 11488 2007-07-02 15:36:16Z kbailey $
 * --------------------------------------------------------------
 * This template displays a fraud set's details.
 *
 * Smarty Variables:
 *  $fraudSet (array of this fraud set's data)
 *
 * Author: Michael Fountain
 *}






{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_MANAGE_FRAUD_SETTINGS', 'TRANS_DETAILS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_SYSTEM"
	childName="TRANS_MANAGE_FRAUD_SETTINGS"
	grandchildName="TRANS_DETAILS"
	sideNavMajor="system"
    sideNavMinor="order"}

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
{******************* HEADER ROW *******************}
<tr class="listRowNoBorders">
	<td colspan="2">
        {strip}
		<a href="{getHREF page="fraudsets.php" actionName="ShowFraudSets"}" class="inner">
			<img src="{$imageDirectory}/ico/arrow_left_blue.gif" width="16" height="16" style="vertical-align:middle;" alt="" title="" />
		</a>
        {/strip}
		<a href="{getHREF page="fraudsets.php" actionName="ShowFraudSets"}" class="inner">
		    {"TRANS_MANAGE_FRAUD_SETTINGS"|lmsg}
		</a>
   	</th>
</tr>
</table>

<fieldset>
<legend>{"TRANS_FRAUD_SET"|lmsg}</legend>

    {************************** CENTER **************************}
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
        <tr>
            <td class="title">{"TRANS_FRAUD_SET_NAME"|lmsg}</td>
            <td>{include
					file="$tplDirectory/widgets/quickEditLink.tpl"
                    useEditIcon=1
					editActionName="EditFraudSetResponse"
					editID=$fraudSet.fraudSetID
					editKey="fraudSetID"
					editName="TRANS_FRAUD_SET_NAME"
					editColumn="fraudSetName"
					editValue=$fraudSet.fraudSetName}
                &nbsp;
                {$fraudSet.fraudSetName|safetyhtml}
            </td>
        </tr>
        <tr>
            <td class="title">{"TRANS_FRAUD_SET_EMAIL"|lmsg}</td>
			<td>{include
					file="$tplDirectory/widgets/quickEditLink.tpl"
                    useEditIcon=1
					editActionName="EditFraudSetResponse"
					editID=$fraudSet.fraudSetID
					editKey="fraudSetID"
					editName="TRANS_FRAUD_SET_EMAIL"
					editColumn="fraudSetEmail"
					editValue=$fraudSet.fraudSetEmail}
                &nbsp;
                {$fraudSet.fraudSetEmail|safetyhtml}
			</td>
        </tr>
</table>
</fieldset>

<form action="{getFormAction controller="fraudsets"}" method="post" name="combo_box" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="act" value="{getActionID action="EditFraudSetResponse"}" />
<input type="hidden" name="fraudSetID" value="{$fraudSet.fraudSetID}" />
<input type="hidden" name="redirectURL" value="{$fileName}" />
<input type="hidden" name="redirectAction" value="{$actionName}" />
<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr>
    {************************** LEFT - ORDER FORMS **************************}
    <td width="50%" valign="top">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr class="headerRow">
			<td>
				<strong>{"TRANS_SELECT_ORDER_FORMS_THAT_APPLY"|lmsg}</strong>
			</td>
		</tr>
		<tr>
			<td>
	 		{include file="$tplDirectory/widgets/comboBox.tpl"
				comboTitleLeft="TRANS_ASSIGNED_ORDER_FORMS"
				comboNameLeft="addOrderFormIDs"
				comboOptionsLeft=$usedOrderForms
				comboTitleRight="TRANS_UNASSIGNED_ORDER_FORMS"
				comboNameRight="removeOrderFormIDs"
				comboOptionsRight=$availableOrderForms
				formName="combo_box"
				submitName="suppress"}
			</td>
		</tr>
		</table>
    </td>

    {************************** RIGHT - COUNTRY THRESHOLDS**************************}
    <td width="50%" valign="top">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr class="headerRow">
			<td>
				<strong>{"TRANS_SELECT_COUNTRY_THRESHOLDS_THAT_APPLY"|lmsg}</strong>
			</td>
		</tr>
		<tr>
			<td>
	 		{include file="$tplDirectory/widgets/comboBox.tpl"
				comboTitleLeft="TRANS_ASSIGNED_THRESHOLDS"
				comboNameLeft="addThresholdIDs"
				comboOptionsLeft=$usedThresholds
				comboTitleRight="TRANS_UNASSIGNED_THRESHOLDS"
				comboNameRight="removeThresholdIDs"
				comboOptionsRight=$availableThresholds
				formName="combo_box"
				submitName="suppress"}
			</td>
		</tr>
		</table>
    </td>
</tr>
<tr class="listButtons">
    <td colspan="2"><div>
        <input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_ALL"|lmsg}" onClick="{strip}
		    selectAll(document.combo_box.elements['addOrderFormIDs[]']);
            selectAll(document.combo_box.elements['addThresholdIDs[]']);
			{/strip}" />
    </div></td>
</tr>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}
