{* $Id: ShowFraudSets.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the fraud sets configured in ModernBill.
 *
 * Smarty Variables:
 *  $fraudSets (array of fraud sets)
 *
 * Author: Michael Fountain
 *}





{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_MANAGE_FRAUD_SETTINGS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_SYSTEM"
	childName="TRANS_MANAGE_FRAUD_SETTINGS"
	sideNavMajor="system"}

<script language="javascript">
    {literal}
    function showCountryOptions(x) {
        if (x=="all") {
            hideobjbyid("countriesID");
            hideobjbyid("regionsID");
        } else if(x=="one") {
            showobjbyid("countriesID");
            hideobjbyid("regionsID");
        } else if(x=="region") {
            showobjbyid("regionsID");
            hideobjbyid("countriesID");
        }
    }
    {/literal}
</script>

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
{******************* HEADER ROW *******************}
<tr class="listRowNoBorders">
	<td colspan="2">
        {strip}
		<a href="{getAdminActionUrl module="configs" controller="system" action="show"}" class="inner">
			<img src="{$imageDirectory}/ico/arrow_left_blue.gif" width="16" height="16" style="vertical-align:middle;" alt="" title="" />
		</a>
        {/strip}
		&nbsp;
		<a href="{getAdminActionUrl module="configs" controller="system" action="show"}" class="inner">
		    {"TRANS_MANAGE_FRAUD_SETTINGS"|lmsg}
		</a>
   	</td>
</tr>
</table>
{***************** FRAUD SETS *****************}
<fieldset>
<legend>{"TRANS_CURRENT_FRAUD_SETS"|lmsg}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
        <tr class="headerRow">
            <td>{"TRANS_FRAUD_SET_NAME"|lmsg}</td>
            <td>{"TRANS_FRAUD_SET_EMAIL"|lmsg}</td>
            <td>{"TRANS_ACTIONS"|lmsg}</td>
        </tr>
		{section name=i loop=$fraudSets}
			{assign var="fraudSetID" value=$fraudSets[i].fraudSetID}
			{if $className=="alt1"}
			    {assign var="className" value="alt2"}
			{else}
			    {assign var="className" value="alt1"}
			{/if}
			<tr class="{cycle values="alt1,alt2"}">
				<td>
					{$fraudSets[i].fraudSetName|safetyhtml}
					{include
						file="$tplDirectory/widgets/quickEditLink.tpl"
						editActionName="EditFraudSetResponse"
						editID=$fraudSetID
						editKey="fraudSetID"
						editName="TRANS_FRAUD_SET_NAME"
						editColumn="fraudSetName"
						editValue=$fraudSets[i].fraudSetName}
				</td>
				<td>
					{$fraudSets[i].fraudSetEmail|safetyhtml}
					{include
						file="$tplDirectory/widgets/quickEditLink.tpl"
						editActionName="EditFraudSetResponse"
						editID=$fraudSetID
						editKey="fraudSetID"
						editName="TRANS_FRAUD_SET_EMAIL"
						editColumn="fraudSetEmail"
						editValue=$fraudSets[i].fraudSetEmail}
				</td>
				<td>
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="fraudsets.php"
                        actionName="ShowFraudSetDetails"
                        args="fraudSetID=$fraudSetID"
                        icoImage="view"
                        altText="TRANS_MANAGE"
                        linkText="TRANS_MANAGE"}
					&nbsp;
					&nbsp;
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="fraudsets.php"
                        actionName="RemoveFraudSetResponse"
                        args="fraudSetID=$fraudSetID"
                        icoImage="remove"
                        altText="TRANS_REMOVE"
                        linkText="TRANS_REMOVE"}
				</td>
			</tr>
		{sectionelse}
			<tr class="{cycle values="alt1,alt2"}">
				<td colspan="3">
						{"TRANS_NO_FRAUD_SETS_DEFINED"|lmsg}
				</td>
			</tr>
		{/section}
        <form method="post" action="{getFormAction controller="fraudsets"}">
        <input type="hidden" name="act" value="{getActionID action="AddFraudSetResponse"}" />
        <input type="hidden" name="sid" value="{$sid}" />
		<tr bgcolor="#FFFFFF">
            <td><input type="text" name="fraudSetName" value="" style="width:140px" /></td>
            <td><input type="text" name="fraudSetEmail" value="" style="width:140px" /></td>
            <td><input class="submit" type="submit" name="submit" value="{"TRANS_DEFINE_NEW_FRAUD_SET"|lmsg}" /></td>
        </tr>
        </form>
</table>
</fieldset>

{***************** COUNTRY THRESHOLDS *****************}

<fieldset>
<legend>{"TRANS_CURRENT_COUNTRY_THRESHOLDS"|lmsg}</legend>
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
        <tr class="headerRow">
            <td>{"TRANS_THRESHOLD_NAME"|lmsg}</td>
            <td>{"TRANS_THRESHOLD_TYPE"|lmsg}</td>
            <td>{"TRANS_THRESHOLD_COUNTRY_OR_REGION"|lmsg}</td>
            <td>{"TRANS_ACTIONS"|lmsg}</td>
        </tr>
		{section name=i loop=$countryThresholds}
			{assign var="thresholdID" value=$countryThresholds[i].thresholdID}
			{if $className=="alt1"}
			    {assign var="className" value="alt2"}
			{else}
			    {assign var="className" value="alt1"}
			{/if}
			<tr class="{cycle values="alt1,alt2"}">
				<td>
					{$countryThresholds[i].thresholdName|safetyhtml}
					{include
						file="$tplDirectory/widgets/quickEditLink.tpl"
						editActionName="EditFraudCountryThresholdResponse"
						editID=$thresholdID
						editKey="thresholdID"
						editName="TRANS_THRESHOLD_NAME"
						editColumn="thresholdName"
						editValue=$countryThresholds[i].thresholdID}
				</td>
				<td>
                    {assign var="countryType" value=$countryThresholds[i].countryType}
                    {if ($countryType==0)}
                        {"TRANS_APPLY_TO_ALL_COUNTRIES"|lmsg}
                    {elseif ($countryType==1)}
                        {"TRANS_APPLY_TO_ONE_COUNTRY"|lmsg}
                    {elseif ($countryType==2)}
                        {"TRANS_APPLY_TO_REGION_OF_COUNTRIES"|lmsg}
                    {/if}
				</td>
				<td>
                    {if ($countryType==0)}
                        {"TRANS_COUNTRY"|lmsg} *
                    {elseif ($countryType==1)}
                        {assign var="countriesID" value=$countryThresholds[i].countriesID}
					    {"TRANS_COUNTRY"|lmsg} {$countryList[$countriesID]}
                    {elseif ($countryType==2)}
                        {assign var="regionsID" value=$countryThresholds[i].regionsID}
                        {"TRANS_REGION"|lmsg} {$regionNames[$regionsID]}
                    {/if}
				</td>
				<td>
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="fraudsets.php"
                        actionName="EditFraudCountryThreshold"
                        args="thresholdID=$thresholdID"
                        icoImage="view"
                        altText="TRANS_CONFIGURE"
                        linkText="TRANS_CONFIGURE"}
                    &nbsp;
                    &nbsp;
                    {include file="$tplDirectory/widgets/actionLink.tpl"
                        page="fraudsets.php"
                        actionName="RemoveFraudCountryThresholdResponse"
                        args="thresholdID=$thresholdID"
                        icoImage="remove"
                        altText="TRANS_REMOVE"
                        linkText="TRANS_REMOVE"}
				</td>
			</tr>
		{sectionelse}
			<tr class="{cycle values="alt1,alt2"}">
				<td colspan="4">
						{"TRANS_NO_COUNTRY_THRESHOLDS_DEFINED"|lmsg}
				</td>
			</tr>
		{/section}
        <form method="post" action="{getFormAction controller="fraudsets"}">
        <input type="hidden" name="act" value="{getActionID action="AddFraudCountryThresholdResponse"}" />
        <input type="hidden" name="sid" value="{$sid}" />
		<tr bgcolor="#FFFFFF">
            <td><input type="text" name="thresholdName" value="" style="width:140px" /></td>
            <td valign="middle">
                <table border="0" cellpadding="0" cellspacing="0" class="list">
                <tr>
                    <td><input type="radio" name="countryType" id="countryType0" value="0" checked="checked" onclick="showCountryOptions('all');" /></td>
                    <td>{"TRANS_APPLY_TO_ALL_COUNTRIES"|lmsg}</td>
                </tr>
                <tr>
                    <td><input type="radio" name="countryType" id="countryType1" value="1" onclick="showCountryOptions('one');" /></td>
                    <td>{"TRANS_APPLY_TO_ONE_COUNTRY"|lmsg}</td>
                </tr>
                <tr>
                    <td><input type="radio" name="countryType" id="countryType2" value="2" onclick="showCountryOptions('region');" /></td>
                    <td>{"TRANS_APPLY_TO_REGION_OF_COUNTRIES"|lmsg}</td>
                </tr>
                </table>
                </nobr>
            </td>
            <td>
                <select name="countriesID" id="countriesID" style="display:none;visibility:hidden;">
                    {html_options options=$countryList selected=$selectedCountry}
                </select>
                <select name="regionsID" id="regionsID" style="display:none;visibility:hidden;">
                    {foreach key=regionID item=childRegions from=$nestedRegions}
                        <option value="{$regionID}" id="{$regionID}">{$regionNames[$regionID]}</option>
                        {section name=i loop=$childRegions}
                            {assign var="regionID" value=$childRegions[i]}
                            <option value="{$regionID}" id="{$regionID}">-- {$regionNames[$regionID]}</option>
                        {/section}
                    {/foreach}
                </select>
            </td>
            <td><input class="submit" type="submit" name="submit" value="{"TRANS_DEFINE_NEW_COUNTRY_THRESHOLD"|lmsg}" /></td>
        </tr>
        </form>
</table>
</fieldset>

<br />
<br />

{include file="$tplDirectory/footer.tpl"}
