{* $Id: ShowGenerateInvoiceEvents.tpl 10044 2006-11-17 20:13:20Z kbailey $
 * --------------------------------------------------------------
 * This template displays the menu for generating invoices.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_FINANCES', 'TRANS_INVOICES', 'TRANS_GENERATE_INVOICES');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_INVOICES"
	grandchildName="TRANS_GENERATE_INVOICES"
	sideNavMajor="finances"
	sideNavMinor="invoices"}


<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
	{literal}
	function warnClear(url){
		{/literal}
		{if $systemQueue.systemQueueRunning && $systemQueue.systemQueueStop!=1}
		if (confirm("{"TRANS_WARN_SYSTEM_QUEUE_CLEAR"|lmsg|escape:javascript}"))document.location.href = url;
		{else}
		document.location.href = url;
		{/if}
		{literal}
	}
	{/literal}
// ]]>
</script>

{if $clientInfo.clientID}

	{include file="$tplDirectory/widgets/context/client.tpl" 
		client=$clientInfo suppressEditLink=1 suppressDeleteLink=1}
	
	<table width="100%" border="0" cellpadding="0" cellspacing="3" class="tabTight">
	
		{if $previewMode==1}
			<form method="post" action="{getFormAction controller="invoices"}">
				<input type="hidden" name="act" value="{getActionID action="GenerateInvoiceEvents"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<input type="hidden" name="reRequest" value="{$reRequest}" />
			<tr>
				<td>{"TRANS_INVOICES_THAT_WOULD_GENERATE"|lmsg} <b>{$numInvoices}</b> </td>
				<td><input type="submit" class="submit" value="{"TRANS_PROCEED_WITH_INVOICE_GENERATION"|lmsg}" /></td>
			</tr>
			</form>
		{else}
			<tr>
				<td>{"TRANS_INVOICES_GENERATED"|lmsg}  <b>{$numInvoices}</b></td>
				<td></td>
			</tr>
		{/if}
	
		<tr>
			<td colspan="2">{"TRANS_INVOICES"|lmsg} </td>
		</tr>
	
	
		{foreach key="k" item="invoice" from=$invoices}
			{assign var="currencyID" value=$invoice.currencyID}
			<tr>
				<td colspan="2">
				
					{if $invoice.invoiceNumber}
						{"TRANS_INVOICE_NUMBER"|lmsg} <a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`"}"><strong>{$invoice.invoiceNumber}</strong></a><br />
					{/if}
				
					<table width="100%" cellpadding="4" cellspacing="0" border="0" class="tabTight">
				
						<tr class="alt1">
							<th colspan="2" align="left">{"TRANS_ITEM"|lmsg}</th>
							<th align="left">{"TRANS_RENEWAL_DATE"|lmsg}</th>
							<th align="left">{"TRANS_NEXT_RENEWAL_DATE"|lmsg}</th>
							<th align="right">{"TRANS_PRICE"|lmsg}</th>
							<th align="right">{"TRANS_DISCOUNT"|lmsg}</th>
							<th align="right">{"TRANS_SETUP"|lmsg}</th>
							<th style="border-right: 1px solid #ccc; padding-right: 5px;" align="right">{"TRANS_TAX"|lmsg}</th>
							<th align="right">{"TRANS_TOTALS"|lmsg}</th>
						</tr>
				
					{section name="i" loop=$invoice.packages}
				
						<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
							<td style="{if $invoice.packages[i].isAddon==1}padding-left: 15px;{/if}border-top: 1px solid #ccc;" align="left" colspan="2">
							{assign var="tpid" value=$invoice.packages[i].packageID}
							{if $invoice.packages[i].isAddon<1}({"TRANS_ID"|lmsg}{$tpid}){/if} {$invoice.packages[i].packageName}
							{if $domains.$tpid}
								<br />{"TRANS_DOMAIN"|lmsg} {$domains.$tpid.domainName}
							{/if}
							</td>
							<td style="border-top: 1px solid #ccc;">{$invoice.packages[i].lastBillingDate|getDate}</td>
							<td style="border-top: 1px solid #ccc;">{$invoice.packages[i].nextBillingDate|getDate}</td>
							{assign var="tmpPrice" value=$invoice.packages[i].packagePrice+$invoice.packages[i].packageDiscountAmount}
							<td style="border-top: 1px solid #ccc;" align="right">{$tmpPrice|getAmount:$currencyID}</td>
							<td style="border-top: 1px solid #ccc;" align="right">{$invoice.packages[i].packageDiscountAmount|getAmount:$currencyID}</td>
							<td style="border-top: 1px solid #ccc;" align="right">{$invoice.packages[i].packageSetupAmount|getAmount:$currencyID}</td>
							<td style="border-top: 1px solid #ccc; border-right: 1px solid #ccc; padding-right: 5px;" align="right">{$invoice.packages[i].packageTaxAmount|getAmount:$currencyID}</td>
							<td style="border-top: 1px solid #ccc;" align="right">{$invoice.packages[i].packageTotalAmount|getAmount:$currencyID}</td>
						</tr>
						{if $invoice.packages[i].taxZones.0.amount}
							{assign var="firstTaxZone" value="1"}
							{section name="j" loop=$invoice.packages[i].taxZones}
								{if $invoice.packages[i].taxZones[j].amount>0}
						<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
							<td align="right">{if $firstTaxZone==1}{assign var="firstTaxZone" value="0"}{"TRANS_ITEM_TAXES"|lmsg} {/if}</td>
							<td align="left" colspan="4">{$invoice.packages[i].taxZones[j].tax_zone_description}</td>
							<td align="right">{if $invoice.packages[i].taxZones[j].tax_zone_amount_type==0}
									{$invoice.packages[i].taxZones[j].tax_zone_amount}%
									{else}
									{$invoice.packages[i].taxZones[j].tax_zone_amount|getAmount:$currencyID}
									{/if}</td>
							<td></td>
							<td align="right" style=" border-right: 1px solid #ccc; padding-right: 5px;">{$invoice.packages[i].taxZones[j].amount|getAmount:$currencyID}</td>
							<td></td>
						</tr>
								{/if}
							{/section}
						{/if}
				
					{/section}
				
					</table>
				<br />
					<table width="100%" cellpadding="4" cellspacing="0" border="0">
						<tr>
							<td align="right" style="border-top: 2px solid #ccc;">
								<table align="right" cellpadding="4" cellspacing="0" border="0">
									<tr>
										<td style="padding: 2px; text-align: right; font-size: 11pt;">{"TRANS_SUB_TOTAL"|lmsg}</td>
										<td style="padding: 2px; text-align: right; font-size: 11pt;"> {$invoice.invoiceSubTotalAmount|getAmount:$currencyID}</td>
									</tr>
									<tr>
										<td style="padding: 2px; text-align: right; font-size: 11pt;">{"TRANS_TAX"|lmsg} </td>
										<td style="padding: 2px; text-align: right; font-size: 11pt;"> {$invoice.invoiceTax|getAmount:$currencyID}</td>
									</tr>
									<tr>
										<td style="padding: 2px; text-align: right; font-size: 11pt;">{"TRANS_INVOICE_TOTAL"|lmsg} </td>
										<td style="padding: 2px; text-align: right; font-size: 11pt;"><strong>{$invoice.invoiceTotalAmount|getAmount:$currencyID}</strong></td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				
				</td>
			</tr>
		
		{foreachelse}
			<tr>
				<td colspan="2">{"TRANS_NONE"|lmsg}</td>
			</tr>
		{/foreach}
	
	
	</table>
	
	
	
	
	
	
	
	
	
	
	
	


{else}
<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<br />
        {"TRANS_INITIATING"|lmsg}
        <br />
		{"TRANS_INVOICES_TO_BE_GENERATED"|lmsg} <strong>{$numInovicesToBeGenerated}</strong><br />
		{if $runNow==1}
			<a href="javascript:warnClear('{getHREF page="events.php" actionName="RunEvents" args="systemQueueID=$systemQueueID&forceClear=1"}');">
				{"TRANS_RUN_INVOICES_NOW"|lmsg}
			</a>
		{/if}
	</td>
</tr>
</table>
{/if}

{include file="$tplDirectory/footer.tpl"}
