{* $Id: EditFraudGuardianConfig.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit the FraudGuardian module.
 *
 * Smarty Variables:
 *	$configParams
 *
 * Author: Michael Fountain
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_FRAUDGUARDIAN', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MODULES"
	childName="TRANS_FRAUDGUARDIAN"
	sideNavMajor="system"}

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<form method="post" action="{getFormAction controller="modules"}">
<input type="hidden" name="act" value="{getActionID action="EditFraudGuardianConfigResponse"}">
<input type="hidden" name="configGroupID" value="{$configParams.configGroupID}">
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
{******************* HEADER ROW *******************}
<tr>
	<td>
        {strip}
		<a href="{getAdminActionUrl module="configs" controller="system" action="show"}" class="inner">
			<img src="{$imageDirectory}/ico/nav_left_blue.gif" width="16" height="16" style="vertical-align:middle;" alt="" title="" align="middle" />
		</a>
        {/strip}
		&nbsp;
		<strong>
		{"TRANS_FRAUDGUARDIAN"|lmsg}
		</strong>
	</td>
</tr>
<tr>
    <td>
        <center>
        <img src="{$imageDirectory}/logos/FraudGuardian.gif" width="143" height="50" alt="{"TRANS_FRAUDGUARDIAN"|lmsg}" title="{"TRANS_FRAUDGUARDIAN"|lmsg}" align="absmiddle" />
        <br />
        <i>{"TRANS_FRAUDGUARDIAN_POWERED_BY_TAG"|lmsg}</i>
        </center>
        <br />
    </td>
</tr>
<tr>
    <td valign="top" align="center">
        <table border="0" cellspacing="0" cellpadding="0" class="list" width="50%">
        <tr>
            <td class="title"><strong>{"TRANS_ENABLED"|lmsg}</strong></td>
            <td>{html_radios name="enableFraudGuardian" options=$yesNo selected=$configParams.enableFraudGuardian separator=" "}</td>
        </tr>
        <tr>
            <td class="title"><strong>{"TRANS_USERNAME"|lmsg}</strong></td>
            <td><input type="text" name="usernameFraudGuardian" value="{$configParams.usernameFraudGuardian|safetyhtml}" /></td>
        </tr>
        <tr>
            <td class="title"><strong>{"TRANS_PASSWORD"|lmsg}</strong></td>
            <td><input type="password" name="passwordFraudGuardian" value="{$configParams.passwordFraudGuardian|safetyhtml}" /></td>
        </tr>
        <tr>
            <td class="title"><strong>{"TRANS_SUBMIT"|lmsg}</strong></td>
            <td><input class="submit" type="submit" name="submit" value="{"TRANS_SUBMIT"|lmsg}" /></td>
        </tr>
        <tr>
            <td class="title"><strong>{"TRANS_FRAUDSETS"|lmsg}</strong></td>
            <td>{include file="$tplDirectory/widgets/actionLink.tpl"
                        page="fraudsets.php"
                        actionName="ShowFraudSets"
                        icoImage="view"
                        altText="TRANS_MANAGE"
                        linkText="TRANS_MANAGE"}</td>
        </tr>
        </table>
        <br />
        {include file="$tplDirectory/widgets/showTips.tpl"
            title="TRANS_FRAUDGUARDIAN_TIPS"
            msg=$smarty.const.TRANS_FRAUDGUARDIAN_TIPS_MSG

            width="50%"}
        <br />
        <br />
    </td>
</tr>
</table>

</form>
{include file="$tplDirectory/footer.tpl"}
