{* $Id: EditSSLFactoryConfig.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit the SSLFactory module.
 *
 * Smarty Variables:
 *	$configParams
 *	$configGroupID
 *
 * @author Brian Smith
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_SSLFACTORY', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MODULES"
	childName="TRANS_SSLFACTORY"
	sideNavMajor="system"}

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<form method="post" action="{getFormAction controller="modules"}">
<input type="hidden" name="act" value="{getActionID action="EditSSLFactoryConfigResponse"}">
<input type="hidden" name="configGroupID" value="{$configGroupID}">
<input type="hidden" name="sid" value="{$sid}" />

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
{******************* HEADER ROW *******************}
<tr>
	<td>
        {strip}
		<a href="{getAdminActionUrl module="configs" controller="system" action="show"}" class="inner">
			<img src="{$imageDirectory}/ico/nav_left_blue.gif" width="16" height="16" style="vertical-align:middle;" alt="" title="" align="middle" />
		</a>
        {/strip}
		&nbsp;
		<strong>
		{"TRANS_SSLFACTORY"|lmsg}
		</strong>
	</td>
</tr>
<tr>
    <td>
        <center>
        <img src="{$imageDirectory}/logos/SSLfactory.gif" width="121" height="50" alt="{"TRANS_SSLFACTORY"|lmsg}" title="{"TRANS_SSLFACTORY"|lmsg}" align="absmiddle" />
        </center>
        <br />
    </td>
</tr>
<tr>
    <td valign="top" align="center">
        <table border="0" cellspacing="0" cellpadding="0" class="list" width="50%">
        <tr>
            <td class="title"><strong>{"TRANS_ENABLED"|lmsg}</strong></td>
            <td>{html_radios name="enableSSLFactory" options=$yesNo selected=$configParams.enableSSLFactory separator=" "}</td>
        </tr>
        <tr>
            <td class="title"><strong>{"TRANS_USERNAME"|lmsg}</strong></td>
		<td>
			<input type="hidden" name="configParams[usernameSSLFactory][configParamID]" value="{$configParams[i].configParamID}" />
			<input type="text" name="usernameSSLFactory" value="{$configParams.usernameSSLFactory}" />
		</td>
        </tr>
        <tr>
            <td class="title"><strong>{"TRANS_SSL_MODULES_ACCESSCODESSLFACTORY"|lmsg}</strong></td>
            <td><input type="text" name="accessCodeSSLFactory" value="{$configParams.accessCodeSSLFactory}" /></td>
        </tr>
        <tr>
            <td class="title"><strong>{"TRANS_SUBMIT"|lmsg}</strong></td>
            <td><input class="submit" type="submit" name="submit" value="{"TRANS_SUBMIT"|lmsg}" /></td>
        </tr>
        </table>
    </td>
</tr>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}
