{* $Id: ShowSystemServerInfo.tpl 12403 2007-12-28 17:46:28Z kbailey $
 * --------------------------------------------------------------
 * This template displays system info.
 *
 * Smarty Variables:
 *	$system (array of this system's info)
 *
 * Author: Michael Fountain
 *}
{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_SERVER_INFO', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MODULES"
	childName="TRANS_SERVER_INFO"
	sideNavMajor="system"}

<fieldset>
	<legend><img src="{$imageDirectory}/ico/mnu_manage_sys_sett_version.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />&nbsp;{"TRANS_PLESK_BILLING_VERSION"|lmsg}</legend>
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr>
			<td class="title">{"TRANS_INSTALL_VERSION"|lmsg}</td>
			<td>{$productVersion}-{$productBuild}</td>
		</tr>
	</table>
</fieldset>

<br/>

<fieldset>
	<legend><img src="{$imageDirectory}/ico/cpu.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />&nbsp;{"TRANS_SERVER_INFO"|lmsg}</legend>
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr>
			<td class="title">{"TRANS_SERVER_INFORMATION"|lmsg}</td>
			<td>{$system.server.server}{$system.server.uname} {$system.server.version}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_PHP_INFORMATION"|lmsg}</td>
			<td>{"TRANS_VERSION"|lmsg} {$system.php.version} {if $system.php.memory_limit}({$system.php.memory_limit}){/if}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_DATABASE_INFORMATION"|lmsg}</td>
			<td>{$system.db.description}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_CURL_INFORMATION"|lmsg}</td>
			<td>{"TRANS_VERSION"|lmsg} {$system.curl.version}</td>
		</tr>
	</table>
</fieldset>

<br/>

<fieldset>
	<legend><img src="{$imageDirectory}/ico/cubes_blue.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />&nbsp;{"TRANS_MODULE_TYPE_PANEL"|lmsg}</legend>
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr class="headerRow">
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_NAME"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_STATUS"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_VERSION"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_AUTHOR"}
		</tr>
		{foreach from=$panel item=module}
			<tr class="{cycle values="alt1,alt2"}">
				<td class="title">{$module.displayName}</td>
				<td>{$module.status|lmsg}</td>
				<td>{$module.version}</td>
				<td>{$module.author}</td>
			</tr>
		{foreachelse}
			<tr>
				<td colspan="4"><i>{"TRANS_NONE"|lmsg}</i></td>
			</tr>
		{/foreach}
	</table>
</fieldset>

<br />

<fieldset>
	<legend><img src="{$imageDirectory}/ico/cubes_green.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />&nbsp;{"TRANS_MODULE_TYPE_GATEWAY"|lmsg}</legend>
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr class="headerRow">
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_NAME"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_STATUS"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_VERSION"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_AUTHOR"}
		</tr>
			{foreach from=$gateway item=module}
			<tr class="{cycle values="alt1,alt2"}">
				<td class="title">{$module.displayName}</td>
				<td>{$module.status|lmsg}</td>
				<td>{$module.version}</td>
				<td>{$module.author}</td>
			</tr>
		{foreachelse}
			<tr>
				<td colspan="4"><i>{"TRANS_NONE"|lmsg}</i></td>
			</tr>
		{/foreach}
	</table>
</fieldset>

<br />

<fieldset>
	<legend><img src="{$imageDirectory}/ico/cubes_yellow.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />&nbsp;{"TRANS_MODULE_TYPE_REGISTRAR"|lmsg}</legend>
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr class="headerRow">
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_NAME"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_STATUS"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_VERSION"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_AUTHOR"}
		</tr>
		{foreach from=$registrar item=module}
			<tr class="{cycle values="alt1,alt2"}">
				<td class="title">{$module.displayName}</td>
				<td>{$module.status|lmsg}</td>
				<td>{$module.version}</td>
				<td>{$module.author}</td>
			</tr>
		{foreachelse}
			<tr>
				<td colspan="4"><i>{"TRANS_NONE"|lmsg}</i></td>
			</tr>
		{/foreach}
	</table>
</fieldset>

<br />

<fieldset>
	<legend><img src="{$imageDirectory}/ico/cubes_other.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />&nbsp;{"TRANS_MODULE_TYPE_OTHER"|lmsg}</legend>
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr class="headerRow">
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" headerName="TRANS_NAME"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_STATUS"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_VERSION"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_AUTHOR"}
		</tr>
		{foreach from=$other item=module}
			<tr class="{cycle values="alt1,alt2"}">
				<td class="title">{$module.displayName}</td>
				<td>{$module.status|lmsg}</td>
				<td>{$module.version}</td>
				<td>{$module.author}</td>
			</tr>
		{foreachelse}
			<tr>
				<td colspan="4"><i>{"TRANS_NONE"|lmsg}</i></td>
			</tr>
		{/foreach}
	</table>
</fieldset>

<br clear="all" />
{include file="$tplDirectory/footer.tpl"}
