{include
	file="$tplDirectory/header.tpl"
	parentUrl=$storeURL
	parentName=$orderForm.orderFormName
	grandchildName=$pageTitle
	useMenu="products"
	sideNavMajor="products"}

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr>
	<td>
    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_ONLINE_STORE_THEME_HOW_TO_CREATE_YOUR_OWN_COLOR_THEME"
        	msg="TRANS_ONLINE_STORE_THEME_HOW_TO_CREATE_YOUR_OWN_COLOR_THEME_EXPLANATION"
        	width="100%"
        	align="center"}
	</td>
</tr>
</table>


<form method="post" action="{getFormAction controller="orderforms"}" name="editOrderFormTheme" id="editOrderFormTheme">
<input type="hidden" name="act" value="{getActionID action="EditOrderFormThemeResponse"}" />
<input type="hidden" name="orderFormID" value="{$orderForm.orderFormID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="theme" id="theme" value="">

{assign var="count" value=$themes|@count}
{if 0 == $count}
    {"TRANS_ONLINE_STORE_THEME_NO_THEMES_MSG"|lmsg}
{else}
<div style="width: 800px; margin-top: 20px; margin-left: 5px; border: 1px solid #D0D0D0;">
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
{assign var="bgColor" value="#F0F0F0"}
{foreach from=$themes item="theme"}
{if "#F0F0F0" == $bgColor}
	{assign var="bgColor" value="#FFFFFF"}
{else}
	{assign var="bgColor" value="#F0F0F0"}
{/if}
<tr style="background-color: {$bgColor};">
	<td width="50px" style="vertical-align: center; padding: 10px;">
		{if $theme.preview_icon}
			{assign var="preview_icon" value=$theme.preview_icon}
		{else}
			{assign var="preview_icon" value="$imageDirectory/no_preview_icon.png"}
		{/if}
			<img src="{$preview_icon}" alt="{"TRANS_ONLINE_STORE_THEME_IMAGE_PREVIEW"|lmsg}" title="{"TRANS_PREVIEW"|lmsg}">
	</td>
	<td style="padding: 10px;">
		<b>{$theme.name}</b><br>
		{$theme.description|safetyhtml}
	</td>
	<td width="100px" style="text-align: center; padding: 10px;">
		{if $theme.code == $orderForm.theme}
			<span><b>{"TRANS_ONLINE_STORE_THEME_CURRENT"|lmsg}</b></span>
		{else}
			<button onclick="$('theme').value = '{$theme.code}'; $('editOrderFormTheme').submit();">{"TRANS_ONLINE_STORE_THEME_SELECT"|lmsg}</button>
		{/if}
		<br><br><a href="{$previewURL|replace:'@THEME_CODE@':$theme.code}" target="_blank" title="{"TRANS_PREVIEW"|lmsg}">{"TRANS_PREVIEW"|lmsg}</a>
	</td>
</tr>
{/foreach}
</table>
</div>
{/if}
</form>

{include file="$tplDirectory/footer.tpl"}
