{assign var="orderFormName" value=$orderForm.orderFormName}
{include
	file="$tplDirectory/header.tpl"
	parentName="$orderFormName"
	useMenu="products"
	sideNavMajor="products"}

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr>
	<td>
    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_EXPLAIN_ORDER_FORMS"
        	msg="TRANS_ORDER_FORM_EXPLANATION"
        	width="101%"
        	align="center"
        	notExpandable="true"}
	</td>
</tr>
</table>
{assign var="orderFormID" value=$orderForm.orderFormID}

{include file="$commonTplDirectory/widgets/groupActionButtons.tpl" buttons=$storeButtons}
<br>
<div style="margin-bottom: 20px;">
<table width="100%">
<tr>
	<td width="50%">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr>
			<td colspan="2">
				<fieldset style="margin-right: 20px; margin-bottom:-15px;">
				<legend>
					<strong>{"TRANS_PAYMENT_OPTIONS"|lmsg}</strong>
				</legend>
				</fieldset>
			</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_INCLUDE_DEFAULT_TAX_ZONE_OPTION"|lmsg}</td>
			<td>{$orderForm.defaultTaxZone}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_DISABLE_CHARGING"|lmsg}</td>
			<td>{include file="$commonTplDirectory/widgets/indicatorYesNo.tpl" value=$orderForm.orderFormDisableCharging}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_PRIMARY_PAYMENT_GATEWAY"|lmsg}</td>
			<td>{$orderForm.primaryPaymentGateway|safetyhtml}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_HSPC_BANK_TRANSFER_GATEWAY"|lmsg}</td>
			<td>{$orderForm.hspcBankTransferGateway|safetyhtml}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_THIRD_PARTY_GATEWAYS"|lmsg}</td>
			<td>
				{foreach from=$orderForm.thirdPartyGatewaysList item="gateway"}
					{$gateway|safetyhtml}<br>
				{foreachelse}
					-
				{/foreach}
			</td>
		</tr>
		{foreach from=$manualPaymentMethods item="manual"}
		<tr>
			<td class="title">
				{$manual.title}
			</td>
			<td class="nowrap">
				{include file="$commonTplDirectory/widgets/indicatorYesNo.tpl" value=$manual.value}
			</td>
		</tr>
		{/foreach}
		</table>
	</td>
	<td width="50%">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
		<tr>
			<td colspan="2">
				<fieldset style="margin-right: 20px; margin-bottom:-15px;">
				<legend>
					<strong>{"TRANS_ORDER_DOMAIN_OPTIONS"|lmsg}</strong>
				</legend>
				</fieldset>
			</td>
        </tr>
		<tr>
		{foreach from=$domainOptions item="option"}
		<tr>
			<td class="title">{$option.title}</td>
			<td>{include file="$commonTplDirectory/widgets/indicatorYesNo.tpl" value=$option.value}</td>
		</tr>
		{/foreach}
		<tr>
			<td colspan="2">
				<fieldset style="margin-right: 20px; margin-top: 5px;">
				<legend>
					<strong>{"TRANS_ONLINE_STORE_TAXES"|lmsg}</strong>
				</legend>
				</fieldset>
			</td>
		<tr>
		<tr>
			<td class="title">{"TRANS_REQUEST_TAX_VAT_ID_OPTION"|lmsg}</td>
			<td>{include file="$commonTplDirectory/widgets/indicatorYesNo.tpl" value=$orderForm.requestTaxVatID}</td>
		</tr>
		<tr>
			<td class="title">{"TRANS_VERIFY_VAT_NUMBERS"|lmsg}</td>
			<td>{include file="$commonTplDirectory/widgets/indicatorYesNo.tpl" value=$orderForm.orderFormVerifyVat}</td>
		</tr>
		<tr>
			<td colspan="2">
				<fieldset style="margin-right: 20px; margin-top: 5px;">
				<legend>
					<strong>{"TRANS_ONLINE_STORE_SECURITY"|lmsg}</strong>
				</legend>
				</fieldset>
			</td>
		<tr>
		<tr>
			<td class="title">{"TRANS_ORDER_EMAIL_BANNING"|lmsg}</td>
			<td>{include file="$commonTplDirectory/widgets/indicatorYesNo.tpl" value=$emailBanningParamValue}</td>
		</tr>
		</table>
	</td>
</tr>
</table>
</div>

{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}

<div id="tabContent_design" style="margin-top: 10px;{if false == $tabs.design.current}display: none;{/if}">

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr>
	<td width="200px">{"TRANS_ONLINE_STORE_COMMON_COLOR_THEME"|lmsg}</td>
	<td>[<a href="{getBaseUrl page="orderforms.php" actionName="EditOrderFormTheme"}&orderFormID={$orderFormID}&sid={$sid}">{"TRANS_ONLINE_STORE_CHANGE_THEME"|lmsg}</a>]</td>
</tr>
<tr>
	<td width="200px">{"TRANS_ONLINE_STORE_CHECKOUT_SCREENS"|lmsg}</td>
	<td>[<a href="{getBaseUrl page="orderforms.php" actionName="EditOrderFormHeaderAndFooter"}&orderFormID={$orderFormID}&sid={$sid}">{"TRANS_ONLINE_STORE_EDIT_HEADER_AND_FOOTER"|lmsg}</a>]</td>
</tr>
</table><br>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
<tr>
	<td>
    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_ORDERFORM_EMBEDDED_WIDGETS"
        	msg="TRANS_ORDERFORM_EMBEDDED_WIDGETS_DESC"
            width="101%"
        	align="center"
        	notExpandable="true"}
	</td>
</tr>
</table>
{include file="$commonTplDirectory/widgets/groupActionButtons.tpl" buttons=$storeDesignButtons}


<script type="text/javascript">
{literal}
function selectAllWidgets(mark)
{
	f = document.forms['widgets_form'];
    for (i = f.elements.length; i--;) {
		var item = f.elements[i];
		if ("checkbox" == item.type)
		{
			item.checked = mark;
		}
	}
}

var currentPreviewID = 0;
function togglePreview(id)
{
	if(0 != currentPreviewID) {
		$("widgetPreview_"+currentPreviewID).hide();

		if(id == currentPreviewID) {
			currentPreviewID = 0;
			return;
		}
	}

	$("widgetPreview_"+id).show();
	currentPreviewID = id;
}

var selectedCodeType = "";
var selectedWidgetID = 0;
function toggleWebsiteWidgetCode(codeType, widgetID)
{
	if("" != selectedCodeType && 0 != selectedWidgetID) {
		$(selectedCodeType+""+selectedWidgetID).hide();
		$(selectedCodeType+"Link"+selectedWidgetID).style.fontWeight = 'normal';
	}
	$(codeType+""+widgetID).show();
	$(codeType+"Link"+widgetID).style.fontWeight = 'bold';

	selectedCodeType = codeType;
	selectedWidgetID = widgetID;
}

function getSelectedWidgetsCount()
{
    if(!$('widgets_form')) {
        return 0;
    }
	var count = 0;
	var elements = $('widgets_form').elements;
	for (i = 0; i < elements.length; i++) {
		if (("websiteWidgetID[]" == elements[i].name) && (true == elements[i].checked)) {
			count++;
		}
	}
	return count;
}
{/literal}
</script>

{assign var="count" value=$widgets|@count}
{if 0 != $count}
<div class="paging pagingTop">{"TRANS_LIST_TOTAL"|lmsg:"total":$count}</div>

<form id="widgets_form" method="POST" action="{getFormAction controller="websitewidgets"}">
<input type="hidden" name="act" value="{getActionID action="RemoveWebsiteWidget"}">
<input type="hidden" name="backURL" value="{$backURL}">
<input type="hidden" name="sid" value="{$sid}">
<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
	<tr class="headerRow">
		<td width="20px" class="firstTD">
			<input type="checkbox" name="" value"" onclick="selectAllWidgets(this.checked);">
		</td>
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_WEBSITE_WIDGET_NAME"}
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_WEBSITE_WIDGET_TEMPLATE"}
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
	</tr>
</thead>
{/if}
{section name=i loop=$widgets}
{assign var="widgetID" value=$widgets[i].websiteWidgetID}
{assign var="widgetCode" value=$widgets[i].code}
<tbody>
	<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}" style="border: none;">
		<td>
			<input type="checkbox" name="websiteWidgetID[]" value="{$widgetID}">
		</td>
		<td>
			<a href="{getBaseUrl page="websitewidgets.php" actionName="EditWebsiteWidget"}&websiteWidgetID={$widgetID}&orderFormID={$orderFormID}&sid={$sid}">{$widgets[i].websiteWidgetName|safetyhtml}</a>
		</td>
		<td>
			{$widgets[i].websiteWidgetTpl}
		</td>
		<td>
			{include file="$tplDirectory/widgets/actionLink.tpl"
					javascriptLink="window.location='$websiteWidgetPreviewURL$widgetCode.html'"
					icoImage="mnu_products_adv_relations_show.gif"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_WEBSITE_WIDGET_PREVIEW"
					titleText="TRANS_WEBSITE_WIDGET_PREVIEW"
					linkText="TRANS_WEBSITE_WIDGET_PREVIEW"
					noSpace="1"
			}
			{include file="$tplDirectory/widgets/actionLink.tpl"
					javascriptLink="togglePreview($widgetID);"
					icoImage="mnu_manage_payment_terminals.gif"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_WEBSITE_WIDGET_GET_CODE"
					titleText="TRANS_WEBSITE_WIDGET_GET_CODE"
					linkText="TRANS_WEBSITE_WIDGET_GET_CODE"
					noSpace="1"
			}
		</td>
	</tr>
	<tr id="widgetPreview_{$widgetID}" style="display: none; border: solid 1px;">
		<td colspan="4">
			<table border="0" width="100%" class="tab05" cellpadding="0" cellspacing="0">
				<tr>
					<td>{"TRANS_WIDGET_CATALOG"|lmsg}</td>
					<td>
						<a href="javascript:toggleWebsiteWidgetCode('catalogPHP', '{$widgetID}');" id="catalogPHPLink{$widgetID}" codeLinks="{$widgetID}">{"TRANS_WIDGET_PHP_CODE"|lmsg}</a> |
						<a href="javascript:toggleWebsiteWidgetCode('catalogJS', '{$widgetID}');" id="catalogJSLink{$widgetID}" codeLinks="{$widgetID}">{"TRANS_WIDGET_JS_CODE"|lmsg}</a>
					</td>
				</tr>
				<tr>
					<td>{"TRANS_WIDGET_DOMAIN"|lmsg}</td>
					<td>
						<a href="javascript:toggleWebsiteWidgetCode('domainPHP', '{$widgetID}');" id="domainPHPLink{$widgetID}" codeLinks="{$widgetID}">{"TRANS_WIDGET_PHP_CODE"|lmsg}</a> |
						<a href="javascript:toggleWebsiteWidgetCode('domainJS', '{$widgetID}');" id="domainJSLink{$widgetID}" codeLinks="{$widgetID}">{"TRANS_WIDGET_JS_CODE"|lmsg}</a>
					</td>
				</tr>
			</table>
			<table border="0" width="100%" class="tab05" cellpadding="0" cellspacing="0">
				<tr id="catalogPHP{$widgetID}" style="display: none;" widgetCode="{$widgetID}">
					<td colspan="2">{"TRANS_COPY_THE_CODE_BELOW"|lmsg}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php readfile("{$standardStoreURL}catalog-widget/{$widgetCode}.html"); ?&gt;</pre>
					</td>
				</tr>
				<tr id="catalogJS{$widgetID}" style="display: none;" widgetCode="{$widgetID}">
					<td colspan="2">{"TRANS_COPY_THE_CODE_BELOW"|lmsg}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;script type="text/javascript" src="{$standardStoreURL}catalog-widget-js/{$widgetCode}.html"&gt;&lt;/script&gt;</pre>
					</td>
				</tr>
				<tr id="domainPHP{$widgetID}" style="display: none;" widgetCode="{$widgetID}">
					<td colspan="2">{"TRANS_COPY_THE_CODE_BELOW"|lmsg}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;?php readfile("{$standardStoreURL}domain-widget/{$widgetCode}.html"); ?&gt;</pre>
					</td>
				</tr>
				<tr id="domainJS{$widgetID}" style="display: none;" widgetCode="{$widgetID}">
					<td colspan="2">{"TRANS_COPY_THE_CODE_BELOW"|lmsg}<br />
						<pre style="padding: 10px; border: 1px dashed #333;">&lt;script type="text/javascript" src="{$standardStoreURL}domain-widget-js/{$widgetCode}.html"&gt;&lt;/script&gt;</pre>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</tbody>
{sectionelse}
	{assign var="noResults" value="1"}
{/section}
{if $noResults==1}
<br />
{"TRANS_NORESULTS"|lmsg}
{/if}

{if 0!= $count}
</table>

</form>
{/if}
</div>

<div id="tabContent_coupons" style="margin-top: 10px;{if false == $tabs.coupons.current}display: none;{/if}">

{assign var="count" value=$coupons|@count}
{if 0 != $count}
<div class="paging pagingTop">{"TRANS_LIST_TOTAL"|lmsg:"total":$count}</div>

<form id="coupons_form" action="" method="POST">
<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
	<tr class="headerRow">
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_COUPON_CODE"}
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_TYPE"}
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_DISCOUNT"}
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ASSIGNED_PRODUCTS"}
	</tr>
</thead>
{/if}
{section name=i loop=$coupons}
{assign var="couponID" value=$coupons[i].couponID}
<tbody>
	<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}" style="border: none;">
		<td>
			<a href="{getBaseUrl page="products.php" actionName="EditCoupon"}&couponID={$couponID}&sid={$sid}">{$coupons[i].couponCode|safetyhtml}</a>
		</td>
		<td>
			{$coupons[i].couponType|getTypeName:"coupon"}
		</td>
		<td>
			{$coupons[i].couponDiscount}
		</td>
		<td>
			{foreach from=$coupons[i].products item="product"}
				{$product.productName|safetyhtml}<br>
			{/foreach}
		</td>
	</tr>
</tbody>
{sectionelse}
	{assign var="noResults" value="1"}
{/section}
{if $noResults==1}
<br />
{"TRANS_NORESULTS"|lmsg}
{/if}

{if 0 != $count}
</table>
{/if}
</div>
{include file="$tplDirectory/footer.tpl"}
