{* $Id: AddHistoricalPackageMenu.tpl 10139 2006-11-28 01:17:10Z bwoolley $
 * --------------------------------------------------------------
 *
 * Author: Kris Bailey
 *}

{if $orderFormOptions || $productOptions || $productVariantOptions || $cycleOptions}
	<h6>{if $orderFormName}{"TRANS_ORDER_FORM"|lmsg} {$orderFormName}{else}{"TRANS_PLEASE_CHOOSE_THE_CURRENCY_AND_PAYMENT_GROUP"|lmsg}{/if}</h6>
{/if}
{if $productOptions || $productVariantOptions || $cycleOptions}
	<h6>{if $productName}{"TRANS_PRODUCT"|lmsg} {$productName}{else}{"TRANS_PLEASE_CHOOSE_PRODUCT"|lmsg}{/if}</h6>
{/if}
{if $productVariantOptions || $cycleOptions}
	<h6>{if $productVariantPrimaryName}{"TRANS_PRODUCT_VARIANT"|lmsg} {$productVariantPrimaryName}{else}{"TRANS_PLEASE_CHOOSE_PRODUCT_VARIANT"|lmsg}{/if}</h6>
{/if}
{if $cycleOptions}
	<h6>{"TRANS_PLEASE_CHOOSE_CYCLE"|lmsg}</h6>
{/if}

{if $orderFormOptions}

	<table width="99%" class="tab01" border="0">
	{foreach key="orderFormID" item="orderForm" from=$orderFormOptions}
		<tr><td class="alt1" style="cursor: pointer;" onclick="addPackageUpdateCell('mode={$mode}&orderFormID={$orderFormID}&productID={$productID}');"
			onmouseover="this.className='alt2';" onmouseout="this.className='alt1';">{$orderForm}</td></tr>
	{foreachelse}

	{/foreach}
	</table>

{elseif $productOptions}

	<table width="99%" class="tab01" border="0">
	{foreach key="productID" item="product" from=$productOptions}
		<tr><td class="alt1" style="cursor: pointer;" onclick="addPackageUpdateCell('mode={$mode}&orderFormID={$orderFormID}&productID={$productID}');"
			onmouseover="this.className='alt2';" onmouseout="this.className='alt1';">{$product}</td></tr>
	{foreachelse}

	{/foreach}
	</table>

{elseif $productVariantOptions}

	<table width="99%" class="tab01" border="0">
	{foreach key="productVariantID" item="productVariant" from=$productVariantOptions}
		<tr><td class="alt1" style="cursor: pointer;" onclick="addPackageUpdateCell('mode={$mode}&orderFormID={$orderFormID}&productID={$productID}&productVariantID={$productVariantID}');"
			onmouseover="this.className='alt2';" onmouseout="this.className='alt1';">{$productVariant}</td></tr>
	{foreachelse}

	{/foreach}
	</table>

{elseif $cycleOptions}

	<table width="99%" class="tab01" border="0">
	{foreach key="cycleID" item="cycle" from=$cycleOptions}
		<tr><td class="alt1" style="cursor: pointer;" onclick="addPackageEnd('mode={$mode}&orderFormID={$orderFormID}&productID={$productID}&productVariantID={$productVariantID}&cycleID={$cycleID}');"
			onmouseover="this.className='alt2';" onmouseout="this.className='alt1';">{$cycle|lmsg}</td></tr>
	{foreachelse}

	{/foreach}
	</table>
{/if}
{if $noObjectsMessage}
	<table width="99%" class="tab01" border="0">
	<tr><td class="alt1 red">{$noObjectsMessage}</td></tr>
	</table>
{/if}
