{* $Id: ChangePackageClient.tpl 8964 2006-09-18 17:39:24Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of package records.
 *
 * Smarty Variables:
 *	$packages (array of packages that match input criteria)
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Kris Bailey
 *}
 


{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_PACKAGES', 'TRANS_SHOW_PACKAGES', 'TRANS_TRANSFER_PACKAGE');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_SHOW_PACKAGES"
	grandchildName="TRANS_TRANSFER_PACKAGE"
	sideNavMajor="clients"
	sideNavMinor="packages"}

<form method="post" action="{getFormAction controller="packages"}">
	<input type='hidden' name='act' value='{getActionID action="ChangePackageClientResponse"}' />
	<input type='hidden' name='packageID' value='{$package.packageID}' />
	<input type='hidden' name='sid' value='{$sid}' />
	<input type='hidden' name='clientID' value='{$toClient.clientID}' />
<table width="100%" class="list">
	<tr>
		<td colspan="2">
<strong>{"TRANS_TRANSFERING_PACKAGE"|lmsg}</strong>
	{include file="$tplDirectory/widgets/context/package.tpl" package=$package types=$packageTypes}
<br />
<strong>{"TRANS_FROM_CLIENT"|lmsg}</strong>
	{include file="$tplDirectory/widgets/context/client.tpl" client=$fromClient suppressEditLink=1 suppressDeleteLink=1}
<br />
<strong>{"TRANS_TO_CLIENT"|lmsg}</strong>
	{include file="$tplDirectory/widgets/context/client.tpl" client=$toClient suppressEditLink=1 suppressDeleteLink=1}
		</td>
	</tr>
	<tr>
		<td class="title">{"TRANS_BILLING_ACCOUNT_TO_PAY_FOR_PACKAGE"|lmsg}</td>
		<td><select name="billingAccountID">
			{html_options options=$selectableBillingAccounts}
		</select></td>
	</tr>
	<tr class="listButtons">
		<td colspan="2"><div><input type="submit" value="{"TRANS_CONFIRM_PACKAGE_TRANSFER"|lmsg}" /> <input type="button" value="{"TRANS_CANCEL"|lmsg}" onclick="history.go(-1);" /></div></td>
	</tr>
</table>
</form>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
