{* $Id: RunPaymentQueue.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the menu for generating payment queue items.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_RUN_PAYMENT_QUEUE', 'TRANS_RUN_QUEUE_OPTIONS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_BILLING"
	grandchildName="TRANS_RUN_QUEUE_OPTIONS"
	sideNavMajor="finances"
	sideNavMinor="billing"}

		<form method="get" action="{getFormAction}" onsubmit="this.tsub.disabled=true;this.tsub.value='{"TRANS_LOADING_PATIENCE"|lmsg}';">
		<input type="hidden" name="ctr" value="paymentqueue"/>
		<input type="hidden" name="act" value="{getActionID action="RunPaymentQueueResponse"}" />
		<input type="hidden" name="sid" value="{$sid}" />

		<fieldset>
			<legend><strong>{"TRANS_RUN_OPTIONS"|lmsg}</strong></legend>
			<table width="100%" class="list">
            <tr>
                <td class="title">{"TRANS_CHARGE_LESSER_AMOUNTS"|lmsg}</td>
                <td><input type="checkbox" name="chargeLesserAmounts" value="1" />
                </td>
            </tr>
            <tr>
                <td class="title">{"TRANS_RUN_WHEN"|lmsg}</td>
                <td><!--<input type="radio" name="runWhen" value="0" checked="checked" />&nbsp; {"TRANS_DONT_RUN"|lmsg} -->
                &nbsp;&nbsp;<input type="radio" name="runWhen" value="1" checked="checked" />&nbsp; {"TRANS_RUN_NOW"|lmsg}
                &nbsp;&nbsp;<input type="radio" name="runWhen" value="2" />&nbsp; {"TRANS_RUN_LATER"|lmsg}
                </td>
            </tr>
            <tr>
                <td class="title">{"TRANS_LATER_DATE"|lmsg}</td>
                <td>
                    {html_select_locale_date prefix="laterDate" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="laterDate" />
                    <script type="text/javascript">
                    {literal}
                        function updateLaterDateSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("laterDateMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("laterDateDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("laterDateYear");
                            selectYear.selectedIndex = (date.getFullYear() - 2000);
                        }
                        Zapatec.Calendar.setup({
                            button         :    "laterDate",
                            onUpdate       :     updateLaterDateSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script>
                </td>
            </tr>
            <tr>
                <td class="title">{"TRANS_TRANSACTION_ACTION"|lmsg}</td>
                <td><select name="transactionAction">
					<option value="charge">{"TRANS_CHARGE"|lmsg}</option>
					<option value="auth"{if $transactionAction=='auth'} selected="selected"{/if}>{"TRANS_AUTH_ONLY"|lmsg}</option>
                </select>
                </td>
            </tr>
            <tr>
                <td class="title">{"TRANS_ENCRYPTION_KEY"|lmsg}&nbsp;<span class="required">*</span></td>
                <td><input type="password" name="encryptionKey" value="" />
                </td>
            </tr>
            <tr class="listButtons">
                <td colspan="2"><div><input class="submit" type="submit" name="tsub" value="{"TRANS_CONTINUE"|lmsg}" /></div></td>
            </tr>
			</table>
		</fieldset>


		</form>

<a href="{getHREF page="paymentqueue.php" actionName="RunPaymentQueueResponse"}">{"TRANS_CHECK_PAYMENT_QUEUE"|lmsg}</a>

{include file="$tplDirectory/footer.tpl"}
