{* $Id: ShowPaymentQueue.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}





{* assign var="filterArgs" value="invoiceStatus=$invoiceStatus" *}
{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_BUSINESS_MONITORING_PAYMENTS', 'TRANS_SHOW_PAYMENT_QUEUE');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_BILLING"
	grandchildName="TRANS_SHOW_PAYMENT_QUEUE"
	sideNavMajor="finances"
	sideNavMinor="billing"
	useMenu="finances"}

{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
<div style="margin-top: 16px;"></div>

<div class="actions-box">
	<div class="objects-toolbar">
		<a href="{getHREF page='paymentqueue.php' actionName='GeneratePaymentQueue'}" class="s-btn" id="bid-payment-queue-generate">
			<i><i><i><span>{'TRANS_GENERATE_PAYMENT_QUEUE'|lmsg}</span></i></i></i>
		</a>
		<a href="{getHREF page='paymentqueue.php' actionName='RunPaymentQueue'}" class="s-btn" id="bid-payment-queue-run">
			<i><i><i><span>{'TRANS_RUN_PAYMENT_QUEUE'|lmsg}</span></i></i></i>
		</a>
	</div>
</div>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr>
	<td colspan="7" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$paymentqueue}
		XKtoggle('row_{$paymentqueue[iter].paymentID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {"TRANS_ADDITIONAL_DATA"|lmsg}
	</td>
</tr>
<tr class="headerRow">
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENT_ID" sortColumn="paymentID"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_CLIENT" sortColumn="clientLastName"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_BILLING_ACCOUNT_ID" sortColumn="billingAccountID"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENT_DESCRIPTION" sortColumn="paymentDescription"}
    {* include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PACKAGE_NAME" sortColumn="packageName" *}
    {* include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PACKAGE_ID" sortColumn="packageID" *}
	{include file="$tplDirectory/widgets/table/tableSortDateHeader.tpl" headerName="TRANS_DATE_CREATED" sortColumn="paymentDateCreated"}
    {include file="$tplDirectory/widgets/table/tableSortAmountHeader.tpl" headerName="TRANS_AMOUNT" sortColumn="paymentAmount"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{* if $paymentqueue.0.paymentID>0 *}
{section name="i" loop=$paymentqueue}
{assign var="paymentID" value=$paymentqueue[i].paymentID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td style="cursor: pointer;" onclick="return XKtoggle('row_{$paymentqueue[i].paymentID}');">
	<a href="#i{$paymentqueue[i].paymentID}" name="i{$paymentqueue[i].paymentID}">{$paymentqueue[i].paymentID}</a>
	</td>
    <td>
        {strip}
        	{assign var="fname" value=$paymentqueue[i].contactFirstName}
        	{assign var="lname" value=$paymentqueue[i].contactLastName}
        	{assign var="name" value="$lname, $fname"}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientDetails"
				args="clientID=`$paymentqueue[i].clientID`"
				clientID=$paymentqueue[i].clientID
				clientContactID=$paymentqueue[i].clientContactID
				altText=$name
				linkText=$name
			}
        {/strip}
    </td>
    <td>
        {$paymentqueue[i].billingAccountID}
    </td>
    <td>
        {$paymentqueue[i].paymentDescription}
    </td>
    <td>
        {$paymentqueue[i].paymentDateCreated|getDate}
    </td>
    <td>
        {$paymentqueue[i].paymentAmount|getAmount:$paymentqueue[i].currencyID}
    </td>

	<td>
		{* strip}
		<a href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=$invoiceID&redirectArgs=$bookmarkArgs"}">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{"TRANS_DETAILS"|lmsg}" title="{"TRANS_DETAILS"|lmsg}" />
		</a>
		&nbsp;
		<a href="{getHREF page="invoices.php" actionName="EditInvoice" args="invoiceID=$invoiceID&redirectArgs=$bookmarkArgs"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
		</a>
		&nbsp;
		<a href="{getHREF page="invoices.php" actionName="RemoveInvoice" args="invoiceID=$invoiceID&redirectArgs=$bookmarkArgs"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{"TRANS_REMOVE"|lmsg}" title="{"TRANS_REMOVE"|lmsg}" />
		</a>
		{/strip *}
	</td>
</tr>
</tbody>
<tbody id="row_{$invoices[i].invoiceID}">
<tr>
	<td colspan="7" class="althover">
		<!-- {"TRANS_COMMENTS"|lmsg} {$invoices[i].invoiceComments}

		{if $lineItems[$invoiceID]}
			<table width="100%">
			<tr>
                <td style="white-space: nowrap;">{"TRANS_PACKAGE_ID"|lmsg}</td>
                <td>{"TRANS_QUANTITY"|lmsg}</td>
				<td>{"TRANS_DESCRIPTION"|lmsg}</td>
				<td>{"TRANS_BEGIN"|lmsg}</td>
				<td>{"TRANS_CURRENT"|lmsg}</td>
				<td>{"TRANS_NEXT"|lmsg}</td>
				<td>{"TRANS_PRICE"|lmsg}</td>
				<td>{"TRANS_DISCOUNT"|lmsg}</td>
				<td>{"TRANS_SETUP"|lmsg}</td>
				<td>{"TRANS_TAX"|lmsg}</td>
				<td>{"TRANS_TOTALS"|lmsg}</td>
			</tr>
			{section name="j" loop=$lineItems[$invoiceID]}
				{assign var="currencyID" value=$lineItems[$invoiceID][j].currencyID}
				<tr>
                    <td>{$lineItems[$invoiceID][j].packageID}</td>
                    <td>{$lineItems[$invoiceID][j].lineItemQuantity}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDescription}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDateBeginRenewal|getDate:"short"}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDateCurrentRenewal|getDate:"short"}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDateNextRenewal|getDate:"short"}</td>
					<td>{$lineItems[$invoiceID][j].lineItemPriceAmount|getAmount:$currencyID}</td>
					<td>{$lineItems[$invoiceID][j].lineItemDiscountAmount|getAmount:$currencyID}</td>
					<td>{$lineItems[$invoiceID][j].lineItemSetupAmount|getAmount:$currencyID}</td>
					<td>{$lineItems[$invoiceID][j].lineItemTaxAmount|getAmount:$currencyID}</td>
					<td>{$lineItems[$invoiceID][j].lineItemTotalAmount|getAmount:$currencyID}</td>
				</tr>
			{/section}
			</table>
		{else}
			<br />
			No Line Items
    	{/if}-->

		<script type="text/JavaScript">XKtoggle('row_{$invoices[i].invoiceID}');</script>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="7">{"TRANS_NORESULTS"|lmsg}</td>
</tr>
{/section}
{* /if *}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{* include file="$tplDirectory/widgets/advancedDisplayOptions.tpl" filterName="TRANS_STATUS" filterColumn="invoiceStatus" filterOptions="$activeInactive" *}
{include file="$tplDirectory/footer.tpl"}
