{* $Id: ShowUncapturedFunds.tpl 10754 2007-02-24 01:30:43Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{* assign var="filterArgs" value="invoiceStatus=$invoiceStatus" *}
{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_BUSINESS_MONITORING_PAYMENTS', 'TRANS_SHOW_UNCAPTURED_FUNDS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_BILLING"
	grandchildName="TRANS_SHOW_UNCAPTURED_FUNDS"
	sideNavMajor="finances"
	sideNavMinor="billing"
	useMenu="finances"}

{include file="$commonTplDirectory/widgets/tabs.tpl" tabs=$tabs}
<div style="margin-top: 16px;"></div>

<form method="post" action="{getFormAction controller="paymentqueue"}" name="captureform">
<input type="hidden" name="act" value="{getActionID action="CaptureFunds"}">
<input type="hidden" name="sid" value="{$sid}" />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
{*<tr>
	<td colspan="7" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$paymentqueue}
		XKtoggle('row_{$paymentqueue[iter].paymentID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {"TRANS_ADDITIONAL_DATA"|lmsg}
	</td>
</tr>*}
<tr class="headerRow">
	<td><input type="checkbox" name="XKtoggler" onchange="XKtoggleFormCheckboxes(document.captureform, 'captureIDs');"></td>
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_TID" sortColumn="transactionID"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_TRANSACTION_CODE" sortColumn="transactionCode"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_GATEWAY" sortColumn="configGroupID"}
	{include file="$tplDirectory/widgets/table/tableSortDateHeader.tpl" headerName="TRANS_CREATED" sortColumn="transactionDateCreated"}
    {include file="$tplDirectory/widgets/table/tableSortAmountHeader.tpl" headerName="TRANS_AMOUNT" sortColumn="transactionAmount"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_CURRENCY" sortColumn="currencyID"}
    {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_CLIENT"}
    {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_CLIENT_STATUS"}
</tr>
</thead>
{section name="i" loop=$transactions}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr id="transrow{$transactions[i].transactionID}" class="{$className}">
	<td>{if $transactions[i].transactionDateCreated < $invalidpoint}I{else}<input type="checkbox" name="captureIDs[{$transactions[i].transactionID}]" value="y" id="transchbx{$transactions[i].transactionID}" onblur="checkCheckedInAMoment('transchbx{$transactions[i].transactionID}', 'transrow{$transactions[i].transactionID}', '{$className}');" onkeyup="checkCheckedInAMoment('transchbx{$transactions[i].transactionID}', 'transrow{$transactions[i].transactionID}', '{$className}');" onmouseup="checkCheckedInAMoment('transchbx{$transactions[i].transactionID}', 'transrow{$transactions[i].transactionID}', '{$className}');">{/if}</td>
	<td>{$transactions[i].transactionID}</td>
	<td>{$transactions[i].transactionCode}</td>
	<td><a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=`$transactions[i].configGroupID`"}">{$transactions[i].configGroupTransKey}</a></td>
    <td>{$transactions[i].transactionDateCreated|getDate:short}</td>
    <td>{$transactions[i].transactionAmount|getAmount:$transactions[i].currencyID}
    <td>{$transactions[i].currencyID}</td>
    <td>
        {strip}
        {assign var="contactName" value="`$transactions[i].contactLastName`, `$transactions[i].contactFirstName`"}
        {include file="$tplDirectory/widgets/actionLink.tpl"
					page="clients.php"
					actionName="ShowClientDetails"
					args="clientID=`$transactions[i].clientID`"
					clientID=$transactions[i].clientID
					clientContactID=$transactions[i].clientContactID
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText=$contactName
					titleText=""
					linkText=$contactName
					noSpace="1"
				}
        {/strip}
    </td>
    <td>
        {$transactions[i].clientStatus|getStatusName:"client"}
    </td>

</tr>
</tbody>

{sectionelse}
<tr class="alt1">
	<td colspan="9">{"TRANS_NORESULTS"|lmsg}</td>
</tr>
{/section}

{if $showPassword>0}
<tr>
	<td colspan="9" style="text-align: right;">{"TRANS_ENTER_PASSPHRASE_FOR_DECRYPTION"|lmsg} <input type="text" size="10" name="key"></td>
</tr>
{/if}

<tr class="listButtons">
	<td colspan="9"><div><input class="submit" type="submit" value="{"TRANS_CAPTURE_FUNDS"|lmsg}"></div></td>
</tr>

</table>
</form>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{* include file="$tplDirectory/widgets/advancedDisplayOptions.tpl" filterName="TRANS_STATUS" filterColumn="invoiceStatus" filterOptions="$activeInactive" *}
{include file="$tplDirectory/footer.tpl"}
