{* $Id: AddPrice.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{assign var="priceTypeName" value=$priceType|getTypeName:"price"}
{assign var="addMsg" value=$smarty.const.TRANS_ADD}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_PRODUCTS', 'TRANS_PRICES', 'PRICE_MSG');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_PRICES"
	grandchildName="PRICE_MSG"
	sideNavMajor="products"
	sideNavMinor="prices"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form name="addPrice" method="post" action="{getFormAction controller="products"}">
<input type="hidden" name="act" value="{getActionID action="AddPriceResponse"}" />
<input type="hidden" name="priceType" value="{$priceType}" />
<input type="hidden" name="currencyID" value="{$currencyID}" />
<input type="hidden" name="cycleID" value="{$cycleID}" />
<input type="hidden" name="tldID" value="{$tldID}" />
<input type="hidden" name="productID" value="{$productID}" />
<input type="hidden" name="productAddonID" value="{$productAddonID}" />
<input type="hidden" name="sid" value="{$sid}" />

					{include file="$tplDirectory/widgets/context/currency.tpl"}
{if $TLD}			{include file="$tplDirectory/widgets/context/tld.tpl"}{/if}
{if $product}		{include file="$tplDirectory/widgets/context/product.tpl" types=$productTypes}{/if}
{if $productAddon}	{include file="$tplDirectory/widgets/context/productAddon.tpl"}{/if}
{if $cycle}			{include file="$tplDirectory/widgets/context/cycle.tpl"}{/if}

<fieldset>
<legend>{"TRANS_PRICE"|lmsg}</legend>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
<tr {if $invalid.price}class="highlight"{/if}>
	<td class="title"><label for="price">{"TRANS_PRICE"|lmsg}</label></td>
	<td><input size="32"	maxlength="32" type="text" id="price" name="price" value="{$formValues.price}" /> {$invalid.price}</td>
</tr>
<tr class="{if $invalid.cogs}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="cogs">{"TRANS_COGS"|lmsg}</label></td>
	<td><input size="32"	maxlength="32" type="text" id="cogs" name="cogs" value="{$formValues.cogs}" /> {$invalid.cogs}</td>
</tr>
<tr class="listButtons">
	<td colspan="2">
	<div>
		<input class="submit" type="submit" name="submit" value="{"TRANS_ADD_PRICE"|lmsg}" />
		<input class="reset" type="reset" value="{"TRANS_RESET"|lmsg}" />
	</div>
	</td>
</tr>
</tbody>
</table>
</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}
