{* $Id: EditCoupon.tpl 8304 2006-08-11 16:18:41Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a new coupon.
 *
 * Smarty Variables:
 *	n/a
 *
 *}



 {php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_PRODUCTS', 'TRANS_COUPONS', 'TRANS_EDIT');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_COUPONS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="products"
	sideNavMinor="coupons"}


{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/coupon.tpl" coupon=$coupon}

<form method="post" action="{getFormAction controller="products"}" onsubmit="XKselectAllOptionsInMultiSelects(this);">
<input type="hidden" name="act" value="{getActionID action="EditCouponResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="couponID" value="{$formValues.couponID}" />

<fieldset>
<legend>{"TRANS_COUPON"|lmsg}</legend>

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
<tr>
	<td class="title"><label for="couponID">{"TRANS_COUPON_ID"|lmsg}</label></td>
	<td>{$formValues.couponID}</td>
</tr>
<tr {if $invalid.couponCode}class="highlight"{/if}>
	<td class="title"><label for="couponCode">{"TRANS_COUPON_CODE_OPTION"|lmsg}</label></td>
	<td><input size="32" maxlength="255" type="text" id="couponCode" name="couponCode" value="{$formValues.couponCode|safetyhtml}" /> {$invalid.couponCode}
		<div class="hint">{"TRANS_COUPON_CODE_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.couponType}class="highlight"{/if}>
	<td class="title"><label for="couponType">{"TRANS_DISCOUNT_TYPE_OPTION"|lmsg}</label></td>
	<td>
		<select id="couponType" name="couponType">
			{html_options options=$couponTypes selected=$formValues.couponType}
		</select> {$invalid.couponType}
		<div class="hint">{"TRANS_DISCOUNT_TYPE_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.couponDiscount}class="highlight"{/if}>
	<td class="title"><label for="couponDiscount">{"TRANS_DISCOUNT_AMOUNT_OPTION"|lmsg}</label></td>
	<td>
		<input size="32" maxlength="255" type="text" id="couponDiscount" name="couponDiscount" value="{$formValues.couponDiscount|safetyhtml}" /> {$invalid.couponDiscount}
		<div class="hint">{"TRANS_DISCOUNT_AMOUNT_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.couponComments}class="highlight"{/if}>
	<td class="title"><label for="couponComments">{"TRANS_COMMENTS"|lmsg}</label></td>
	<td>
		<textarea id="couponComments" name="couponComments" rows="10" cols="35">{$formValues.couponComments|safetyhtml}</textarea> {if $invalid.couponComment}<br />{$invalid.couponComments}{/if}
		<div class="hint">{"TRANS_DISCOUNT_COMMENTS_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.couponActive}class="highlight"{/if}>
	<td class="title"><label for="couponActive">{"TRANS_ACTIVE"|lmsg}</label></td>
	<td>
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="couponActive" value="0" />
		<input type="checkbox" id="couponActive" name="couponActive" value="1" {if $formValues.couponActive}checked="checked" {/if}/> <label for="couponActive">{"TRANS_ACTIVE"|lmsg}</label>
 		{$invalid.couponActive}
	</td>
</tr>
<tr {if $invalid.couponDateStarted}class="highlight"{/if}>
	<td class="title"><label for="couponDateStarted">{"TRANS_COUPON_START_DATE_OPTION"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/dateSelector.tpl" param="couponDateStarted"}
		<div class="hint">{"TRANS_COUPON_START_DATE_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.couponDateEnded}class="highlight"{/if}>
	<td class="title"><label for="couponDateEnded">{"TRANS_COUPON_EXPIRATION_DATE_OPTION"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/dateSelector.tpl" param="couponDateEnded" optional="yes"}
		<div class="hint">{"TRANS_COUPON_EXPIRATION_DATE_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.couponCount}class="highlight"{/if}>
	<td class="title"><label for="couponCount">{"TRANS_COUNT"|lmsg}</label></td>
	<td>
		{$formValues.couponCount}
		<input type="checkbox" id="couponCount" name="couponCount" value="0" /> <label for="couponCount">{"TRANS_RESET"|lmsg}</label>
 		{$invalid.couponCount}
	</td>
</tr>
<tr {if $invalid.couponNumCycles}class="class="highlight"{/if}>
	<td class="title"><label for="couponNumCycles">{"TRANS_NUM_CYCLES"|lmsg}</label></td>
	<td>
		<input size="32" maxlength="255" type="text" id="couponNumCycles" name="couponNumCycles" value="{$formValues.couponNumCycles|safetyhtml}" /> {$invalid.couponNumCycles}
		<div class="hint">{"TRANS_NUM_CYCLES_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.couponMaxCount}class="highlight"{/if}>
	<td class="title"><label for="couponMaxCount">{"TRANS_MAX_COUNT"|lmsg}</label></td>
	<td>
		<input size="32" maxlength="255" type="text" id="couponMaxCount" name="couponMaxCount" value="{$formValues.couponMaxCount|safetyhtml}" /> {$invalid.couponMaxCount}
		<div class="hint">{"TRANS_MAX_COUNT_DESC"|lmsg}</div>
	</td>
</tr>
<tr {if $invalid.couponNewOnly}class="highlight"{/if}>
	<td class="title"><label for="couponNewOnly">{"TRANS_NEW_SIGNUPS"|lmsg}</label></td>
	<td>
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="couponNewOnly" value="0">
		<input type="checkbox" id="couponNewOnly" name="couponNewOnly" value="1" {if $formValues.couponNewOnly}checked="checked" {/if}/> <label for="couponNewOnly">{"TRANS_NEW_SIGNUPS_DESC"|lmsg}</label>
 		{$invalid.couponNewOnly}
	</td>
</tr>

<tr>
	<td class="title"><label for="couponApplyNumber">{"TRANS_APPLY_ONCE_PER_ORDER"|lmsg}</label></td>
	<td>
		<input type="checkbox" id="couponApplyNumber" name="couponApplyNumber" value="1" {if $formValues.couponApplyNumber}checked="checked" {/if}/>
	</td>
</tr>

<tr>
	<td class="title">
		{"TRANS_COUPON_ORDER_FORMS_OPTION"|lmsg}
	</td>
	<td>{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="orderFormIDs"
			comboOptionsLeft=$selectedOrderForms

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableOrderFormIDs"
			comboOptionsRight=$selectableOrderForms
			formName=""
			comboWidth="270"
			submitName="suppress"}
	</td>
</tr>
<tr>
	<td class="title">
		{"TRANS_COUPON_PRODUCTS_OPTION"|lmsg}
	</td>
	<td>{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="productIDs"
			comboOptionsLeft=$selectedProducts

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableProductIDs"
			comboOptionsRight=$selectableProducts
			formName=""
			comboWidth="270"
			submitName="suppress"}
	</td>
</tr>

<tr class="listButtons">
	<td colspan="2">
	<div>
		<input class="submit" type="submit" name="submit" value="{"TRANS_EDIT_COUPON"|lmsg}" />
		<input class="reset" type="reset" value="{"TRANS_RESET"|lmsg}" />
	</div>
	</td>
</tr>
</tbody>
</table>
</fieldset>
</form>

{include file="$tplDirectory/footer.tpl"}
