{* $Id: EditProduct.tpl 7627 2006-06-19 21:48:58Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}


{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_PRODUCTS', 'TRANS_EDIT_PRODUCT', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_EDIT_PRODUCT"
	sideNavMajor="products"
	sideNavMinor="products"}
	
{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/product.tpl" product=$product types=$types}

<form method="post" name="EditProduct" action="{getFormAction controller="products"}">
<input type="hidden" name="act" value="{getActionID action="EditProductResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr>
	<td class="title"><label for="productID">{"TRANS_PRODUCTID"|lmsg}</label></td>
	<td>{$product.productID}</td>
</tr>
<tr {if $invalid.productName}class="highlight"{/if}>
	<td class="title"><label for="productName">{"TRANS_NAME"|lmsg}</label></td>
	<td><input size="100" maxlength="100" type="text" type="text" id="productName" name="productName" value="{$formValues.productName}" />  {$invalid.productName}</td>
</tr>
<tr {if $invalid.productType}class="highlight"{/if}>
	<td class="title"><label for="productType">{"TRANS_TYPE"|lmsg}</label></td>
	<td><select id="productType" id="productType" name="productType">{html_options options=$types selected=$formValues.productType}</select>  {$invalid.productType}</td>
</tr>
<tr {if $invalid.productComments}class="highlight"{/if}>
	<td class="title"><label for="productComments">{"TRANS_COMMENTS"|lmsg}</label></td>
	<td><textarea cols="80" rows="4" id="productComments" name="productComments">{$formValues.productComments}</textarea> {$invalid.productComments}</td>
</tr>
<tr {if $invalid.productActive}class="highlight"{/if}>
	<td class="title"><label for="productActive">{"TRANS_ACTIVE"|lmsg}</label></td>
	<td>
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="productActive" value="0">
		<input type="checkbox" id="productActive" name="productActive" value="1" {if $formValues.productActive}checked="checked" {/if}/> <label for="productActive">{"TRANS_ACTIVE"|lmsg}</label>
 		{$invalid.productActive}
	</td>
</tr>
<tr {if $invalid.productProratable}class="highlight"{/if}>
	<td class="title"><label for="productActive">{"TRANS_PRORATABLE"|lmsg}</label></td>
	<td>
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="productProratable" value="0">
		<input type="checkbox" id="productProratable" name="productProratable" value="1" {if $formValues.productProratable}checked="checked" {/if}/> <label for="productProratable">{"TRANS_PRORATABLE"|lmsg}</label>
 		{$invalid.productProratable}
	</td>
</tr>
<tr {if $invalid.productStopNumCycles}class="highlight"{/if}>
	<td class="title"><label for="productStopNumCycles">{"TRANS_STOP_NUM_CYCLES"|lmsg}</label></td>
	<td><input size="10" maxlength="10" type="text" type="text" id="productStopNumCycles" name="productStopNumCycles" value="{$formValues.productStopNumCycles}" />  {$invalid.productStopNumCycles}</td>
</tr>
<!--
<tr {if $invalid.signupEmailActionGroup}class="highlight"{/if}>
	<td class="title"><label for="signupEmailActionGroup">{"TRANS_SIGNUP_EMAIL"|lmsg}</label></td>
	<td><select id="signupEmailActionGroup" name="signupEmailActionGroup">{html_options options=$signupEmailActionGroups selected=$formValues.signupEmailActionGroup}</select>  {$invalid.signupEmailActionGroup}</td>
</tr>
<tr {if $invalid.welcomeEmailActionGroup}class="highlight"{/if}>
	<td class="title"><label for="welcomeEmailActionGroup">{"TRANS_WELCOME_EMAIL"|lmsg}</label></td>
	<td><select id="welcomeEmailActionGroup" name="welcomeEmailActionGroup">{html_options options=$welcomeEmailActionGroups selected=$formValues.welcomeEmailActionGroup}</select>  {$invalid.welcomeEmailActionGroup}</td>
</tr>
<tr {if $invalid.productChildren}class="highlight"{/if}>
	<td class="title"><label for="productChildren">{"TRANS_CHILDREN"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="productChildren"
			comboOptionsLeft=$selectedChildren

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableProductChildren"
			comboOptionsRight=$selectableChildren
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.productChildren}
	</td>
</tr>
<tr {if $invalid.orderForms}class="highlight"{/if}>
	<td class="title"><label for="orderForms">{"TRANS_ORDER_FORMS"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="orderForms"
			comboOptionsLeft=$selectedOrderForms

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableOrderForms"
			comboOptionsRight=$selectableOrderForms
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.orderForms}
	</td>
</tr>
<tr {if $invalid.serverGroups}class="highlight"{/if}>
	<td class="title"><label for="serverGroups">{"TRANS_SERVER_GROUPS"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="serverGroups"
			comboOptionsLeft=$selectedServerGroups

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableServerGroups"
			comboOptionsRight=$selectableServerGroups
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.serverGroups}
	</td>
</tr>
<tr {if $invalid.cycles}class="highlight"{/if}>
	<td class="title"><label for="cycles">{"TRANS_BILLING_CYCLES"|lmsg}</label></td>
	<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="cycles"
			comboOptionsLeft=$selectedCycles

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableCycles"
			comboOptionsRight=$selectableCycles
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.cycles}
	</td>
</tr>
-->
<tr class="listButtons">
<td colspan="2"><div>
<input class="submit" type="submit" name="submit" value="{"TRANS_EDIT_PRODUCT"|lmsg}" onclick="selectAllOptions(document.EditProduct.elements['productChildren[]']);selectAllOptions(document.EditProduct.elements['orderForms[]']);selectAllOptions(document.EditProduct.elements['serverGroups[]']);selectAllOptions(document.EditProduct.elements['cycles[]']);" />
</div></td>
</tr>
</tbody>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}
