{* $Id: ShowServerGroups.tpl 11377 2007-06-18 15:37:21Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of servergroups.
 *
 * Smarty Variables:
 *	$serverGroups (array of servergroups that match criteria)
 *  $canGetServerLoad (array of server group IDs with 1 if it can get the server load)
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_SYSTEM_MANAGE_PANELS_TITLE', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SERVERGROUPS"
	childName="TRANS_SYSTEM_MANAGE_PANELS_TITLE"
	sideNavMajor="system"
	sideNavMinor="system"
	includeAjaxJS=1}

<script type="text/javascript">
	var the_v = "{"TRANS_SERVER_VERSION"|lmsg}";
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);

	var slURL = '';
	var servergroup = '';

	{literal}
	function checkServerLoad() {
		if (document.getElementById("xloading"+servergroup)){
			document.getElementById("xloading"+servergroup).src = '{/literal}{$imageDirectory}/loading2.gif{literal}';
		}
		cp.call(slURL, 'checkServerLoad', checkServerLoadResponse);
		return false;
	}

	function setimgtarget(x){
		if (x!=servergroup && servergroup!=''){
			document.getElementById("xloading"+servergroup).src = '{/literal}{$imageDirectory}/spacer.gif{literal}';
			servergroup = x;
		} else {
			servergroup = x;
		}
	}

	function checkServerLoadResponse(result) {
		if (result) {
			processLoadReturn(result);
		} else {
			alert("Error getting server load data.");
		}
	}

	function processLoadReturn(data){
		var datapart = data.substring(data.indexOf('BEGINRECORDS:')+13,data.indexOf('ENDRECORDS:'));
		var records = datapart.split("\n");
		var record = '';
		var loaditems;
		var items;

		var prec = '';
		for (i=0; i<records.length; i++){
			record = records[i];
			if (record.substring(0,6)=='RECORD'){
				prec = record.substring(7, record.indexOf("="));

				loaditems = record.substring(record.indexOf("=")+1);
				items = loaditems.split("|");

				if(items[0]!='disabled'){
					document.getElementById(prec).innerHTML = "<b>[ </b>"+items[0]+" <b>][</b> "+items[1]+" <b>][</b> "+items[2]+"<b> ]</b>";
				}
				if(items[0]=='disabled'){
					document.getElementById(prec).innerHTML = "<b>[ </b>"+items[0]+" <b>]";
				}
				if (items[3]!='' && items[3]!=' '){
					prec = prec.replace("serverLoad", "serverVersion");
					document.getElementById(prec).innerHTML = "{/literal}{"TRANS_SERVER_VERSION"|lmsg}{literal}"+items[3]+"";
				}

			}
		}
		setimgtarget('');

	}

	{/literal}
</script>

<fieldset>
<legend>{"TRANS_SERVER_GROUPS"|lmsg}</legend>

<div style="float:right;" class="rm">
		<a href="{getHREF page="servergroups.php" actionName="AddServerGroup"}">{"TRANS_ADD_SERVER_GROUP"|lmsg}</a>
</div>
<div style="float:right;" class="rm">
		<a href="{getHREF page="servergroups.php" actionName="ShowServerGroupsReport" args="activePanelsOnly=1"}">{"TRANS_SERVER_GROUP_REPORT"|lmsg}</a>
</div>

<br />
<a href="javascript:void(0);" onclick="
{section name=i loop="$serverGroups"}
	{assign var="serverGroupID" value=$serverGroups[i].serverGroupID}
	XKtoggle('row_{$serverGroupID}');
{/section}
">
	<img src="{$imageDirectory}/ico/more.gif" width="16" height="16" border="0" alt="{"TRANS_LIST_SERVERS"|lmsg}" title="{"TRANS_LIST_SERVERS"|lmsg}" style="vertical-align:middle;border-style:none;" />
</a>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="firstTD" headerName="TRANS_ID" sortColumn="serverGroupID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_SERVERGROUPNAME" sortColumn="serverGroupName"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$serverGroups"}
{assign var="serverGroupID" value=$serverGroups[i].serverGroupID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td>
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$serverGroupID}');">
	    	<img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" border="0" alt="{"TRANS_LIST_SERVERS"|lmsg}" style="vertical-align:middle;border-style:none;" />
		</a>
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$serverGroupID}');">
			{$serverGroups[i].serverGroupID}
		</a>
	</td>
	<td>
		{$serverGroups[i].serverGroupName}
		<img src="{$imageDirectory}/spacer.gif" name="xloading{$serverGroupID}" id="xloading{$serverGroupID}" height="14" width="14" align="middle">
	</td>
	<td>
		{strip}
		{if $serverGroups[i].canGetServerLoad}
			<a href="javascript:void(0);" onclick="slURL='{getHREF page="servergroups.php" actionName="CheckServerLoad" args="serverGroupID=$serverGroupID"}';setimgtarget('{$serverGroupID}');checkServerLoad();">
	    		<img src="{$imageDirectory}/ico/server_load.gif" width="16" height="16" border="0" alt="{"TRANS_SERVER_LOAD"|lmsg}" title="{"TRANS_SERVER_LOAD"|lmsg}" style="vertical-align:middle;border-style:none;" />
			</a>
			<a href="javascript:void(0);" onclick="slURL='{getHREF page="servergroups.php" actionName="CheckServerLoad" args="serverGroupID=$serverGroupID"}';setimgtarget('{$serverGroupID}');checkServerLoad();">
				{"TRANS_SERVER_LOAD"|lmsg}
			</a>
			&nbsp;
		{/if}
		{if $serverGroups[i].useInternalIPQueue}
			{assign var="useIIPQueue" value=1}
		{else}
			{assign var="useIIPQueue" value=0}
		{/if}
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$serverGroupID}');">
	    	<img src="{$imageDirectory}/ico/server_view.gif" width="16" height="16" border="0" alt="{"TRANS_LIST_SERVERS"|lmsg}" title="{"TRANS_LIST_SERVERS"|lmsg}" style="vertical-align:middle;border-style:none;" />
		</a>
		<a href="javascript:void(0);" onclick="return XKtoggle('row_{$serverGroupID}');">
			{"TRANS_LIST_SERVERS"|lmsg}
		</a>
		&nbsp;
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="servergroups.php"
		    actionName="EditServerGroup"
		    args="serverGroupID=$serverGroupID"
		    icoImage="edit"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_EDIT"
		    titleText=""
		    linkText="TRANS_EDIT"
		    noSpace="0"
		}
		&nbsp;
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="servergroups.php"
		    actionName="RemoveServerGroup"
		    args="serverGroupID=$serverGroupID"
		    icoImage="remove"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_REMOVE"
		    titleText=""
		    linkText="TRANS_REMOVE"
		    noSpace="0"
		}
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$serverGroupID}" class="{if $serverGroups[i].panels and !$serverGroups[i].hasSyncErrors}off{/if}">
<tr>
	<td colspan="3" class="comments altinner">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
		{assign var="panels" value=$serverGroups[i].panels}
		{section name="j" loop="$panels"}
			{assign var="configID" value=$panels[j].configGroupID}
			{assign var="serverGroupID" value=$serverGroups[i].serverGroupID}
			{assign var="configGroupID" value=$panels[j].configGroupID}
			{assign var="parentConfigGroupID" value=$panels[j].parentConfigGroupID}
			{assign var="configGroupName" value=$panels[j].configGroupTransKey|lmsg}
			<tr class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
				<td width="75%" style="text-align: left;">
					{if $panels[j].moduleEnabled == 0 }
						<img src="{$skinDirectory}/icons/off_16.png" width="16" height="16" border="0" alt="{"TRANS_PANEL_DISABLED"|lmsg}" title="{"TRANS_PANEL_DISABLED"|lmsg}" style="vertical-align:middle;border-style:none;" />
					{else}
						<img src="{$skinDirectory}/icons/on_16.png" width="16" height="16" border="0" alt="{"TRANS_PANEL_ENABLED"|lmsg}" title="{"TRANS_PANEL_ENABLED"|lmsg}" style="vertical-align:middle;border-style:none;" />
					{/if}
					&nbsp;
					{if "synced" == $panels[j].syncStatus}
						<img src="{$imageDirectory}/ico/sync-status-synced.gif" width="16" height="16" border="0" alt="{"TRANS_SYNC_PANEL_STATUS_SYNCED_DESC"|lmsg}" title="{"TRANS_SYNC_PANEL_STATUS_SYNCED_DESC"|lmsg}" style="vertical-align:middle;border-style:none;" />
					{elseif "syncing" == $panels[j].syncStatus}
						<img src="{$imageDirectory}/ico/sync-status-syncing.gif" width="16" height="16" border="0" alt="{"TRANS_SYNC_PANEL_STATUS_SYNCING_DESC"|lmsg}" title="{"TRANS_SYNC_PANEL_STATUS_SYNCING_DESC"|lmsg}" style="vertical-align:middle;border-style:none;" />
					{elseif "error" == $panels[j].syncStatus}
						<a href="{getHREF page="modules.php" actionName="EditPanelConfig" args="configGroupID=$configGroupID"}">
							<img src="{$imageDirectory}/ico/sync-status-error.gif" width="16" height="16" border="0" alt="{"TRANS_SYNC_PANEL_STATUS_SYNC_ERROR_DESC"|lmsg}" title="{"TRANS_SYNC_PANEL_STATUS_SYNC_ERROR_DESC"|lmsg}" style="vertical-align:middle;border-style:none;" />
						</a>
					{/if}
					&nbsp;
					<b>{$serverNames[$configID].configParamValue}:</b> {$configGroupName}
					{if $serverNames[$configGroupID].panelMaxAccounts > 0}
						&nbsp;{$serverNames[$configGroupID].panelCurrentAccounts} / {$serverNames[$configGroupID].panelMaxAccounts}
					{else}
						&nbsp;{"TRANS_NO_LIMIT"|lmsg}
					{/if}

					&nbsp;

					<a href="{getHREF page="modules.php" actionName="ShowPanelDetails" args="configGroupID=$configGroupID&serverGroupID=$serverGroupID"}">
						<img src="{$imageDirectory}/ico/view.gif" width="16" height="16" border="0" alt="{$smarty.const.SERVER_DETAILS}" title="{$smarty.const.SERVER_DETAILS}" style="vertical-align:middle;border-style:none;" />
					</a>

					<span id="serverLoad{$configGroupID}"></span>
					&nbsp;
					<span id="serverVersion{$configGroupID}"></span>

				</td>
				<td width="25%" style="text-align: center;" noWrap="noWrap">
				{strip}
				{if ($serverGroups[i].panelType == "pleskwin" || $serverGroups[i].panelType == "pleskunix") }
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="modules.php"
						actionName="LoginToPanel"
						args="configGroupID=$configGroupID"
						icoImage="login_to_server.gif"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_LOGIN"
						titleText=""
						linkText="TRANS_LOGIN"
						noSpace="0"
						target="_blank"
					}
				{/if}
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="modules.php"
					actionName="EditPanelConfig"
					args="configGroupID=$configGroupID"
					icoImage="server_edit.gif"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_EDIT"
					titleText=""
					linkText="TRANS_EDIT"
					noSpace="0"
				}
				{if $useIIPQueue}
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="servers.php"
						actionName="ShowIPLog"
						args="configGroupID=$configGroupID"
						icoImage="ip-pool.gif"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_IP_QUEUE"
						titleText=""
						linkText="TRANS_IP_QUEUE"
						noSpace="0"
					}
				{/if}
				{if "non-syncable" != $panels[j].syncStatus}
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="modules.php"
						actionName="EditPanelConfig"
						args="sync=1&configGroupID=$configGroupID"
						icoImage="refresh.gif"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_PANEL_SYNC_CMD_DESC"
						titleText=""
						linkText="TRANS_PANEL_SYNC_CMD"
						noSpace="0"
					}
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="modules.php"
						actionName="EditPanelConfig"
						args="syncAll=1&configGroupID=$configGroupID"
						icoImage="refresh.gif"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_PANEL_SYNC_ALL_CMD_DESC"
						titleText=""
						linkText="TRANS_PANEL_SYNC_ALL_CMD"
						noSpace="0"
					}
				{/if}
				{include file="$tplDirectory/widgets/actionLink.tpl"
					page="servergroups.php"
					actionName="RemovePanel"
					args="configGroupID=$configGroupID"
					icoImage="server_delete.gif"
					icoWidth=""
					icoHeight=""
					icoStyle=""
					altText="TRANS_REMOVE"
					titleText=""
					linkText="TRANS_REMOVE"
					noSpace="0"
				}
				{/strip}
				{assign var="rowOpen" value=""}
				</td>
			</tr>
			{if $serverNames[$configGroupID].panelMaxAccounts > 0}
			<tr class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
				<td>
					{if $useIIPQueue}
						{"TRANS_IP_QUEUE_LENGTH"|lmsg:"NUMBER":$ips[$configGroupID]}
					{/if}
				</td>
				<td>
					<span class="floatright">
						<img class="graph" src="{getBaseUrl page="graphs.php" actionName="ShowGenericBar"}&sid={$sid}&amount={$serverNames[$configGroupID].panelCurrentAccounts}&limit={$serverNames[$configGroupID].panelMaxAccounts}&height=30&width=250" border="0" />
					</span>
				</td>			</tr>
			{/if}
		{sectionelse}
			<tr>
				<td colspan="2">
					<form method="post" action={getHREF page="servergroups.php" actionName="AddPanelResponse"}>
					{"TRANS_ADD_A_PANEL"|lmsg}
					<select id="panelName" name="panelName">
						{html_options options=$controlPanels}
						{assign var="configGroupID" value=0}
					</select>
					<input type="hidden" name="serverGroupID" value="{$serverGroupID}">
					<input class="submit" type="submit" value="add">
					</form>
				</td>
			</tr>
		{/section}
		{if $configGroupID && $configGroupName}
			<tr>
				<td colspan="2">
					<hr>
					{strip}
					<a href="{getHREF page="servergroups.php" actionName="AddPanelResponse" args="serverGroupID=$serverGroupID&parentConfigGroupID=$parentConfigGroupID"}">
	    				<img src="{$imageDirectory}/ico/server_add.gif" width="16" height="16" border="0" alt="{"TRANS_ADD"|lmsg}" title="{"TRANS_ADD"|lmsg}" style="vertical-align:middle;border-style:none;" />
					</a>
					<a href="{getHREF page="modules.php" actionName="EditPanelConfig" args="serverGroupID=$serverGroupID&parentConfigGroupID=$parentConfigGroupID"}">
						{$configGroupName}
					</a>
					{/strip}

				</td>
			</tr>
		{/if}
		</table>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="2">{"TRANS_NORESULTS"|lmsg}</td>
</tr>
{/section}
</table>
</fieldset>
{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}
