{* $Id: ShowServerGroupsReport.tpl 10454 2007-01-09 16:46:14Z achrist $
 * --------------------------------------------------------------
 * This template displays a list of servergroups.
 *
 * Smarty Variables:
 *	$serverGroups (array of servergroups that match criteria)
 *  $canGetServerLoad (array of server group IDs with 1 if it can get the server load)
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_SHOW_SERVERGROUPS', '');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SERVERGROUPS"
	childName="TRANS_SHOW_SERVERGROUPS"
	sideNavMajor="system"
	sideNavMinor="system"
	includeAjaxJS=1}

<fieldset>
<legend>{"TRANS_SERVER_GROUPS"|lmsg}</legend>
	
<div style="float:right;" class="rm"><a href="{getBaseUrl page="servergroups.php" actionName="ShowServerGroups"}&sid={$sid}">{"TRANS_LIST_SERVER_GROUPS"|lmsg}</a></div>
<br />
<br />

<form method="post" action="{getFormAction controller="servergroups"}">
	<input type="hidden" name="act" value="{getActionID action="ShowServerGroupsReport"}" />
	<input type="hidden" name="configGroupID" value="{$configGroupID}" />
	<input type="hidden" name="redirectURL" value="{$fileName}" />
	<input type="hidden" name="redirectAction" value="{$actionName}" />
	<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
	<input type="hidden" name="sid" value="{$sid}" />
	{if $activePanelsOnly}
		{assign var="activeOnlyCheck" value="checked"}
	{/if}
	<!--
	<div style="float:right; margin-right: 30px;">
		<input type="checkbox" name="activePanelsOnly" {$activeOnlyCheck}"> {"TRANS_SERVER_INCLUDE_INACTIVE_PANELS"|lmsg}
		
	</div>
	-->
</form>

{foreach key="group_key" item="serverGroup" from=$serverGroups}
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
        <tbody>
        <tr class="headerRow">
	        <td>&#160;{"TRANS_SERVER_GROUP"|lmsg} {$serverGroup.serverGroupID}</td>
	        <td> {$serverGroup.serverGroupName} </td>
        </tr>
        {if $serverGroup.panels}
			{assign var="panels" value=$serverGroup.panels}
			{foreach key="panel_key" item="panel" from=$panels}
			<tr>
	        <td class="title">{"TRANS_PANEL_SERVERNAME"|lmsg} / {"TRANS_LOAD"|lmsg}</td>
	        <td>&#160;&#160;&#160;&#160;
              <!--	{$panel.configGroupID} -->
{$panel.configParamValue}
			{$serverNames[$panel.configGroupID].panelCurrentAccounts} / {$serverNames[$panel.configGroupID].panelMaxAccounts} </td>
        </tr>
		{if $serverNames[$panel.configGroupID].panelCurrentPackages}
        <tr>
	        <td class="title">{"TRANS_CURRENT_PACKAGES"|lmsg}</td>
	        <td>	<ul>
					{assign var="packages" value= $serverNames[$panel.configGroupID].panelCurrentPackages}
					{foreach key="package_key" item="package" from=$packages}
								<li>{$package_key}: {$package}</li>
					{/foreach}
								</ul></td>
        </tr>
        {/if}
			{/foreach}
		{/if}


        </tbody>
        </table>
{/foreach}
</fieldset>

<br />
<br />


{include file="$tplDirectory/footer.tpl"}
