{* $Id: ShowTaxZoneGroups.tpl 10429 2007-01-08 17:38:25Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of tax zones. All pieces of data associated with a 
 * tax zone are available in the $taxzones variable, which is an array of tax zones.
 *
 * Smarty Variables:
 *	$taxzone - The array representation of the current tax zone. This array is 
 *	               structured as follows:
 *                   taxZoneID --  The ID of the tax zone
 *      	         taxZoneName -- The zones within the country to apply taxes to
 *					 countriesISO2 -- The tax zone country
 *	                 taxZoneAmount -- The tax percentage. Allows a tax up to 999.999%
 *	                 taxZoneDescription -- Description of the tax used in invoices
 *      	         taxZoneActive -- 1 if the tax is active, or 0 if otherwise
 *}



{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_MANAGE_TAXES', 'TRANS_MANAGE_TAX_ZONE_GROUPS');{/php}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_MANAGE_TAXES"
	grandchildName="TRANS_MANAGE_TAX_ZONE_GROUPS"
	sideNavMajor="system"
	sideNavMinor="taxes"
	parentConfigGroupID=0}

<div style="text-align: right;"><div class="rm"><a href="{getBaseUrl page="taxes.php" actionName="AddTaxZoneGroup"}&sid={$sid}">{"TRANS_ADD_TAX_ZONE_GROUP"|lmsg}</a></div></div>
<fieldset>	
<legend>{"TRANS_TAX_ZONE_GROUPS"|lmsg}</legend>

<table border="0" width="100%" cellpadding="0" cellspacing="0" class="list">
	<tr>
		<td colspan="4" style="cursor: pointer;" onclick="{strip} {section name="i" loop=$taxGroups}
			XKtoggle('group{$taxGroups[i].taxZoneGroupID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {"TRANS_ADDITIONAL_DATA"|lmsg}
		</td>
	</tr>

	<tr class="headerRow">
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ID"}
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_TAX_ZONE_GROUP_NAME"}
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIVE"}
		{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
	</tr>

{section name="i" loop=$taxGroups}
	<tr class="{cycle values="alt1,alt2"}" style="cursor: pointer;">
        <td onclick="XKtoggle('group{$taxGroups[i].taxZoneGroupID}');">{$taxGroups[i].taxZoneGroupID}</td>
        <td onclick="XKtoggle('group{$taxGroups[i].taxZoneGroupID}');">{$taxGroups[i].taxZoneGroupName}</td>
        <td onclick="XKtoggle('group{$taxGroups[i].taxZoneGroupID}');">{$taxGroups[i].taxZoneGroupActive|getArrayValueByID:$activeInactive}</td>
        <td width="54">
        {strip}
        <a href="{getBaseUrl page="taxes.php" actionName="EditTaxZoneGroup"}&taxZoneGroupID={$taxGroups[i].taxZoneGroupID}&sid={$sid}">
            <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{"TRANS_EDIT"|lmsg}" title="{"TRANS_EDIT"|lmsg}" />
        </a>
        &nbsp;
        <a href="{getBaseUrl page="taxes.php" actionName="RemoveTaxZoneGroup"}&taxZoneGroupID={$taxGroups[i].taxZoneGroupID}&sid={$sid}">
            <img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{"TRANS_REMOVE"|lmsg}" title="{"TRANS_REMOVE"|lmsg}" />
        </a>
        {/strip}
        </td>
	</tr>
	<tbody id="group{$taxGroups[i].taxZoneGroupID}" class="off">
	<tr>
		<td colspan="4" valign="top" class="comments altinner">
			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="addData">
                <tr>
                    <th colspan="4"><strong>{"TRANS_TAX_ZONES"|lmsg}</strong></th>
                </tr>

                {section name="j" loop=$taxGroups[i].taxZones.0.taxZone}
				<tr class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
					<td>{$taxGroups[i].taxZones.0.taxZone[j].taxZoneID}</td>
					<td>{$taxGroups[i].taxZones.0.taxZone[j].taxZoneName}</td>
					<td>{$taxGroups[i].taxZones.0.taxZone[j].taxZoneDescription}</td>
					<td>{$taxGroups[i].taxZones.0.taxZone[j].countriesISO2} - {$taxGroups[i].taxZones.0.taxZone[j].countryName}</td>
				</tr>
                {/section}

            </table></td>
	</tr>
	</tbody>
{sectionelse}
    <tr>
        <td colspan="8" class="alt1">{"TRANS_NO_TAX_ZONE_GROUPS"|lmsg}</td>
    </tr>
{/section}


</table>
</fieldset>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}


{include file="$tplDirectory/footer.tpl"}
