{* $Id: EditWebsiteWidget.tpl 7627 2006-06-19 21:48:58Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit a tax zone. Note that for now, one is unable to 
 * change the administrator associated with a tax zone.
 *
 * Smarty Variables:
 *	$taxzone - The array representation of the current tax zone. This array is 
 *	               structured as follows:
 *                   taxZoneID --  The ID of the tax zone
 *      	         taxZoneName -- The zones within the country to apply taxes to
 *					 countriesISO2 -- The tax zone country
 *	                 taxZoneAmount -- The tax percentage. Allows a tax up to 999.999%
 *	                 taxZoneDescription -- Description of the tax used in invoices
 *      	         taxZoneActive -- 1 if the tax is active, or 0 if otherwise
 *	$countrylist -- List of countries to choose from. 
 *}




{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_SYSTEM', 'TRANS_MANAGE_WIDGETS', '');{/php}
{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_WIDGETS"
    grandchildName=$pageTitle
    sideNavMajor="products"
   	sideNavMinor="websitewidgets"
    parentConfigGroupID=0}

<form method="post" action="{getFormAction controller="websitewidgets"}" name="EditWebsiteWidget">
<input name="websiteWidgetID" type="hidden" value="{$websiteWidgetInfo.websiteWidgetID}" />
<input type="hidden" name="act" value="{getActionID action="EditWebsiteWidgetResponse"}">
<input type="hidden" name="sid" value="{$sid}">
<input type="hidden" name="orderFormID" value="{$orderFormInfo.orderFormID}">

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<tbody>
    <tr>
        <td class="title">{"TRANS_WEBSITE_WIDGET_NAME_OPTION"|lmsg}&nbsp;<span class="required">*</span></td>
        <td><input type="text" name="websiteWidgetName" value="{$websiteWidgetInfo.websiteWidgetName}" /></td>
    </tr>
    <tr>
        <td class="title">{"TRANS_WEBSITE_WIDGET_CODE"|lmsg}&nbsp;<span class="required">*</span></td>
        <td><input type="text" name="code" value="{$websiteWidgetInfo.code}" /></td>
    </tr>
    <tr>
        <td class="title">{"TRANS_WEBSITE_WIDGET_TEMPLATE_OPTION"|lmsg}</td>
        <td>
		<select name="websiteWidgetTpl">
		{html_options options=$wwTemplates selected=$websiteWidgetInfo.websiteWidgetTpl}
		</select>
	</td>
    </tr>

	{if $noProducts<1}

    <tr>
		<td class="title">{"TRANS_WEBSITE_WIDGET_PRODUCTS_OPTION"|lmsg}</td>
		<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="products"
			comboOptionsLeft=$selectedProducts
			positionButtons="yes"
			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableProducts"
			comboOptionsRight=$selectableProducts
			formName="EditWebsiteWidget"
			submitName="suppress"
		}
		</td>
    </tr>

	{else}
	<tr>
		<td colspan="2" style="color: #FF0000;">{"TRANS_NO_PRODUCTS_TIED_TO_ORDER_FORM"|lmsg}</td>
	</tr>
	{/if}

    <tr class="listButtons">
        <td colspan="2"><div class="formArea" style="text-align: left;"><div id="bid-ok" class="commonButton">
		<button onclick="selectAllOptions(document.EditWebsiteWidget.elements['products[]']); document.EditWebsiteWidget.submit(); return false;" type="submit" id="buttonid-ok">Save</button>
	</div></div></td>
    </tr>
</tbody>
</table>

</form>


{include file="$tplDirectory/footer.tpl"}
