{* $Id: accountingSummary.tpl 12589 2008-01-30 18:13:40Z kbailey $
 * --------------------------------------------------------------
 * Author: Michael Fountain
 *}


<div class="box07">
	<div class="st01"><h1 style="margin-bottom: 0px;">{"TRANS_CLIENT_ACCOUNTING_TOTALS"|lmsg}</h1></div>

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr><td><br />

	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
    <tr class="headerRow">
        <td>{"TRANS_ACCOUNTING_ACCOUNTS_LABEL"|lmsg}</td>
        <td style="text-align:right;">{"TRANS_BALANCE"|lmsg}</td>
    </tr>

{* accounts receivables rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingAccountsReceivable}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    {assign var=p value=$client.clientID}
                   <strong><a href="{getHREF page="clients.php" actionName="ShowClientARHistory" args="clientID=`$client.clientID`"}">{"TRANS_CLIENT_ACCOUNTING_TOTALS_AR"|lmsg}</a></strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_AR"|lmsg}</strong>
            </td>
            <td width="40%" align="right"><i>{"TRANS_NONE"|lmsg}</i></td>
        </tr>
    {/foreach}

{* accounts receivables rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingAuthorized}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_AU"|lmsg}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_AU"|lmsg}</strong>
            </td>
            <td width="40%" align="right"><i>{"TRANS_NONE"|lmsg}</i></td>
        </tr>
    {/foreach}

{* customer credits rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingCustomerCredits}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong><a href="{getHREF page="clients.php" actionName="ShowClientCreditHistory" args="clientID=`$client.clientID`"}">{"TRANS_CLIENT_ACCOUNTING_TOTALS_CC"|lmsg}</a></strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_CC"|lmsg}</strong>
            </td>
            <td width="40%" align="right"><i>{"TRANS_NONE"|lmsg}</i></td>
        </tr>
    {/foreach}

{* revenue rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingRevenue}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_IN"|lmsg}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_IN"|lmsg}</strong>
            </td>
            <td width="40%" align="right"><i>{"TRANS_NONE"|lmsg}</i></td>
        </tr>
    {/foreach}

{* accounts payable rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingPayables}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_AP"|lmsg}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_AP"|lmsg}</strong>
            </td>
            <td width="40%" align="right"><i>{"TRANS_NONE"|lmsg}</i></td>
        </tr>
    {/foreach}

{* cost of goods rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingCogs}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_CG"|lmsg}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_CG"|lmsg}</strong>
            </td>
            <td width="40%" align="right"><i>{"TRANS_NONE"|lmsg}</i></td>
        </tr>
    {/foreach}

{* refunds rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingRefunds}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_RF"|lmsg}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_RF"|lmsg}</strong>
            </td>
            <td width="40%" align="right"><i>{"TRANS_NONE"|lmsg}</i></td>
        </tr>
    {/foreach}

{* expense rows *}

    {assign var="firstTime" value="1"}
    {assign var="rowClass" value="total"}
    {foreach key="currencyID" item="totals" from=$accountingExpenses}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                {if $firstTime}
                    {assign var="firstTime" value="0"}
                    {assign var="rowClass" value=""}
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_EX"|lmsg}</strong>
                {/if}
            </td>
            <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
        </tr>
    {foreachelse}
        <tr class="{cycle values="alt1,alt2"}">
            <td width="60%" align="left">
                    <strong>{"TRANS_CLIENT_ACCOUNTING_TOTALS_EX"|lmsg}</strong>
            </td>
            <td width="40%" align="right"><i>{"TRANS_NONE"|lmsg}</i></td>
        </tr>
    {/foreach}

	</table>
	<br /></td></tr>
	</table>

	<table border="0" cellspacing="0" cellpadding="0" class="tabTight">
	<tr>
		<td >
		{if !empty($currencyIDs)}
			{include file="$tplDirectory/widgets/quickAddCredit.tpl"
				actionName="AddClientCreditResponse"
				clientID=$clientID
				formName="quickcreditform"
				currencyIDs=$currencyIDs
				sid=$sid
				localeArray=$localeArray
				currencyID=$currencyID
				accountTypes=$accountTypes
				redirectURL="clients.php"
				redirectAction="ShowClientDetails"
				redirectArgs="clientID=`$clientID`"}
			<br />
		{/if}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="accounting.php"
				actionName="ShowAgingReportContainer"
				args="clientID=`$client.clientID`"
				icoImage="line_chart.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_AGING_REPORT"
				titleText=""
				linkText="TRANS_AGING_REPORT"}

		</td>
	</tr>
	</table>

</div>{* box07 *}

