{* $Id: client.tpl 9229 2006-09-28 15:10:03Z mfountain $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$client		array of client information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/client.tpl" client=$client}
 *}

{assign var="clientID" value=$client.clientID}

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="{if $client.clientActive}headerRow{else}subHeaderRow{/if}">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerName="TRANS_CLIENTID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_COMPANY"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_PRIMARY_CONTACT"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" headerName="TRANS_EMAIL"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" headerName="TRANS_ACTIONS"}
</tr>
</thead>
<tbody>
<tr class="{if $client.clientActive}althover{else}subalthover{/if}">
	<td class="listRowFirstTD">
		<strong>
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientDetails"
				args="clientID=$clientID"
				clientID=$clientID
				clientContactID=$client.clientContactID
				altText=$clientID
				linkText=$clientID
			}
		</strong>
	</td>
	<td>{$client.clientCompany|default:$smarty.const.TRANS_EMPTY|safetyhtml|mb_truncate:20}</td>
	<td>
		{if $client.contactLastName && $client.contactFirstName}
			<a href="{getHREF page="clients.php" actionName="ShowClientContacts" args="clientID=$clientID&clientContactID=`$client.clientContactID`"}">
				{$client.contactLastName|safetyhtml|mb_truncate:25}, {$client.contactFirstName|safetyhtml|mb_truncate:25}
			</a>
		{else}
			<i>{"TRANS_EMPTY"|lmsg}</i>
		{/if}
	</td>
	<td>
		{if $client.contactEmail}
			<a href="{getHREF page="clients.php" actionName="SendClientEmail" args="clientID=$clientID"}">
				{$client.contactEmail|safetyhtml|mb_truncate:45}
			</a>
		{else}
			<i>{"TRANS_EMPTY"|lmsg}</i>
		{/if}
	</td>
	<td class="nowrap" nowrap="nowrap">
		{strip}
		{if !$suppressDetailsLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="ShowClientDetails"
				args="clientID=$clientID"
				clientID=$clientID
				clientContactID=$client.clientContactID
				icoImage="client_details.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_DETAILS"
				titleText=""
				linkText="TRANS_DETAILS"
				noSpace="1"
			}
			&nbsp;
		{/if}

		{if !$suppressEditLink}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="EditClient"
				args="clientID=$clientID"
				icoImage="client_edit.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_EDIT"
				titleText=""
				linkText="TRANS_EDIT"
				noSpace="1"
			}
			&nbsp;
		{/if}
		{if !$suppressDeleteLink}
		{assign var="clientActive" value=$client.clientActive}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="clients.php"
				actionName="RemoveClient"
				args="id[]=$clientID&client_active=$clientActive"
				icoImage="client_delete.gif"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_REMOVE"
				titleText=""
				linkText="TRANS_REMOVE"
				noSpace="1"
			}
		{/if}

		{/strip}
	</td>
</tr>
</tbody>
</table>
<br />
