{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="{getFormAction controller="products"}">
	<input type="hidden" name="act" value="{getActionID action="EditProductApplicationsResponse"}" />
	<input type="hidden" name="productID" value="{$product.productID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr>
			<td colspan="2">{"TRANS_APPLICATIONS_DESC"|lmsg}</td>
		</tr>
		{foreach from=$serverGroupsDescriptor item=serverGroupDescriptor}
		<tr>
			<td colspan="2"><h6>{"TRANS_APPLICATIONS_FOR"|lmsg:NAME:"`$serverGroupDescriptor.name`"}</h6></td>
		</tr>
		<tr {if $invalid.serverGroups}class="highlight"{/if}>
			<td class="title"><label for="applications_filter_{$serverGroupDescriptor.id}">{"TRANS_APPLICATIONS_FILTER"|lmsg}</label></td>
			<td><input type="checkbox" name="applications_filter_{$serverGroupDescriptor.id}" value="On"{if $serverGroupDescriptor.enable} checked="checked"{/if}/></td>
		</tr>
		<tr {if $invalid.serverGroups}class="highlight"{/if}>
			<td class="title"><label for="orderForms">{"TRANS_APPLICATIONS_SELECT_OPTION"|lmsg}</label></td>
			<td>
				{include file="$tplDirectory/widgets/comboBox.tpl"
					comboTitleLeft=TRANS_SELECTED
					comboNameLeft="applications_`$serverGroupDescriptor.id`"
					comboOptionsLeft=$serverGroupDescriptor.selected
					comboTitleRight=TRANS_SELECTABLE
					comboNameRight="selectableApplications_`$serverGroupDescriptor.id`"
					comboOptionsRight=$serverGroupDescriptor.selectable
					formName="EditProduct"
					submitName="suppress"
				}
			</td>
		</tr>
		{/foreach}
		<tr class="listButtons">
			<td colspan="2">
				{literal}
				<script type="text/javascript">
					function preSubmit() {
					{/literal}
						{foreach from=$serverGroupsDescriptor item=serverGroupDescriptor}
						{literal}
							selectAllOptions(document.EditProduct.elements['applications_{/literal}{$serverGroupDescriptor.id}{literal}[]']);
						{/literal}
						{/foreach}
					{literal}
					}
				</script>
				{/literal}
				<div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" onclick="preSubmit();" /></div>
			</td>
		</tr>
	</table>
</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}