{* $Id: EditProductCoupons.tpl 9860 2006-10-30 21:39:34Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="{getFormAction controller="products"}">
<input type="hidden" name="act" value="{getActionID action="EditProductCouponsResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="100%" border="0" cellpadding="0" cellspacing="0" class="list" >
  <tbody>
    <tr>
      <td class="title"><label for="coupons">{"TRANS_AUTOMATIC_COUPON"|lmsg}</label></td>
      <td><select name="preAppliedCouponID">
        <option value="0"></option>

		{html_options options=$precoupons selected=$selectedPreCouponID}

      </select>      </td>
      <td rowspan="2"> {include file="$tplDirectory/widgets/showTips.tpl"
        title="TRANS_EXPLAIN_PRODUCT_COUPONS"
        msg="TRANS_PRODUCT_COUPONS_EXPLANATION_RELATING"
        width="100%"
        align="center"
        show="yes"}		</td>
    </tr>
    <tr {if $invalid.coupons}class="highlight"{/if}>
      <td class="title"><label for="coupons">{"TRANS_MANUAL_COUPONS"|lmsg}</label></td>
      <td> {include file="$tplDirectory/widgets/comboBox.tpl"
        comboTitleLeft=TRANS_SELECTED
        comboNameLeft="coupons"
        comboOptionsLeft=$selectedCoupons

        comboTitleRight=TRANS_SELECTABLE
        comboNameRight="selectableCoupons"
        comboOptionsRight=$selectableCoupons
        formName="EditProduct"
        submitName="suppress"
        }
        {$invalid.coupons} </td>
	</tr>
  </tbody>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
	<tr class="listButtons">
		<td><div><input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" onclick="selectAllOptions(document.EditProduct.elements['coupons[]']);" /></div></td>
	</tr>
</table>
</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
