{* $Id: quickAddCredit.tpl 12589 2008-01-30 18:13:40Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the quick manual payment popup div.
 *
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickAddCredit.tpl"
 *            actionName="AddClientCreditResponse"
 *			  clientID=$clientID
 *            formName="quickcreditform"
 *            currencyIDs=$currencyIDs
 *            sid=$sid
 *            localeArray=$localeArray
 *            currencyID=$currencyID
 *            ledgerAccountNames=$ledgerAccountNames
 *            redirectURL="clients.php"
 *            redirectAction="ShowClientDetails"
 *            redirectArgs="clientID=`$clientID`"}
 *}

<script language="javascript" type="text/javascript" charset="utf-8">
{literal}
function formatCreditCurrencyValue(id, value, separator, groupSeparator){
	var currentCurrency = document.getElementById(id).value;
	return formatCurrencyValue(currentCurrency, value, separator, groupSeparator);
}

{/literal}
</script>

{assign var="defaultCreditAmount" value="0"}
<span class="actionlink">
<img src="{$imageDirectory}/ico/money2_add.gif" width="16" height="16" alt="{"TRANS_ADD_CREDIT"|lmsg}" title="{"TRANS_ADD_CREDIT"|lmsg}" style="vertical-align:middle;border-style:none;margin-right: 4px;" />
<a  href="javascript:void(0);"
{strip}
onclick="return overlib('&lt;form method=\'post\' action=\'{getFormAction controller="clients"}\' name=\'{$formName}\' id=\'{$formName}\'&gt;
                        &lt;input type=\'hidden\' name=\'act\' value=\'{getActionID action=$actionName}\' /&gt;
                        &lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\'&gt;
                        &lt;input type=\'hidden\' name=\'clientID\' value=\'{$clientID}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$redirectURL}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$redirectAction}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$redirectArgs}\'&gt;

                        &lt;fieldset&gt;
                            &lt;legend&gt;{"TRANS_ADD_CREDIT_LEGEND"|lmsg}&lt;/legend&gt;
                            &lt;table width=\'350\'&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {"TRANS_QUICK_ADD_CREDIT_AMOUNT"|lmsg} &lt;/td&gt;
                                &lt;td&gt;
{* $localeArray.locale_pattern_currency *}
                                    &lt;input type=&quot;text&quot; onblur=&quot; this.value=formatCreditCurrencyValue(\'creditCurrencyID\', this.value, \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; name=&quot;creditAmount&quot; size=&quot;9&quot; value=&quot;0{$localeArray.locale_separator_decimal}00&quot; /&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {"TRANS_ADD_CREDIT_CURRENCY"|lmsg} &lt;/td&gt;
                                &lt;td&gt;
                                    &lt;select name=\'creditCurrencyID\' id=\'creditCurrencyID\' style=\'width: 50px;\' &gt;
                                    	{mb_html_options encodeoutput="yes" options=$currencyIDs}
                                    &lt;/select&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {"TRANS_ADD_CREDIT_DESCRIPTION"|lmsg} &lt;/td&gt;
                                &lt;td&gt;
                                    &lt;textarea name=&quot;creditComments&quot; rows=&quot;2&quot; cols=&quot;25&quot; &gt;&lt;/textarea&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {"TRANS_APPLY_TO_GL"|lmsg} &lt;/td&gt;
                                &lt;td&gt;
									&lt;select style=\'width: 190px;\' name=\'ledgerAccountName\'&gt;
										{*  &lt;option value=\'0\'&gt;{"TRANS_SELECT_A_LEDGER_ACCOUNT"|lmsg}&lt;/option&gt; *}
											{section name=j loop=$ledgerAccounts}
												{assign var="ledgerAccountID" value=$ledgerAccounts[j].ledgerAccountID}
												{if $ledgerAccounts[j].ledgerAccountType != $ledgerAccountType}
													{if $notFirstTime}
														&lt;/optgroup&gt;
													{/if}
													{assign var="ledgerAccountType" value=$ledgerAccounts[j].ledgerAccountType}
													{assign var="transkey" value=$accountTypes.$ledgerAccountType.1}
													&lt;optgroup label=&quot;{$smarty.const.$transkey|default:$transkey}&quot;&gt;
													{assign var="notFirstTime" value="1"}
												{/if}
												{assign var="ledgerAccountTransKey" value=$ledgerAccounts[j].ledgerAccountTransKey}
												&lt;option value=&quot;{$ledgerAccounts[j].ledgerAccountName}&quot;{if $existingEntries[i].ledgerAccountID == $ledgerAccounts[j].ledgerAccountID} selected=&quot;selected&quot;{/if}&gt;
													{$ledgerAccounts[j].ledgerAccountNumber} - {$smarty.const.$ledgerAccountTransKey|default:$ledgerAccountTransKey}
												&lt;/option&gt;
											{sectionelse}
											{/section}
									&lt;/optgroup&gt;
									&lt;/select&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; &lt;/td&gt;
                                &lt;td&gt;&lt;input type=\'submit\' value=\'{"TRANS_CREDIT_ADD"|lmsg}\' /&gt;&lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;/table&gt;
                        &lt;/fieldset&gt;
                    &lt;/form&gt;',
                        BGCLASS,
                        'popupBG',
                        FGCLASS,
                        'popupFG',
                        CENTER,
                        STICKY,
                        CAPTION,
                        '{"TRANS_QUICK_ADD_CREDIT"|lmsg}',
                        CLOSECLICK,
                        CLOSETEXT,
                        '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');"
                        onmouseout="return nd();">
{"TRANS_ADD_CREDIT"|lmsg}
</a>
</span>
{/strip}
