{* $Id: quickApplyCredit.tpl 11760 2007-08-08 22:48:12Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display the quick manual payment popup div.
 *
 *
 * Smarty Variables:
 *	$actionName     The action name to get the action id for.
 *	$invoiceID 	    The primary key column name of the record to add.
 *  $sid            The current sessionID
 *  $lineItems      The line items they can pay for in an array
 *  $redirectURL    The php script to redirect to
 *  $redirectAction The action name for the redirect
 *  $redirectArgs   The args to send through the url to the redirectURL BESIDES the sid and actionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickApplyPayment.tpl"
 *            actionName="ProcessManualPayment"
 *            formName="quickpaymentform"
 *            lineItems=$lineItemsArray
 *            sid=$sid
 *            invoiceID=$invoiceID
 *            defaultAmount=$defaultAmount
 *            localeArray=$localeArray
 *            currencyID=$currencyID
 *            paymentTypes=$typesArray
 *            redirectURL="invoice.php"
 *            redirectAction="ShowInvoiceDetails"
 *            redirectArgs=""}
 *}



<a style="text-decoration: none;" href="javascript:void(0);"
{strip}
onclick="return overlib('&lt;form method=\'post\' action=\'{getFormAction controller="invoices"}\' name=\'{$formName}\' id=\'{$formName}\'&gt;
                        &lt;input type=\'hidden\' name=\'act\' value=\'{getActionID action="ProcessManualPayment"}\' /&gt;
                        &lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\'&gt;
                        &lt;input type=\'hidden\' name=\'invoiceID\' value=\'{$invoiceID}\'&gt;
                        &lt;input type=\'hidden\' name=\'subaction\' value=\'credit\'&gt;
                        &lt;input type=\'hidden\' name=\'invoiceID\' value=\'{$invoiceID}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$redirectURL}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$redirectAction}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$redirectArgs}\'&gt;

                        &lt;fieldset&gt;
                            &lt;legend&gt;{"TRANS_APPLY_CREDIT_LEGEND"|lmsg}&lt;/legend&gt;
                            &lt;table width=\'350\'&gt;
                            &lt;tr&gt;

                            &lt;tr&gt;
                                &lt;td align=\'right\'&gt; {"TRANS_CREDIT_AMOUNT_AVAILABLE"|lmsg} &lt;/td&gt;
                                &lt;td&gt;
                                    {$defaultCreditAmount|getAmount:$currencyID|escape:html}
                                &lt;/td&gt;
                            &lt;/tr&gt;
                            &lt;/tr&gt;
                            &lt;tr&gt;
                                &lt;td style=\&quot;white-space: nowrap;\&quot; align=\&quot;right\&quot;&gt;{"TRANS_APPLY_CREDIT_TO"|lmsg}&lt;/td&gt;
                                &lt;td style=\&quot;white-space: nowrap;\&quot;&gt;&lt;input type=\&quot;radio\&quot; name=\&quot;applyPaymentTo\&quot; checked=&quot;checked&quot; value=\&quot;invoice\&quot; onmouseup=\&quot;XKtoggleOff(\'{$formName}_lineitems\');XKtoggleOn(\'{$formName}_amount\');\&quot; /&gt; {"TRANS_CREDIT_ENTIRE_INVOICE"|lmsg} &amp;nbsp;&amp;nbsp;&amp;nbsp;
                                &lt;input type=\&quot;radio\&quot; name=\&quot;applyPaymentTo\&quot; value=\&quot;lineitems\&quot; onmouseup=\&quot;XKtoggleOn(\'{$formName}_lineitems\');XKtoggleOff(\'{$formName}_amount\');\&quot; /&gt; {"TRANS_CREDIT_SELECTED_LINEITEMS"|lmsg}&lt;/td&gt;

                            &lt;/tr&gt;
                            &lt;tbody id=\'{$formName}_lineitems\' class=\'off\'&gt;
                            &lt;tr&gt;
                                &lt;td&gt;&lt;/td&gt;
                                &lt;td&gt;

                                    &lt;table cellpadding=&quot;3&quot; cellspacing=&quot;2&quot; class=&quot;ledger&quot; border=&quot;0&quot;&gt;

                                        &lt;tr&gt;
                                             &lt;th class=&quot;green&quot; &gt; {"TRANS_PACKAGE_ID"|lmsg} &lt;/th&gt;
                                             &lt;th class=&quot;green&quot; &gt; {"TRANS_DESCRIPTION"|lmsg} &lt;/th&gt;
                                             &lt;th class=&quot;green&quot; &gt; {"TRANS_LINE_ITEM_BALANCE"|lmsg} &lt;/th&gt;
                                             &lt;th &gt; {"TRANS_AMOUNT_TO_PAY"|lmsg} &lt;/th&gt;
                                        &lt;/tr&gt;

        {section name="j" loop=$lineItems}
                 &lt;tr class=\&quot;{cycle values="alt1,alt2"}{if $didfirst==''}{assign var="didfirst" value="yes"} total{/if}\&quot;&gt;
                {if $lineItems[j].packageAddonID>0}
                     &lt;td style=\&quot;white-space: nowrap;\&quot; valign=&quot;top&quot;&gt;{"TRANS_ADDON_PREFIX"|lmsg}{$lineItems[j].packageAddonID}&lt;/td&gt;
                {else}
                     &lt;td valign=&quot;top&quot;&gt;{$lineItems[j].packageID}&lt;/td&gt;
                {/if}
                     &lt;td valign=&quot;top&quot;&gt;{$lineItems[j].lineItemDescription|escape:quotes|escape:htmlall}&lt;/td&gt;
                     &lt;td align=&quot;right&quot; valign=&quot;top&quot;&gt;{$lineItems[j].lineItemAmountDue|getAmount:$currencyID|escape:htmlall}&lt;/td&gt;
                     &lt;td valign=&quot;top&quot;&gt;&lt;input type=text onkeyup=&quot;document.getElementById(\'{$formName}_totaldiv\').innerHTML=XKformatNumber(\'{$currencyID} {$localeArray.locale_pattern_currency}\', XKgetFormFieldTotals(document.{$formName}, \'lineItemPayments\'), \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; onblur=&quot;this.value=XKformatNumber(\'{$currencyID} {$localeArray.locale_pattern_currency}\', this.value, \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; size=\&quot;13\&quot; name=\&quot;lineItemPayments[{$lineItems[j].lineItemID}]\&quot; value=\&quot;0.00\&quot; /&gt;&lt;/td&gt;

                &lt;/tr&gt;
        {/section}

                &lt;tr class=&quot;total&quot;&gt;
                     &lt;td&gt; &lt;/td&gt;
                     &lt;td&gt; &lt;/td&gt;
                     &lt;td align=&quot;right&quot;&gt; &lt;strong&gt;{"TRANS_LINEITEM_ADDUP_TOTAL"|lmsg} &lt;/strong&gt;&lt;/td&gt;
                     &lt;td&gt;&lt;div id=&quot;{$formName}_totaldiv&quot;&gt; &lt;/div&gt; &lt;/td&gt;

                &lt;/tr&gt;


                                    &lt;/table&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;
                            &lt;/tbody&gt;

                            &lt;tbody id=\'{$formName}_amount\'&gt;
                            &lt;tr&gt;
                                &lt;td align=\'right\'&gt; {"TRANS_QUICKCREDIT_INVOICE_AMOUNT"|lmsg} &lt;/td&gt;
                                &lt;td&gt;

                                    &lt;input type=&quot;text&quot; onblur=&quot;this.value=XKformatNumber(\'{$currencyID} {$localeArray.locale_pattern_currency}\', this.value, \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; name=&quot;paymentAmount&quot; size=&quot;9&quot; value=&quot;{$defaultCreditAmount|getAmount:$currencyID|escape:htmlall}&quot; /&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;
                            &lt;/tbody&gt;

                            &lt;tr&gt;
                                &lt;td align=\'right\'&gt; {"TRANS_QUICKCREDIT_COMMENTS"|lmsg} &lt;/td&gt;
                                &lt;td&gt;

                                    &lt;input type=&quot;text&quot; name=&quot;paymentComments&quot; size=&quot;25&quot; value=&quot;{"TRANS_CREDIT_COMMENT"|lmsg}&quot; /&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; &lt;/td&gt;
                                &lt;td&gt;&lt;input type=\'submit\' value=\'{"TRANS_CREDIT_APPLY"|lmsg}\' /&gt;&lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;/table&gt;
                        &lt;/fieldset&gt;
                    &lt;/form&gt;',
                        BGCLASS,
                        'popupBG',
                        FGCLASS,
                        'popupFG',
                        CENTER,
                        STICKY,
                        CAPTION,
                        '{"TRANS_QUICK_APPLY_CREDIT"|lmsg}',
                        CLOSECLICK,
                        CLOSETEXT,
                        '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');"
                        onmouseout="return nd();"> {/strip}
                        <img align="middle" src="{$imageDirectory}/ico/055.gif" width="16" height="16" alt="{"TRANS_QUICK_APPLY_CREDIT"|lmsg}" title="{"TRANS_QUICK_APPLY_CREDIT"|lmsg}" />
                          {"TRANS_QUICK_APPLY_CREDIT"|lmsg}{if $defaultCreditAmount>0}, {"TRANS_CREDIT_AMOUNT_AVAILABLE"|lmsg} {$defaultCreditAmount|getAmount:$currencyID}{/if}</a>
