{* $Id: quickEditLink.tpl 10845 2007-03-09 00:40:50Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> that allows sorting of that column.
 * We only want to allow sort options if the column has infinite values.
 *
 * This widget also builds a special search box for amount columns, that when you click on
 * the header name, will only search this column using amounts!
 *
 * Smarty Variables:
 *	$editActionName	The action name to get the action id for.
 *	$editID  		The id of the record to edit.
 *	$editKey		The primary key column name of the record to edit.
 *  $editColumn		The the column to edit.
 *	$sortArgs		The sort arguments to pass to the sortLinks widget.
 *	$recordOffset	The current record offset value
 *  $useEditIcon    1 or 0
 *	$imageDirectory	The image directory for this theme.
 *  $extraparam		Extra parameter, if necessary
 *  $extravalue		Extra param value, if necessary
 *  $sid			The current sessionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickEditLink.tpl" useEditIcon=0 editActionName="EditAdminGroupResponse" editName="TRANS_FIRST_NAME" editColumn="clientCompany" editValue="$clients.i.clientCompany"}
 *}
{strip}
<script type="text/javascript">
	/* <![CDATA[ */
	var {$editColumn}QuickEditHtml{$editKey}{$editID} = '
		<div style="white-space: nowrap">
			<form method="post" action="{getFormAction controller="`$fileName`"}">
				<input type="hidden" name="act" value="{getActionID action="$editActionName"}" />
				<input type="hidden" name="{$editKey}" value="{$editID}" />
				<input type="hidden" name="redirectURL" value="{$fileName}" />
				<input type="hidden" name="redirectAction" value="{$actionName}" />
				<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
				<input type="hidden" name="sid" value="{$sid}" />
				{if $extraparam}
					<input type="hidden" name="{$extraparam}" value="{$extravalue|escape|addslashes}" />
				{/if}
				{translate key=$editName}:&nbsp;
				<input id="{$editColumn}Input" type="text" name="{$editColumn}" value="{$editValue|escape|addslashes}" {if $onlyNumbers==1}onkeyup="this.value=XKfilterStringNumbersOnly(this.value);"{/if} onClick="//this.form.{$editColumn}Input.activate();" />
				<input type="submit" name="submit" value="{"TRANS_EDIT"|lmsg}" />
			</form>
		</div>
	';
	/* ]]> */
</script>
<a href="javascript:void(0);" onclick="return overlib(
{$editColumn}QuickEditHtml{$editKey}{$editID},
BGCLASS, 'popupBG',
FGCLASS, 'popupFG',
CAPTIONFONTCLASS, 'popupCaption',
CENTER, STICKY,
CAPTION, '{"TRANS_QUICK_EDIT_ID"|lmsg} {$editID}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=16 height=16 border=0 /&gt;');"
onmouseout="return nd();">
{if $useEditIcon}
<img src="{$imageDirectory}/ico/quickedit.gif" width="16" height="16" alt="{"TRANS_QUICK_EDIT"|lmsg}" title="{"TRANS_QUICK_EDIT"|lmsg}" />
{else}
<img src="{$imageDirectory}/spacer.gif" width="11" height="10" alt="{"TRANS_QUICK_EDIT"|lmsg}" title="{"TRANS_QUICK_EDIT"|lmsg}" />
{/if}
</a>
{/strip}
{assign var="onlyNumbers" value=0}
