{* $Id: PayInvoicesResponse.tpl 10209 2006-12-04 21:35:08Z kbailey $
 * --------------------------------------------------------------
 * This template displays the client dashboard.
 *
 * Smarty Variables:
 *  $invoices (array of invoice data)
 *  $packages (array of package data)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Michael Fountain
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/header.tpl" tabMajor="dashboard"}


    {if $paymentError==1}
		<fieldset>
			<legend><img src="{$imageDirectory}/ico/invoice-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {"TRANS_PAYMENT_ERROR"|lmsg}</legend>
            <table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
                <tr>
                    <td style="text-align: center;">
                        {$paymentErrorText}
                    </td>
                </tr>
            </table>
        </fieldset>

    {else}

		<fieldset>
			<legend><img src="{$imageDirectory}/ico/invoice-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {"TRANS_INVOICES_RECEIPT"|lmsg}</legend>
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
            <tr class="headerRow">
                <td>
                    {"TRANS_INVOICE_NUMBER"|lmsg}
                </td>
	            <td>
		            {"TRANS_DATE_GENERATED"|lmsg}
	            </td>
	            <td>
		            {"TRANS_DATE_DUE"|lmsg}
	            </td>
            </tr>
            {section name=i loop=$invoices}
                <tr>
                    <td>
                        {$invoices[i].invoiceNumber}
                    </td>
	                <td>
		                {$invoices[i].invoiceDateEntered|getDate}
	                </td>
	                <td>
		                {$invoices[i].invoiceDateDue|getDate}
	                </td>
                </tr>
        {* not handling this right now
                <tr>
                    <td colspan="3" style="text-align: right;" align="right">

        <table width="100%" bgcolor="#FFFFFF" align="right" class="list">
        <tr>
            <td>{"TRANS_PACKAGE_ID"|lmsg}</td>
            <td colspan="2">{"TRANS_DESCRIPTION"|lmsg}</td>
            <td>{"TRANS_BEGIN"|lmsg}</td>
            <td>{"TRANS_CURRENT"|lmsg}</td>
            <td>{"TRANS_NEXT_RENEWAL"|lmsg}</td>
            <td>{"TRANS_QUANTITY_ABBR"|lmsg}</td>
        </tr>
        {assign var="lineItems" value=$invoices[i].lineItems.lineItem}
        {assign var="inaddons" value="no"}
        {section name="j" loop=$lineItems}
                {if $lineItems[j].packageAddonID>0}
                    {if $inaddons=="no"}
                        {assign var="inaddons" value="yes"}
                        <tr class="alt1">
                            <td><i>{"TRANS_ADDONS"|lmsg}</i></td>
                            <td colspan="5"><i>{"TRANS_DESCRIPTION"|lmsg}</i></td>
                            <td><i>{"TRANS_QUANTITY_ABBR"|lmsg}</i></td>
                        </tr>
                    {/if}
                        <tr>
                            <td>{$lineItems[j].packageAddonID}</td>
                            <td colspan="5">{$lineItems[j].lineItemDescription}</td>
                            <td>{$lineItems[j].lineItemQuantity}</td>
                        </tr>


                {else}
                {assign var="inaddons" value="no"}
                <tr class="alt1 total">
                    <td>{$lineItems[j].packageID}</td>
                    <td colspan="2">{$lineItems[j].lineItemDescription}</td>
                    <td>{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                    <td>{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                    <td>{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                    <td>{$lineItems[j].lineItemQuantity}</td>
                </tr>
                {/if}
        {/section}
        </table>


                    </td>
                </tr>
*}
            {/section}
			</table>

            <table width="100%" border="0" cellspacing="0" cellpadding="0" class="list">
                <tr>
                    <td class="title">{"TRANS_PAYMENT_STATUS_OPTION"|lmsg}</td>
                    <td><strong>{$paymentStatus}</strong></td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_PAYMENT_NOTES_OPTION"|lmsg}</td>
                    <td><strong>{$paymentNotes|safetyhtml}</strong></td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_PAYMENT_AMOUNT_OPTION"|lmsg}</td>
                    <td><strong>{$payTotal|getAmount:$currencyID}</strong></td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_GATEWAY_AUTHORIZATION_CODE"|lmsg}</td>
                    <td><strong>{$authorizationCode}</strong></td>
                </tr>
                <tr>
                    <td class="title">{"TRANS_TRANSACTION_ID"|lmsg}</td>
                    <td><strong>{$transactionID}</strong></td>
                </tr>
            </table>

		</fieldset>{* box07 *}
        <br />

        {/if}

{include file="$tplDirectory/footer.tpl"}
