{* $Id: CancelPackage.tpl 12256 2007-11-19 17:42:33Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of packages.
 *
 * Smarty Variables:
 *	$packages (array of packages that match criteria)
 *
 *}



{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}


{if $package.packageID<1}
	<strong>{"TRANS_INVALID_PACKAGE"|lmsg}</strong>
{else}

	<fieldset>
		<legend>{"TRANS_CANCEL_PACKAGE_HEADER"|lmsg}</legend>

		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
			<tr>
				<td>
					{"TRANS_ID"|lmsg}
				</td>
				<td>
					{"TRANS_NAME"|lmsg}
				</td>
				<td>
					{"TRANS_PRICE"|lmsg}
				</td>
				<td>
					{"TRANS_BILLING_CYCLE"|lmsg}
				</td>
				<td>
					{"TRANS_NEXT_RENEWAL"|lmsg}
				</td>
			</tr>

			<tr class="{cycle values="alt1,alt2"}">
				<td>
					{$package.packageID}
				</td>
				<td>
					{$package.packageName}
				</td>
				<td style="text-align: right;">
					{$package.packagePrice|getAmount:$package.currenyID}
				</td>
				<td>
					{$package.cycleID|getArrayValueByID:$cycles}
				</td>
				<td>
					{$package.packageDateNextRenewal|getDate:short}
				</td>
			</tr>

		</table>

		<br />

		<form method="post" action="{getFormAction controller="packages"}">
			<input type="hidden" name="act" value="{getActionID action="CancelPackageResponse"}">
			<input type="hidden" name="packageID" value="{$package.packageID}">
			<input type="hidden" name="sid" value="{$sid}">

			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">

			{if $package.packagePendingCancellation==0}

				{if $immediately==1}

					<tr>
						<td>{"TRANS_CANCEL_PACKAGE_IMMEDIATELY_DESC"|lmsg}</td>
					</tr>
					<tr>
						<td><input type="hidden" name="desiredAction" value="cancel">
						<input class="submit" type="submit" value="{"TRANS_CANCEL_PACKAGE_IMMEDIATELY"|lmsg}"> <input class="button" type="button" value="{"TRANS_DO_NOT_CANCEL"|lmsg}" onclick="history.go(-1);"></td>
					</tr>

				{else}

					<tr>
						<td>{"TRANS_CANCEL_PACKAGE_FUTURE_DESC"|lmsg}</td>
					</tr>
					<tr>
						<td>{"TRANS_PACKAGE_NEXT_RENEWAL_DATE"|lmsg} <strong>{$package.packageDateNextRenewal|getDate:short}</strong></td>
					</tr>
					<tr>
						<td><input type="hidden" name="desiredAction" value="cancel">
						<input class="submit" type="submit" value="{"TRANS_CANCEL_PACKAGE_FUTURE"|lmsg}"> <input class="button" type="button" value="{"TRANS_DO_NOT_CANCEL"|lmsg}" onclick="history.go(-1);"></td>
					</tr>

				{/if}

			{elseif $package.packagePendingCancellation==1}

				<tr>
					<td>{"TRANS_PACKAGE_CANCELLED_BY_CLIENT"|lmsg}</td>
				</tr>
				<tr>
					<td><input type="hidden" name="desiredAction" value="uncancel">
					<input class="submit" type="submit" value="{"TRANS_WITHDRAW_PACKAGE_CANCELLATION"|lmsg}"> <input class="button" type="button" value="{"TRANS_BACK"|lmsg}" onclick="history.go(-1);"></td>
				</tr>

			{elseif $package.packagePendingCancellation==2}

				<tr>
					<td>{"TRANS_PACKAGE_CANCELLED_BY_ADMIN"|lmsg}</td>
				</tr>
				<tr>
					<td><input type="hidden" name="desiredAction" value="uncancel">
					<input class="button" type="button" value="{"TRANS_BACK"|lmsg}" onclick="history.go(-1);"></td>
				</tr>

			{/if}

			</table>

		</form>

	</fieldset>


{/if}


{include file="$tplDirectory/footer.tpl"}
