{* $Id: ShowPanelOptions.tpl 11815 2007-08-27 22:22:11Z kbailey $
 * --------------------------------------------------------------
 * This template displays a list of packages.
 *
 * Smarty Variables:
 *	$packages (array of packages that match criteria)
 *
 *}
{strip}
{/strip}
{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}
{assign var="packageID" value=$package.packageID}
<fieldset>
	<legend><img src="{$imageDirectory}/ico/package-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {"TRANS_PACKAGE_DETAILS"|lmsg}</legend>
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
	<tbody>
	<tr class="headerRow">
		<td style="text-align: center;">{"TRANS_PACKAGE_ID"|lmsg}</td>
		<td style="text-align: center; white-space: nowrap;">{"TRANS_NAME"|lmsg}</td>
		<td style="text-align: center; white-space: nowrap;">{"TRANS_TYPE"|lmsg}</td>
		<td style="text-align: center; white-space: nowrap;">{"TRANS_STATUS"|lmsg}</td>
	</tr>
	<tr class="alt1">
		<td>{$package.packageID}</td>
		<td>{$package.packageName}</td>
		<td>{assign var="thisType" value=$package.packageType} {$packageTypes.$thisType}</td>
		<td>{assign var="thisStatus" value=$package.packageStatus} {$packageStatuses.$thisStatus}</td>
	</tr>
	</table>
</fieldset>
<br />
{if !$numConfigGroups}
	<strong>{"TRANS_NO_PANELS_FOUND"|lmsg}</strong>
{else}
	<fieldset>
		<legend>{"TRANS_AVAILABLE_PANELS"|lmsg}</legend>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="list">
		<tr class="headerRow">
			<td style="text-align: center;">
				{"TRANS_ID"|lmsg}
			</td>
			<td style="text-align: center; white-space: nowrap;">
				{"TRANS_SERVER_GROUP"|lmsg}
			</td>
			<td style="text-align: center; white-space: nowrap;">
				{"TRANS_PANEL_NAME"|lmsg}
			</td>
			<td style="text-align: center; white-space: nowrap;">
				{"TRANS_USERNAME"|lmsg}
			</td>
			<td style="text-align: center; white-space: nowrap;">
				{"TRANS_ACTIONS"|lmsg}
			</td>
		</tr>
	{foreach from=$configGroups item=configGroup key=configGroupID}
		<tr class="{cycle values="alt1,alt2"}">
			<td style="text-align: center;">
				{$configGroupID}
			</td>
			<td>
				{$configGroup.serverGroup.0.serverGroupName}
			</td>
			<td>
				{assign var=tempTransKey value=$configGroup.configGroupTransKey}
				{if $smarty.const.$tempTransKey}
					{$smarty.const.$tempTransKey}
				{else}
					{$configGroup.configGroupTransKey}
				{/if}
			</td>

			<td>
				{$configGroup.panelUsername}
			</td>
			<td>
				{if $configGroup.panelCapabilities.PANEL_CLIENTLOGIN && $configGroup.panelConfig.allowClientLogin}
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="packages.php"
						actionName="ShowPanelClientLogin"
						args="packageID=$packageID&configGroupID=$configGroupID"
						icoImage="view"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_PANEL_LOGIN"
						titleText="TRANS_PANEL_LOGIN"
						linkText="TRANS_PANEL_LOGIN"
						noSpace="1"
						target="_blank"
					}
				{/if}
			</td>
		</tr>
	{/foreach}
		</table>
	</fieldset>
{/if}

{include file="$tplDirectory/footer.tpl"}
