{*
 * --------------------------------------------------------------
 * This template displays a form to edit a BillingAccount.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{php}$GLOBALS['__pagePath'] = array('TRANS_MENU_CLIENT_PROFILE_BILLING_ACCOUNTS', 'TRANS_ADD_BILLING_ACCOUNT', '');{/php}
{include file="$tplDirectory/header.tpl" tabMajor="profile" tabMinor="billing"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

		<fieldset>
			<legend><img src="{$imageDirectory}/ico/billing-icon.gif" width="30" height="30" border="0" alt="" align="absmiddle" /> {"TRANS_ADD_BILLING_ACCOUNT"|lmsg}</legend>
			<div>
				<form method="post" name="billing" id="billing" action="{getFormAction controller="profile"}" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
				<input type="hidden" name="act" value="{getActionID action="AddBillingAccountResponse"}" />
				<input type="hidden" name="sid" value="{$sid}" />
				<input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}" />

				<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
				<tbody>
				<tr class="{if $invalid.billingAccountType}highlight{/if}">
					<td class="title">{"TRANS_TYPE"|lmsg}</td>
					<td>
						{foreach from=$billingAccountTypes item=billingAccountType key=key}
							<label for="type_{$key}"><input onclick="updateTypeEnableState()" id="type_{$key}" type="radio" name="billingAccountType" value="{$key}" {if $key == $formValues.billingAccountType}checked="checked"{/if} /> {$billingAccountType}</label>
							<br />
						{/foreach}

						{* {html_radios name="billingAccountType" separator="<br />" options=$billingAccountTypes selected=$formValues.billingAccountType} *}
						{$invalid.billingAccountType}
					</td>
				</tr>
				{if $isPrimary}
				<tr>
					<td class="title">{"TRANS_DEFAULT"|lmsg}</td>
					<td>
						<label for="defaultBillingAccount">
							<input id="defaultBillingAccount" type="checkbox" name="defaultBillingAccount" value="1" />
							- {"TRANS_THIS_ACCOUNT_IS_THE_DEFAULT_BILLING_ACCOUNT_FOR_THIS_CLIENT"|lmsg}
						</label>
					</td>
				</tr>
				{/if}
				</table>

				<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
				<tbody>
				<tr>
					<td valign="top" id="ccard_account" style="display: none;">
						{if $billingAccountTypes.0}
						<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
						<tr>
							<td colspan="2" class="headerRow">{"TRANS_CREDIT_CARD_ACCOUNT_LEGEND"|lmsg}</td>
						</tr>
						<tr class="{if $invalid.billingCardNameOnCard}highlight{/if}">
							<td class="title"><label for="billingCardNameOnCard">{"TRANS_NAME_ON_CARD"|lmsg}</label></td>
							<td><input size="25" maxlength="75" type="text" id="billingCardNameOnCard" name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard|safetyhtml}" /> {$invalid.billingCardNameOnCard}</td>
						</tr>
						<tr class="{if $invalid.billingCardType}highlight{/if}">
							<td class="title"><label for="billingCardType">{"TRANS_TYPE"|lmsg}</label></td>
							<td><select id="billingCardType" name="billingCardType" onchange="updateCardExtraEnableState()"> {html_options options=$cardTypes selected=$formValues.billingCardType} </select> {$invalid.billingCardType}</td>
						</tr>
						<tr class="{if $invalid.billingCardNum}highlight{/if}">
							<td class="title"><label for="billingCardNum">{"TRANS_CARD_NUMBER"|lmsg}</label></td>
							<td><input size="16" maxlength="19" type="text" id="billingCardNum" name="billingCardNum" value="" /> {$invalid.billingCardNum}</td>
						</tr>
						<tr class="{if $invalid.billingCardExpMonth}highlight{/if}">
							<td class="title"><label for="billingCardExpMonth">{"TRANS_EXPIRY_MONTH"|lmsg}</label></td>
							<td><input size="2" maxlength="2" type="text" id="billingCardExpMonth" name="billingCardExpMonth" value="{$formValues.billingCardExpMonth|safetyhtml}" /> {$invalid.billingCardExpMonth}</td>
						</tr>
						<tr class="{if $invalid.billingCardExpYear}highlight{/if}">
							<td class="title"><label for="billingCardExpYear">{"TRANS_EXPIRY_YEAR"|lmsg}</label></td>
							<td><input size="4" maxlength="4" type="text" id="billingCardExpYear" name="billingCardExpYear" value="{$formValues.billingCardExpYear|safetyhtml}" /> {$invalid.billingCardExpYear}</td>
						</tr>
						<tr class="{if $invalid.billingCardIssueNum}highlight{/if}">
							<td class="title"><label for="billingCardIssueNum">{"TRANS_ISSUE_NUMBER"|lmsg}</label></td>
							<td><input size="3" maxlength="3" type="text" id="billingCardIssueNum" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum|safetyhtml}" /> {$invalid.billingCardIssueNum}</td>
						</tr>
						<tr class="{if $invalid.billingCardStartDate}highlight{/if}">
							<td class="title"><label for="billingCardStartDate">{"TRANS_START_DATE"|lmsg}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingCardStartDate" name="billingCardStartDate" value="{$formValues.billingCardStartDate|safetyhtml}" /> {$invalid.billingCardStartDate}</td>
						</tr>
						</table>
						{/if}
					</td>

					<td valign="top" id="bank_account" style="display: none;">
						<table border="0" cellpadding="0" cellspacing="0" class="list" width="100%">
						<tr>
							<td colspan="2" class="headerRow">{"TRANS_BANK_ACCOUNT"|lmsg}</td>
						</tr>
						<tr class="{if $invalid.billingBankName}highlight{/if}" id="row_billingBankName">
							<td class="title"><label for="billingBankName" id="label_billingBankName">{"TRANS_BANK_NAME"|lmsg}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankName" name="billingBankName" value="{$formValues.billingBankName|safetyhtml}" /> {$invalid.billingBankName}</td>
						</tr>
						<tr class="{if $invalid.billingBankState}highlight{/if}" id="row_billingBankState">
							<td class="title"><label for="billingBankState">{"TRANS_BANK_STATE"|lmsg}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankState" name="billingBankState" value="{$formValues.billingBankState|safetyhtml}" /> {$invalid.billingBankState}</td>
						</tr>
						<tr class="{if $invalid.billingBankType}highlight{/if}" id="row_billingBankType">
							<td class="title"><label for="billingBankType">{"TRANS_TYPE"|lmsg}</label></td>
							<td><select id="billingBankType" name="billingBankType"> {html_options options=$bankAccountTypes selected=$formValues.billingBankType} </select> {$invalid.billingBankType}</td>
						</tr>
						<tr class="{if $invalid.billingBankAbaCode}highlight{/if}" id="row_billingBankAbaCode">
							<td class="title"><label for="billingBankAbaCode" id="label_billingBankAbaCode">{"TRANS_ROUTING_NUMBER"|lmsg}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankAbaCode" name="billingBankAbaCode" value="{$formValues.billingBankAbaCode|safetyhtml}" /> {$invalid.billingBankAbaCode}</td>
						</tr>
						<tr class="{if $invalid.billingBankAccountNum}highlight{/if}" id="row_billingBankAccountNum">
							<td class="title"><label for="billingBankAccountNum" id="label_billingBankAccountNum">{"TRANS_ACCOUNT_NUMBER"|lmsg}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankAccountNum" name="billingBankAccountNum" value="" /> {$invalid.billingBankAccountNum}</td>
						</tr>
						<tr class="{if $invalid.billingBankLicenseNum}highlight{/if}" id="row_billingBankLicenseNum">
							<td class="title"><label for="billingBankLicenseNum">{"TRANS_LICENSE_NUMBER"|lmsg}</label></td>
							<td><input size="20" maxlength="20" type="text" id="billingBankLicenseNum" name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum|safetyhtml}" /> {$invalid.billingBankLicenseNum}</td>
						</tr>
						<tr class="{if $invalid.billingBankLicenseState}highlight{/if}" id="row_billingBankLicenseState">
							<td class="title"><label for="billingBankLicenseState">{"TRANS_LICENSE_STATE"|lmsg}</label></td>
							<td><input size="25" maxlength="50" type="text" id="billingBankLicenseState" name="billingBankLicenseState" value="{$formValues.billingBankLicenseState|safetyhtml}" /> {$invalid.billingBankLicenseState}</td>
						</tr>
						<tr class="{if $invalid.billingBankDob}highlight{/if}" id="row_billingBankDob">
							<td class="title"><label for="billingBankDob">{"TRANS_DOB"|lmsg}</label></td>
							<td><input size="25" maxlength="25" type="text" id="billingBankDob" name="billingBankDob" value="{$formValues.billingBankDob|safetyhtml}" /> {$invalid.billingBankDob}</td>
						</tr>
						</table>
					</td>

				</tr>
<tr>
	<td valign="top" id="ddbp_account" style="display:none;">
		<fieldset>
		<legend>{"TRANS_DDBP_ACCOUNT_LEGEND"|lmsg}</legend>
		<table width="100%" border="0">
			<tr>
				<td class="title"><label>{"TRANS_SELECT_DDBP_ACCOUNT_TYPE_OPT"|lmsg}</label></td>
				<td>
				<table width="100%" border="0" cellpadding="2" cellspacing="0">
				{section name=ddbp_acc_i loop=$ddbp_accounts}
					{assign var="gatewayID" value=$ddbp_accounts[ddbp_acc_i].gateway_id}
					{assign var="gatewayName" value=$ddbp_accounts[ddbp_acc_i].gateway_name}
					{assign var="gatewayDesc" value=$ddbp_accounts[ddbp_acc_i].gateway_desc}
					{if $smarty.section.ddbp_acc_i.iteration == 1}
						{assign var="firstDDBPAccountID" value=$gatewayID}
					{/if}
					<tr><td><label for="ddbp_type_{$gatewayID}"><input type="radio" onclick="updateDDBPAccountState({$gatewayID})" id="ddbp_type_{$gatewayID}" name="selected_ddbp_gateway_id" value="{$gatewayID}" {if $selected_ddbp_gateway_id == $gatewayID OR (! $selected_ddbp_gateway_id AND $smarty.section.ddbp_acc_i.iteration == 1)}checked{/if}>&nbsp;{$gatewayName}{if $gatewayDesc}&nbsp;({$gatewayDesc}){/if}</label></td></tr>
				{/section}
				</table>
				</td>
			</tr>
		{section name=ddbp_acc_i loop=$ddbp_accounts}
			{assign var="thisDDBPAccount" value=$ddbp_accounts[ddbp_acc_i]}
			<tr id="ddbp_account_{$thisDDBPAccount.gateway_id}">
			<td colspan="2">
				<table width="100%" border="0">
				{section name=fields_i loop=$thisDDBPAccount.fields}
					{assign var="fieldName" value=$thisDDBPAccount.fields[fields_i].field_name}
					{assign var="fieldTitle" value=$thisDDBPAccount.fields[fields_i].field_title}
					{assign var="fieldDesc" value=$thisDDBPAccount.fields[fields_i].field_desc}
					<tr {if $invalid.$fieldName}class="highlight"{/if}>
						<td class="title"><label for="$fieldName">{$fieldTitle|lmsg}</label>:</td>
						<td>
							<input size="50" maxlength="50" type="text" style="width:175px;" id="{$fieldName}" name="{$fieldName}" value="{$formValues.$fieldName|safetyhtml}" /> {$invalid.$fieldName}
							<div class="hint">{$fieldDesc|lmsg}</div>
						</td>
					</tr>
				{/section}
				</table>
			</td></tr>
		{/section}
		</table>
	</td>
</tr>
				<tr>
					<td class="headerRow">{"TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR"|lmsg}</td>
				</tr>
				<tr>
					<td>
						{include file="$tplDirectory/widgets/comboBox.tpl"
							comboTitleLeft=TRANS_SELECTED
							comboNameLeft="packages"
							comboOptionsLeft=$selectedPackages

							comboTitleRight=TRANS_SELECTABLE
							comboNameRight="selectablePackages"
							comboOptionsRight=$selectablePackages
							formName="billing"
							submitName="suppress"
						}
					</td>
				</tr>


				<tr class="listButtons">
					<td colspan="2"><div>
						<input class="submit" type="submit" name="submit" value="{"TRANS_SAVE_CHANGES"|lmsg}" />
				{* 		<input class="reset" type="reset" value="{"TRANS_RESET"|lmsg}" onclick="updateTypeEnableState()" /> *}
					</div></td>
				</tr>

				</table>

				</form>

			</div>
		</fieldset>

<script type="text/javascript">
	{literal}
	function showCCardAccount()
	{
		document.getElementById('ccard_account').style.display="";
		document.getElementById('ddbp_account').style.display="none";
		document.getElementById('bank_account').style.display="none";
	}
	function showBankAccount()
	{
		document.getElementById('ccard_account').style.display="none";
		document.getElementById('ddbp_account').style.display="none";
		document.getElementById('bank_account').style.display="";

		document.getElementById('row_billingBankName').style.display="";
		document.getElementById('row_billingBankAbaCode').style.display="";
		document.getElementById('row_billingBankAccountNum').style.display="";
		document.getElementById('row_billingBankState').style.display="";
		document.getElementById('row_billingBankType').style.display="";
		document.getElementById('row_billingBankLicenseNum').style.display="";
		document.getElementById('row_billingBankLicenseState').style.display="";
		document.getElementById('row_billingBankDob').style.display="";
	}
	function hideAccount()
	{
		document.getElementById('ccard_account').style.display="none";
		document.getElementById('bank_account').style.display="none";
		document.getElementById('ddbp_account').style.display="none";
	}

	function updateTypeEnableState() {
		if (document.getElementById('type_0') && document.getElementById('type_0').checked) {
			showCCardAccount();
			updateCardExtraEnableState();
		} else if ((document.getElementById('type_3') && document.getElementById('type_3').checked) || (document.getElementById('type_4') && document.getElementById('type_4').checked)) {
			hideAccount();
		} else if (document.getElementById('type_6') && document.getElementById('type_6').checked) {
			showDDBPAccount();
		} else {
			showBankAccount();
		}
	}
	updateTypeEnableState();

	function hideAllDDBPAccounts()
	{
		{/literal}{section name=ddbp_acc_i loop=$ddbp_accounts}
			{assign var="gatewayID" value=$ddbp_accounts[ddbp_acc_i].gateway_id}{literal}
			document.getElementById('ddbp_account_{/literal}{$gatewayID}{literal}').style.display="none";
		{/literal}{/section}{literal}
	}

	function showDDBPAccount(gateway_id)
	{
		if (!gateway_id) {
			document.getElementById('ccard_account').style.display="none";
			document.getElementById('ddbp_account').style.display="";
			document.getElementById('bank_account').style.display="none";
		} else {
			document.getElementById('ddbp_account_'+gateway_id).style.display="";
		}
	}

	function updateDDBPAccountState(gateway_id) {
		hideAllDDBPAccounts();
		showDDBPAccount(gateway_id);
	}

	{/literal}{if isset($selected_ddbp_gateway_id) || isset($firstDDBPAccountID)}{literal}
	updateDDBPAccountState({/literal}{if $selected_ddbp_gateway_id}{$selected_ddbp_gateway_id}{else}{$firstDDBPAccountID}{/if}{literal});
	{/literal}{/if}{literal}

	function updateCardExtraEnableState() {

		cardExtraTypes = Array({/literal}{strip}
			{assign var="comma" value=0}
			{section name=iter loop=$cardExtraTypes}
				{if $comma}, {/if}
				{$cardExtraTypes[iter]}
				{assign var="comma" value=1}
			{/section}
		{/strip})
		{literal}
		if (document.getElementById('type_0').checked) {
			selected = document.getElementById('billingCardType').selectedIndex;
			c = cardExtraTypes.length;
			cardExtraTypeSelected = false;
			for(i = 0; i < c; i++) {
				cardExtraType = cardExtraTypes[i];
				if(cardExtraType == selected) {
					cardExtraTypeSelected = true;
				}
			}
			if(cardExtraTypeSelected) {
				document.getElementById('billingCardIssueNum').disabled=false;
				document.getElementById('billingCardStartDate').disabled=false;
			} else {
				document.getElementById('billingCardIssueNum').disabled=true;
				document.getElementById('billingCardStartDate').disabled=true;
			}
		}
	}
	updateCardExtraEnableState();
	{/literal}
</script>

{include file="$tplDirectory/footer.tpl"}
