{* $Id: actionLink.tpl 10559 2007-01-23 18:02:40Z kbailey $
 * --------------------------------------------------------------
 * This widget template creates a single action link.
 *
 * Example Usage:
    {include file="$tplDirectory/widgets/actionLink.tpl"
        page=""
        actionName=""
        javascriptLink=""
        args=""
        icoImage=""
        icoWidth=""
        icoHeight=""
        icoStyle=""
        altText=""
        titleText=""
        linkText=""
        noSpace=""}
 *
 * Author: Michael Fountain
 *}

{if 0 === strncmp($altText, "TRANS_", 6)}
	{assign var="altText" value=$smarty.const.$altText}
{/if}
{if 0 === strncmp($titleText, "TRANS_", 6)}
	{assign var="titleText" value=$smarty.const.$titleText}
{/if}
{if 0 === strncmp($linkText, "TRANS_", 6)}
	{assign var="linkText" value=$smarty.const.$linkText}
{/if}

{************************ ADD AS NEEDED ************************}
{if $icoImage=="view"}
    {assign var="icoImage" value="data_view.gif"}
{elseif $icoImage=="edit"}
    {assign var="icoImage" value="data_edit.gif"}
{elseif $icoImage=="remove"}
    {assign var="icoImage" value="data_delete.gif"}
{elseif $icoImage=="details"}
    {assign var="icoImage" value="data_details.gif"}
{elseif $icoImage=="addons"}
    {assign var="icoImage" value="cubes.gif"}
{elseif $icoImage=="upgrade"}
    {assign var="icoImage" value="arrow_up_blue.gif"}
{elseif $icoImage=="downgrade"}
    {assign var="icoImage" value="arrow_down_blue.gif"}
{elseif $icoImage=="uncancel"}
    {assign var="icoImage" value="data_next.gif"}
{elseif $icoImage=="cancel"}
    {assign var="icoImage" value="data_stop.gif"}
{/if}

{if $icoWidth==""}
    {assign var="icoWidth" value="16"}
{/if}

{if $icoHeight==""}
    {assign var="icoHeight" value="16"}
{/if}

{if $icoStyle==""}
    {assign var="icoStyle" value="vertical-align:middle;border-style:none;"}
{/if}

{if $titleText==""}
    {assign var="titleText" value=$altText}
{/if}

{strip}
{if $icoImage != ""}
    <a href="{getHREF page="$page" actionName="$actionName" args="$args"}"{if $target != ""} target="{$target}"{/if}>
	    <img src="{$imageDirectory}/ico/{$icoImage}" width="{$icoWidth}" height="{$icoHeight}" style="{$icoStyle}" alt="{$altText|safetyhtml}" title="{$titleText|safetyhtml}" />
    </a>
{/if}
{if $linkText != ""}
    {if $icoImage != ""}
        {if $noSpace != "1"}&nbsp;{/if}
    {/if}
    <a href="{if $page}{getHREF page="$page" actionName="$actionName" args="$args"}{else}javascript:{$javascriptLink}{/if}"{if $target != ""} target="{$target}"{/if}>
        {$linkText|safetyhtml}
    </a>
{/if}
{/strip}
