<div class="screenBody" id="login">
{if $redirectToPlesk}
	<div style="text-align: center;">
		{translate key="TRANS_YOU_MUST_CONFIGURE_PLESK_BEFORE_USING_MODERNBILL"}<br />
		<input type="button" class="button" value="{"TRANS_CONTINUE_TO_PLESK"|lmsg}" onclick="document.location.href='https://{$serverName}:8443';">
	</div>
{else}
	{include file="$commonTplDirectory/login/MessageBox.tpl"}
	<div class="formArea">
		<form name="login" method="post" action="{getFormAction controller="login"}">

		{if ($redirectActionID && $redirectActionFile)}
		<input type="hidden" name="redirectActionID" value="{$redirectActionID|safetyhtml}" />
		<input type="hidden" name="redirectActionFile" value="{$redirectActionFile|safetyhtml}" />
		<input type="hidden" name="redirectArgs" value="{$loginRedirectArgs|safetyhtml}" />
		{/if}
		<input type="hidden" name="act" value="{getActionID action="LoginResponse"}" />

		<table cellspacing="0" cellpadding="0" width="100%">
		<tr><td id="loginTitle">{$form_title}</td></tr>
		<tr><td id="loginForm">

			<p>{translate key="TRANS_LOGIN_TEXT"}</p>
			<p>{translate key="TRANS_IP_LOGGING_ENABLED"}: {$userIP}</p>

			<table class="formFields" cellspacing="0" width="100%">
			<tr>
				<td class="name"><label for="user_name">{translate key="TRANS_USERNAME"}</label></td>
				<td><input type="text" name="user_name" id="user_name" value="" size="25" maxlength="501" tabindex="1"></td>
			</tr>
			</table>
			<table class="formFields" cellspacing="0" width="100%">
			<tr>
				<td class="name"><label for="fid-user_password">{translate key="TRANS_PASSWORD"}</label></td>
				<td><INPUT maxlength="255" tabindex="2" name="user_password" id="fid-user_password" type="password" value="" size="25"></td>
			</tr>
			</table>
			<div class="formButtons">
				<table width="100%" cellspacing="0">
				<tr>
					<td class="main" id="get_password">
						<a href="{getHREF page="login.php" actionName="ShowForgottenPassword"}">{translate key="TRANS_FORGOT_YOUR_PASSWORD"}</a>
					</td>
					<td class="misc">
						<DIV class="commonButton" id="bid-login">
							<BUTTON name="bname_login" tabindex="3" id="buttonid-login" type="submit">{translate key="TRANS_LOGIN"}</BUTTON>
							<SPAN id="spanid-login">{translate key="TRANS_LOGIN"}</SPAN>
						</DIV>
					</td>
				</tr></table>
			</div>
		</td></tr>
		</table>
	</div>
{/if}
</div>