<?php

class ForgotPasswordAction extends CartAction {

	public function execute($request) {
		$this->form = new BillingForgotPasswordForm();
		if ($request->isMethod('post')) {
			try {

				$this->form->bind($request->getParameter($this->form->getName()));
				if (!$this->form->isValid()) {
					throw new BillingFormException();
				}
				$this->form->save();
				sfContext::getInstance()->getUser()->setAttribute('infoMessage', 'TRANS_NEW_PASSWORD_SEND_SUCCESSFULLY');
				$this->_router->next();
			} catch (StoreException $exception) {
				$this->error = 'TRANS_FORGOT_PASSWORD_EMAIL_WASNT_SENT';
			}
		}
	}
	
}