<?php use_helper('BillingFormat'); ?>
<div id="main" class="">
	<div class="p-store-order">

		<div class="p-box p-box-info-msg p-box-success-info-msg">
			<div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
			<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
				<div class="p-box-content">
					<table class="t-msg-info"><tr><td class="msg-info-container"><i class="b-icon"><i></i></i><b><?php echo __('TRANS_YOUR_ORDER_HAS_BEEN_PROCESSED'); ?></b></td></tr></table>
				</div>
			</div></div></div>
			<div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
		</div>

		<div class="p-box">
			<div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
			<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
				<div class="p-box-title p-box-title-1">
					<div class="p-box-title-area">
						<h1><span><?php echo __('TRANS_THANK_YOU_FOR_PURCHASING_OUR_PRODUCT'); ?></span></h1>
					</div>

				</div>
				<div class="p-box-content">
					<p><?php echo __('TRANS_THANK_YOU_FOR_PURCHASING_OUR_PRODUCT_DESCR'); ?></p>
					<div class="b-form">
						<table class="t-form">
							<tbody>
								<tr>
									<td class="field-name"><?php echo __('TRANS_INVOICE_ID'); ?></td>
									<td class="field-value"><b><?php echo $checkoutData['invoice']['invoiceNumber']; ?></b></td>
								</tr>
								<tr>
									<td class="field-name"><?php echo __('TRANS_INVOICE_AMOUNT'); ?></td>
									<td class="field-value"><b><?php echo formatPrice($checkoutData['invoice']['invoiceAmount'], $currencyId); ?></b></td>
								</tr>
								<?php if (isset($checkoutData['transaction']) && isset($checkoutData['transaction']['transactionCode']) && $checkoutData['transaction']['transactionCode']): ?>
								<tr>
									<td class="field-name"><?php echo __('TRANS_TRANSACTION_ID'); ?></td>
									<td class="field-value"><b><?php echo $checkoutData['transaction']['transactionCode']; ?></b></td>
								</tr>
								<tr>
									<td class="field-name"><?php echo __('TRANS_TRANSACTION_AMOUNT'); ?></td>
									<td class="field-value"><b><?php echo formatPrice($checkoutData['transaction']['transactionAmount'], $currencyId); ?></b></td>
								</tr>
								<?php endif; ?>
								<?php if ($payForm): ?>
								<tr>
									<td class="field-name thirdparty-gateways-forms" colspan="2">
										<ul>
										<?php foreach($payForm as $payFormItem) : ?>
											<li><?php echo $sf_data->unescape($payFormItem); ?></li>
										<?php endforeach; ?>
										</ul>
									</td>
								</tr>
								<?php endif; ?>
							</tbody>
						</table>
					</div>
					<br />
					<p><?php echo __('TRANS_ORDER_INFORMATION_DESCRIPTION'); ?></p>
					<?php if ($backUrl): ?>
					<p><?php echo __('TRANS_BACK_TO_SITEBUILDER', array('%HREF%' => $sf_data->getRaw('backUrl'))); ?></p>
					<?php endif; ?>
				</div>
			</div></div></div>
			<div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
		</div>

		<div class="p-box p-box-note">
			<div class="p-box-tl"><div class="p-box-tr"><div class="p-box-tc"><!----></div></div></div>
			<div class="p-box-ml"><div class="p-box-mr"><div class="p-box-mc">
				<div class="p-box-content">
					<a class="btn btn-note" href="<?php echo formatContinueShoppingUrl($containerCode); ?>"><span><i><?php echo __('TRANS_CONTINUE_SHOPPING'); ?></i></span></a>
					<div class="note note-buy"><i class="b-icon"><i></i></i><?php echo __('TRANS_CONTINUE_SHOPPING_DESCR'); ?></div>
				</div>
			</div></div></div>
			<div class="p-box-bl"><div class="p-box-br"><div class="p-box-bc"><!----></div></div></div>
		</div>

	</div> <!--/p-store-order-->

</div> <!--/#main-->