<?php use_helper('BillingFormat'); ?>
<?php use_helper('BillingEscape'); ?>
<?php if ($register) : ?>
	<?php if ($status[$TLD] && $allowRegister): ?>
		<label><input name="registerTLDs[]" value="<?php echo $TLD; ?>" type="checkbox" class="checkbox"<?php if ($masterTLD == $TLD): ?> checked="checked"<?php endif; ?>/> <?php echo __('TRANS_REGISTER_NOW'); ?></label>
		<select id="price_<?php echo $TLD; ?>" name="price_<?php echo $TLD; ?>">
		<?php foreach ($domain->getPrices() as $price): ?>
			<option value="<?php echo $price->getId(); ?>"><?php echo formatPrice($price->getCycleFee(), $currencyId); ?> for <?php echo __($cycles[$price->cycleID]->cycleDisplayName); ?></option>
		<?php endforeach; ?>
		</select>
		<?php foreach ($domain->getPrices() as $price): ?>
			<div style="display: none;" name="price_data_<?php echo $TLD; ?>" id="price_data_<?php echo $price->getId(); ?>"><?php include_partial('catalog/priceAdditionalData', array('price' => $price, 'currencyId' => $currencyId)); ?></div>
		<?php endforeach; ?>
	<?php endif; ?>
	<script type="text/javascript">
		$("#checking_<?php echo jQueryId($TLD); ?>").hide();
		<?php if ($status[$TLD]): ?>
			$("#available_<?php echo jQueryId($TLD); ?>").show();
		<?php else: ?>
			$("#notAvailable_<?php echo jQueryId($TLD); ?>").show();
		<?php endif; ?>
		$("#price_<?php echo jQueryId($TLD); ?>").change(function () {
			$("div[name='price_data_<?php echo $TLD; ?>']:visible").hide();
			var selectedPrice = $("#price_<?php echo jQueryId($TLD); ?> option:selected").val();
			$("#price_data_" + selectedPrice).show();
		});
		var selectedPrice = $("#price_<?php echo jQueryId($TLD); ?> option:selected").val();
		$("#price_data_" + selectedPrice).show();
	</script>
<?php else: ?>
	<?php if (!$status[$TLD] && $allowTransfer && $domain->hasTransferPrices()): ?>
		<label><input name="transferTLDs[]" value="<?php echo $TLD; ?>" type="checkbox" class="checkbox"<?php if ($masterTLD == $TLD): ?> checked="checked"<?php endif; ?>/> <?php echo __('TRANS_TRANSFER_NOW'); ?></label>
		<select id="price_<?php echo $TLD; ?>" name="price_<?php echo $TLD; ?>">
		<?php foreach ($domain->getTransferPrices() as $price): ?>
			<?php if ($price->hasTransferFee()): ?>
				<option value="<?php echo $price->getId(); ?>"><?php echo formatPrice($price->getTransferFee(), $currencyId); ?> for <?php echo __($cycles[$price->cycleID]->cycleDisplayName); ?></option>
			<?php endif; ?>
		<?php endforeach; ?>
		</select>
		<?php foreach ($domain->getPrices() as $price): ?>
			<div style="display: none;" class="price_data_<?php echo $TLD; ?>" id="price_data_<?php echo $price->getId(); ?>"><?php include_partial('catalog/priceAdditionalData', array('price' => $price, 'currencyId' => $currencyId, 'useTransferFee' => true)); ?></div>
		<?php endforeach; ?>
	<?php endif; ?>
	<script type="text/javascript">
		$("#checking_<?php echo jQueryId($TLD); ?>").hide();
		<?php if (!$status[$TLD]): ?>
			$("#available_<?php echo jQueryId($TLD); ?>").show();
		<?php else: ?>
			$("#notAvailable_<?php echo jQueryId($TLD); ?>").show();
		<?php endif; ?>
		$("#price_<?php echo jQueryId($TLD); ?>").change(function () {
			$("div[name='price_data_<?php echo $TLD; ?>']:visible").hide();
			var selectedPrice = $("#price_<?php echo jQueryId($TLD); ?> option:selected").val();
			$("#price_data_" + selectedPrice).show();
		});
		var selectedPrice = $("#price_<?php echo jQueryId($TLD); ?> option:selected").val();
		$("#price_data_" + selectedPrice).show();
	</script>
<?php endif; ?>