<div class="b-form">
	<table class="t-form">
		<tbody>
			<?php foreach ($form->getFields() as $field): ?>
			<tr id="field_<?php echo $field->getName(); ?>"<?php if ($field->hasViolation()): ?> class="error"<?php endif; ?>>
				<td class="field-name"><label for="<?php echo $field->getName(); ?>"><?php echo $form[$field->getName()]->renderLabel(); ?></label><?php if ($field->required()): ?>&nbsp;<span style="color: rgb(150, 50, 50);">*</span><?php endif; ?></td>
				<td class="field-value">
					<?php echo $form[$field->getName()]->render(); ?>
					<?php if ($field->hasDescription()): ?>
					<div class="hint"><?php echo __($field->getDescription()); ?></div>
					<?php endif; ?>
					<?php if ($field->hasViolation()): ?>
					<div class="hint error-hint"><?php echo __($field->getViolation()); ?></div>
					<?php endif; ?>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<?php echo $form['_csrf_token']; ?>
</div>