<?php

class ComparisonAction extends CatalogAction {
	
	public function execute($request) {
		
		sfContext::getInstance()->getConfiguration()->loadHelpers('BillingPlan');
		
		$this->container = $this->_container;
		$this->store = $this->_store;
		$this->storeId = $this->_store->getId();
		$this->currencyId = $this->_store->currencyID;
		$this->taxZone = $this->getDefaultTaxZone();
		
		$this->plans = array();
		foreach ($this->getPlans()as $plan) {
			if ($plan->productType == BillingPlan::TYPE_HOSTING) {
				$this->plans[$plan->getId()] = $plan;
			}
		}
		
		$attributes = array();
		foreach ($this->plans as $plan) {
			$attributes[$plan->getId()] = preparePlanAttributes($plan, 'comparison');
		}
		
		$attrbiutesGrid = array();
		foreach ($attributes as $planId => $planAttributes) {
			foreach ($planAttributes as $name => $value) {
				if (!isset($attrbiutesGrid[$name])) {
					$attrbiutesGrid[$name] = array();
				}
				$attrbiutesGrid[$name][$planId] = $value;
			}
		}
		
		$this->attrbiutes = $attrbiutesGrid;
		
	}
}