<?php

class ServiceUnavailableAction extends sfAction {
	
	public function execute($request) {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);
		
		$callback = $request->getParameter('callback');
		sfContext::getInstance()->getConfiguration()->loadHelpers('I18N');
		
		return $this->renderText($callback . '(' . json_encode(array('content' => __('TRANS_STORE_SERVICE_TEMPORARY_UNAVAILABLE'))) . ')');
	}
	
}