<?php

class StoreByIdAction extends sfAction {
	
	public function execute($request) {
		try {

			if ($store = ResourceLocator::getInstance()->billingStoreService->getById($request->getParameter('id'))) {
				sfContext::getInstance()->getConfiguration()->loadHelpers('BillingFormat');
				$this->redirect(formatContinueShoppingUrl($store->orderFormCode));
			}
			throw new StoreException();

		} catch (StoreException $exception) {
			throw new sfError404Exception();
		}
		
	}
}