<?php

class HeaderAction extends sfAction {

	public function execute($request) {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);

		$this->returnEmptyString = false;
		if (!$theme = $this->getRequest()->getParameter('theme', false)) {
			return sfView::NONE;
		}

		sfConfig::set("sf_web_css_dir_name", "themes/{$theme}/css");
		sfConfig::set("sf_web_images_dir_name", "themes/{$theme}/images");

		sfContext::getInstance()->getConfiguration()->loadHelpers('Asset');

		$baseUrl = 'http' . ($request->isSecure() ? 's' : '') . '://' . $request->getHost();
		$imagesUrl = $baseUrl . $request->getRelativeUrlRoot() . '/' . sfConfig::get('sf_web_images_dir_name') . '/';

		$this->styles = str_replace('../images/', $imagesUrl, file_get_contents(stylesheet_path('top', true)));
	}
}