<?php

class DomainWidgetAction extends WidgetAction {
	
	public function execute($request) {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);
		
		$this->currencyId = $this->_store->currencyID;
		$this->taxZone = $this->getDefaultTaxZone();
		
		$this->generalStyles = $this->getStyles('general');
		$this->orderStyles = $this->getStyles('order');
		
		$this->container = $this->_container;
		$this->storeId = $this->_store->getId();
		
		if ($domainPlan = $this->_store->getDefaultDomainPlan()) {
			$this->domainPlan = $domainPlan;
		} else {
			throw new BillingObjectException();
		}
	}
	
}