<?php

class DomainWidgetJSAction extends WidgetAction {
	
	public function execute($request) {
		$this->setLayout(false);
		sfConfig::set('sf_web_debug', false);
		
		$generalStyles = $this->getStyles('general');
		$orderStyles = $this->getStyles('order');
		
		if (!$domainPlan = $this->_store->getDefaultDomainPlan()) {
			throw new BillingObjectException();
		}
		$parameters = array(
			'container' => $this->_container,
			'storeId' => $this->_store->getId(),
			'domainPlan' => $domainPlan,
			'currencyId' => $this->_store->currencyID,
			'taxZone' => $this->getDefaultTaxZone(),
			'success' => true
		);
		
		sfContext::getInstance()->getConfiguration()->loadHelpers('Partial');
		$content = '<script type="text/javascript" src="' . javascript_path('jquery-1.5.min.js', true) . '"></script><style>' . $generalStyles . ' ' . $orderStyles . '</style>' . get_partial('widget/domainWidget', $parameters);
		$content = str_replace(
			array("\n", "\r", "\t", "'", '</script>'),
			array(' ', ' ', ' ', '\\\'', '<\x2fscript>'),
			$content
		);
		do {
			$count = 0;
			$content = str_replace('  ', ' ', $content, $count);
		} while ($count);
		
		return $this->renderText('document.write(\'' . $content . '\');');
	}
	
}