<?php use_helper('BillingEscape'); ?>
<div class="b-multidomain-whois">
	
	<div class="b-multidomain-whois-caption"><?php echo __('TRANS_DOMAINS_FOUND'); ?></div>
	
	<form id="purchaseDomains" action="<?php echo url_for('@buy-domain?container=' . $container, array('absolute' => true)); ?>" method="post">
		<input type="hidden" name="plan" value="<?php echo $domainPlan->getId(); ?>"/>
		<input type="hidden" name="SLD" value="<?php echo $SLD; ?>"/>
		<table class="t-multidomain-whois-results">
			<tbody>
				<?php foreach ($TLDs as $TLD): ?>
				<tr>
					<td class="td-domain-name"><span><?php echo $SLD; ?>.<?php echo $TLD; ?></span></td>
					<td class="td-available">
						<span id="checking_<?php echo $TLD; ?>" class="wait"><?php echo __('TRANS_CHECKING_AVAILABILITY'); ?></span>
						<span id="available_<?php echo $TLD; ?>" style="display: none;" class="yes"><?php echo __('TRANS_AVAILABLE'); ?></span>
						<span id="notAvailable_<?php echo $TLD; ?>" style="display: none;" class="no"><?php echo __('TRANS_NOT_AVAILABLE'); ?></span>
					</td>
					<td class="td-register" id="domain_<?php echo $TLD; ?>">
						<script type="text/javascript">
							$.getJSON("<?php echo url_for('@check-domain?operation=register&domainPlanId=' . $domainPlan->getId(), array('absolute' => true)); ?>?SLD=<?php echo $SLD; ?>&TLD=<?php echo $TLD; ?>&masterTLD=<?php echo $masterTLD; ?>&callback=?").success(function(data) {$("#checking_<?php echo jQueryId($TLD); ?>").hide(); $("#domain_<?php echo jQueryId($TLD); ?>").html(data.content)});
						</script>
					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</form>
	
	<script type="text/javascript">
		function purchaseDomains() {
			if ($("input[name=\"registerTLDs\[\]\"]:checked").size() > 0 || $("input[name=\"transferTLDs\[\]\"]:checked").size() > 0) {
				$("#error").hide();
				$("#purchaseDomains").submit();
			} else {
				$("#errorMessage").html("<?php echo htmlspecialchars(__('TRANS_YOU_MUST_SELECT_AT_LEAST_ONE_DOMAIN')); ?>");
				$("#error").show();
			}
		}
		$("#next").show();
	</script>
	
</div>