<?php

abstract class BillingProduct extends BillingObject {
	
	private $_preappliedCoupon;
	
	public function __construct($data) {
		parent::__construct($data);
		if (isset($data['preappliedCoupon'])) {
			$this->_preappliedCoupon = new BillingCoupon($data['preappliedCoupon'], true);
		} else {
			$this->_preappliedCoupon = null;
		}
	}
	
	public function getPreappliedCoupon() {
		return $this->_preappliedCoupon;
	}
	
}