<?php

class BillingCheckoutService extends BillingService {
	
	protected static $instance = null;
	
	public function executeCheckout($storeId, $cartData, $customerData, $clientId = null, $extraSiteBuilderParams = array()) {
		$responce = $this->executeProcessCheckout($storeId, $cartData, $customerData, $clientId, $extraSiteBuilderParams);
		if ($responce->hasErrors()) {
			throw new BillingServiceException('Can not checkout form Store with id "' . $storeId . '"');
		} else {
			return $responce->getData();
		}
	}
	
	public static function getInstance() {
		if (self::$instance == null) {
			self::$instance = new self(self::prepareSoapClient('checkout'));
		}
		return self::$instance;
	}
	
}