<?php

class Addon extends PurchaseContainer {
	
	private $_id;
	
	private $_addonId;
	
	public function __construct($addonId, $planId, $cycleId, $priceId, $name, $type) {
		parent::__construct($planId, $cycleId, $priceId, $name, $type);
		$this->_id = ResourceLocator::getInstance()->cart->generateAddonId();
		$this->_addonId = $addonId;
	}
	
	public function getId() {
		return $this->_id;
	}
	
	public function getAddonId() {
		return $this->_addonId;
	}
	
}