<?php

class BillingContactInformationForm extends BillingForm {
	
	public function __construct($data, $defaults = array(), $options = array(), $CSRFSecret = null) {
		parent::__construct($data, $defaults, $options, $CSRFSecret);
	}
	
	public function save() {
		$values = $this->getValues();
		$store = sfContext::getInstance()->getUser()->getAttribute('store');
		$result = ResourceLocator::getInstance()->billingContactService->collectCustomerForm($store->getId(), $values);
		if (!$this->validate($result)) {
			return false;
		}

		sfContext::getInstance()->getUser()->setAttribute('customerData', $result->getData());
		return true;

	}
	
}