<?php

class BillingCustomQuestionForm extends BillingForm {
	
	public function __construct($data, $defaults = array(), $options = array(), $CSRFSecret = null) {
		parent::__construct($data, $defaults, $options, $CSRFSecret);
	}
	
	public function save() {
		$purchase = $this->getAttribute('purchase');
		$result = ResourceLocator::getInstance()->billingContactService->collectPlanCustomQuestions(
			$this->getValues(),
			array($purchase->getId() => $this->getAttribute('planId'))
		);
		if (!$this->validate($result)) {
			return false;
		}
		$purchase->addParameter('customQuestionData', $result->getData());
		return true;
	}
	
}