<?php

class BillingForgotPasswordForm extends BillingForm {
	
	public function __construct($data = array(), $defaults = array(), $options = array(), $CSRFSecret = null) {
		if (empty($data)) {
			$data = array(
				array(
					'inputs' => array(
						array(
							'id' => 'email',
							'type' => 'text',
							'title' => 'TRANS_ORDERFORM_CONTACT_EMAIL'
						),
						array(
							'id' => 'login',
							'type' => 'text',
							'title' => 'TRANS_USERNAME'
						)
					)
				)
			);
		}
		parent::__construct($data, $defaults, $options, $CSRFSecret);
	}
	
	public function save() {
		$values = $this->getValues();
		return ResourceLocator::getInstance()->billingContactService->sendForgotPassword($values['email'], $values['login']);
	}
}